<?php
/**
 * @package		Joomla.Site
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
if (!isset($this->error)) {
	$this->error = JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
	$this->debug = false;
}
//get language and direction
$doc = JFactory::getDocument();
$this->language = $doc->language;
$this->direction = $doc->direction;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<title><?php echo $this->error->getCode(); ?> - <?php echo $this->title; ?></title>
	<link rel="stylesheet" href="<?php echo $this->baseurl.'/templates/'.$this->template; ?>/css/error.css" type="text/css" />	
</head>
<body>
<div id="yt_wrapper" >
	
	<div id="yt_header">
		<div class="container">
			<div class="row-fluid">
				<div class="logo">
					<a href="<?php echo $this->baseurl; ?>/index.php">
						<img class="img_logo" src="<?php echo JURI::base() . 'templates/' . JFactory::getApplication()->getTemplate();?>/images/logo.png" alt="" />
					</a>
					
				</div>
			</div>
		</div>
	</div>
	
	<div id="maincontent">
		<div class="container">
			<div class="row-fluid">
				<div class="content">
					<div class="span6">
						<h1 class="mess-code"><?php echo $this->error->getMessage(); ?></h1>
						<h2 class="submess-code"><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></h2>
						<div class="acticle"><?php echo JText::_('JERROR_LAYOUT_PLEASE_CONTACT_THE_SYSTEM_ADMINISTRATOR'); ?>.</div>
						<div class="submit">
							<a class="btn" href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>">
								<?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?>
							</a>
						</div>
					</div>
					<div class="span6 block404"></div>
				</div>
			</div>
		</div>
	</div>
		
		
	<div id="yt_bottom">
		<div class="container">
			<div class="row-fluid">
				<div class="footer1">Copyright &copy; 2013 Sj Viste. Designed by <a href="http://www.smartaddons.com/" title="Visit SmartAddons!" target="_blank">SmartAddons.Com</a></div>
				<div class="footer2"><a href="http://www.joomla.org">Joomla!</a> is Free Software released under the <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License.</a></div>
			</div>
		</div>
	</div>
			
			
	
</div>
	
</body>
</html>
