<?php
/**
 * @package Sj Minicart Pro
 * @version 2.5.1
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */

defined('_JEXEC') or die;

JLoader::register('ImageHelper', dirname(__FILE__).'/helper_image.php');
require dirname(__FILE__).'/vmloader.php';

JFactory::getLanguage()->load('com_virtuemart');
if(!class_exists('sj_minicart_pro_helper')){
	class SjMiniCartProHelper extends ImageHelper  {
		protected static $helper = null;
		protected static $image_cache = array();
		public static function getList( $params, $module){
			$helper = & self::getInstance();
			return $helper->_getList( $params, $module );
		}

		protected function _getList( $params, $module ){
			if(class_exists('VirtueMartCart')){
				$productModel = VmModel::getModel('product');
				$calculator = calculationHelper::getInstance();
				$customfields = VmModel::getModel ('Customfields');
				$cart = VirtueMartCart::getCart(false);
				$cart->pricesUnformatted = $calculator->getCheckoutPrices($cart, true);
				$productModel->addImages($cart->products);
			return $cart;
			}
		}
		
		public static function getVMPImage($item, $params, $prefix='imgcfg'){
			$images = &self::getVMPImages($item, $params, $prefix);
			return is_array($images) && count($images) ? $images[0] : null;
		}
		
		public static function getVMPImages($item, $params, $prefix='imgcfg'){
			$hash = md5( serialize(array($params, 'product')) );
			if ( !isset(self::$image_cache[$hash][$item->virtuemart_product_id]) ){
				$images_path = array();
				$field_image = $item->images[0]->file_url_thumb;
				if(file_exists($field_image)){
					$image = array(
							'src' => $field_image,
					);
					array_push($images_path, $image);
				}
				
				if ( count($images_path) == 0){
					$images_path[] = array('src'=> 'modules/mod_sj_minicart_pro/assets/images/nophoto.png');
				}
					
				self::$image_cache[$hash][$item->virtuemart_product_id] = $images_path;
			}
			
			return self::$image_cache[$hash][$item->virtuemart_product_id];
		}
		
		public static function imageTag($image, $options=array()){
			return self::init($image, $options)->tag();
		}
		
		public static function getInstance(){
			if (is_null(self::$helper)){
				$classname = __CLASS__;
				self::$helper = new $classname();
			}
			return self::$helper;
		}

	}
}

