<?php
/**
 * @package Sj Responsive Listing for Virtuemart
 * @version 3.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;
$currency = &CurrencyDisplay::getInstance();
if(isset($list['items'])) {
ImageHelper::setDefault($params);
foreach($list['items']  as $item){  ?>
	<div class="respl-item category-<?php echo $item->catid ?>"  
		data-product_price="<?php echo $item->prices['salesPrice']; ?>" 
		data-created="<?php echo strtotime($item->created_on) ?>" 
		data-latest="<?php echo ($item->modified_on != '')?strtotime($item->modified_on):0; ?>" 
		data-ordering="<?php echo $item->ordering; ?>" 
		data-topten="<?php echo $item->product_sales; ?>" 
		data-title="<?php echo mb_strtolower($item->title); ?>" 
		data-id="<?php echo $item->id; ?>" 
		data-catid="<?php echo $item->catid ?>">
		<div class="item-inner">
		<div class="item-inner2">
		
			<div class="product-header">
				<?php if($params->get('item_title_display',1) == 1){?>
				<h3 class="title pull-left">
					<a href="<?php echo $item->link ?>" <?php echo VmResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
						<?php echo VmResponsiveListingHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>
					</a>
				</h3>
				<?php }?>
				
				<?php if((int)$params->get('item_price_display',1)){ ?>
				<div class="price pull-left">
					<?php
					if (!empty($item->prices['salesPrice'])) {
						echo $currency->createPriceDiv ('salesPrice', '', $item->prices, FALSE, FALSE, 1.0, TRUE);
					}
					?>
				</div>
				<?php } ?>
			</div>
			
			<?php $img = VmResponsiveListingHelper::getVmImage($item, $params);  
			if($img && (@GetImageSize($img['src']) || file_exists($img['src']))) {?>
			
			<div class="product-content">
				<div class="product-content-inner">
					<?php //var_dump($item);die();?>
					<div class="product-back">
						<?php if($params->get('item_description_display', 1) == 1 && VmResponsiveListingHelper::_trimEncode($item->_description) != '') {?>
						<div class="product_s_desc">
							<?php
								echo VmResponsiveListingHelper::truncate($item->short_desc, (int)$params->get('item_des_maxlength_layout_grid'));
							?>
					 	</div>
						
					 	<?php }?>
						<?php if($params->get('item_rating_display',1)){
							$maxrating = VmConfig::get('vm_maximum_rating_scale', 5);
							if (empty($item->rating)) { ?>
								<div class="vote-rating">
									<?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?>
								</div>
							<?php } else { $ratingwidth = $item->rating->rating * 14; ?>
								<div class="vote-rating">
									<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . round($item->rating->rating) . '/' . $maxrating) ?>" class="ratingbox" style="display:inline-block;">
										<span class="stars-orange" style="width:<?php echo $ratingwidth.'px'; ?>"></span>
									</span>
								</div>
							<?php }
						}
						?>
						
						
					</div>
					<div class="product-front">
						<div class="product-img">
								<a href="<?php echo $item->link ?>" <?php echo VmResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
									<?php   echo VmResponsiveListingHelper::imageTag($img);?>
								<?php if($params->get('item_cat_display', 1) == 1){?>
								
								<?php }?>
								</a>
						</div>
					</div>
					
				</div>
			</div>
			<?php }?>
			
			<div class="product-bottom">
			<?php if($params->get('item_title_display',1) == 1){?>
				<h3 class="item-title sansFont">
					<a href="<?php echo $item->link ?>" <?php echo VmResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
						<?php echo VmResponsiveListingHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>
					</a>
				</h3>
			<?php }?>
			<?php if((int)$params->get('item_price_display',1)){ ?>
			<div class="item-price">
				<?php
				if (!empty($item->prices['salesPrice'])) {
					echo $currency->createPriceDiv ('salesPrice', '', $item->prices, FALSE, FALSE, 1.0, TRUE);
				}
				?>
			</div>
			<?php } ?>
			<?php if($params->get('item_rating_display',1)){
					$maxrating = VmConfig::get('vm_maximum_rating_scale', 5);
					if (empty($item->rating)) { ?>
						<span class="item-vote">
							<?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?>
							<a class="add-review" href="<?php echo $item->link ?>?#myTab">Add Review</a>
						</span>
					<?php } else { $ratingwidth = $item->rating->rating *14; ?>
						<div class="item-vote">
							
							<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . round($item->rating->rating) . '/' . $maxrating) ?>" class="ratingbox" style="display:inline-block;">
								<span class="stars-orange" style="width:<?php echo $ratingwidth.'px'; ?>"></span>
							</span>
							<span class="vote-number">
								<?php //echo JText::_('COM_VIRTUEMART_RATING') . ' ' . round($this->rating->rating) . '/' . $maxrating; ?>
								<?php if(round($item->rating->rating)>1) echo '( '. round($item->rating->ratingcount) . ' Reviews)'; else echo '( '. round($item->rating->ratingcount) . ' Review)'; ?>
							</span>
							<a class="add-review" href="<?php echo $item->link ?>?#myTab">Add Review</a>
						</div>
					<?php }
				}
				?>	
			<?php if($params->get('item_created_display', 1)== 1) {?>
			<div class="item-post-read">
				<?php if($params->get('item_created_display',1) == 1) {?>
				<div class="item-post" data-value="<?php echo JText::_('POST_LABEL')?>">&nbsp;<?php echo  JHTML::_('date', $item->created_on,JText::_('DATE_FORMAT_LC3')) ?></div>
				<?php }?>
			</div>
			<?php } 
			if($params->get('item_description_display', 1) == 1 && VmResponsiveListingHelper::_trimEncode($item->_description) != '') {?>
			<div class="item-desc">
				<?php echo VmResponsiveListingHelper::truncate($item->short_desc, (int)$params->get('item_des_maxlength_layout_list')); ?>
			</div>
			<?php }?>
			
		
			<?php //if($params->get('item_readmore_display', 1) == 1){?>
			<div class="item-readmore">
				<!--add to card-->
				<div class="addtocart-area clearfix">
					<form method="post" class="product" action="<?php echo JRoute::_ ('index.php'); ?>">
						<?php 
						/* Product custom Childs
							 * to display a simple link use $field->virtuemart_product_id as link to child product_id
							 * custom_value is relation value to child
							 */
				
				
						if (!VmConfig::get('use_as_catalog', 0) and !empty($item->prices['salesPrice'])) {
						?>
				
						<div class="addtocart-bar">
				
							<?php // Display the quantity box
				
							$stockhandle = VmConfig::get ('stockhandle', 'none');
							if (($stockhandle == 'disableit' or $stockhandle == 'disableadd') and ($item->product_in_stock - $item->item_ordered) < 1) {
								?>
								
								<a href="<?php echo JRoute::_ ('index.php?option=com_virtuemart&view=productdetails&layout=notify&virtuemart_product_id=' . $item->virtuemart_product_id); ?>" class="notify"><?php echo JText::_ ('COM_VIRTUEMART_CART_NOTIFY') ?></a>
								<?php } else { ?>
				
								<?php
								// Display the add to cart button
								?>
								
								
								<span class="addtocart-button cartback">
									<?php echo shopFunctionsF::getAddToCartButton ($item->orderable); ?>
								</span>
								<span class="addtocart-button">
									<?php echo shopFunctionsF::getAddToCartButton ($item->orderable); ?>
								</span>
								<?php } ?>
				
							<div class="clear"></div>
						</div>
						<?php }
						
						// Display the add to cart button END  ?>
						<input type="hidden" class="pname" value="<?php echo htmlentities($item->item_name, ENT_QUOTES, 'utf-8') ?>"/>
						<input type="hidden" name="option" value="com_virtuemart"/>
						<input type="hidden" name="view" value="cart"/>
						<input type="hidden" class="quantity-input js-recalculate" name="quantity[]" value="<?php if (isset($item->min_order_level) && (int)$item->min_order_level > 0) { echo $item->min_order_level;
							} else {
								echo '1';
							} ?>"
						/>
						<noscript><input type="hidden" name="task" value="add"/></noscript>
						<input type="hidden" name="virtuemart_product_id[]" value="<?php echo $item->virtuemart_product_id ?>"/>
					</form>
				
					<div class="clear"></div>
				</div>
			</div>
			<?php //} ?>
			
			
			</div>
		
		</div>		
		</div>
	</div>
<?php } 
} ?>
