SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=328 ;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 660, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 2, 3, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 4, 13, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 14, 15, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 16, 17, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 18, 19, 1, 'com_config', 'com_config', '{}'),
(7, 1, 20, 91, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 92, 531, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 532, 533, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 534, 535, 1, 'com_installer', 'com_installer', '{"core.admin":{"7":1},"core.manage":{"7":1},"core.delete":[],"core.edit.state":[]}'),
(11, 1, 536, 537, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 538, 539, 1, 'com_login', 'com_login', '{}'),
(13, 1, 540, 541, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 542, 543, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 544, 545, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16, 1, 546, 547, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 39, 40, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 550, 551, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 552, 559, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(20, 1, 560, 561, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 562, 563, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 564, 565, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.edit.state":[]}'),
(23, 1, 566, 567, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 568, 569, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 570, 587, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1,"10":0,"12":0},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(26, 1, 588, 589, 1, 'com_wrapper', 'com_wrapper', '{}'),
(39, 8, 123, 304, 2, 'com_content.category.14', 'Sample Data-Articles', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(38, 25, 577, 578, 2, 'com_weblinks.category.13', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(37, 19, 555, 556, 2, 'com_newsfeeds.category.12', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(36, 7, 25, 26, 2, 'com_contact.category.11', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(35, 3, 7, 8, 2, 'com_banners.category.10', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(34, 8, 109, 122, 2, 'com_content.category.9', 'Explore', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(40, 3, 9, 10, 2, 'com_banners.category.15', 'Sample Data-Banners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 7, 27, 88, 2, 'com_contact.category.16', 'Sample Data-Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 19, 557, 558, 2, 'com_newsfeeds.category.17', 'Smartaddons-Newsfeeds', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(43, 25, 579, 586, 2, 'com_weblinks.category.18', 'Sample Data-Weblinks', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 39, 124, 253, 3, 'com_content.category.19', 'Joomla!', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 44, 125, 230, 4, 'com_content.category.20', 'Extensions', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 45, 126, 139, 5, 'com_content.category.21', 'Components', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 45, 140, 199, 5, 'com_content.category.22', 'Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 45, 200, 211, 5, 'com_content.category.23', 'Templates', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 45, 212, 213, 5, 'com_content.category.24', 'Languages', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 45, 214, 229, 5, 'com_content.category.25', 'Plugins', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 39, 254, 285, 3, 'com_content.category.26', 'Park Site', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(52, 51, 255, 260, 4, 'com_content.category.27', 'Park Blog', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 51, 261, 282, 4, 'com_content.category.28', 'Photo Gallery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(54, 39, 286, 299, 3, 'com_content.category.29', 'Fruit Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(55, 54, 287, 292, 4, 'com_content.category.30', 'Growers', '{"core.create":{"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"10":1}}'),
(56, 43, 580, 581, 3, 'com_weblinks.category.31', 'Park Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(57, 43, 582, 585, 3, 'com_weblinks.category.32', 'Joomla! Specific Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(58, 57, 583, 584, 4, 'com_weblinks.category.33', 'Smartaddons', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(59, 41, 28, 29, 3, 'com_contact.category.34', 'Park Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 41, 30, 87, 3, 'com_contact.category.35', 'Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 60, 31, 32, 4, 'com_contact.category.36', 'Staff', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(62, 60, 33, 86, 4, 'com_contact.category.37', 'Fruit Encyclopedia', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(63, 62, 34, 35, 5, 'com_contact.category.38', 'A', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 62, 36, 37, 5, 'com_contact.category.39', 'B', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 62, 38, 39, 5, 'com_contact.category.40', 'C', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 62, 40, 41, 5, 'com_contact.category.41', 'D', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 62, 42, 43, 5, 'com_contact.category.42', 'E', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 62, 44, 45, 5, 'com_contact.category.43', 'F', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(69, 62, 46, 47, 5, 'com_contact.category.44', 'G', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(70, 62, 48, 49, 5, 'com_contact.category.45', 'H', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(71, 62, 50, 51, 5, 'com_contact.category.46', 'I', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(72, 62, 52, 53, 5, 'com_contact.category.47', 'J', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 62, 54, 55, 5, 'com_contact.category.48', 'K', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(74, 62, 56, 57, 5, 'com_contact.category.49', 'L', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(75, 62, 58, 59, 5, 'com_contact.category.50', 'M', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 62, 60, 61, 5, 'com_contact.category.51', 'N', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 62, 62, 63, 5, 'com_contact.category.52', 'O', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 62, 64, 65, 5, 'com_contact.category.53', 'P', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(79, 62, 66, 67, 5, 'com_contact.category.54', 'Q', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 62, 68, 69, 5, 'com_contact.category.55', 'R', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(81, 62, 70, 71, 5, 'com_contact.category.56', 'S', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(82, 62, 72, 73, 5, 'com_contact.category.57', 'T', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(83, 62, 74, 75, 5, 'com_contact.category.58', 'U', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 62, 76, 77, 5, 'com_contact.category.59', 'V', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 62, 78, 79, 5, 'com_contact.category.60', 'W', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 62, 80, 81, 5, 'com_contact.category.61', 'X', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(87, 62, 82, 83, 5, 'com_contact.category.62', 'Y', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(88, 62, 84, 85, 5, 'com_contact.category.63', 'Z', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(90, 93, 142, 143, 7, 'com_content.article.2', 'Archive Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(91, 93, 144, 145, 7, 'com_content.article.3', 'Article Categories Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(92, 93, 146, 147, 7, 'com_content.article.4', 'Articles Category Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(93, 47, 141, 156, 6, 'com_content.category.64', 'Content Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(94, 47, 157, 164, 6, 'com_content.category.65', 'User Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(95, 47, 165, 178, 6, 'com_content.category.66', 'Display Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(96, 47, 179, 190, 6, 'com_content.category.67', 'Utility Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(97, 48, 201, 202, 6, 'com_content.category.68', 'Atomic', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(98, 48, 203, 204, 6, 'com_content.category.69', 'Beez 20', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(99, 48, 205, 206, 6, 'com_content.category.70', 'Beez5', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 48, 207, 208, 6, 'com_content.category.71', 'Milky Way', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 50, 215, 216, 6, 'com_content.article.5', 'Authentication', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(102, 51, 283, 284, 4, 'com_content.article.6', 'Australian Parks ', '{"core.delete":[],"core.edit":{"2":1},"core.edit.state":[]}'),
(103, 95, 166, 167, 7, 'com_content.article.7', 'Banner Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(104, 44, 231, 232, 4, 'com_content.article.8', 'Beginners', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(105, 46, 127, 128, 6, 'com_content.article.9', 'Contact', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(106, 46, 129, 130, 6, 'com_content.article.10', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(107, 109, 273, 274, 6, 'com_content.article.11', 'Cradle Mountain', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(108, 53, 262, 271, 5, 'com_content.category.72', 'Animals', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(109, 53, 272, 281, 5, 'com_content.category.73', 'Scenery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(110, 95, 168, 169, 7, 'com_content.article.12', 'Custom HTML Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(111, 54, 293, 294, 4, 'com_content.article.13', 'Directions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(112, 50, 217, 218, 6, 'com_content.article.14', 'Editors', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(113, 50, 219, 220, 6, 'com_content.article.15', 'Editors-xtd', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(114, 95, 170, 171, 7, 'com_content.article.16', 'Feed Display', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(115, 52, 256, 257, 5, 'com_content.article.17', 'First Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(116, 52, 258, 259, 5, 'com_content.article.18', 'Second Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(117, 95, 172, 173, 7, 'com_content.article.19', 'Footer Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(118, 54, 295, 296, 4, 'com_content.article.20', 'Fruit Shop', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(119, 44, 233, 234, 4, 'com_content.article.21', 'Getting Help', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(120, 44, 235, 236, 4, 'com_content.article.22', 'Getting Started', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(121, 55, 288, 289, 5, 'com_content.article.23', 'Happy Orange Orchard', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(122, 44, 237, 238, 4, 'com_content.article.24', 'Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(123, 108, 263, 264, 6, 'com_content.article.25', 'Koala', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(124, 96, 180, 181, 7, 'com_content.article.26', 'Language Switcher', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(125, 93, 148, 149, 7, 'com_content.article.27', 'Latest Articles Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(126, 94, 158, 159, 7, 'com_content.article.28', 'Login Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(127, 166, 194, 195, 7, 'com_content.article.29', 'Menu Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(128, 93, 150, 151, 7, 'com_content.article.30', 'Most Read Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(129, 93, 152, 153, 7, 'com_content.article.31', 'News Flash', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(130, 44, 239, 240, 4, 'com_content.article.32', 'Parameters', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(131, 108, 265, 266, 6, 'com_content.article.33', 'Phyllopteryx', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(132, 109, 275, 276, 6, 'com_content.article.34', 'Pinnacles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(133, 44, 241, 242, 4, 'com_content.article.35', 'Professionals', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(134, 95, 174, 175, 7, 'com_content.article.36', 'Random Image Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(135, 93, 154, 155, 7, 'com_content.article.37', 'Related Items Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(136, 44, 243, 244, 4, 'com_content.article.38', 'Sample Sites', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(137, 46, 131, 132, 6, 'com_content.article.39', 'Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(138, 96, 182, 183, 7, 'com_content.article.40', 'Search Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(139, 50, 221, 222, 6, 'com_content.article.41', 'Search ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(140, 39, 300, 301, 3, 'com_content.article.42', 'Site Map', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(141, 108, 267, 268, 6, 'com_content.article.43', 'Spotted Quoll', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(142, 96, 184, 185, 7, 'com_content.article.44', 'Statistics Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(143, 96, 186, 187, 7, 'com_content.article.45', 'Syndicate Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(144, 50, 223, 224, 6, 'com_content.article.46', 'System', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(145, 44, 245, 246, 4, 'com_content.article.47', 'The Joomla! Community', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(146, 44, 247, 248, 4, 'com_content.article.48', 'The Joomla! Project', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(147, 48, 209, 210, 6, 'com_content.article.49', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(148, 44, 249, 250, 4, 'com_content.article.50', 'Upgraders', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(149, 50, 225, 226, 6, 'com_content.article.51', 'User', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(150, 46, 133, 134, 6, 'com_content.article.52', 'Users', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(151, 44, 251, 252, 4, 'com_content.article.53', 'Using Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(152, 46, 135, 136, 6, 'com_content.article.54', 'Weblinks', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(153, 95, 176, 177, 7, 'com_content.article.55', 'Weblinks Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(154, 94, 160, 161, 7, 'com_content.article.56', 'Who''s Online', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(155, 108, 269, 270, 6, 'com_content.article.57', 'Wobbegone', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(156, 55, 290, 291, 5, 'com_content.article.58', 'Wonderful Watermelon', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(157, 96, 188, 189, 7, 'com_content.article.59', 'Wrapper Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(158, 46, 137, 138, 6, 'com_content.article.60', 'News Feeds', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(159, 166, 196, 197, 7, 'com_content.article.61', 'Breadcrumbs Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(160, 50, 227, 228, 6, 'com_content.article.62', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(162, 109, 277, 278, 6, 'com_content.article.64', 'Blue Mountain Rain Forest', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(163, 109, 279, 280, 6, 'com_content.article.65', 'Ormiston Pound', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(165, 94, 162, 163, 7, 'com_content.article.66', 'Latest Users Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(166, 47, 193, 198, 6, 'com_content.category.75', 'Navigation Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(167, 54, 297, 298, 4, 'com_content.category.76', 'Recipes', '{"core.create":{"12":1,"10":1},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"12":1,"10":1}}'),
(168, 34, 110, 111, 3, 'com_content.article.67', 'What''s New in 1.5?', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(180, 245, 306, 327, 3, 'com_content.category.78', 'Content Category 1', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(181, 245, 328, 349, 3, 'com_content.category.79', 'Content Category 2', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(182, 180, 307, 308, 4, 'com_content.article.78', 'Inean vehicula vehicula aliquam lobortis cursus erat', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(183, 180, 309, 310, 4, 'com_content.article.79', 'Suspendisse at libero porttitor nisi aliquet', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(184, 180, 311, 312, 4, 'com_content.article.80', 'Detus laoreet dignissim leo vel porta', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(185, 180, 313, 314, 4, 'com_content.article.81', 'Vestibulum sit amet libero ante, a porta augue', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(186, 180, 315, 316, 4, 'com_content.article.82', 'Mauris  aptent taciti sociosqu ad litora ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(319, 181, 347, 348, 4, 'com_content.article.193', 'Dukan at libero porttitor nisi aliquet vulputate vitae at velit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(187, 180, 317, 318, 4, 'com_content.article.83', 'Cum  rhoncus est ac arcu malesuada bibendum ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(188, 181, 345, 346, 4, 'com_content.article.84', 'Misociis nulla interdum consequat velit.nulla vel eros blandit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(189, 180, 319, 320, 4, 'com_content.article.85', 'Baecenas vehicula pretium turpis, in volutpat  torquent per ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(190, 180, 321, 322, 4, 'com_content.article.86', 'Integer egestas lectus egestas erat convallis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(191, 180, 323, 324, 4, 'com_content.article.87', 'Aenean auctor wisi et urn porttitor aliquet vulputate vitae', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(192, 181, 329, 330, 4, 'com_content.article.88', 'Aenean vehicula vehicula aliquam', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(194, 181, 331, 332, 4, 'com_content.article.90', 'Suspendisse sit amet tortor urna', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(195, 180, 325, 326, 4, 'com_content.article.91', 'Suspendisse at libero porttitor nisi aliquet vulputate', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(196, 181, 333, 334, 4, 'com_content.article.92', 'Vestibulum sit amet libero ante', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(197, 181, 335, 336, 4, 'com_content.article.93', 'Ut ligula lorem, vestibulum sit amet fringilla lobortis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(198, 181, 337, 338, 4, 'com_content.article.94', 'Sociis nulla interdum aliquam vel porta ante sodales', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(199, 181, 339, 340, 4, 'com_content.article.95', 'Vestibulum sit amet libero ante, a porta augue', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(200, 181, 341, 342, 4, 'com_content.article.96', 'Kril penectus aliquet nisi aliquet vulputate vitae tempor leo aliquam vel porta ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(201, 181, 343, 344, 4, 'com_content.article.97', 'Netra faucibus eu laoreet Sociis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(202, 245, 350, 373, 3, 'com_content.category.80', 'Content Category 3', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(203, 245, 374, 395, 3, 'com_content.category.81', 'Content Category 4', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(204, 202, 351, 352, 4, 'com_content.article.98', 'Lisl Pellentesque In id metus', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(205, 202, 353, 354, 4, 'com_content.article.99', 'Laoreet digen nissim veli nula kite', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(206, 202, 355, 356, 4, 'com_content.article.100', 'Kau cika maatu ilam gase bilas mauris tempor ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(207, 202, 357, 358, 4, 'com_content.article.101', 'Bener senver munst onvase kate rigas eget arcu magna, vel congue dui', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(208, 202, 359, 360, 4, 'com_content.article.102', 'Sanal pede elit nibh ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(209, 202, 361, 362, 4, 'com_content.article.103', 'Ciis nulla indum nectus sika lote in dictum neque suscipit id', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(210, 202, 363, 364, 4, 'com_content.article.104', 'Lames pede elit nite rigas polan', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(211, 202, 365, 366, 4, 'com_content.article.105', 'Tulo pose dikam lato kite mase', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(212, 202, 367, 368, 4, 'com_content.article.106', 'Kiop senectus aliquet pretium late rigas', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(213, 202, 369, 370, 4, 'com_content.article.107', 'Maecenas vehicula pretium turpis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(214, 202, 371, 372, 4, 'com_content.article.108', 'Karetra faucibus eu lase riga bose tempor leo aliquam vel porta ante sodales', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(215, 203, 375, 376, 4, 'com_content.article.109', 'Kara senver munst onvase palo iken', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(216, 203, 377, 378, 4, 'com_content.article.110', 'Kulla interdum ersus senectus lote nace', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(265, 1, 652, 653, 1, 'com_finder', 'com_finder', '{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(218, 203, 379, 380, 4, 'com_content.article.111', 'Pes pede elit tare misen rigas pulen', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(219, 203, 381, 382, 4, 'com_content.article.112', 'Tra faucibus eu laoreet nunc moze seka', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(220, 203, 383, 384, 4, 'com_content.article.113', 'Gaucibus eu laoreet nunc polas kuta  lobortis cursus erat', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(221, 203, 385, 386, 4, 'com_content.article.114', 'Cibus eu laoreet nunc luza sika vulputate vitae at velit aliquam vel porta ante ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(222, 203, 387, 388, 4, 'com_content.article.115', 'Gucibus Teu laoreet nunc ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(223, 203, 389, 390, 4, 'com_content.article.116', 'Seni senectus aliquet pretium gaze xekam nisi aliquet vulputate', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(224, 203, 391, 392, 4, 'com_content.article.117', 'Tanra mes pede elit gula serin buka', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(225, 203, 393, 394, 4, 'com_content.article.118', 'Nal pede kare tika mose nacerigas ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(235, 34, 112, 113, 3, 'com_content.article.128', 'Features', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(236, 34, 114, 115, 3, 'com_content.article.129', 'Module Variations', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(237, 34, 116, 117, 3, 'com_content.article.130', 'Positions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(238, 34, 118, 119, 3, 'com_content.article.131', 'Extensions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(239, 34, 120, 121, 3, 'com_content.article.132', 'Images, Icons, Buttons', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(240, 277, 486, 487, 3, 'com_content.article.133', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(241, 3, 11, 12, 2, 'com_banners.category.83', 'JTC', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(266, 8, 427, 446, 2, 'com_content.category.89', 'Member ', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(245, 8, 305, 396, 2, 'com_content.category.84', 'Yt Sample Data', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(249, 7, 89, 90, 2, 'com_contact.category.85', 'Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(250, 8, 397, 406, 2, 'com_content.category.86', 'Slide Show', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(251, 250, 398, 399, 3, 'com_content.article.134', 'Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(252, 250, 400, 401, 3, 'com_content.article.135', 'Adipiscing neque et pulvinar orci tellus dolor lacus Aenean sapien ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(253, 250, 402, 403, 3, 'com_content.article.136', 'Aliquam lobortis cursus erat, in dictum neque suscipit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(254, 250, 404, 405, 3, 'com_content.article.137', 'Vestibulum sit amet libero vel neque dapibus ultrices mattis massa', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(255, 8, 407, 424, 2, 'com_content.category.87', 'Partners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(256, 8, 425, 426, 2, 'com_content.category.88', 'Our Clients', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(257, 255, 408, 409, 3, 'com_content.article.138', 'Aenean', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(258, 255, 410, 411, 3, 'com_content.article.139', 'Mauris mauris', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(259, 255, 412, 413, 3, 'com_content.article.140', 'Nullam ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(260, 255, 414, 415, 3, 'com_content.article.141', 'Nullam semper', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(261, 255, 416, 417, 3, 'com_content.article.142', 'Proin consectetur', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(262, 255, 418, 419, 3, 'com_content.article.143', 'Quisque', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(263, 255, 420, 421, 3, 'com_content.article.144', 'Suspendisse', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(264, 255, 422, 423, 3, 'com_content.article.145', 'Vestibulum', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(267, 266, 428, 429, 3, 'com_content.article.146', 'Blue tapin ka jute', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(268, 266, 430, 431, 3, 'com_content.article.147', 'Quisque arcu elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(269, 266, 432, 433, 3, 'com_content.article.148', ' Aliquam eget arcu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(270, 266, 434, 435, 3, 'com_content.article.149', 'Sed sollicitudin', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(271, 266, 436, 437, 3, 'com_content.article.150', 'Cum sociis natoque', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(272, 266, 438, 439, 3, 'com_content.article.151', 'Duis vestibulum', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(273, 266, 440, 441, 3, 'com_content.article.152', 'Proin consectetur', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(274, 266, 442, 443, 3, 'com_content.article.153', 'Nullam lobortis', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(275, 266, 444, 445, 3, 'com_content.article.154', 'Nunc euismod', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(276, 298, 520, 521, 3, 'com_content.article.155', 'Page break example', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(277, 8, 447, 504, 2, 'com_content.category.90', ' Short Codes  ', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(278, 277, 448, 449, 3, 'com_content.article.156', 'Accordion', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(279, 277, 450, 451, 3, 'com_content.article.157', 'Blockquote', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(280, 277, 452, 453, 3, 'com_content.article.158', 'List Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(281, 277, 454, 455, 3, 'com_content.article.159', 'Button', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(282, 277, 456, 457, 3, 'com_content.article.160', 'Columns', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(283, 277, 458, 459, 3, 'com_content.article.161', 'Dropcap', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(284, 277, 460, 461, 3, 'com_content.article.162', 'Gallery Photos', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(285, 277, 462, 463, 3, 'com_content.article.163', 'Lightbox', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(286, 277, 464, 465, 3, 'com_content.article.164', ' Message Box ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(287, 277, 466, 467, 3, 'com_content.article.165', 'Social Buttons', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(288, 277, 468, 469, 3, 'com_content.article.166', 'Togglable tabs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(289, 277, 470, 471, 3, 'com_content.article.167', 'Testimonial', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(290, 277, 472, 473, 3, 'com_content.article.168', 'Vimeo', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(291, 277, 474, 475, 3, 'com_content.article.169', 'Youtube', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(292, 277, 476, 477, 3, 'com_content.article.170', 'Divider', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(293, 277, 478, 479, 3, 'com_content.article.171', 'Helper Shortcodes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(294, 277, 480, 481, 3, 'com_content.article.172', 'Google Map', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(295, 277, 482, 483, 3, 'com_content.article.173', 'Pricing Tables', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(296, 277, 484, 485, 3, 'com_content.article.174', 'icons', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(297, 277, 488, 489, 3, 'com_content.article.175', 'Joomla page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(298, 8, 505, 530, 2, 'com_content.category.91', 'Joomla page', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(299, 298, 506, 507, 3, 'com_content.article.176', 'FAQs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(300, 298, 508, 509, 3, 'com_content.article.177', 'Join now', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(301, 298, 510, 511, 3, 'com_content.article.178', 'About us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(302, 277, 490, 491, 3, 'com_content.article.179', 'Shortcodes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(303, 298, 512, 513, 3, 'com_content.article.180', 'Testimonials', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(304, 298, 514, 515, 3, 'com_content.article.181', 'Services', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(305, 298, 516, 517, 3, 'com_content.article.182', 'Columns', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(306, 298, 518, 519, 3, 'com_content.article.183', 'What''s new?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(307, 298, 522, 523, 3, 'com_content.article.184', 'Photo Gallery ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(308, 298, 524, 525, 3, 'com_content.article.185', 'Portfolio', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(309, 277, 492, 493, 3, 'com_content.article.186', 'test Short Codes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(310, 298, 526, 527, 3, 'com_content.article.187', 'Bonus pages', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(311, 277, 494, 495, 3, 'com_content.article.188', ' Syntax Highlighting ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(312, 277, 496, 497, 3, 'com_content.article.189', 'Toggles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(313, 277, 498, 499, 3, 'com_content.article.190', 'Google Font', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(314, 277, 500, 501, 3, 'com_content.article.191', 'icons (2)', ''),
(315, 277, 502, 503, 3, 'com_content.article.192', 'test Short Codes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(325, 1, 656, 657, 1, 'com_virtuemart', 'virtuemart', '{}'),
(324, 1, 654, 655, 1, 'com_virtuemart_allinone', 'virtuemart_allinone', '{}'),
(326, 298, 528, 529, 3, 'com_content.article.194', 'Load sj_vm_reslisting', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(327, 1, 658, 659, 1, 'com_jw_disqus', 'jw_disqus', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`) VALUES
(2, 1, 0, 'Shop 1', 'shop-1', 0, 212, 1, 'http://shop.joomla.org/amazoncom-bookstores.html', 1, 15, 'Get books about Joomla! at the Joomla! book shop.', '', 0, 1, '', '{"imageurl":"images\\/banners\\/shop-ad-books.jpg","width":"","height":"","alt":"Joomla! Books"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB'),
(3, 1, 0, 'Shop 2', 'shop-2', 0, 65, 0, 'http://shop.joomla.org', 1, 15, 'T Shirts, caps and more from the Joomla! Shop.', '', 0, 2, '', '{"imageurl":"images\\/banners\\/shop-ad.jpg","width":"","height":"","alt":"Joomla! Shop"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB'),
(4, 1, 0, 'Support Joomla!', 'support-joomla', 0, 75, 0, 'http://contribute.joomla.org', 1, 15, 'Your contributions of time, talent and money make Joomla! possible.', '', 0, 3, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'en-GB'),
(5, 0, 0, 'SJ MerryChristmas', 'sj-merrychristmas', 0, 6087, 0, 'http://demo.smartaddons.com/templates/joomla17/?template=sj-merrychristmas', 1, 83, '', '', 0, 1, '', '{"imageurl":"images\\/banners\\/sj-merry.jpg","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2012-02-08 00:00:00', '2012-01-08 16:47:04', '*');

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__banner_clients` (`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES
(1, 'Joomla!', 'Administrator', 'email@email.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, -1, -1);

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned DEFAULT NULL,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=92 ;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES
(1, 0, 0, 0, 159, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 0, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(9, 34, 1, 131, 132, 1, 'explore', 'com_content', 'Explore', 'explore', '', '\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2013-03-29 01:53:47', 0, '*'),
(10, 35, 1, 129, 130, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(11, 36, 1, 125, 126, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(12, 37, 1, 61, 62, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(13, 38, 1, 57, 58, 1, 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(14, 39, 1, 9, 56, 1, 'sample-data-articles', 'com_content', 'Sample Data-Articles', 'sample-data-articles', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(15, 40, 1, 127, 128, 1, 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(16, 41, 1, 63, 124, 1, 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(17, 42, 1, 59, 60, 1, 'sample-data-newsfeeds', 'com_newsfeeds', 'Smartaddons-Newsfeeds', 'sample-data-newsfeeds', '', '\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2013-04-10 04:46:30', 0, '*'),
(18, 43, 1, 1, 8, 1, 'sample-data-weblinks', 'com_weblinks', 'Sample Data-Weblinks', 'sample-data-weblinks', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(19, 44, 14, 10, 39, 2, 'sample-data-articles/joomla', 'com_content', 'Joomla!', 'joomla', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(20, 45, 19, 11, 38, 3, 'sample-data-articles/joomla/extensions', 'com_content', 'Extensions', 'extensions', '', '<p>The Joomla! content management system lets you create webpages of various types using extensions. There are 5 basic types of extensions: components, modules, templates, languages, and plugins. Your website includes the extensions you need to create a basic website in English, but thousands of additional extensions of all types are available. The <a href="http://extensions.joomla.org" style="color: #1b57b1; text-decoration: none; font-weight: normal;">Joomla! Extensions Directory</a> is the largest directory of Joomla! extensions.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(21, 46, 20, 12, 13, 4, 'sample-data-articles/joomla/extensions/components', 'com_content', 'Components', 'components', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-component.png" class="image-left" alt="Component Image" />Components are larger extensions that produce the major content for your site. Each component has one or more "views" that control how content is displayed.In the Joomla! administrator there are additional extensions suce as Menus, Redirection, and the extension managers.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(22, 47, 20, 14, 25, 4, 'sample-data-articles/joomla/extensions/modules', 'com_content', 'Modules', 'modules', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-module.png" alt="Media Image" class="image-left" />Modules are small blocks of content that can be displayed in positions on a web page. The menus on this site are displayed in modules. The core of Joomla! includes 17 separate modules ranging from login to search to random images. Each module has a name that starts mod_ but when it displays it has a title. In the descriptions in this section, the titles are the same as the names.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(23, 48, 20, 26, 33, 4, 'sample-data-articles/joomla/extensions/templates', 'com_content', 'Templates', 'templates', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-themes.png" border="0" alt="Media Image" align="left" />Templates give your site its look and feel. They determine layout, colors, type faces, graphics and other aspects of design that make your site unique. Your installation of Joomla comes prepackaged with four templates. <a href="http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Template_Manager_Templates">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-10 04:42:02', 0, '*'),
(75, 166, 22, 23, 24, 5, 'sample-data-articles/joomla/extensions/modules/navigation-modules', 'com_content', 'Navigation Modules', 'navigation-modules', '', '<p>Navigation modules help your visitors move through your site and find what they need.</p>\r\n<p>Menus provide your site with structure and help your visitors navigate your site.  Although they are all based on the same menu module, the variety of ways menus are used in the sample data show how flexible this module is.</p>\r\n<p>A menu can range from extremely simple (for example the top menu or the menu for the Australian Parks sample site) to extremely complex (for example the About Joomla! menu with its many levels). They can also be used for other types of presentation such as the site map linked from the "This Site" menu.</p>\r\n<p>Breadcrumbs provide users with information about where they are in a site.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(24, 49, 20, 34, 35, 4, 'sample-data-articles/joomla/extensions/languages', 'com_content', 'Languages', 'languages', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-language.png" border="0" alt="Languages Image" align="left" />Joomla! installs in English, but translations of the interfaces, sample data and help screens are available in dozens of languages. <a href="http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Language_Manager_Installed">Help</a></p>\r\n<p><a href="http://community.joomla.org/translations.html">Translation information</a></p>\r\n<p>If there is no language pack available for your language, instructions are available for creating your own translation, which you can also contribute to the community by starting a translation team to create an accredited translation.</p>\r\n<p>Translations of the interfaces are installed using the extensions manager in the site administrator and then managed using the language manager.</p>\r\n<p>If you have two or more languages installed you may enable the language switcher plugin and module. They should always be used together. If you create multilingual content and mark your content, menu items or modules as in specific languages and follow <a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6">the complete instructions</a> your users will be able to select a specific content language using the module. By default both the plugin and module are disabled.</p>\r\n<p>There are a number of extensions that can help you manage translations of content available in the<a href="http://extensions.joomla.org"> Joomla! Extensions Directory</a>.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-10 04:07:45', 0, '*'),
(25, 50, 20, 36, 37, 4, 'sample-data-articles/joomla/extensions/plugins', 'com_content', 'Plugins', 'plugins', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-plugin.png" border="0" alt="Plugin Image" align="left" />Plugins are small task oriented extensions that enhance the Joomla! framework. Some are associated with particular extensions and others, such as editors, are used across all of Joomla!. Most beginning users do not need to change any of the plugins that install with Joomla!. <a href="http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Plugin_Manager_Edit">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-10 04:05:05', 0, '*'),
(26, 51, 14, 40, 49, 2, 'sample-data-articles/park-site', 'com_content', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(27, 52, 26, 41, 42, 3, 'sample-data-articles/park-site/park-blog', 'com_content', 'Park Blog', 'park-blog', '', '<p><span style="font-size: 12px;">Here is where I will blog all about the parks of Australia.</span></p>\r\n<p><em>You can make a blog on your website by creating a category to write you blog posts in (this one is called Park Blog). Each blog post will be an article in that category. If you make a category blog menu link with 1 column it will look like this page, if you display the category description (this part) displayed. </em></p>\r\n<p><em>To enhance your blog you may want to add  extensions for <a href="http://extensions.joomla.org/extensions/contacts-and-feedback/articles-comments" style="color: #1b57b1; text-decoration: none; font-weight: normal;">comments</a>,<a href="http://extensions.joomla.org/extensions/social-web" style="color: #1b57b1; text-decoration: none; font-weight: normal;"> interacting with social network sites</a>, <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">tagging</a>, and <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">keeping in contact with your readers</a>.   You will also enable the syndication that is included in Joomla! (in the Integration Options set Show Feed Link to Show an make sure to display the syndication module on the page).</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(28, 53, 26, 43, 48, 3, 'sample-data-articles/park-site/photo-gallery', 'com_content', 'Photo Gallery', 'photo-gallery', '', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" /></p>\r\n<p>These are my photos from parks I have visited (I didn''t take them, they are all from <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>).</p>\r\n<p><em>This shows you how to make a simple image gallery using articles in com_content. </em></p>\r\n<p><em>In each article put a thumbnail image before a "readmore" and the full size image after it. Set the article to Show Intro Text: Hide. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(29, 54, 14, 50, 55, 2, 'sample-data-articles/fruit-shop-site', 'com_content', 'Fruit Shop Site', 'fruit-shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(30, 55, 29, 51, 52, 3, 'sample-data-articles/fruit-shop-site/growers', 'com_content', 'Growers', 'growers', '', '<p>We search the whole countryside for the best fruit growers.</p>\r\n<p><em>You can let each supplier have a page that he or she can edit. To see this in action you will need to create a users who is in the suppliers group.  <br />Create one page in the growers category for that user and make that supplier the author of the page.  That user will be able to edit his or her page. </em></p>\r\n<p><em>This illustrates the use of the Edit Own permission. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(31, 56, 18, 2, 3, 2, 'sample-data-weblinks/park-links', 'com_weblinks', 'Park Links', 'park-links', '', '<p>Here are links to some of my favorite parks.</p>\r\n<p><em>The weblinks component provides an easy way to make links to external sites that are consistently formatted and categorised. You can create weblinks from the front end of your site.</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(32, 57, 18, 4, 7, 2, 'sample-data-weblinks/joomla-specific-links', 'com_weblinks', 'Joomla! Specific Links', 'joomla-specific-links', '', '<p><div style="font-family: Tahoma, Helvetica, Arial, sans-serif; font-size: 76%; background-color: #ffffff; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; line-height: 1.3em; color: #333333;"><p>A selection of links that are all related to the Joomla! Project.</p></div></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(33, 58, 32, 5, 6, 3, 'sample-data-weblinks/joomla-specific-links/smartaddons', 'com_weblinks', 'Smartaddons', 'smartaddons', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2013-07-04 03:25:03', 0, '*'),
(34, 59, 16, 64, 65, 2, 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(35, 60, 16, 66, 123, 2, 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(36, 61, 35, 67, 68, 3, 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(37, 62, 35, 69, 122, 3, 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p> </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>.</p><p><img src="images/sampledata/fruitshop/apple.jpg" border="0" alt="Apples" title="Apples" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p> </p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(38, 63, 37, 70, 71, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(39, 64, 37, 72, 73, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(40, 65, 37, 74, 75, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(41, 66, 37, 76, 77, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(42, 67, 37, 78, 79, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(43, 68, 37, 80, 81, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(44, 69, 37, 82, 83, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(45, 70, 37, 84, 85, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(46, 71, 37, 86, 87, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(47, 72, 37, 88, 89, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(48, 73, 37, 90, 91, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(49, 74, 37, 92, 93, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(50, 75, 37, 94, 95, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(51, 76, 37, 96, 97, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(52, 77, 37, 98, 99, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(53, 78, 37, 100, 101, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(54, 79, 37, 102, 103, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(55, 80, 37, 104, 105, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(56, 81, 37, 106, 107, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(57, 82, 37, 108, 109, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(58, 83, 37, 110, 111, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(59, 84, 37, 112, 113, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(60, 85, 37, 114, 115, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(61, 86, 37, 116, 117, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(62, 87, 37, 118, 119, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(63, 88, 37, 120, 121, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(64, 93, 22, 15, 16, 5, 'sample-data-articles/joomla/extensions/modules/articles-modules', 'com_content', 'Content Modules', 'articles-modules', '', '<p>Content modules display article and other information from the content component.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(65, 94, 22, 17, 18, 5, 'sample-data-articles/joomla/extensions/modules/user-modules', 'com_content', 'User Modules', 'user-modules', '', '<p>User modules interact with the user system, allowing users to login, showing who is logged in, and showing the most recently registered users.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(66, 95, 22, 19, 20, 5, 'sample-data-articles/joomla/extensions/modules/display-modules', 'com_content', 'Display Modules', 'display-modules', '', '<p>These modules display information from components other than content and user. These include weblinks, news feeds and the media manager.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(67, 96, 22, 21, 22, 5, 'sample-data-articles/joomla/extensions/modules/utility-modules', 'com_content', 'Utility Modules', 'utility-modules', '', '<p>Utility modules provide useful functionality such as search, syndication, and statistics.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*'),
(68, 97, 23, 31, 32, 5, 'sample-data-articles/joomla/extensions/templates/atomic', 'com_content', 'Atomic', 'atomic', '', '<p>Atomic is a minimal template designed to be a skeleton for making your own template and to learn about Joomla! templating.</p>\r\n<p><img src="templates/atomic/template_thumbnail.png" border="0" alt="The Atomic Template" style="border: 0; float: right;" /></p>\r\n<p> </p>\r\n<ul>\r\n<li><a href="index.php?Itemid=285">Home Page</a></li>\r\n<li><a href="index.php?Itemid=316">Typography</a></li>\r\n</ul>\r\n<p> </p>\r\n<p> </p>\r\n<p><br /><br /></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(69, 98, 23, 27, 28, 5, 'sample-data-articles/joomla/extensions/templates/beez-20', 'com_content', 'Beez 20', 'beez-20', '', '<p><img src="templates/beez_20/template_thumbnail.png" border="0" alt="Beez_20 thumbnail" align="right" style="float: right; margin: 5px,80px,5px,25px;" /></p>\r\n<p>Beez 2.0 is a versatile, easy to customize template that works for a variety of sites. It meets major accessibility standards and demonstrates a range of css and javascript techniques. It is the default template that installs with Joomla!</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=424">Home Page</a></li>\r\n<li><a href="index.php?Itemid=423">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(70, 99, 23, 29, 30, 5, 'sample-data-articles/joomla/extensions/templates/beez5', 'com_content', 'Beez5', 'beez5', '', '<p><img src="templates/beez5/template_thumbnail.png" border="0" alt="Beez5 Thumbnail" align="right" style="float: right;" /></p>\r\n<p> </p>\r\n<p>Beez 5 is an html5 implementation of a Joomla! template. It uses a number of html5 techniques to enhance the presentation of a site. It is used as the template for the Fruit Shop sample site.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=458">Home Page</a></li>\r\n<li><a href="index.php?Itemid=457">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(72, 108, 28, 44, 45, 4, 'sample-data-articles/park-site/photo-gallery/animals', 'com_content', 'Animals', 'animals', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(73, 109, 28, 46, 47, 4, 'sample-data-articles/park-site/photo-gallery/scenery', 'com_content', 'Scenery', 'scenery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB'),
(76, 167, 29, 53, 54, 3, 'sample-data-articles/fruit-shop-site/recipes', 'com_content', 'Recipes', 'recipes', '', '<p>Customers and suppliers can post their favorite recipes for fruit here.</p>\r\n<p>A good idea is to promote the use of metadata keywords to make finding other recipes for the same fruit easier.</p>\r\n<p><em>To see this in action, create a user assigned to the customer group and a user assigned to the suppliers group. These users will be able to create their own recipe pages and edit those pages. The will not be able to edit other users'' pages.</em><br /><br /></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*'),
(78, 180, 84, 136, 137, 2, 'yt-sample-data/content-category-1', 'com_content', 'Content Category 1', 'content-category-1', '', '<p> Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. </p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-05-26 16:40:47', 42, '2013-08-30 06:39:51', 0, '*'),
(79, 181, 84, 138, 139, 2, 'yt-sample-data/content-category-2', 'com_content', 'Content Category 2', 'content-category-2', '', ' Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. ', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-05-26 16:42:50', 42, '2013-08-30 06:40:11', 0, '*'),
(80, 202, 84, 140, 141, 2, 'yt-sample-data/content-category-3', 'com_content', 'Content Category 3', 'content-category-3', '', ' Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. ', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-05-28 02:43:19', 42, '2013-08-30 06:40:23', 0, '*'),
(81, 203, 84, 142, 143, 2, 'yt-sample-data/content-category-4', 'com_content', 'Content Category 4', 'content-category-4', '', ' Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. ', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2011-05-28 02:45:10', 42, '2013-08-30 06:40:35', 0, '*'),
(83, 241, 1, 133, 134, 1, 'jtc', 'com_banners', 'JTC', 'jtc', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-01-08 16:46:31', 0, '0000-00-00 00:00:00', 0, '*'),
(84, 245, 1, 135, 144, 1, 'yt-sample-data', 'com_content', 'Yt Sample Data', 'yt-sample-data', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-01-11 03:02:28', 0, '0000-00-00 00:00:00', 0, '*'),
(85, 249, 1, 145, 146, 1, 'contact', 'com_contact', 'Contact', 'contact', '', '\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-02-28 04:25:59', 42, '2013-04-05 09:02:16', 0, '*'),
(86, 250, 1, 147, 148, 1, 'slide-show', 'com_content', 'Slide Show', 'slide-show', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-11-23 04:35:14', 0, '0000-00-00 00:00:00', 0, '*'),
(87, 255, 1, 149, 150, 1, 'partners', 'com_content', 'Partners', 'partners', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-11-26 02:28:03', 0, '0000-00-00 00:00:00', 0, '*'),
(88, 256, 1, 151, 152, 1, 'our-clients', 'com_content', 'Our Clients', 'our-clients', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-11-26 02:28:46', 0, '0000-00-00 00:00:00', 0, '*'),
(89, 266, 1, 153, 154, 1, 'member', 'com_content', 'Member ', 'member', '', '<p>\r\nSuspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. \r\n</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2012-11-28 22:39:42', 0, '0000-00-00 00:00:00', 0, '*'),
(90, 277, 1, 155, 156, 1, 'short-codes', 'com_content', ' Short Codes  ', 'short-codes', '', 'Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa.', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-02-22 22:10:57', 0, '0000-00-00 00:00:00', 0, '*'),
(91, 298, 1, 157, 158, 1, 'joomla-page', 'com_content', 'Joomla page', 'joomla-page', '', '<div class="jf_typo_accord_container" style="display: block;">Dignissim nec odio pid etiam sagittis aliquet sed dis, tincidunt, etiam rhoncus odio mus proin amet vel, sit urna? Lundium, auctor integer elementum vel dolor! Etiam? Et a enim nunc non massa porta, sed, dolor tincidunt magna penatibus vut purus nec nisi, duis enim et odio! In turpis, montes scelerisque proin nec urna sit, aliquet augue turpis, phasellus lundium tristique.</div>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-02-25 04:42:52', 0, '0000-00-00 00:00:00', 0, '*');

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 'Contact Name Here', 'name', 'Position', 'Street Address', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', '<p>Information about or by the contact.</p>', 'images/powered_by.png', 'top', 'email@email.com', 1, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"FriendFeed","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"Scribed","linke":"http:\\/\\/www.scribd.com\\/people\\/view\\/504592-joomla","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 16, 1, '', '', 'last', 'first', 'middle', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-08 17:39:00', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', NULL, 'webmaster@example.com', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"","redirect":""}', 0, 34, 1, '', '', '', '', '', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I''m the owner of this store.</p>', '', NULL, '', 0, -2, 0, '0000-00-00 00:00:00', 2, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', NULL, '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"0","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\r\nRights: Creative Commons Share Alike Unported 3.0\r\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/bananas_2.jpg', NULL, '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"show_with_link","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"1","show_email":"","show_street_address":"","show_suburb":"","show_state":"1","show_postcode":"","show_country":"1","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Banana English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana","linkb_name":"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e","linkb":"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE","linkc_name":"Wikipedia:Banana Portugu\\u00eas","linkc":"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana","linkd_name":"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439","linkd":"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 39, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 'Apples', 'apples', 'Scientific Name: Malus domestica', 'Image Credit: Fievet\r\nRights: Public Domain\r\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\r\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', NULL, '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Apples English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple","linkb_name":"Wikipedia: Manzana Espa\\u00f1ol ","linkb":"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana","linkc_name":"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587","linkc":"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c","linkd_name":"Wikipedia: Tofaa Kiswahili","linkd":"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 38, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen Köhler, Köhler''s Medizinal-Pflanzen \r\nRights: Public Domain\r\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/tamarind.jpg', NULL, '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Tamarind English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind","linkb_name":"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  ","linkb":"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 ","linkc_name":"Wikipedia: Tamarinier Fran\\u00e7ais","linkc":"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier","linkd_name":"Wikipedia:Tamaline lea faka-Tonga","linkd":"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 57, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', NULL, '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 35, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 'Contact Us', 'contact-us', '40th Street, Oakland, California, United States ', '40th Street, Oakland, California, United States ', '', '', '', '', '(+00)911222333', '', '<p>\r\nMorbi interdum mollis sapien. Sed ac risus. Phasellus lacinia, magna a ullamcorper laoreet, lectus arcu pulvinar risus, vitae facilisis libero dolor a purus. Sed vel lacus. Mauris nibh felis, adipiscing varius, adipiscing in, lacinia vel, tellus. Suspendisse ac urna. Etiam pellentesque mauris ut lectus\r\n</p>\r\n\r\n', '', NULL, 'contact@ytcvn.com', 0, 1, 0, '0000-00-00 00:00:00', 3, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"1","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"0","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 85, 1, '(+00)911222333', 'http://smartaddons.com', '40th Street, Oakland, California, United States ', '', '', '*', '2012-02-28 04:26:36', 42, '', '2013-09-20 10:23:25', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(10, 'Jane Q. Public 2', 'jane-q-public11', ' Chief Information Officer ', '', 'Cupertino', 'California', 'USA', '', ' 1-212-555555-1 ', '', '<p>\r\nForem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis ligula eget tellus lacinia tristique. Vivamus convallis tristique fringilla. Pellentesque pharetra, lacus tincidunt pulvinar facilisis\r\n</p>\r\n\r\n', 'images/demo/sam-15.jpg', NULL, 'noreply@smartaddons.com', 0, -2, 0, '0000-00-00 00:00:00', 3, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"0","show_position":"","show_email":"0","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"1","show_links":"0","linka_name":"","linka":null,"linkb_name":"","linkb":null,"linkc_name":"","linkc":null,"linkd_name":"","linkd":null,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"0","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 42, 85, 1, ' 1-212-555555-1 ', 'http://.', '', '', '', '*', '2012-02-28 04:26:36', 42, '', '2013-05-07 08:20:40', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `title_alias` varchar(255) NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=195 ;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(8, 104, 'Beginners', 'beginners', '', '<p>If this is your first Joomla site or your first web site, you have come to the right place. Joomla will help you get your website up and running quickly and easily.</p>\r\n<p>Start off using your site by logging in using the administrator account you created when you installed Joomla!.</p>\r\n', '\r\n<p>Explore the articles and other resources right here on your site data to learn more about how Joomla works.(When you''re done reading, you can delete or archive all of this.) You will also probably want to visit the beginners'' areas of the <a href="http://docs.joomla.org/Beginners">Joomla documentation</a> and <a href="http://forum.joomla.org">support forums</a>.</p>\r\n<p>You''ll also want to sign up for the Joomla Security Mailing list and the Announcements mailing list. For inspiration visit the Joomla Site Showcase to see an amazing array of ways people use Joomla to tell their stories on the web.</p>\r\n<p>The basic Joomla! installation will let you get a great site up and running, but when you are ready for more features the power of Joomla! is in the creative ways that developers have extended it to do all kinds of things. Visit the Joomla! Extensions Directory to see thousands of extensions that can do almost anything you could want on a website. Can''t find what you need? You may want to find a Joomla professional on the Joomla! Resources Directory.</p>\r\n<p>Want to learn more? Consider attending a Joomla! Day or other event or joining a local Joomla! Users Group. Can''t find one near you? Start one yourself.</p>', 2, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-09 16:41:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 3, 0, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(2, 90, 'Archive Module', 'archive-module', '', '<p>This module shows a list of the calendar months containing archived articles. After you have changed the status of an article to archived, this list will be automatically generated. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Archive" title="Archive Module">Help</a></p>\r\n<p>{loadposition archiveload}</p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:21:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 5, 'modules, content', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(7, 103, 'Banner Module', 'banner-module', '', '<p>The banner module is used to display the banners that are managed by the banners component in the site administrator. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Banners">Help</a>.</p>\r\n<p>{loadposition bannersload}</p>', '', 2, 0, 0, 66, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:41:15', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 6, '', '', 1, 4, '', 0, '*', ''),
(3, 91, 'Article Categories Module', 'article-categories-module', '', '<p>This module displays a list of categories from one parent category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Categories" title="Categories Module">Help</a></p>\r\n<p>{loadposition articlescategoriesload}</p>\r\n<p> </p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, '', '2011-01-10 03:24:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 6, 'modules, content', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(4, 92, 'Articles Category Module', 'articles-category-module', '', '<p>This module allows you to display the articles in a specific category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Category">Help</a></p>\r\n<p>{loadposition articlescategoryload}</p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 04:57:37', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 4, 0, 7, '', 'articles,content', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(5, 101, 'Authentication', 'authentication', '', '<p>The authentication plugins operate when users login to your site or administrator. The Joomla! authentication is in operation by default but you can enable Gmail or LDAP or install a plugin for a different system. An example is included that may be used to create a new authentication plugin.</p><p>Default on:</p><ul><li>Joomla</li></ul><p>Default off:</p><ul><li>Gmail</li><li>LDAP</li></ul>', '', 2, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 3, '', '', 1, 3, '', 0, '*', ''),
(6, 102, 'Australian Parks ', 'australian-parks', '', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" alt="Cradle Park Banner" style="border: 0; vertical-align: baseline;" /></p>\r\n<p>Welcome!</p>\r\n<p>This is a basic site about the beautiful and fascinating parks of Australia.</p>\r\n<p>On this site you can read all about my travels to different parks, see photos, and find links to park websites.</p>\r\n<p><em>This sample site is an example of using the core of Joomla! to create a basic website, whether a "brochure site,"  a personal blog, or as a way to present information on a topic you are interested in.</em></p>\r\n<p><em> Read more about the site in the About Parks module.</em></p>\r\n<p> </p>', '', 0, 0, 0, 26, '2011-01-01 00:00:01', 42, 'Parks webmaster', '2013-04-25 03:50:49', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(9, 105, 'Contacts', 'contact', '', '<p>The contact component provides a way to provide contact forms and information for your site or to create a complex directory that can be used for many different purposes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Contacts_Contacts">Help</a></p>', '', 0, 0, 0, 21, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 04:15:37', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(10, 106, 'Content', 'content', '', '<p>The content component (com_content) is what you use to write articles. It is extremely flexible and has the largest number of built in views. Articles can be created and edited from the front end, making content the easiest component to use to create your site content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Article_Manager">Help</a></p>', '', 0, 0, 0, 21, '2011-01-01 00:00:01', 42, '', '2011-01-10 04:28:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 1, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(11, 107, 'Cradle Mountain', 'cradle-mountain', '', '<p><img src="images/sampledata/parks/landscape/250px_cradle_mountain_seen_from_barn_bluff.jpg" border="0" alt="Cradle Mountain" style="vertical-align: middle;" /></p>', '<p><img src="images/sampledata/parks/landscape/800px_cradle_mountain_seen_from_barn_bluff.jpg" border="0" alt="Cradle Mountain" style="vertical-align: middle;" /></p><p> </p><p class="caption">Source: http://commons.wikimedia.org/wiki/File:Rainforest,bluemountainsNSW.jpg</p><p class="caption">Author: Alan J.W.C.</p><p class="caption">License: GNU Free Documentation License v . 1.2 or later</p>', 0, 0, 0, 73, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(12, 110, 'Custom HTML Module', 'custom-html-module', '', '<p>This Module allows you to create your own HTML Module using a WYSIWYG editor. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Custom_HTML" title="Custom HTML Module">Help</a></p>\r\n<p>{loadposition customload}</p>', '', 0, 0, 0, 66, '2011-01-01 00:00:01', 42, '', '2011-01-10 03:46:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 1, '', '', 1, 2, '', 0, '*', ''),
(13, 111, 'Directions', 'directions', '', '<p>Here''s how to find our shop.</p><p>By car</p><p>Drive along Main Street to the intersection with First Avenue.  Look for our sign.</p><p>By foot</p><p>From the center of town, walk north on Main Street until you see our sign.</p><p>By bus</p><p>Take the #73 Bus to the last stop. We are on the north east corner.</p>', '', 0, 0, 0, 29, '2011-01-01 00:00:01', 42, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 1, '', 0, '*', ''),
(14, 112, 'Editors', 'editors', '', '<p>Editors are used thoughout Joomla! where content is created. TinyMCE is the default choice in most locations although CodeMirror is used in the template manager. No Editor provides a text box for html content.</p><p>Default on:</p><ul><li>CodeMirror Help</li><li>TinyMCE Help</li><li>No Editor Help</li></ul><p>Default off:</p><ul><li>None</li></ul>', '', 0, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 5, '', '', 1, 0, '', 0, '*', ''),
(15, 113, 'Editors-xtd', 'editors-xtd', '', '<p>These plugins are behind the buttons found beneath your editor. They only run when an editor plugin runs.</p><p>Default on:</p><ul><li>Editor Button: Image</li><li>Editor Button: Readmore</li><li>Editor Button: Page Break</li><li>Editor Button: Article</li></ul><p>Default off:</p><ul><li>None</li></ul>', '', 0, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 6, '', '', 1, 0, '', 0, '*', ''),
(16, 114, 'Feed Display', 'feed-display', '', '<p>This module allows the displaying of a syndicated feed. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Feed_Display" title="Feed Display Module">Help</a></p><p>{loadposition feeddisplayload}</p>', '', 0, 0, 0, 66, '2011-01-01 00:00:01', 42, '', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(17, 115, 'First Blog Post', 'first-blog-post', '', '<p><em>Lorem Ipsum is filler text that is commonly used by designers before the content for a new site is ready.</em></p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus purus vitae diam posuere nec eleifend elit dictum. Aenean sit amet erat purus, id fermentum lorem. Integer elementum tristique lectus, non posuere quam pretium sed. Quisque scelerisque erat at urna condimentum euismod. Fusce vestibulum facilisis est, a accumsan massa aliquam in. In auctor interdum mauris a luctus. Morbi euismod tempor dapibus. Duis dapibus posuere quam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In eu est nec erat sollicitudin hendrerit. Pellentesque sed turpis nunc, sit amet laoreet velit. Praesent vulputate semper nulla nec varius. Aenean aliquam, justo at blandit sodales, mauris leo viverra orci, sed sodales mauris orci vitae magna.</p>', '<p>Quisque a massa sed libero tristique suscipit. Morbi tristique molestie metus, vel vehicula nisl ultrices pretium. Sed sit amet est et sapien condimentum viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus viverra tortor porta orci convallis ac cursus erat sagittis. Vivamus aliquam, purus non luctus adipiscing, orci urna imperdiet eros, sed tincidunt neque sapien et leo. Cras fermentum, dolor id tempor vestibulum, neque lectus luctus mauris, nec congue tellus arcu nec augue. Nulla quis mi arcu, in bibendum quam. Sed placerat laoreet fermentum. In varius lobortis consequat. Proin vulputate felis ac arcu lacinia adipiscing. Morbi molestie, massa id sagittis luctus, sem sapien sollicitudin quam, in vehicula quam lectus quis augue. Integer orci lectus, bibendum in fringilla sit amet, rutrum eget enim. Curabitur at libero vitae lectus gravida luctus. Nam mattis, ligula sit amet vestibulum feugiat, eros sem sodales mi, nec dignissim ante elit quis nisi. Nulla nec magna ut leo convallis sagittis ac non erat. Etiam in augue nulla, sed tristique orci. Vestibulum quis eleifend sapien.</p><p>Nam ut orci vel felis feugiat posuere ut eu lorem. In risus tellus, sodales eu eleifend sed, imperdiet id nulla. Nunc at enim lacus. Etiam dignissim, arcu quis accumsan varius, dui dui faucibus erat, in molestie mauris diam ac lacus. Sed sit amet egestas nunc. Nam sollicitudin lacinia sapien, non gravida eros convallis vitae. Integer vehicula dui a elit placerat venenatis. Nullam tincidunt ligula aliquet dui interdum feugiat. Maecenas ultricies, lacus quis facilisis vehicula, lectus diam consequat nunc, euismod eleifend metus felis eu mauris. Aliquam dapibus, ipsum a dapibus commodo, dolor arcu accumsan neque, et tempor metus arcu ut massa. Curabitur non risus vitae nisl ornare pellentesque. Pellentesque nec ipsum eu dolor sodales aliquet. Vestibulum egestas scelerisque tincidunt. Integer adipiscing ultrices erat vel rhoncus.</p><p>Integer ac lectus ligula. Nam ornare nisl id magna tincidunt ultrices. Phasellus est nisi, condimentum at sollicitudin vel, consequat eu ipsum. In venenatis ipsum in ligula tincidunt bibendum id et leo. Vivamus quis purus massa. Ut enim magna, pharetra ut condimentum malesuada, auctor ut ligula. Proin mollis, urna a aliquam rutrum, risus erat cursus odio, a convallis enim lectus ut lorem. Nullam semper egestas quam non mattis. Vestibulum venenatis aliquet arcu, consectetur pretium erat pulvinar vel. Vestibulum in aliquet arcu. Ut dolor sem, pellentesque sit amet vestibulum nec, tristique in orci. Sed lacinia metus vel purus pretium sit amet commodo neque condimentum.</p><p>Aenean laoreet aliquet ullamcorper. Nunc tincidunt luctus tellus, eu lobortis sapien tincidunt sed. Donec luctus accumsan sem, at porttitor arcu vestibulum in. Sed suscipit malesuada arcu, ac porttitor orci volutpat in. Vestibulum consectetur vulputate eros ut porttitor. Aenean dictum urna quis erat rutrum nec malesuada tellus elementum. Quisque faucibus, turpis nec consectetur vulputate, mi enim semper mi, nec porttitor libero magna ut lacus. Quisque sodales, leo ut fermentum ullamcorper, tellus augue gravida magna, eget ultricies felis dolor vitae justo. Vestibulum blandit placerat neque, imperdiet ornare ipsum malesuada sed. Quisque bibendum quam porta diam molestie luctus. Sed metus lectus, ornare eu vulputate vel, eleifend facilisis augue. Maecenas eget urna velit, ac volutpat velit. Nam id bibendum ligula. Donec pellentesque, velit eu convallis sodales, nisi dui egestas nunc, et scelerisque lectus quam ut ipsum.</p>', 0, 0, 0, 27, '2011-01-01 00:00:01', 42, '', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 0, '', '', 1, 0, '', 0, '*', ''),
(18, 116, 'Second Blog Post', 'second-blog-post', '', '<p><em>Lorem Ipsum is text that is traditionally used by designers when working on a site before the content is ready.</em></p><p>Pellentesque bibendum metus ut dolor fermentum ut pulvinar tortor hendrerit. Nam vel odio vel diam tempus iaculis in non urna. Curabitur scelerisque, nunc id interdum vestibulum, felis elit luctus dui, ac dapibus tellus mauris tempus augue. Duis congue facilisis lobortis. Phasellus neque erat, tincidunt non lacinia sit amet, rutrum vitae nunc. Sed placerat lacinia fermentum. Integer justo sem, cursus id tristique eget, accumsan vel sapien. Curabitur ipsum neque, elementum vel vestibulum ut, lobortis a nisl. Fusce malesuada mollis purus consectetur auctor. Morbi tellus nunc, dapibus sit amet rutrum vel, laoreet quis mauris. Aenean nec sem nec purus bibendum venenatis. Mauris auctor commodo libero, in adipiscing dui adipiscing eu. Praesent eget orci ac nunc sodales varius.</p>', '<p>Nam eget venenatis lorem. Vestibulum a interdum sapien. Suspendisse potenti. Quisque auctor purus nec sapien venenatis vehicula malesuada velit vehicula. Fusce vel diam dolor, quis facilisis tortor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque libero nisi, pellentesque quis cursus sit amet, vehicula vitae nisl. Curabitur nec nunc ac sem tincidunt auctor. Phasellus in mattis magna. Donec consequat orci eget tortor ultricies rutrum. Mauris luctus vulputate molestie. Proin tincidunt vehicula euismod. Nam congue leo non erat cursus a adipiscing ipsum congue. Nulla iaculis purus sit amet turpis aliquam sit amet dapibus odio tincidunt. Ut augue diam, congue ut commodo pellentesque, fermentum mattis leo. Sed iaculis urna id enim dignissim sodales at a ipsum. Quisque varius lobortis mollis. Nunc purus magna, pellentesque pellentesque convallis sed, varius id ipsum. Etiam commodo mi mollis erat scelerisque fringilla. Nullam bibendum massa sagittis diam ornare rutrum.</p><p>Praesent convallis metus ut elit faucibus tempus in quis dui. Donec fringilla imperdiet nibh, sit amet fringilla velit congue et. Quisque commodo luctus ligula, vitae porttitor eros venenatis in. Praesent aliquet commodo orci id varius. Nulla nulla nibh, varius id volutpat nec, sagittis nec eros. Cras et dui justo. Curabitur malesuada facilisis neque, sed tempus massa tincidunt ut. Sed suscipit odio in lacus auctor vehicula non ut lacus. In hac habitasse platea dictumst. Sed nulla nisi, lacinia in viverra at, blandit vel tellus. Nulla metus erat, ultrices non pretium vel, varius nec sem. Morbi sollicitudin mattis lacus quis pharetra. Donec tincidunt mollis pretium. Proin non libero justo, vitae mattis diam. Integer vel elit in enim varius posuere sed vitae magna. Duis blandit tempor elementum. Vestibulum molestie dui nisi.</p><p>Curabitur volutpat interdum lorem sed tempus. Sed placerat quam non ligula lacinia sodales. Cras ultrices justo at nisi luctus hendrerit. Quisque sit amet placerat justo. In id sapien eu neque varius pharetra sed in sapien. Etiam nisl nunc, suscipit sed gravida sed, scelerisque ut nisl. Mauris quis massa nisl, aliquet posuere ligula. Etiam eget tortor mauris. Sed pellentesque vestibulum commodo. Mauris vitae est a libero dapibus dictum fringilla vitae magna.</p><p>Nulla facilisi. Praesent eget elit et mauris gravida lobortis ac nec risus. Ut vulputate ullamcorper est, volutpat feugiat lacus convallis non. Maecenas quis sem odio, et aliquam libero. Integer vel tortor eget orci tincidunt pulvinar interdum at erat. Integer ullamcorper consequat eros a pellentesque. Cras sagittis interdum enim in malesuada. Etiam non nunc neque. Fusce non ligula at tellus porta venenatis. Praesent tortor orci, fermentum sed tincidunt vel, varius vel dui. Duis pulvinar luctus odio, eget porta justo vulputate ac. Nulla varius feugiat lorem sed tempor. Phasellus pulvinar dapibus magna eget egestas. In malesuada lectus at justo pellentesque vitae rhoncus nulla ultrices. Proin ut sem sem. Donec eu suscipit ipsum. Cras eu arcu porttitor massa feugiat aliquet at quis nisl.</p>', 0, 0, 0, 27, '2011-01-01 00:00:01', 42, '', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 0, '', '', 1, 0, '', 0, '*', ''),
(19, 117, 'Footer Module', 'footer-module', '', '<p>This module shows the Joomla! copyright information. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Footer" title="Footer Module">Help</a></p>\r\n<p>{loadposition footerload}</p>', '', 0, 0, 0, 66, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:43:33', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 3, '', '', 1, 2, '', 0, '*', ''),
(20, 118, 'Fruit Shop', 'fruit-shop', '', '<h2>Welcome to the Fruit Shop</h2><p>We sell fruits from around the world. Please use our website to learn more about our business. We hope you will come to our shop and buy some fruit.</p><p ><em>This mini site will show you how you might want to set up a site for a business, in this case one selling fruit. It shows how to use access controls to manage your site content. If you were building a real site, you would might want to extend it with e-commerce, a catalog, mailing lists or other enhancements, many of which are available through the</em><a href="http://extensions.joomla.org"><em> Joomla! Extensions Directory</em></a>.</p><p><em>To understand this site you will probably want to make one user with groups set to customer and one with group set to grower. By logging in with different privileges  you can see how access control works.</em></p>', '', 0, 0, 0, 29, '2011-01-01 00:00:01', 42, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 1, '', 0, '*', ''),
(21, 119, 'Getting Help', 'getting-help', '', '<p><img class="image-left" src="administrator/templates/hathor/images/header/icon-48-help_header.png" border="0" /> There are lots of places you can get help with Joomla!. In many places in your site administrator you will see the help icon. Click on this for more information about the options and functions of items on your screen. Other places to get help are:</p>\r\n<ul>\r\n<li><a href="http://forum.joomla.org">Support Forums</a></li>\r\n<li><a href="http://docs.joomla.org">Documentation</a></li>\r\n<li><a href="http://resources.joomla.org">Professionals</a></li>\r\n<li><a href="http://shop.joomla.org/amazoncom-bookstores.html">Books</a></li>\r\n</ul>', '', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 15:32:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 10, 0, 8, '', '', 1, 16, '', 0, '*', ''),
(22, 120, 'Getting Started', 'getting-started', '', '<p>It''s easy to get started creating your website. Knowing some of the basics will help.</p><h3>What is a Content Management System?</h3><p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p><p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. The Joomla! software brings together the template and the content to create web pages.</p><h3>Site and Administrator</h3><p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see.  The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the "Site Administrator" link on the "This Site" menu or by adding /administrator to the end of you domain name.</p><p>Log in to the administrator using the username and password created during the installation of Joomla!.</p><h3>Logging in</h3><p>To login to the front end of your site use the login form or the login menu link on the "This Site" menu. Use the user name an password that were created as part of the installation process. Once logged in you will be able to create and edit articles.</p><p>In managing your site, you will be able to create content that only logged in users are able to see.</p><h3>Creating an article</h3><p>Once you are logged in, a new menu will be visible.  To create a new article, click on the "submit article" link on that menu.</p><p>The new article interface gives you a lot of options, but all you need to do is add a title an put something in the content area. To make it easy to find, set the state to published an put it in the Joomla! category.</p><div>You can edit an existing article by  clicking on the edit icon (this only displays to users who have the right to edit).</div><h3>Learn more</h3><p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href="http://docs.joomla.org">Joomla! documentation site</a> and on the<a href="http://forum.joomla.org"> Joomla! forums</a>.</p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2013-03-08 01:49:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 9, '', '', 1, 58, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(23, 121, 'Happy Orange Orchard', 'happy-orange-orchard', '', '<p>At our orchard we grow the world''s best oranges as well as other citrus fruit such as lemons and grapefruit. Our family has been tending this orchard for generations.</p>', '', 0, 0, 0, 30, '2011-01-01 00:00:01', 42, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(24, 122, 'Joomla!', 'joomla', '', '<p>Congratulations! You have a Joomla! site! Joomla! makes it easy to build a website just the way you want it and keep it simple to update and maintain.</p>\r\n<p>Joomla! is a flexible and powerful platform, whether you are building a small site for yourself or a huge site with hundreds of thousands of visitors. Joomla is open source, which means you can make it work just the way you want it to.</p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-06-29 04:53:32', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 2, '', '', 1, 182, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(25, 123, 'Koala', 'koala', '', '<p><img src="images/sampledata/parks/animals/180px_koala_ag1.jpg" border="0" alt="Koala  Thumbnail" width="180" height="123" style="vertical-align: middle; border: 0;" /></p>', '<p><img src="images/sampledata/parks/animals/800px_koala_ag1.jpg" border="0" alt="Koala Climbing Tree" width="500" height="341" style="vertical-align: middle; border: 0;" /></p><p> </p><p> </p><p class="caption">Source: http://commons.wikimedia.org/wiki/File:Koala-ag1.jpg</p><p class="caption">Author: Arnaud Gaillard</p><p><span class="caption">License: Creative Commons Share Alike Attribution Generic 1.0</span></p>', 0, 0, 0, 72, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(26, 124, 'Language Switcher', 'language-switcher', '', '<p>The language switcher module allows you to take advantage of the language tags that are available when content, modules and menu links are created.</p>\r\n<p>This module displays a list of available Content Languages for switching between them.</p>\r\n<p>When switching languages, it redirects to the Home page defined for the chosen language. Thereafter, the navigation will be the one defined for that language.</p>\r\n<p><strong>The language filter plugin must be enabled for this module to work properly.</strong></p>\r\n<p><strong></strong> <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Language_Switcher" title="Language Switcher Module">Help</a></p>\r\n<p>To view an example of the language switch moduler module, go to the site administrator and enable the language filter plugin and the language switcher module labellled "language switcher" and visit the fruit shop or park sample sites. Then follow<a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6"> the instructions in this tutorial</a>.</p>', '', 0, 0, 0, 67, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:57:35', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 3, '', '', 1, 2, '', 0, '*', ''),
(27, 125, 'Latest Articles Module', 'latest-articles-module', '', '<p>This Module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_News" title="Latest Articles">Help</a></p>\r\n<p>{loadposition articleslatestload}</p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, '', '2011-01-10 03:18:38', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 1, 'modules, content', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(28, 126, 'Login Module', 'login-module', '', '<p>This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in the Global Configuration settings), another link will be shown to enable self-registration for users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Login" title="Login">Help</a></p>\r\n<p>{loadposition loginload}</p>', '', 0, 0, 0, 65, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:36:13', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 2, '', '', 1, 3, '', 0, '*', ''),
(29, 127, 'Menu Module', 'menu-module', '', '<p>This module displays a menu on the site (frontend).  Menus can be displayed in a wide variety of ways by using the menu options and css menu styles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Menu">Help</a></p>\r\n<p>{loadposition menuload}</p>', '', 0, 0, 0, 75, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:07:59', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 1, '', '', 1, 4, '', 0, '*', ''),
(30, 128, 'Most Read Content', 'most-read-content', '', '<p>This Module shows a list of the currently published Articles which have the highest number of page views. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Most_Read" title="Most Read Content">Help</a></p>\r\n<p>{loadposition articlespopularload}</p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:13:53', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 3, 0, 2, 'modules, content', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(31, 129, 'News Flash', 'news-flash', '', '<p>Displays a set number of articles from a category based on date or random selection. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Newsflash" title="News Flash Module">Help</a></p>\r\n<p>{loadposition newsflashload}</p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, '', '2011-01-10 03:16:50', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 3, 'modules, content', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(32, 130, 'Parameters', 'parameters', '', '<p>As you make your Joomla! site using the extension you will control the details of the display using <em>parameter</em><strong>s</strong>. Parameters control everything from whether the author''s name is displayed to who can view what to the number of items shown on a list.</p><p>Default parameters for each components are changed using the Options button on the component toolbar.</p><p>Parameters can also be set on an individual item, such as an article or contact and in menu links.</p><p>If you are happy with how your site looks, it is fine to leave all of the parameters set to the defaults that were created when your site was installed. As you become more experienced with Joomla! you will use parameters more.</p><p> </p>', '', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 10, '', '', 1, 1, '', 0, '*', ''),
(33, 131, 'Phyllopteryx', 'phyllopteryx', '', '<p><img src="images/sampledata/parks/animals/200px_phyllopteryx_taeniolatus1.jpg" border="0" style="vertical-align: middle;" /></p><p> </p>', '<p><img src="images/sampledata/parks/animals/800px_phyllopteryx_taeniolatus1.jpg" border="0" style="vertical-align: middle;" /></p><p> </p><p>Source: http://en.wikipedia.org/wiki/File:Phyllopteryx_taeniolatus1.jpg</p><p>Author: Richard Ling</p><p>License: GNU Free Documentation License v 1.2 or later</p>', 0, 0, 0, 72, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 3, '', '', 1, 0, '', 0, '*', ''),
(34, 132, 'Pinnacles', 'pinnacles', '', '<p><img src="images/sampledata/parks/landscape/120px_pinnacles_western_australia.jpg" border="0" alt="Kings Canyon" width="120" height="90" style="vertical-align: middle; border: 0;" /></p>', '<p><img src="images/sampledata/parks/landscape/800px_pinnacles_western_australia.jpg" border="0" alt="King''s Canyon" width="500" height="374" style="vertical-align: middle; border: 0;" /></p><p> </p><p class="caption">Source: http://commons.wikimedia.org/wiki/File:Pinnacles_Western_Australia.jpg</p><p class="caption">Author: <a class="new" href="http://commons.wikimedia.org/w/index.php?title=User:Markdoe&action=edit&redlink=1" title="User:Markdoe (page does not exist)"></a>Martin Gloss</p><p class="caption">License: GNU Free Documentation license v 1.2 or later.</p>', 0, 0, 0, 73, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 4, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(35, 133, 'Professionals', 'professionals', '', '<p>Joomla! 1.6 continues development of the Joomla Framework and CMS as a powerful and flexible way to bring your vision of the web to reality. With the administrator now fully MVC, the ability to control its look and the management of extensions is now complete.</p>\r\n', '\r\n<p>Working with multiple template styles and overrides for the same views, creating the design you want is easier than it has ever been. Limiting support to PHP 5.2.4 and above and ending legacy support for Joomla 1.0 extensions makes Joomla! lighter and faster than ever. Languages files can now be overridden without having your changes lost during an upgrade.  With the proper xml your users update extensions with a single click.</p>\r\n<p>Access control lists are now incorporated using a new system developed for Joomla!. The ACL system is designed with developers in mind, so it is easy to incorporate into your extensions. The new nested sets libraries allow you to incorporate infinitely deep categories but also to use nested sets in a variety of other ways.</p>\r\n<p>A new forms library makes creating all kinds of user interaction simple. MooTools 1.3 provides a highly flexible javascript framework that is a major advance over MooTools 1.0.</p>\r\n<p>New events throughout the core make integration of your plugins where you want them a snap.</p>\r\n<p>Learn about:</p>\r\n<ul>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6">Changes since 1.5</a></li>\r\n<li><a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6">Working with ACL</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JCategories">Working with nested categories</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JForm">Forms library</a></li>\r\n<li><a href="http://docs.joomla.org/Working_with_Mootools_1.3">Working with Mootools 1.3</a></li>\r\n<li><a href="http://docs.joomla.org/Layout_Overrides_in_Joomla_1.6">Using new features of the override system</a></li>\r\n<li><a href="http://docs.joomla.org/API16:Framework">Joomla! 1.6 AP</a>I</li>\r\n<li><a href="http://docs.joomla.org/API16:JDatabaseQuery">Using JDatabaseQuery</a></li>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6#Events">New and updated events</a></li>\r\n<li><a href="http://docs.joomla.org/Xml-rpc_changes_in_Joomla!_1.6">Xmlrpc</a></li>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6#Extension_management">Installing and updating extensions</a></li>\r\n<li><a href="http://docs.joomla.org/Setting_up_your_workstation_for_Joomla!_development">Setting up your development environment</a></li>\r\n</ul>', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-09 16:41:13', 42, 0, '0000-00-00 00:00:00', '2011-01-09 16:41:13', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 12, 0, 5, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(36, 134, 'Random Image Module', 'random-image-module', '', '<p>This Module displays a random image from your chosen image directory. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Random_Image" title="Random Image Module">Help</a></p>\r\n<p>{loadposition randomimageload}</p>', '', 0, 0, 0, 66, '2011-01-01 00:00:01', 42, '', '2011-01-10 03:39:30', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 4, '', '', 1, 2, '', 0, '*', ''),
(37, 135, 'Related Items Module', 'related-items-module', '', '<p>This Module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords.  All the keywords of the current Article are searched against all the keywords of all other published articles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Related" title="Related Items Module">Help</a></p>\r\n<p>{loadposition relateditemsload}</p>', '', 0, 0, 0, 64, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:23:25', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 4, 'modules, content', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(38, 136, 'Sample Sites', 'sample-sites', '', '<p>Your installation includes sample data, designed to show you some of the options you have for building your website. In addition to information about Joomla! there are two sample "sites within a site" designed to help you get started with builidng your own site.</p><p>The first site is a simple site about <a href="index.php?Itemid=243">Australian Parks</a>. It shows how you can quickly and easily build a personal site with just the building blocks that are part of Joomla!. It includes a personal blog, weblinks, and a very simple image gallery.</p><p>The second site is slightly more complex and represents what you might do if you are building a site for a small business, in this case a <a href="index.php/welcome.html"></a><a href="index.php?Itemid=429">Fruit Shop</a>.</p><p>In building either style site, or something completely different, you will probably want to add <a href="http://extensions.joomla.org">extensions</a> and either create or purchase your own template. Many Joomla! users start off by modifying the <a href="http://docs.joomla.org/How_do_you_modify_a_template%3F">templates</a> that come with the core distribution so that they include special images and other design elements that relate to their site''s focus.</p>', '', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 11, '', '', 1, 5, '', 0, '*', ''),
(39, 137, 'Search', 'search-component', '', '<p>The search component proviedes basic search functionality for the information contained in your core components. Many third party extensions also can be searched by the search component. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Search">Help</a></p>', '', 0, 0, 0, 21, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 04:19:31', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(40, 138, 'Search Module', 'search-module', '', '<p>This module will display a search box. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Search" title="Search">Help</a></p>\r\n<p>{loadposition searchload}</p>', '', 0, 0, 0, 67, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:55:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 4, '', '', 1, 2, '', 0, '*', ''),
(41, 139, 'Search ', 'search-plugin', '', '<p>The search component uses plugins to control which parts of your Joomla! site are searched. You may choose to turn off some areas to improve performance or for other reasons. Many third party Joomla! extensions have search plugins that extend where search takes place.</p><p>Default On:</p><ul><li>Content Help</li><li>Contacts Help</li><li>Weblinks Help</li><li>News Feeds Help</li><li>Categories Help</li></ul>', '', 0, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(42, 140, 'Site Map', 'site-map', '', '<p>{loadposition sitemapload}</p><p><em>By putting all of your content into nested categories you can give users and search engines access to everything using a menu.</em></p>', '', 0, 0, 0, 14, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 2, '', 0, '*', ''),
(43, 141, 'Spotted Quoll', 'spotted-quoll', '', '<p><img src="images/sampledata/parks/animals/220px_spottedquoll_2005_seanmcclean.jpg" border="0" alt="Spotted Quoll" style="vertical-align: middle; border: 0;" /></p>', '<p><img src="images/sampledata/parks/animals/789px_spottedquoll_2005_seanmcclean.jpg" border="0" alt="Spotted Quoll" style="vertical-align: middle;" /></p><p> </p><p>Source: http://en.wikipedia.org/wiki/File:SpottedQuoll_2005_SeanMcClean.jpg</p><p>Author: Sean McClean</p><p>License: GNU Free Documentation License v 1.2 or later</p>', 0, 0, 0, 72, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 4, '', '', 1, 0, '', 0, '*', ''),
(44, 142, 'Statistics Module', 'statistics', '', '<p>The Statistics Module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.</p><p>{loadposition statisticsload}</p>', '', 0, 0, 0, 67, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 5, '', '', 1, 0, '', 0, '*', ''),
(45, 143, 'Syndicate Module', 'syndicate-module', '', '<p>The syndicate module allows you to display a link that allows users to take a feed from your site. It will only display on pages for which feeds are possible. That means it will not display on single article, contact or weblinks pages, such as this one. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Syndicate" title="Synicate Module">Help</a></p><p>{loadposition syndicateload}</p>', '', 0, 0, 0, 67, '2011-01-01 00:00:01', 42, '', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 6, '', '', 1, 0, '', 0, '*', ''),
(46, 144, 'System', 'system', '', '<p>System plugins operate every time a page on your site loads. They control such things as your URLS, whether users can check a "remember me" box on the login module, and whether caching is enabled.  New in 1.6 is the redirect plugin that with the redirect component assist you in managing changes in URLs.</p><p>Default on:</p><ul><li>Remember me Help</li><li>SEF Help</li><li>Debug Help</li></ul><p>Default off:</p><ul><li>Cache Help</li><li>Log Help</li><li>Redirect Help</li></ul>', '', 0, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(47, 145, 'The Joomla! Community', 'the-joomla-community', '', '<p>Joomla! means All Together, and it is a community of people all working and having fun together that makes Joomla! possible. Thousands of people each year participate in the Joomla! community, and we hope you will be one of them.</p><p>People with all kinds of skills, of all skill levels and from around the world are welcome to join in. Participate in the <a href="http://joomla.org">Joomla.org</a> family of websites (the<a href="http://forum.joomla.org"> forum </a>is a great place to start). Come to a <a href="http://community.joomla.org/events.html">Joomla! event</a>. Join or start a <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Whether you are a developer, site administrator, designer, end user or fan, there are ways for you to participate and contribute.</p>', '', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 4, '', '', 1, 3, '', 0, '*', ''),
(48, 146, 'The Joomla! Project', 'the-joomla-project', '', '<p>The Joomla! Project consists of all of the people who make and support the Joomla! Web Platform and Content Management System.</p><p>Our mission is to provide a flexible platform for digital publishing and collaboration.</p><p>The core values are:</p><ul><li>Freedom</li><li>Equality</li><li>Trust</li><li>Community</li><li>Collaboration</li><li>Usability</li></ul><p>In our vision, we see:</p><ul><li>People publishing and collaborating in their communities and around the world</li><li>Software that is free, secure, and high-quality</li><li>A community that is enjoyable and rewarding to participate in</li><li>People around the world using their preferred languages</li><li>A project that acts autonomously</li><li>A project that is socially responsible</li><li>A project dedicated to maintaining the trust of its users</li></ul><p>There are millions of users around the world and thousands of people who contribute to the Joomla! Project. They work in three main groups: the Production Working Group, responsible for everything that goes into software and documentation; the Community Working Group, responsible for creating a nurturing the community; and Open Source Matters, the non profit organization responsible for managing legal, financial and organizational issues.</p><p>Joomla! is a free and open source project, which uses the GNU General Public License version 2 or later.</p>', '', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, '', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 1, '', 0, '*', ''),
(49, 147, 'Typography', 'typography', '', '<h1>H1 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h1><h2>H2 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h2><h3>H3 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h3><h4>H4 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h4><h5>H5 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h5><h6>H6 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h6><p>P The quick brown fox ran over the lazy dog. THE QUICK BROWN FOX RAN OVER THE LAZY DOG.</p><ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item</li></ul></li></ul></li></ul><ol><li>tem</li><li>Item</li><li>Item<br /> <ol><li>Item</li><li>Item</li><li>Item<br /><ol><li>Item</li><li>Item</li><li>Item</li></ol></li></ol> </li></ol>', '', -2, 0, 0, 23, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 1, '', 0, '*', ''),
(50, 148, 'Upgraders', 'upgraders', '', '<p>If you are an experienced Joomla! 1.5 user, 1.6 will seem very familiar. There are new templates and improved user interfaces, but most functionality is the same. The biggest changes are improved access control (ACL) and nested categories.</p>\r\n', '\r\n<p>The new user manager which will let you manage who has access to what in your site. You can leave access groups exactly the way you had them in Joomla 1.5 or make them as complicated as you want. You can learn more about<a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6"> how access control works</a> in on the <a href="http://docs.joomla.org">Joomla! Documentation site</a></p>\r\n<p>In Joomla 1.5 and 1.0 content was organized into sections and categories. In 1.6 sections are gone, and you can create categories within categories, going as deep as you want. The sample data provides many examples of the use of nested categories.</p>\r\n<p>All layouts have been redesigned to improve accessibility and flexibility. If you would like to keep the 1.5 layouts, you can find them in the html folder of the MilkyWay template. Simply copy the layouts you want to the html folder of your template.</p>\r\n<p>Updating your site and extensions when needed is easier than ever thanks to installer improvements.</p>\r\n<p> </p>', 0, 0, 0, 19, '2011-01-01 00:00:01', 42, '', '2011-01-09 14:32:12', 44, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 5, '', '', 1, 2, '', 1, '*', ''),
(51, 149, 'User', 'user-plugins', '', '<p>Default on:</p><ul><li>Joomla Help</li></ul><p>Default off:</p><p>Two new plugins are available in 1.6 but are disabled by default.</p><ul><li>Contact Creator Help<br />Creates a new linked contact record for each new user created. </li><li>Profile Help<br />This example profile plugin allows you to insert additional fields into user registration and profile display. This is intended as an example of the types of extensions to the profile you might want to create. </li></ul>', '', 0, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 4, '', '', 1, 0, '', 0, '*', ''),
(52, 150, 'Users', 'users-component', '', '<p>The users extension lets your site visitors register, login and logout, change their passwords and other information, and recover lost passwords. In the administrator it allows you to create, block and manage users and create user groups and access levels. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Users_User_Manager">Help</a></p>\r\n<p>Please note that some of the user views will not display if you are not logged in to the site.</p>', '', 0, 0, 0, 21, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 04:52:55', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(53, 151, 'Using Joomla!', 'using-joomla', '', '<p>With Joomla! You can create anything from a simple personal website to a complex ecommerce or social site with millions of visitors.</p><p>This section of the sample data provides you with a brief introduction to Joomla! concepts and reference material to help you understand how Joomla! works.</p><p><em>When you no longer need the sample data, you can can simply unpublish the sample data category found within each extension in the site administrator or you may completely delete each item and all of the categories. </em></p>', '', 1, 0, 0, 19, '2011-01-01 00:00:01', 42, 'Joomla!', '2013-03-09 04:54:02', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 7, '', '', 1, 21, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(54, 152, 'Weblinks', 'weblinks', '', '<p>Weblinks (com_weblinks) is a component that provides a structured way to organize external links and present them in a visually attractive, consistent and informative way. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Weblinks_Links">Help</a></p>', '', 0, 0, 0, 21, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 04:20:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(55, 153, 'Weblinks Module', 'weblinks-module', '', '<p>This module displays the list of weblinks in a category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Weblinks" title="Weblinks Module">Help</a></p>\r\n<p>{loadposition weblinksload}</p>', '', 0, 0, 0, 66, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:45:52', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 5, '', '', 1, 2, '', 0, '*', ''),
(56, 154, 'Who''s Online', 'whos-online', '', '<p>The Who''s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged in) that are currently accessing the Web site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Who_Online" title="Who''s Online">Help</a></p>\r\n<p>{loadposition whosonlineload}</p>', '', 0, 0, 0, 65, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:34:18', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 1, '', '', 1, 3, '', 0, '*', ''),
(57, 155, 'Wobbegone', 'wobbegone', '', '<p><img src="images/sampledata/parks/animals/180px_wobbegong.jpg" border="0" alt="Wobbegone" style="vertical-align: middle; border: 0;" /></p>', '<p><img src="images/sampledata/parks/animals/800px_wobbegong.jpg" border="0" style="vertical-align: middle; border: 0;" /></p><p>Source: http://en.wikipedia.org/wiki/File:Wobbegong.jpg</p><p>Author: Richard Ling</p><p>Rights: GNU Free Documentation License v 1.2 or later</p>', 0, 0, 0, 72, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(58, 156, 'Wonderful Watermelon', 'wonderful-watermelon', '', '<p>Watermelon is a wonderful and healthy treat. We grow the world''s sweetest watermelon. We have the largest watermelon patch in our country.</p>', '', 0, 0, 0, 30, '2011-01-01 00:00:01', 42, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 1, '', '', 1, 0, '', 0, '*', ''),
(59, 157, 'Wrapper Module', 'wrapper-module', '', '<p>This module shows an iFrame window to specified location. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Wrapper" title="Wrapper Module">Help</a></p>\r\n<p>{loadposition wrapperload}</p>', '', 0, 0, 0, 67, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:44:50', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 1, '', '', 1, 3, '', 0, '*', ''),
(60, 158, 'News Feeds', 'news-feeds', '', '<p>News Feeds (com_newsfeeds) provides a way to organize and present news feeds. News feeds are a way that you present information from another site on your site. For example, the joomla.org website has numerous feeds that you can incorporate on your site. You an use menus to present a single feed, a list of feeds in a category, or or a list of all feed categories. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Newsfeeds_Feeds">Help</a></p>', '', 0, 0, 0, 21, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 04:17:08', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 0, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(61, 159, 'Breadcrumbs Module', 'breadcrumbs-module', '', '<p>Breadcrumbs provide a pathway for users to navigate through the site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Breadcrumbs" title="Breacrumbs Module">Help</a></p>\r\n<p>{loadposition breadcrumbsload}</p>', '', 0, 0, 0, 75, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:10:46', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 3, 0, 2, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(62, 160, 'Content', 'content-plugins', '', '<p>Content plugins run when specific kinds of pages are loaded. They do things ranging from protecting email addresses from harvesters to creating page breaks.</p><p>Default on:</p><ul><li>Email Cloaking Help</li><li>Load Module Help</li><li>Page Break Help</li><li>Page Navigation Help</li><li>Rating Help</li></ul><p>Default off:</p><ul><li>Code Highlighting (Geshi) Help</li></ul>', '', 0, 0, 0, 25, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 7, '', '', 1, 1, '', 0, '*', ''),
(64, 162, 'Blue Mountain Rain Forest', 'blue-mountain-rain-forest', '', '<p><img src="images/sampledata/parks/landscape/120px_rainforest_bluemountainsnsw.jpg" border="0" alt="Rain Forest Blue Mountrains" /></p>', '<p><img src="images/sampledata/parks/landscape/727px_rainforest_bluemountainsnsw.jpg" border="0" alt="Rain Forest Blue Mountrains" style="vertical-align: middle;" /></p><p> </p><p class="caption">Source: http://commons.wikimedia.org/wiki/File:Rainforest,bluemountainsNSW.jpg</p><p class="caption">Author: Adam J.W.C.</p><p class="caption">License: GNU Free Documentation License</p>', 0, 0, 0, 73, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 2, '', '', 1, 0, '', 0, '*', ''),
(65, 163, 'Ormiston Pound', 'ormiston-pound', '', '<p><img src="images/sampledata/parks/landscape/180px_ormiston_pound.jpg" border="0" alt="Ormiston Pound" style="border: 0;" /></p>', '<p><img src="images/sampledata/parks/landscape/800px_ormiston_pound.jpg" border="0" alt="Ormiston Pound" height="375" style="vertical-align: middle; border: 0;" /></p><p> </p><p class="caption">Source: http://commons.wikimedia.org/wiki/File:Ormiston_Pound.JPG</p><p class="caption">Author:</p><p class="caption">License: GNU Free Public Documentation License</p>', 0, 0, 0, 73, '2011-01-01 00:00:01', 42, 'Parks Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 3, '', '', 1, 0, '', 0, '*', ''),
(66, 165, 'Latest Users Module', 'latest-users-module', '', '<p>This module displays the latest registered users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_Users">Help</a></p>\r\n<p>{loadposition userslatestload}</p>', '', 0, 0, 0, 65, '2011-01-01 00:00:01', 42, 'Joomla!', '2011-01-10 03:31:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"1","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 0, 3, '', '', 1, 4, '', 0, '*', ''),
(67, 168, 'What''s New in 1.5?', 'whats-new-in-15', '', '<p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\r\n<p style="margin-bottom: 0in;">In Joomla! 1.5, you''''ll notice:</p>\r\n<ul>\r\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\r\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\r\n<li>Extended integration of external applications through Web services</li>\r\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\r\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\r\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\r\n</ul>', '', 2, 0, 0, 9, '2011-01-01 00:00:01', 42, 'Joomla! 1.5', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 0, 6, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(78, 182, 'Inean vehicula vehicula aliquam lobortis cursus erat', 'inean-vehicula-vehicula-aliquam-lobortis-cursus-erat', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:44:15', 42, '', '2013-09-12 15:04:56', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c13.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c13.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 15, 0, 10, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(79, 183, 'Suspendisse at libero porttitor nisi aliquet', 'suspendisse-at-libero-porttitor-nisi-aliquet', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:45:24', 42, '', '2013-09-12 15:07:18', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:45:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c16.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c16.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam gravida ultrices","image_fulltext_caption":"Curabitur luctus tortor non quam gravida ultrices"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 9, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(149, 270, 'Sed sollicitudin', 'sed-sollicitudin', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:44:39', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:44:39', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/64.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/64.jpg","float_fulltext":"","image_fulltext_alt":"Sed sollicitudin","image_fulltext_caption":"Sed sollicitudin"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(80, 184, 'Detus laoreet dignissim leo vel porta', 'detus-laoreet-dignissim-vel', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:46:07', 42, '', '2013-07-18 03:31:17', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_financial\\/s10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_financial\\/s10.jpg","float_fulltext":"","image_fulltext_alt":"Detus laoreet dignissim ","image_fulltext_caption":"Detus laoreet dignissim "}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, 8, '', '', 1, 60, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(81, 185, 'Vestibulum sit amet libero ante, a porta augue', 'vestibulum-sit-amet-libero-ante-a-porta-augue', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:46:50', 42, '', '2013-09-12 15:09:16', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c18.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c18.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 7, '', '', 1, 17, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(82, 186, 'Mauris  aptent taciti sociosqu ad litora ', 'mauris-aptent-taciti-sociosqu-ad-litora', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:48:10', 42, '', '2013-09-12 15:06:42', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c15.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 6, '', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(83, 187, 'Cum  rhoncus est ac arcu malesuada bibendum ', 'cum-rhoncus-est-ac-arcu', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit.  </p>\r\n\r\n[space height="20px"]<br/>\r\n\r\n<div class="g-pageteam">\r\n<div class="row-fluid b-gettouch">\r\n        <div class="span9"><h4 class="h-heading4">Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales </h4></div>\r\n        <div class="span3"><a target="" href="#" style="border-radius:3px;" class="btn btn-3d green"><i class=""></i> get in touch  width us </a></div>\r\n    </div>\r\n</div>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:49:05', 42, '', '2013-09-14 02:31:58', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:49:05', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c12.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c12.jpg","float_fulltext":"","image_fulltext_alt":"Proin consectetur vestibulum tellus eu tempor","image_fulltext_caption":"Proin consectetur vestibulum tellus eu tempor"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 36, 0, 5, '', '', 1, 104, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(84, 188, 'Misociis nulla interdum consequat velit.nulla vel eros blandit', 'misociis-nulla-interdum-et-cursus', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Aenean id turpis lectus. Duis eget consequat velit.nulla vel eros blandit placerat. </p>\r\n\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:50:18', 42, '', '2013-09-12 15:12:50', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c3.jpg","float_fulltext":"","image_fulltext_alt":"Misociis nulla interdum et","image_fulltext_caption":"Misociis nulla interdum et"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, 5, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(85, 189, 'Baecenas vehicula pretium turpis, in volutpat  torquent per ', 'baecenas-vehicula-pretium-turpis-in-volutpat-torquent-per', '', '<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus mauris enim, luctus nec est sed, tristique venenatis nisl? In cursus adipiscing vulputate.</p>\r\n', '\r\n<p>[space height="10"]</p>\r\n<p>\r\n<div class="grayLight" style="font-style: italic;">\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas libero odio, fringilla a elementum nec, iaculis a tortor. Praesent eget tortor leo. Cras bibendum mauris ut metus lacinia cursus. Aenean posuere diam quis quam aliquet nec dignissim orci convallis. Mauris molestie tincidunt convallis.</p>\r\n</div>\r\n[space height="10"]\r\n[quote width="40%" align="left" border="#666" color="#666" title=""] SJ-Viste a perfect, responsive Joomla theme to showcase your mobile, iPad or tablet apps. [/quote]\r\n\r\n<p>Donec eget dignissim augue. Donec ante aliquam ut consequat eget, lobortis dapibus risus. enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus massa adipiscing justo, sit amet condimentum urna ipsum et lacus.</p>\r\n\r\n\r\n<h3>Nam tincidunt fermentum ultrices</h3>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam sed sapien ipsum. Pellentesque ac eros eu mauris suscipit fermentum et sed lacus. Sed sodales mollis sagittis. Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam consectetur lacinia. Vivamus eget posuere erat. Aenean enim odio, cursus sit amet ultrices sed, dictum quis felis. Praesent eget diam in mauris accumsan posuere. Mauris ornare rhoncus nunc, ac varius tellus congue eget. Ut vitae tellus a dolor viverra cursus sed non lectus. Maecenas in velit vel lectus tempor ornare eget eget dolor. Nulla felis enim, venenatis at interdum sit amet, auctor at nisl. Duis sed mauris elit, et volutpat felis. Praesent vitae ante sed ante sagittis consectetur nec et arcu. Sed venenatis ligula id nisl imperdiet convallis.</p>', 1, 0, 0, 78, '2011-05-26 16:51:13', 42, '', '2013-09-14 03:28:43', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c10.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 38, 0, 3, '', '', 1, 225, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(150, 271, 'Cum sociis natoque', 'cum-sociis-natoque', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:45:31', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:45:31', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/65.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/65.jpg","float_fulltext":"","image_fulltext_alt":"Cum sociis natoque","image_fulltext_caption":"Cum sociis natoque"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(86, 190, 'Integer egestas lectus egestas erat convallis', 'integer-egestas-lectus-egestas-erat-convallis', '', '<p>\r\nSuspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.  </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:52:24', 42, '', '2013-09-12 15:05:59', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c14.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c14.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":" Page break example","targeta":"","urlb":false,"urlbtext":" Stet clita kasd guber","targetb":"","urlc":false,"urlctext":" Curabitur a lectus vitae elit","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 57, 0, 2, '', '', 1, 287, '{"robots":"","author":"","rights":"SJ Company","xreference":""}', 0, '*', ''),
(87, 191, 'Aenean auctor wisi et urn porttitor aliquet vulputate vitae', 'aenean-auctor-wisi-et-urna-aliquam-erat-volutpat-duis-ac-turpis', '', '<p>Suspendisse at libero nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:53:19', 42, '', '2013-09-12 15:03:12', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 31, 0, 4, '', '', 1, 136, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(88, 192, 'Aenean vehicula vehicula aliquam', 'aenean-vehicula-vehicula-aliquam', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:54:17', 42, '', '2013-09-12 15:10:32', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:54:17', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c19.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c19.jpg","float_fulltext":"","image_fulltext_alt":"Vestibulum sit amet libero vel neque dapibus ultrices mattis massa","image_fulltext_caption":"Vestibulum sit amet libero vel neque dapibus ultrices mattis massa"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 0, 10, '', '', 1, 93, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(90, 194, 'Suspendisse sit amet tortor urna', 'suspendisse-sit-amet-tortor-urna', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:46:07', 42, '', '2013-09-12 15:15:54', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c6.jpg","float_fulltext":"","image_fulltext_alt":"Us laoreet dignissim vel.","image_fulltext_caption":"Us laoreet dignissim vel."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 9, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(91, 195, 'Suspendisse at libero porttitor nisi aliquet vulputate', 'suspendisse-at-libero-porttitor-nisi-aliquet-vulputate', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 78, '2011-05-26 16:52:24', 42, '', '2013-09-12 15:08:21', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c17.jpg","float_fulltext":"","image_fulltext_alt":"Faucibus eu laoreet nunc","image_fulltext_caption":"Faucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 0, 1, '', '', 1, 48, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(92, 196, 'Vestibulum sit amet libero ante', 'vestibulum-sit-amet-libero-ante', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:46:50', 42, '', '2013-09-12 15:17:45', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 8, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(93, 197, 'Ut ligula lorem, vestibulum sit amet fringilla lobortis', 'ut-ligula-lorem-vestibulum-sit-amet-fringilla-lobortis', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:48:10', 42, '', '2013-09-12 15:16:38', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam","image_fulltext_caption":"Curabitur luctus tortor non quam"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 7, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(94, 198, 'Sociis nulla interdum aliquam vel porta ante sodales', 'sociis-nulla-interdum-aliquam-vel-porta-ante-sodales', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:50:18', 42, '', '2013-09-12 15:15:19', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c5.jpg","float_fulltext":"","image_fulltext_alt":"Sociis nulla interdum et","image_fulltext_caption":"Sociis nulla interdum et"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 6, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(95, 199, 'Vestibulum sit amet libero ante, a porta augue', 'vestibulum-sit-amet-libero-ante-a-porta-augue', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:44:15', 42, '', '2013-09-18 04:53:51', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c36.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c36.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 4, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(96, 200, 'Kril penectus aliquet nisi aliquet vulputate vitae tempor leo aliquam vel porta ', 'ursus-senectus-aliquet-pretiu', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:53:19', 42, '', '2013-09-12 15:12:02', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c20.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c20.jpg","float_fulltext":"","image_fulltext_alt":"Kril penectus aliquet pretium","image_fulltext_caption":"Kril penectus aliquet pretium"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 3, '', '', 1, 40, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(97, 201, 'Netra faucibus eu laoreet Sociis', 'netra-faucibus-eu-laoreet-sociis', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:51:13', 42, '', '2013-09-17 07:56:41', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, 1, '', '', 1, 26, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(98, 204, 'Lisl Pellentesque In id metus', 'ceger-nisl-pellentesque-in-id-metus', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:49:05', 42, '', '2013-09-13 03:45:42', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:49:05', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c28.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c28.jpg","float_fulltext":"","image_fulltext_alt":"Lisl Pellentesque In id metus","image_fulltext_caption":"Lisl Pellentesque In id metus"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 11, '', '', 1, 41, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(146, 267, 'Blue tapin ka jute', 'blue-tapin-ka-jute', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:41:58', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:41:58', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/61.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/61.jpg","float_fulltext":"","image_fulltext_alt":"Proin consectetur vestibulum","image_fulltext_caption":"Proin consectetur vestibulum"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 8, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(99, 205, 'Laoreet digen nissim veli nula kite', 'detus-laoreet-dignissim-vel', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:46:07', 42, '', '2013-09-13 03:44:04', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c27.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c27.jpg","float_fulltext":"","image_fulltext_alt":"Laoreet digen nissim veli","image_fulltext_caption":"Laoreet digen nissim veli"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 10, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(100, 206, 'Kau cika maatu ilam gase bilas mauris tempor ', 'haretra-faucibus-eu-laoreet-nunc', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:52:24', 42, '', '2013-09-13 03:39:05', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c24.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c24.jpg","float_fulltext":"","image_fulltext_alt":"Kaucibus eu laoreet nunc","image_fulltext_caption":"Kaucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 9, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(101, 207, 'Bener senver munst onvase kate rigas eget arcu magna, vel congue dui', 'haretra-faucibus-eu-laoreet-nuns', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:52:24', 42, '', '2013-09-13 03:32:12', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c21.jpg","float_fulltext":"","image_fulltext_alt":"Bener senver munst onvase","image_fulltext_caption":"Bener senver munst onvase"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 8, '', '', 1, 20, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(102, 208, 'Sanal pede elit nibh ', 'mes-pede-elit-nibh', '', '<p><img src="images/content_category/img_tigers.jpg" border="0" /></p>\r\n<p>Vede elit nibh at risus tempus. Nulla semper ac nec sit massa In Curabitur id risus sit. Non ante gravida eros quis justo sed nonummy et Donec et. Hendrerit velit orci sagittis eu</p>\r\n', '\r\n<p>Donec fringilla quam dignissim eros ullamcorper sit amet laoreet leo ultricies. Phasellus sit amet purus eget turpis scelerisque lobortis. Mauris ac odio odio. Proin non diam at augue consectetur venenatis. Nulla molestie nibh sit amet dui posuere semper. Nam ullamcorper lacus sit amet lacus dapibus accumsan. Proin augue ipsum, dictum ac sagittis et, blandit et nisl. Donec gravida sapien id neque euismod bibendum. Nullam sit amet justo a quam pretium facilisis. Nam tempor erat sed dolor auctor egestas. Nulla odio massa, ultricies ut porta ut, interdum laoreet felis. In hac habitasse platea dictumst. Cras facilisis urna sed orci scelerisque vel hendrerit mi pretium. Sed nec nisl a est consequat iaculis. Sed ut odio in felis auctor convallis vitae at mi. Donec nunc diam, commodo ornare tincidunt id, semper et erat. </p>\r\n<p>Vivamus eu mauris vel lectus consectetur congue in quis augue. Maecenas ut massa quis erat dignissim auctor id nec ipsum. Integer euismod elit vitae lectus scelerisque non feugiat arcu elementum. Maecenas ut leo at urna feugiat varius. Morbi condimentum risus sed mi sagittis tincidunt. Mauris tincidunt turpis a purus pretium ac aliquet erat imperdiet. Sed id semper odio. Donec convallis mi eu metus lobortis sit amet dignissim diam volutpat. Vivamus euismod enim quis tellus volutpat in accumsan ante blandit. Pellentesque id ante eu dolor blandit dapibus at ac lorem. Mauris non nibh nec lectus condimentum luctus at vitae nisl. Curabitur interdum nulla ac purus sollicitudin in iaculis nulla ullamcorper. Etiam ultrices tempor elementum. Aliquam erat volutpat. Vivamus convallis imperdiet mattis. Aenean imperdiet, sem quis ullamcorper consectetur, quam elit mollis lectus, a varius mauris orci vel diam. </p>\r\n<p>Nullam urna dolor, dictum at vulputate a, accumsan id nisl. Donec accumsan risus a urna volutpat luctus. Quisque tempor sollicitudin urna non blandit. Etiam nunc lectus, dictum quis bibendum ut, tristique non ante. Mauris ut volutpat nunc. Pellentesque sed dictum quam. Fusce feugiat metus et magna suscipit semper. Sed rutrum, erat sit amet faucibus dignissim, elit tellus cursus lorem, vel molestie lectus urna eu nunc. Phasellus mollis, quam et porttitor ultricies, urna enim ultrices enim, vitae porttitor enim metus quis purus. Praesent et vestibulum dolor. Duis sollicitudin ante sed erat commodo at dignissim arcu hendrerit. Pellentesque et iaculis leo. Integer eu cursus turpis. </p>\r\n<p>Cras in viverra lectus. Fusce eget massa arcu. In dictum dictum dui non aliquam. In vulputate convallis justo, imperdiet vehicula eros egestas quis. Nulla ultricies porta ante, sit amet facilisis magna dictum at. Fusce in augue sit amet ligula porta bibendum sed nec dolor. Cras fringilla, velit eget varius placerat, purus libero pellentesque purus, non laoreet sapien dui elementum ligula. </p>\r\n<p>Pellentesque diam arcu, tempus tristique condimentum at, imperdiet vel odio. In hac habitasse platea dictumst. Phasellus cursus nunc est, non auctor quam. Nam suscipit, tortor eget egestas ultricies, quam sem scelerisque turpis, pharetra fringilla augue urna id mi. Praesent in eleifend arcu. Integer tempus, sem eu feugiat ullamcorper, mauris quam rhoncus lectus, in lobortis felis justo sit amet massa. Mauris ac arcu felis, porttitor iaculis ligula. Nullam viverra nisl sit amet nunc auctor vitae suscipit mauris ullamcorper. Fusce tristique augue vitae ipsum elementum vel dapibus enim semper. Vivamus at nisi augue. Nullam egestas, elit at eleifend vehicula, mauris ligula aliquam augue, et lobortis ligula tortor eu orci. Vivamus fermentum feugiat aliquam. Nunc auctor fringilla mauris, nec placerat odio aliquet eu. Vestibulum ut suscipit libero. Donec eu justo et arcu hendrerit hendrerit eget eget dolor. Nullam elit dui, sodales sed tempus nec, tincidunt sed mi. Etiam vitae purus eu neque aliquet ornare. Ut suscipit dapibus massa, in facilisis nisl egestas ac. Vestibulum vel aliquet dui. Duis ultrices tempor convallis. Nam fringilla turpis sed leo dapibus consequat. In ac auctor dui. Curabitur nisl libero, mattis sed hendrerit nec, ornare ut felis. Sed euismod, orci in pellentesque congue, tortor leo rhoncus tortor, in auctor purus magna ac lacus. </p>\r\n<p>Etiam quis consectetur eros. Donec tincidunt, nibh in adipiscing vestibulum, ligula lorem eleifend ipsum, at ultrices odio mi fermentum nunc. Duis euismod leo ut orci congue tempus. Vestibulum sit amet auctor diam. Quisque vestibulum luctus urna, nec tempus purus ultricies quis. Mauris in risus vitae justo gravida porttitor et sit amet urna. Ut et adipiscing nisl. Nulla erat mi, rutrum et semper ac, commodo iaculis justo.</p>\r\n<p> </p>', -2, 0, 0, 80, '2011-05-26 16:48:10', 42, '', '2012-01-11 09:30:29', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 4, 0, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(103, 209, 'Ciis nulla indum nectus sika lote in dictum neque suscipit id', 'misociis-nulla-interdum-et-cursus', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:50:18', 42, '', '2013-09-13 03:34:45', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c22.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c22.jpg","float_fulltext":"","image_fulltext_alt":"Ciis nulla interdum senectus","image_fulltext_caption":"Ciis nulla interdum senectus"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 6, '', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(104, 210, 'Lames pede elit nite rigas polan', 'tames-pede-elit', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:44:15', 42, '', '2013-09-13 03:41:52', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c26.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c26.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam gravida","image_fulltext_caption":"Curabitur luctus tortor non quam gravida"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(105, 211, 'Tulo pose dikam lato kite mase', 'tames-pede', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:44:15', 42, '', '2013-09-13 03:49:25', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c30.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c30.jpg","float_fulltext":"","image_fulltext_alt":"Cras condimentum vulputate ante in imperdiet","image_fulltext_caption":"Cras condimentum vulputate ante in imperdiet"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(148, 269, ' Aliquam eget arcu', 'aliquam-eget-arcu', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>\r\n<p> </p>', 1, 0, 0, 89, '2012-11-28 22:43:51', 42, '', '2013-04-08 04:46:35', 42, 0, '0000-00-00 00:00:00', '2012-11-28 22:43:51', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/63.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/63.jpg","float_fulltext":"","image_fulltext_alt":" Aliquam eget arcu","image_fulltext_caption":" Aliquam eget arcu"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(106, 212, 'Kiop senectus aliquet pretium late rigas', 'ursus-senectus-aliquet-pretium', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:53:19', 42, '', '2013-09-13 03:40:42', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c25.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c25.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 3, '', '', 1, 19, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(107, 213, 'Maecenas vehicula pretium turpis', 'maecenas-vehicula-pretium-turpis', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:45:24', 42, '', '2013-09-13 03:47:35', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:45:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c29.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c29.jpg","float_fulltext":"","image_fulltext_alt":"Ma semper ac nec sit","image_fulltext_caption":"Ma semper ac nec sit"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 1, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(147, 268, 'Quisque arcu elit', 'quisque-arcu-elit', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:43:07', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:43:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/62.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/62.jpg","float_fulltext":"","image_fulltext_alt":"Quisque arcu elit","image_fulltext_caption":"Quisque arcu elit"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(108, 214, 'Karetra faucibus eu lase riga bose tempor leo aliquam vel porta ante sodales', 'yinean-pharetra-faucibus-eu-laoreet-nunc', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 80, '2011-05-26 16:51:13', 42, '', '2013-09-13 03:37:22', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c23.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c23.jpg","float_fulltext":"","image_fulltext_alt":"Karetra faucibus eu laoreet","image_fulltext_caption":"Karetra faucibus eu laoreet"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(109, 215, 'Kara senver munst onvase palo iken', 'haretra-faucibus-eu-laoreet-nuns', '', '<p>Rance fanceus eu laoreet nunc. Tincidunt nulla a Nulla eu convallis scelerisque sociis nulla interdum et. Cursus senectus alique maken chika</p>\r\n', '\r\n<p>Donec ac ante in erat dictum adipiscing. Maecenas pretium accumsan velit, vitae congue diam malesuada nec. Curabitur ut mauris et elit pharetra venenatis id at lectus. Duis porttitor, orci imperdiet porta ultricies, mi arcu blandit sapien, auctor consectetur velit nunc sed mauris. Donec ac ipsum ligula. Aenean egestas facilisis facilisis. Sed id tortor lacus. Integer blandit urna ut dolor sagittis eget pharetra mi eleifend. Maecenas eu eros vitae lectus sodales tempor. Sed tellus erat, lobortis a sodales sit amet, varius sed ante. Phasellus vitae magna vitae augue lobortis vulputate sit amet ut ante. In semper dictum nibh in condimentum. Phasellus vestibulum tortor vitae erat feugiat in tempor leo tempor. Proin sed lacus nibh, non porttitor metus. </p>\r\n<p>Vestibulum id elit a felis fermentum vehicula. In ligula purus, consectetur sodales pellentesque vel, volutpat vel elit. Donec sed lacus at sapien eleifend iaculis. Donec dui ligula, adipiscing sed feugiat non, elementum in metus. Donec molestie consequat mattis. Ut id turpis sed purus adipiscing sollicitudin eget mollis turpis. Integer enim neque, egestas quis fermentum in, gravida in lacus. Nullam vitae ante nibh, nec gravida leo. Duis consectetur nulla eget odio aliquet euismod. Phasellus vehicula augue fermentum tellus rhoncus porta. Fusce at dapibus nisi. Vivamus feugiat tincidunt lorem, nec venenatis erat congue vel. </p>\r\n<p>Quisque sem lacus, elementum ut faucibus at, convallis nec massa. Nam vel rhoncus sem. Nunc sed tellus ac dui ullamcorper sodales vel at est. Fusce non purus at nibh dapibus pellentesque. Nam semper, est at dignissim mattis, dui mauris vulputate nunc, eu convallis enim tortor quis ante. Sed tincidunt luctus sapien et luctus. Phasellus commodo ante elit, ut pellentesque massa. Vestibulum enim tellus, interdum et tempus vel, consequat nec ante. Aliquam erat volutpat. Donec blandit rutrum metus viverra aliquam. Morbi imperdiet laoreet elementum. Curabitur sit amet orci eget felis condimentum hendrerit. </p>\r\n<p>Donec sodales adipiscing mauris eu consequat. Aenean sit amet nibh eu lacus varius luctus. Aliquam erat volutpat. Mauris tristique porttitor tortor, ac commodo enim ultricies ac. Suspendisse at diam quis nibh sagittis semper. Nunc vel aliquam dui. Aenean posuere mauris at diam pretium faucibus. Sed elementum, lacus at varius dignissim, ipsum ipsum egestas diam, at egestas ante nisi at lectus. </p>\r\n<p>Maecenas in lacus turpis. Fusce pellentesque convallis tincidunt. Morbi ac urna ipsum, sed congue metus. Maecenas a enim eu est ornare congue consectetur vel elit. Etiam dictum orci eu augue imperdiet sollicitudin. Mauris consequat lacus sapien, eget condimentum arcu. Cras at tortor leo, in accumsan turpis. Proin a est et massa luctus venenatis. Vivamus mollis arcu a justo aliquam gravida. Pellentesque sagittis fermentum purus, id tincidunt tortor luctus quis. Donec aliquam leo id dolor egestas non condimentum nisl bibendum. In hac habitasse platea dictumst. Sed eget enim dui. In facilisis luctus justo, id faucibus dolor sodales sed. Nullam ligula mauris, pharetra quis bibendum eget, ultrices convallis velit. </p>\r\n<p>In vehicula nisi nec massa sollicitudin fermentum ut et odio. Quisque tellus enim, faucibus eget vehicula aliquam, interdum fringilla nunc. Nunc at porta massa. Donec sed est erat. Nulla dictum nisl et sapien ornare et bibendum massa rutrum. Sed sapien justo, gravida ac cursus vitae, gravida et turpis. Mauris a quam diam. Aenean aliquet, dolor eget pretium interdum, ligula sem egestas odio, fringilla adipiscing libero diam sed ipsum. Aliquam a orci vel mi ullamcorper auctor nec eget eros. Aenean nec diam ut risus molestie vulputate. Proin sagittis felis in dolor blandit eu consequat ipsum adipiscing. Maecenas adipiscing, nibh ac mollis lobortis, diam arcu semper turpis, sit amet interdum purus sapien et turpis. Suspendisse mi erat, mollis non molestie vitae, malesuada sit amet est. Proin tincidunt augue nec est lobortis ullamcorper. </p>\r\n<p>In feugiat diam viverra sem eleifend viverra vulputate quam placerat. Cras facilisis luctus purus at gravida. Vivamus sit amet mi elementum purus faucibus adipiscing. Aenean vulputate justo vel enim congue vehicula. Nullam ut ligula interdum lorem ullamcorper feugiat. Cras egestas sollicitudin ullamcorper. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam in orci massa. Duis mollis est a urna venenatis eget accumsan mi cursus. Etiam risus mauris, tempor sit amet hendrerit sit amet, rhoncus et sem. Fusce purus elit, tincidunt porttitor porta et, mattis quis nulla. Vivamus justo ligula, bibendum eu sagittis non, interdum ut ipsum.</p>\r\n<p> </p>', 1, 0, 0, 81, '2011-05-26 16:52:24', 42, '', '2013-09-13 04:00:20', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c34.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c34.jpg","float_fulltext":"","image_fulltext_alt":"Kara senver munst onvase","image_fulltext_caption":"Kara senver munst onvase"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 9, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(110, 216, 'Kulla interdum ersus senectus lote nace', 'misociis-nulla-interdum-et-cursus-senectus', '', '<p>Nis nulla interdum et. Cursus senectus aliquet pretium at tristique hac ullamcorper adipiscing et Donec. Enim montes parturient metus laoreet dignissim</p>\r\n', '\r\n<p>Nunc arcu nibh, facilisis ac tincidunt eu, varius ut dolor. Maecenas non tortor nec magna aliquet egestas non at nunc. Vivamus placerat rutrum rutrum. Vestibulum blandit rutrum leo sit amet ultricies. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque at imperdiet nulla. Quisque felis sapien, consectetur vitae interdum in, bibendum et risus. Quisque dolor ante, cursus vel rutrum ac, malesuada non nulla. Sed lacus enim, tempor a vestibulum sit amet, condimentum ut eros. Pellentesque sit amet nulla metus, id bibendum urna. Suspendisse potenti. </p>\r\n<p>Aenean pulvinar euismod pretium. Donec a tortor elit, quis pellentesque ipsum. Proin eleifend interdum tellus vel venenatis. Nullam id leo in ipsum ullamcorper cursus. Donec tincidunt iaculis aliquet. Proin commodo felis vitae massa pretium et imperdiet justo lacinia. Morbi metus tortor, fringilla a vestibulum vitae, varius nec elit. Nam velit nunc, sagittis a dictum vel, pellentesque in lectus. Quisque eu urna enim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus felis justo, iaculis sit amet pellentesque non, dapibus sed urna. Fusce libero ipsum, venenatis at pellentesque vel, adipiscing a ante. Sed ullamcorper nulla in tellus congue a hendrerit quam condimentum. Praesent augue mi, sodales vitae viverra vel, convallis id risus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. </p>\r\n<p>Nulla facilisi. Nunc varius sagittis ante. Vivamus aliquet tincidunt diam, quis molestie leo lobortis a. Proin commodo rhoncus urna sit amet aliquet. Nunc elementum leo id nisi malesuada fringilla. Quisque faucibus interdum massa in elementum. Pellentesque volutpat quam eu justo dapibus vitae rhoncus est eleifend. Nam tempor vulputate nibh quis gravida. Nullam facilisis tristique auctor. Fusce condimentum mauris quis purus sodales fermentum. Aliquam rhoncus facilisis enim egestas fermentum. Nullam enim ipsum, porta a venenatis a, adipiscing non metus. Vestibulum aliquet nulla tempor lectus tempor tincidunt pulvinar nec nisl. Integer commodo tellus id est ornare interdum. Vivamus eu diam eget urna porta adipiscing. </p>\r\n<p>Curabitur semper pellentesque malesuada. Sed justo nisi, tempor id adipiscing a, fermentum sed nisi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas sed felis ac turpis vehicula posuere. Morbi consectetur purus a elit sodales convallis. Sed quis turpis nec velit vulputate mattis. Praesent at rhoncus augue. Aenean quis quam ac nisl dapibus porta. </p>\r\n<p>Maecenas adipiscing, nunc ullamcorper consectetur tristique, nibh elit posuere turpis, ut suscipit lorem tellus vitae turpis. Morbi et orci diam. Maecenas in ornare lacus. Phasellus in mi non mauris cursus sollicitudin. Maecenas sed magna elit, a vestibulum sapien. Proin eros quam, vulputate et varius a, varius vitae eros. Sed porta enim vel turpis suscipit tincidunt. Aenean aliquam nunc a est elementum elementum. Nunc quis purus ante. Mauris placerat elit sed neque tempus interdum. Proin in libero nec dolor ullamcorper posuere in a arcu. Proin sem dui, vestibulum a consectetur sodales, ullamcorper id turpis. Proin nibh nibh, commodo id luctus quis, lacinia tempor enim. Nunc vestibulum tempus nisi, varius iaculis quam venenatis ut. </p>\r\n<p>Fusce non lectus ac dui scelerisque ullamcorper. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi lacus dolor, vehicula et volutpat eu, auctor et sapien. Cras vel neque et lacus fringilla aliquam. Aliquam viverra leo id lacus pulvinar rutrum ut eu justo. Fusce velit arcu, vestibulum sed suscipit non, fermentum id diam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris non ligula ac purus rutrum scelerisque eget vitae ligula. Nullam nec aliquam felis. Mauris et sollicitudin turpis. Morbi gravida, enim sed faucibus dictum, purus nisi dapibus nunc, sed faucibus orci lorem at eros. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In porta libero sit amet dui interdum tempor. Maecenas vestibulum iaculis sem, vitae tincidunt risus interdum eu. Etiam ullamcorper justo sit amet nunc aliquam convallis. Etiam ut suscipit risus. Ut sed dui lectus, vel adipiscing ligula. Phasellus iaculis condimentum tellus dapibus aliquet. Praesent in arcu quis neque porta eleifend sed vel tellus. Proin ut risus massa, vel pulvinar massa. Integer id ligula est, sit amet luctus ipsum. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n<p> </p>', 1, 0, 0, 81, '2011-05-26 16:50:18', 42, '', '2013-09-13 04:03:32', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c35.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c35.jpg","float_fulltext":"","image_fulltext_alt":"Kulla interdum ersus senectus","image_fulltext_caption":"Kulla interdum ersus senectus"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 8, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(111, 218, 'Pes pede elit tare misen rigas pulen', 'tames-pede', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 81, '2011-05-26 16:44:15', 42, '', '2013-09-13 04:11:24', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c37.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c37.jpg","float_fulltext":"","image_fulltext_alt":"Vestibulum sit amet libero vel neque","image_fulltext_caption":"Vestibulum sit amet libero vel neque"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 0, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(112, 219, 'Tra faucibus eu laoreet nunc moze seka', 'yinean-pharetra-faucibus-eu-laoreet-nunc', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 81, '2011-05-26 16:51:13', 42, '', '2013-09-13 04:18:32', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c40.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c40.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam ","image_fulltext_caption":"Curabitur luctus tortor non quam"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(113, 220, 'Gaucibus eu laoreet nunc polas kuta  lobortis cursus erat', 'yinean-pharetra-faucibus-eu-laoreet-nu1', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 81, '2011-05-26 16:51:13', 42, '', '2013-09-13 03:53:50', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c32.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c32.jpg","float_fulltext":"","image_fulltext_alt":"Gaucibus eu laoreet nunc","image_fulltext_caption":"Gaucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 5, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(114, 221, 'Cibus eu laoreet nunc luza sika vulputate vitae at velit aliquam vel porta ante ', 'inean-pharetra-faucibus-eu', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 81, '2011-05-26 16:51:13', 42, '', '2013-09-13 03:51:20', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c31.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c31.jpg","float_fulltext":"","image_fulltext_alt":"Kaucibus eu laoreet nunc","image_fulltext_caption":"Kaucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, 4, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(115, 222, 'Gucibus Teu laoreet nunc ', 'getra-faucibus-eu-laoreet-nunc', '', '<p>Forem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis ligula eget tellus lacinia tristique. Vivamus convallis tristique fringilla. Pellentesque pharetra, lacus tincidunt pulvinar facilisis.</p>\r\n', '\r\n\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas libero odio, fringilla a elementum nec, iaculis a tortor. Praesent eget tortor leo. Cras bibendum mauris ut metus lacinia cursus. Aenean posuere diam quis quam aliquet nec dignissim orci convallis. Mauris molestie tincidunt convallis. Curabitur vestibulum vehicula erat eget placerat.Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam</p>\r\n\r\n<p>[space height="10"]</p>\r\n[quote width="40%" align="left" border="#666" color="#666" title=""] SJ-Viste a perfect, responsive Joomla theme to showcase your mobile, iPad or tablet apps. [/quote]\r\n<p>Donec eget dignissim augue. Donec ante aliquam ut consequat eget, lobortis dapibus risus. enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.Nulla malesuada, at laoreet. </p>\r\n[clear]<br/>\r\n\r\n\r\n\r\n<div class="page-header">\r\n<h3>Nam tincidunt fermentum ultrices</h3>\r\n</div>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam sed sapien ipsum. Pellentesque ac eros eu mauris suscipit fermentum et sed lacus. Sed sodales mollis sagittis. Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam consectetur lacinia. Vivamus eget posuere erat. Aenean enim odio, cursus sit amet ultrices sed, dictum quis felis. Praesent eget diam in mauris accumsan posuere. Mauris ornare rhoncus nunc, ac varius tellus congue eget. Ut vitae tellus a dolor viverra cursus sed non lectus. Maecenas in velit vel lectus tempor ornare eget eget dolor. Nulla felis enim, venenatis at interdum sit amet, auctor at nisl. Duis sed mauris elit, et volutpat felis. Praesent vitae ante sed ante sagittis consectetur nec et arcu. Sed venenatis ligula id nisl imperdiet convallis.</p>\r\n\r\n', 1, 0, 0, 81, '2011-05-26 16:52:24', 42, '', '2013-09-13 03:55:01', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c33.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c33.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 92, 0, 3, '', '', 1, 359, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(116, 223, 'Seni senectus aliquet pretium gaze xekam nisi aliquet vulputate', 'ursus-senectus-aliquet-pretium', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 81, '2011-05-26 16:53:19', 42, '', '2013-09-13 04:13:33', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c38.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c38.jpg","float_fulltext":"","image_fulltext_alt":"In erat urna, tincidunt nec pulvinar","image_fulltext_caption":"In erat urna, tincidunt nec pulvinar"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 2, '', '', 1, 22, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(117, 224, 'Tanra mes pede elit gula serin buka', 'tames-pede-elit', '', '<p>Gimes pede elit nibh at risus tempus. Nulla semper ac nec sit massa In Curabitur id risus sit. Non ante gravida eros quis justo sed nonummy et velit orci sagittis eu</p>\r\n', '\r\n<p>Vestibulum ullamcorper varius nisl, ac ornare libero laoreet a. Nam lobortis feugiat quam nec consequat. Proin ut orci et nibh vestibulum sodales nec a felis. Etiam mollis gravida laoreet. Sed at eros nulla. Quisque ut orci ut mauris egestas volutpat. Vestibulum lectus diam, dictum nec sagittis interdum, tincidunt vitae elit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi erat velit, gravida rutrum pulvinar at, aliquam id mi. Sed non augue mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nullam porttitor vulputate ipsum in aliquam. Vivamus semper dui nec nulla rhoncus non suscipit velit aliquam. Nam orci metus, pulvinar at rhoncus ac, ultrices id orci. Praesent rutrum faucibus ante rhoncus lobortis.</p>\r\n<p>Nullam a felis leo, eget iaculis odio. In vulputate auctor rutrum. Sed ligula metus, imperdiet tincidunt sagittis vitae, iaculis at sapien. Aliquam viverra nisi vitae mauris congue vitae interdum elit tincidunt. Aliquam orci arcu, tempor ut euismod eget, rhoncus non quam. Aenean sed nisl eu tortor sodales tempor. Aenean ultricies ornare auctor. Mauris et turpis ante, nec molestie erat. Curabitur congue ante vel odio tincidunt elementum. Donec a fringilla augue. Mauris est ligula, pretium ultrices adipiscing quis, faucibus quis elit.</p>\r\n<p>Nam sed risus ante, nec feugiat purus. Maecenas volutpat volutpat volutpat. Duis ornare eleifend congue. Maecenas elementum porta nulla ut vulputate. Fusce vel erat neque. Phasellus mi massa, rutrum a mollis eu, rutrum ut risus. Aenean non augue risus. Phasellus porta mi quis mauris cursus ac euismod leo interdum. In hac habitasse platea dictumst. Donec pulvinar luctus velit sit amet hendrerit.</p>\r\n<p>Vivamus non justo leo. Morbi posuere lacinia elit, in feugiat augue ornare et. Aenean sodales tincidunt volutpat. Cras eleifend ornare lobortis. Suspendisse ornare mauris dui. Pellentesque a euismod nulla. Sed ac ante id dui hendrerit porttitor at quis felis. Nulla dui sapien, sollicitudin at semper non, auctor sit amet orci. Fusce mattis gravida velit, sed iaculis purus consequat et. Nullam ut metus at velit tristique tempus id ac quam. Suspendisse non suscipit nisi. Integer non malesuada purus.</p>\r\n<p>Suspendisse mauris ligula, convallis ac consectetur vel, condimentum non massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nunc mattis hendrerit laoreet. Suspendisse potenti. Proin vel auctor diam. Morbi mattis tellus in elit ullamcorper eu vulputate dui cursus. Nulla facilisi. Donec tristique dictum justo et pretium. Sed vestibulum, nisl nec tempus volutpat, mi mi aliquam urna, non egestas turpis ante et velit.</p>\r\n<p>Ut ac sapien purus. Suspendisse sollicitudin mattis lectus, at elementum nunc facilisis vel. Mauris a massa nibh, at blandit felis. Sed iaculis enim nisi. Mauris lobortis lacus nisi. Integer blandit augue dui. Quisque dolor orci, congue fringilla aliquam id, pellentesque sit amet justo. Vestibulum magna enim, lacinia at vulputate id, porta sed nulla. Curabitur ante dolor, iaculis vel pharetra non, sodales sit amet ligula. Fusce id lacus sapien, et facilisis erat. Integer non libero est. Nunc nisl felis, egestas eget ultricies ac, lobortis a quam. </p>\r\n<p>Nam eget tempus enim. Mauris id dui mi. In hac habitasse platea dictumst. In vitae cursus sem. Mauris porta placerat metus vitae tempus. Mauris imperdiet accumsan molestie. Donec orci nulla, feugiat fermentum bibendum id, dignissim nec nisl. Sed ultricies turpis sodales quam vestibulum non hendrerit odio lacinia. Duis in porttitor ipsum. Quisque vestibulum nibh a quam varius quis pellentesque augue placerat. Donec justo massa, interdum in malesuada sit amet, lobortis at arcu. Suspendisse odio est, consectetur eu tincidunt et, convallis id est. Cras nisl nunc, ultrices at varius eu, facilisis sit amet nisi. Mauris volutpat nisi eget orci iaculis molestie. In vestibulum, metus a lobortis luctus, leo ipsum mollis eros, at malesuada magna mi eget turpis. Quisque lectus libero, porta et posuere egestas, sodales vel diam.</p>\r\n<div> </div>', 1, 0, 0, 81, '2011-05-26 16:44:15', 42, '', '2013-09-13 04:15:23', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c39.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c39.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(118, 225, 'Nal pede kare tika mose nacerigas ', 'mes-pede-elit-nibh', '', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 81, '2011-05-26 16:48:10', 42, '', '2013-09-13 04:06:56', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c36.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c36.jpg","float_fulltext":"","image_fulltext_alt":"Nal pede elit nibh ","image_fulltext_caption":"Nal pede elit nibh "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 13, 0, 0, '', '', 1, 14, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(128, 235, 'Features', 'features', '', '<p><strong>Yt Framework</strong> uses xml file to render your layout.  The framework  supports all general features of a joomla template. The  below is the  list of features:</p>\r\n<ul>\r\n<li>Multiple Layouts: Left-Main-Right,  Left-Main, Main-Right, etc. With  xml file, you can easy to create some  layouts for a joomla template</li>\r\n<li>Mobile Ready</li>\r\n<li>Table-less Layout</li>\r\n<li>Search Engine Friendly</li>\r\n<li>Modules Types</li>\r\n<li>Cross-browser Support</li>\r\n<li>Typography</li>\r\n<li>Validation</li>\r\n<li>Template Parameters</li>\r\n<li>Google Font</li>\r\n<li>Font Size</li>\r\n<li>RTL language support</li>\r\n</ul>', '', 1, 0, 0, 9, '2011-06-29 03:10:46', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2011-06-29 03:10:46', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 1, 0, 5, '', '', 1, 338, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(129, 236, 'Module Variations', 'module-variations', '', '<p ><strong> Enter any available suffixes at Extensions - Module Manager - Module - Module Class Suffix. </strong></p>\r\n<p>This template''s module system comes with a wide range of module styles, color variations, badges and icons. Below you can see which module styles come with color variations and with which badges and icons you can combine them.Here is a list of the available options:</p>\r\n\r\n<table class="variations">\r\n<tbody>\r\n    <tr class="odd">\r\n        <td class="bold">Bg Box</td>\r\n        <td>box1, box2, box3, box4, box5</td>\r\n    </tr>\r\n  \r\n    <tr>\r\n        <td class="bold">Icons</td>\r\n        <td>tablet, cogs, phone.vv.. You can find the full icons of usage at <a href="http://fortawesome.github.io/Font-Awesome/icons/" target="_blank">Font Awesome </a> </td>\r\n    </tr>\r\n    <tr class="odd">\r\n        <td class="bold">Badges</td>\r\n        <td>badge-hot, badge-new, badge-best, badge-cool</td>\r\n    </tr>\r\n    \r\n     <tr>\r\n        <td class="bold">Other</td>\r\n        <td>clear, menu</td>\r\n    </tr>\r\n</tbody>\r\n</table>', '', 1, 0, 0, 9, '2011-06-29 03:31:50', 42, '', '2013-09-03 07:28:28', 42, 0, '0000-00-00 00:00:00', '2011-06-29 03:31:50', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 19, 0, 4, '', '', 1, 2409, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(130, 237, 'Positions', 'positions', '', '<p>This Joomla! template supports a wide variety of module positions which can be archived automatically by the system.The module positions are fully collapsible mean that if there are no modules published in particular position, this module position will disappear and the other modules with take this place. Also you can have 2-Columns layout (content, left or right)</p>\r\n<p><a class="button btn-info"href="images/position.jpg" target="_blank">Click here to view clearer picture</a></p>', '', 1, 0, 0, 9, '2011-06-29 03:32:22', 42, '', '2013-07-05 03:41:07', 42, 0, '0000-00-00 00:00:00', '2011-06-29 03:32:22', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 0, 3, '', '', 1, 104, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(131, 238, 'Extensions', 'extenstions', '', '<p><strong>SJ Viste Template is using:</strong></p>\r\n<p>[list type="smallnumber5"] [list_item]</p>\r\n<p><strong> Modules:</strong></p>\r\n<ul class="yt-list type-check" style="margin: 0;">\r\n<li><a href="#" target="_blank">SJ Matrix Slider for VM</a></li>\r\n<li><a href="#" target="_blank">SJ Flat Menu</a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/320-sj-minicart-pro-joomla-module" target="_blank">SJ Mini Cartpro</a></li>\r\n<li><a href="#" target="_blank">SJ Responsive Listing for VM</a></li>\r\n</ul>\r\n<p>[/list_item] [list_item]</p>\r\n<p><strong> Plugins</strong></p>\r\n<ul class="yt-list type-check" style="margin: 0;">\r\n<li><a href="http://www.smartaddons.com/joomla/templates/template-user-guides/724-yt-plugin-for-yt-framework-guide" target="_blank">Yt Framework Plugin</a></li>\r\n<li><a href="#" target="_blank">Yt Shortcodes Plugin</a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/free-extensions/item/252-sj-content-related-news-joomla-plugin" target="_blank">SJ Content Related News Plugin</a></li>\r\n<li><a href="#" target="_blank">SJ Responsive Listing Ajax for VM Plugin</a></li>\r\n</ul>\r\n<p>[/list_item] [list_item]</p>\r\n<p><strong> Components</strong></p>\r\n<ul class="yt-list type-check" style="margin: 0;">\r\n<li><a href="http://virtuemart.net/" target="_blank">Virtuemart Component<br /></a></li>\r\n</ul>\r\n<p>[/list_item] [/list]</p>', '', 1, 0, 0, 9, '2011-06-29 03:33:13', 42, '', '2013-09-21 05:14:31', 42, 0, '0000-00-00 00:00:00', '2011-06-29 03:33:13', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 20, 0, 2, '', '', 1, 157, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(132, 239, 'Images, Icons, Buttons', 'images-icons-buttons', '', '<h1>Images Styling</h1>\r\n<div class="yt-typo-blocks-wrap images-styling">\r\n<div class="yt-typo-block-row cols-3 clearfix">\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-block-padding clearfix">\r\n<div class="yt-img-style-wrap yt-style1 left clearfix"><img src="images/image-ex1.jpg" border="0" alt="Sample Image" title="Sample Image" /></div>\r\n</div>\r\n</div>\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-block-padding clearfix">\r\n<div class="yt-img-style-wrap yt-style2 left clearfix"><img src="images/image-ex2.jpg" border="0" alt="Sample Image" title="Sample Image" /></div>\r\n</div>\r\n</div>\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-block-padding clearfix">\r\n<div class="yt-img-style-wrap yt-style3 left clearfix"><img src="images/image-ex3.jpg" border="0" alt="Sample Image" title="Sample Image" /></div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class="yt-typo-blocks-wrap clearfix">\r\n<h1><span>Icons Style</span></h1>\r\n<div class="yt-typo-block-row cols-2 clearfix">\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-block-padding clearfix">\r\n<p class="yt-typo-icon icon-error"><span class="icon"> </span>Use <strong>&lt;p class="error"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-message"><span class="icon"> </span>Use <strong>&lt;p class="message"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-tips"><span class="icon"> </span>Use <strong>&lt;p class="tips"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-key"><span class="icon"> </span>Use <strong>&lt;p class="key"&gt;&lt;span class="icon"&gt; &lt;/span&gt;Your message goes here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-tag"><span class="icon"> </span>Use <strong>&lt;p class="tag"&gt;&lt;span class="icon"&gt; &lt;/span&gt;Your message goes here!&lt;/p&gt;</strong> to make this.</p>\r\n</div>\r\n</div>\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-block-padding clearfix">\r\n<p class="yt-typo-icon icon-cart"><span class="icon"> </span>Use <strong>&lt;p class="cart"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes 						here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-doc"><span class="icon"> </span>Use <strong>&lt;p class="doc"&gt;&lt;span class="icon"&gt; &lt;/span&gt;Your message goes 						here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-note"><span class="icon"> </span>Use <strong>&lt;p class="note"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes 						here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-photo"><span class="icon"> </span>Use <strong>&lt;p class="photo"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes 						here!&lt;/p&gt;</strong> to make this.</p>\r\n<p class="yt-typo-icon icon-mobi"><span class="icon"> </span>Use <strong>&lt;p class="mobi"&gt;&lt;span 						class="icon"&gt; &lt;/span&gt;Your message goes 						here!&lt;/p&gt;</strong> to make this.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class="yt-typo-blockswrap clearfix">\r\n<h1 class="yt-typo-title"><span>Buttons</span></h1>\r\n<div class="yt-typo-blockrow cols-4 clearfix">\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-blockct clearfix">\r\n<h4><span>Buttons Style 1</span></h4>\r\n<a class="yt-typo-btn yt-btn-blue yt-typo-btn-sm yt-btn-sm-blue" href="#"><span class="yt-typo-btn-inner">Button Text</span></a> <a class="yt-typo-btn yt-btn-blue yt-typo-btn-big yt-btn-big-blue" href="#"><span class="yt-typo-btn-inner">Button Text</span></a></div>\r\n</div>\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-blockct clearfix">\r\n<h4><span>Buttons Style 2</span></h4>\r\n<a class="yt-typo-btn yt-btn-green yt-typo-btn-sm yt-btn-sm-green" href="#"><span class="yt-typo-btn-inner">Button Text</span></a> <a class="yt-typo-btn yt-btn-green yt-typo-btn-big yt-btn-big-green" href="#"><span class="yt-typo-btn-inner">Button Text</span></a></div>\r\n</div>\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-blockct clearfix">\r\n<h4><span>Buttons Style 3</span></h4>\r\n<a class="yt-typo-btn yt-btn-black yt-typo-btn-sm yt-yt-btn-sm-black" href="#"><span class="yt-typo-btn-inner">Button Text</span></a> <a class="yt-typo-btn yt-btn-black yt-typo-btn-big yt-btn-big-black" href="#"><span class="yt-typo-btn-inner">Button Text</span></a></div>\r\n</div>\r\n<div class="yt-typo-block">\r\n<div class="yt-typo-block-padding clearfix">\r\n<h4>Buttons Style 4</h4>\r\n<a class="yt-typo-btn btn-style-1 btn-size-1" href="#"><span class="yt-typo-btn-in1"><span class="yt-typo-btn-in2">Button Text</span></span></a></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', -2, 0, 0, 9, '2011-10-31 10:09:56', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2011-10-31 10:09:56', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 1, 0, 1, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(133, 240, 'Typography', 'typography', '', '<!-- Headings\r\n================================================== -->\r\n<div class="yt-typography">\r\n<div class="page-header">\r\n<h1>Headings</h1>\r\n</div>\r\n<div class="accordion-body in">\r\n<p>All HTML headings, <code>&lt;h1&gt;</code> through <code>&lt;h6&gt;</code> are available.</p>\r\n<div class="bs-docs-example">\r\n<h1>h1. Heading 1</h1>\r\n<h2>h2. Heading 2</h2>\r\n<h3>h3. Heading 3</h3>\r\n<h4>h4. Heading 4</h4>\r\n<h5>h5. Heading 5</h5>\r\n<h6>h6. Heading 6</h6>\r\n</div>\r\n<h2 id="body-copy">Body copy</h2>\r\n<p>Bootstrap''s global default <code>font-size</code> is <strong>14px</strong>, with a <code>line-height</code> of <strong>20px</strong>. This is applied to the <code>&lt;body&gt;</code> and all paragraphs. In addition, <code>&lt;p&gt;</code> (paragraphs) receive a bottom margin of half their line-height (10px by default).</p>\r\n<div class="bs-docs-example">\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec ullamcorper nulla non metus auctor fringilla. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;p&gt;</span><span class="pln">...</span><span class="tag">&lt;/p&gt;</span></pre>\r\n<h3>Lead body copy</h3>\r\n<p>Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<div class="bs-docs-example">\r\n<p class="lead">Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;p</span><span class="atn">class</span><span class="pun">=</span><span class="atv">"lead"</span><span class="tag">&gt;</span><span class="pln">...</span><span class="tag">&lt;/p&gt;</span></pre>\r\n<h3>Built with Less</h3>\r\n<p>The typographic scale is based on two LESS variables in <strong>variables.less</strong>: <code>@baseFontSize</code> and <code>@baseLineHeight</code>. The first is the base font-size used throughout and the second is the base line-height. We use those variables and some simple math to create the margins, paddings, and line-heights of all our type and more. Customize them and Bootstrap adapts.</p>\r\n<hr class="bs-docs-separator" />\r\n<h2 id="emphasis">Emphasis</h2>\r\n<p>Make use of HTML''s default emphasis tags with lightweight styles.</p>\r\n<h3><code>&lt;small&gt;</code></h3>\r\n<p>For de-emphasizing inline or blocks of text, <small>use the small tag.</small></p>\r\n<div class="bs-docs-example">\r\n<p><small>This line of text is meant to be treated as fine print.</small></p>\r\n</div>\r\n<pre class="prettyprint">&lt;p&gt;\r\n     &lt;small&gt;This line of text is meant to be treated as fine print. &lt;/small&gt;\r\n&lt;/p&gt;</pre>\r\n<h3>Bold</h3>\r\n<p>For emphasizing a snippet of text with a heavier font-weight.</p>\r\n<div class="bs-docs-example">\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;strong&gt;</span><span class="pln">rendered as bold text</span><span class="tag">&lt;/strong&gt;</span></pre>\r\n<h3>Italics</h3>\r\n<p>For emphasizing a snippet of text with italics.</p>\r\n<div class="bs-docs-example">\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;em&gt;</span><span class="pln">rendered as italicized text</span><span class="tag">&lt;/em&gt;</span></pre>\r\n<p><span class="label label-info">Heads up!</span> Feel free to use <code>&lt;b&gt;</code> and <code>&lt;i&gt;</code> in HTML5. <code>&lt;b&gt;</code> is meant to highlight words or phrases without conveying additional importance while <code>&lt;i&gt;</code> is mostly for voice, technical terms, etc.</p>\r\n<h3>Emphasis classes</h3>\r\n<p>Convey meaning through color with a handful of emphasis utility classes.</p>\r\n<div class="bs-docs-example">\r\n<p class="muted">Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.</p>\r\n<p class="text-warning">Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p class="text-error">Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p class="text-info">Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis.</p>\r\n<p class="text-success">Duis mollis, est non commodo luctus, nisi erat porttitor ligula.</p>\r\n</div>\r\n<pre class="prettyprint linenums">&lt;p class="muted"&gt;Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.&lt;/p&gt;\r\n&lt;p class="text-warning"&gt;Etiam porta sem malesuada magna mollis euismod.&lt;/p&gt;\r\n&lt;p class="text-error"&gt;Donec ullamcorper nulla non metus auctor fringilla.&lt;/p&gt;\r\n&lt;p class="text-info"&gt;Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis.&lt;/p&gt;\r\n&lt;p class="text-success"&gt;Duis mollis, est non commodo luctus, nisi erat porttitor ligula.&lt;/p&gt;</pre>\r\n</div>\r\n<!-- Labels and badges\r\n================================================== -->\r\n<div class="page-header">\r\n<h1>Labels and badges</h1>\r\n</div>\r\n<h3>Labels</h3>\r\n<table class="table table-bordered table-striped">\r\n<thead>\r\n<tr><th>Labels</th><th>Markup</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td><span class="label">Default</span></td>\r\n<td><code>&lt;span class="label"&gt;Default&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-success">Success</span></td>\r\n<td><code>&lt;span class="label label-success"&gt;Success&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-warning">Warning</span></td>\r\n<td><code>&lt;span class="label label-warning"&gt;Warning&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-important">Important</span></td>\r\n<td><code>&lt;span class="label label-important"&gt;Important&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-info">Info</span></td>\r\n<td><code>&lt;span class="label label-info"&gt;Info&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-inverse">Inverse</span></td>\r\n<td><code>&lt;span class="label label-inverse"&gt;Inverse&lt;/span&gt;</code></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h3>Badges</h3>\r\n<table class="table table-bordered table-striped">\r\n<thead>\r\n<tr><th>Name</th><th>Example</th><th>Markup</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>Default</td>\r\n<td><span class="badge">1</span></td>\r\n<td><code>&lt;span class="badge"&gt;1&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Success</td>\r\n<td><span class="badge badge-success">2</span></td>\r\n<td><code>&lt;span class="badge badge-success"&gt;2&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Warning</td>\r\n<td><span class="badge badge-warning">4</span></td>\r\n<td><code>&lt;span class="badge badge-warning"&gt;4&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Important</td>\r\n<td><span class="badge badge-important">6</span></td>\r\n<td><code>&lt;span class="badge badge-important"&gt;6&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Info</td>\r\n<td><span class="badge badge-info">8</span></td>\r\n<td><code>&lt;span class="badge badge-info"&gt;8&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Inverse</td>\r\n<td><span class="badge badge-inverse">10</span></td>\r\n<td><code>&lt;span class="badge badge-inverse"&gt;10&lt;/span&gt;</code></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Code\r\n================================================== -->\r\n<div class="page-header">\r\n<h1>Code</h1>\r\n</div>\r\n<div class="accordion-body ">\r\n<div class=" first-child span6">\r\n<h2>Inline</h2>\r\n<p>Wrap inline snippets of code with <code>&lt;code&gt;</code>.</p>\r\n<div class="bs-docs-example">For example, <code>&lt;section&gt;</code> should be wrapped as inline.</div>\r\n<div class="prettyprint linenums"><ol class="linenums">\r\n<li class="L0"><span class="typ">For</span><span class="pln"> example</span><span class="pun">,</span><span class="pln"> </span><span class="str">&lt;code&gt;&lt;section&gt;</span><span class="pun">&lt;/</span><span class="pln">code</span><span class="pun">&gt;</span><span class="pln"> should be wrapped </span><span class="kwd">as</span><span class="pln"> </span><span class="kwd">inline</span><span class="pun">.</span></li>\r\n</ol></div>\r\n<p><strong>Note:</strong> Be sure to keep code within <code>&lt;pre&gt;</code> tags as close to the left as possible; it will render all tabs.</p>\r\n<p>You may optionally add the <code>.pre-scrollable</code> class which will set a max-height of 350px and provide a y-axis scrollbar.</p>\r\n</div>\r\n<div class="span6">\r\n<h2>Basic block</h2>\r\n<p>Use <code>&lt;pre&gt;</code> for multiple lines of code. Be sure to escape any angle brackets in the code for proper rendering.</p>\r\n<div class="bs-docs-example">\r\n<pre>   &lt;p&gt;Sample text here...&lt;/p&gt;</pre>\r\n</div>\r\n<pre class="prettyprint linenums" style="margin-bottom: 9px;">&lt;pre&gt;\r\n  &amp;lt;p&amp;gt;Sample text here...&amp;lt;/p&amp;gt;\r\n&lt;/pre&gt;</pre>\r\n</div>\r\n<div class="clear"> </div>\r\n<div class="span12">\r\n<h2>Prettify</h2>\r\n<p>To add colored syntax highlight to the <code>&lt;pre&gt;</code> tag, then use the <code>.prettyprint</code> class or the <code>.prettyprint linenums</code> class.</p>\r\n<div class="bs-docs-example">\r\n<pre class="prettyprint linenums">&lt;?php /** Begin Debug **/ if ($yt-&gt;countModules(''debug'')) : ?&gt;\r\n    &lt;div id="yt-debug"&gt;\r\n        &lt;div class="yt-container"&gt;\r\n            &lt;php echo $yt-&gt;displayModules(''debug'',''standard''); ?&gt;\r\n            &lt;div class="clear"&gt;&lt;/div&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n&lt;?php /** End Debug **/ endif; ?&gt;</pre>\r\n</div>\r\n<pre class="prettyprint linenums" style="margin-bottom: 9px;">&amp;lt;?php /** Begin Debug **/ if ($yt-&gt;countModules(''debug'')) : ?&amp;gt;\r\n    &amp;lt;div id="yt-debug"&amp;gt;\r\n        &amp;lt;div class="yt-container"&amp;gt;\r\n            &amp;lt;php echo $yt-&gt;displayModules(''debug'',''standard''); ?&amp;gt;\r\n            &amp;lt;div class="clear"&amp;gt;&amp;lt;/div&amp;gt;\r\n        &amp;lt;/div&amp;gt;\r\n    &amp;lt;/div&amp;gt;\r\n&amp;lt;?php /** End Debug **/ endif; ?&amp;gt;</pre>\r\n</div>\r\n</div>\r\n</div>\r\n<p><em>The documented typography above is a modified version of the reference guide available at: <a href="http://twitter.github.com/bootstrap/base-css.html">http://twitter.github.com/bootstrap/base-css.html</a></em></p>', '', 1, 0, 0, 90, '2011-10-31 10:10:56', 42, '', '2013-07-08 07:36:56', 42, 0, '0000-00-00 00:00:00', '2011-10-31 10:10:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 106, 0, 8, '', '', 1, 556, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(175, 297, 'Joomla page', 'joomla-page', '', '<div class="jf_typo_accord_container" style="display: block;">Dignissim nec odio pid etiam sagittis aliquet sed dis, tincidunt, etiam rhoncus odio mus proin amet vel, sit urna? Lundium, auctor integer elementum vel dolor! Etiam? Et a enim nunc non massa porta, sed, dolor tincidunt magna penatibus vut purus nec nisi, duis enim et odio! In turpis, montes scelerisque proin nec urna sit, aliquet augue turpis, phasellus lundium tristique.</div>', '', 1, 0, 0, 90, '2013-02-25 04:41:44', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2013-02-25 04:41:44', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(176, 299, 'FAQs', 'faqs', '', '<h5 class="title">Got Questions? We’ve Got Answers!</h5>\r\n<p>Asunt in anim uis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum. Allamco laboris nisi ut aliquip ex ea commodo consequat. Aser velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum.</p>\r\n[space height=''20'']\r\n<div class="span8 first">\r\n[accordion]\r\n[acc_item title="I do not have a Paypal account. Do you support other payment methods?"]\r\n Yes! You can pay through all of payment gateways that Paypal or 2Checkout supports including all major types of Credit cards. Visit Paypal and 2Checkout for more information.\r\n [/acc_item]\r\n[acc_item title="How can I join the SmartAddons Club for Products?"]\r\n<p><strong> Please try to do steps: </strong></p>\r\n[list type="smallnumber5"]\r\n        <li>  Click "Join Now", select the membership package and make your payment via Paypal or 2Checkout. Our "Special Offers" and "Promotions" also come at this page. </li>\r\n        <li>  If your payment is successful, login details to access the Member Download Area will be sent to your email and you can start downloading instantly. This process normally takes less than 5 minutes. </li>\r\n    [/list]\r\n[/acc_item]\r\n\r\n[acc_item title="Which Joomla! membership package is the best for me?"]\r\n<p><strong>  You are recommended to register the following packages as they will bring to you the best benefits: </strong></p>\r\n[list type="star"]\r\n        <li>Joomla Template Club - Business License</li>\r\n        <li>Joomla Template Club - Developer License </li>\r\n        <li>Joomla Extension Club - Business License</li>\r\n        <li>Joomla Extension Club - Developer License</li>\r\n[/list]\r\n\r\n[/acc_item]\r\n\r\n[acc_item title="How much does it cost?"]\r\n We have many Membership Packages for you to choose. Each package has different prices, durations and number of Supported domain. The membership duration starts instantly from the moment you make payment and receive login details from smartaddons.com. Visit our <b> <a href="/register.html" mce_href="/register.html">Join Now</a></b> Page to view the various memberships available for the products with details.[/acc_item]\r\n\r\n[acc_item title="SmartAddons membership fee is one-time fee, or I have to pay extra?"]\r\nWhen your membership is expired, you can still use all our templates, extensions downloaded during your membership period without paying any extra fee. However, in order to continue downloading our new/update/upgrade templates/extensions or access to Download area, you should renewal your membership.\r\n[/acc_item]\r\n\r\n\r\n[/accordion]\r\n</div>\r\n<div class="span4">\r\n   <h5>[icon name="envelope-alt"  size="20" color="#666"  ] One More Question?</h5>\r\n   <p>Asunt in anim uis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum. Allamco laboris nisi ut aliquip ex ea commodo consequat. Aser velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum.</p>\r\n   <p><a rel="slides[buttonlightbox]" class="btn btn-info " target="_blank" href="#"><strong>Get in Touch</strong></a>\r\n</p>\r\n</div>', '', 1, 0, 0, 91, '2013-02-25 04:45:21', 42, '', '2013-08-29 02:17:29', 42, 0, '0000-00-00 00:00:00', '2013-02-25 04:45:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 31, 0, 11, '', '', 1, 168, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(177, 300, 'Join now', 'join-now', '', '<p class="fontsize_l">6353+ people were not wrong choosing <strong>SmartAddons Club</strong>. Get access to all our clubs within 3 minutes.</p>\r\n<ul class="c-step">\r\n<li class="item1 active">\r\n<h3>Step 1</h3>\r\n<span>Select the right package</span></li>\r\n<li class="item2">\r\n<h3>Step 2</h3>\r\n<span>Order Info/Payment option</span></li>\r\n<li class="item3">\r\n<h3>Step 3</h3>\r\n<span>Complete &amp; Receive download info</span></li>\r\n</ul>\r\n<p>[tabs style="style1"] [tab_item title="Joomla Templates Club"] [pricing columns="3" style="green"] [plan title="JTC Personal" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=4" button_label="Join Now" price="$39 " featured="false" per="3 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>1 </strong> Domains License <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>Source Files (.psd)</li>\r\n<li>Copyright Removal <a class="boxtip" href="#" rel="tooltip" data-original-title="Personal members must keep the SmartAddons logo that is found on the footer of each template. If you want to remove Copyright by Smartaddons.Com, you can purchase Copyright Removal package..">(?) </a></li>\r\n<li>Access to AppStore Templates</li>\r\n<li>No Discount <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JTC Business" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=5" button_label="Join Now" price="$59" featured="false" per="6 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>5 </strong> Domains License <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>Source Files (.psd)</li>\r\n<li>Copyright Removal <a class="boxtip" href="#" rel="tooltip" data-original-title="Personal members must keep the SmartAddons logo that is found on the footer of each template. If you want to remove Copyright by Smartaddons.Com, you can purchase Copyright Removal package..">(?) </a></li>\r\n<li>Access to AppStore Templates</li>\r\n<li>No Discount 10% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JTC Developer" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=6" button_label="Join Now" price="$199" featured="false" per="1 Year"]</p>\r\n<ul class="pricing-list">\r\n<li>Unlimited Domains License <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>Source Files (.psd)</li>\r\n<li>Copyright Removal <a class="boxtip" href="#" rel="tooltip" data-original-title="Personal members must keep the SmartAddons logo that is found on the footer of each template. If you want to remove Copyright by Smartaddons.Com, you can purchase Copyright Removal package..">(?) </a></li>\r\n<li>Access to AppStore Templates</li>\r\n<li>No Discount 30% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [/pricing] [/tab_item] [tab_item title="Joomla Extensions Club"] [pricing columns="3" style="green"] [plan title="JTC Personal" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=1" button_label="Join Now" price="$39 " featured="false" per="3 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>1 </strong> Domains Limit <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>No Discount <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JTC Business" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=2" button_label="Join Now" price="$59" featured="false" per="6 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>5 </strong> Domains Limit <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>No Discount 10% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JTC Developer" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=3" button_label="Join Now" price="$99" featured="false" per="1 Year"]</p>\r\n<ul class="pricing-list">\r\n<li>Domains Unlimited <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>No Discount 30% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [/pricing] [/tab_item] [/tabs]</p>\r\n<p>[space height="20"]</p>\r\n<h2 class="fontsize_l">Frequently Asked Questions</h2>\r\n<p>Frequently asked questions for our Joomla! Templates Club memberships.</p>\r\n<p>[accordion] [acc_item title="What will I get after I join a membership plan?"]</p>\r\n<p><strong>1. Template Membership</strong>: After you join the club, you will immediately access the download area of the templates. There you should find your favorite template and download it. You will see two parts for each download: The Source Files and The All In One Package. The All In One Package contains all the files that are necessary to install the template on the site: the Template file, the Cloner Installer to make your site exactly like the demo, all the modules, components and plug-ins included in that template and of course the documentation guide. The Source Files package contains the Adobe Photoshop files so that you can easily edit the design part of the template.</p>\r\n<p><strong>2. Extension Membership</strong>: After you join the club, you will immediately access the download area of the extensions. There you should find your favorite extension and download it.</p>\r\n<p>[/acc_item] [acc_item title="What payment methods do you accept?"] We accept PayPal payments, credit cards (major credit cards like Visa, MasterCard, Maestro, American express etc.). The payments are managed by 2CheckOut, one of the most powerful payment gateway systems. They are completely secure as you are the only one who has access to your financial information. You may also pay through bank transfer. Please, contact us for further details regarding the payment methods. [/acc_item] [acc_item title="What will happen after my membership expires?"] After your membership expires you may continue using the same template/extension you have downloaded and installed on your domain. In fact, you may use the same template/extension for lifetime if you wish. No other payment is required to keep the same template/extension. The payment is a one-time fee. However, you won''t be able to have support from SmartAddons after the expiry. Support is given as long as you are an active member. [/acc_item] [acc_item title="Membership fees are refundable?"] Yes, we have a money back program that refunds completely your payment, if it is asked for it up to 7 days after your subscription day. Although it is a money back program, we will need a valid reason to refund your payment. We can''t accept motives like "I didn''t notice this product was for Joomla" or "I didn''t realize this template doesn''t work with Joomla 1.5". Of course, we take our responsibility for any possible problem with our products and will refund your money if we haven''t delivered you the promised product. [/acc_item] [acc_item title="How many templates/extensions am I allowed to download/use? "] The number of the templates/extensions that you may use depends on the membership plan that you have joined. You are free to download as many templates/extensions as you consider appropriate in order to test and check them out, regardless the plan that you chose. However, you may not take advantage of every template/extensions that you have downloaded. The membership plan limits you to a specific number of domains in which you can install the templates/extensions. For Personal Membership this is two, meaning that you can use two domains. For Business Membership and Developer Membership the number is Unlimited, meaning that there is no limit in the number of domains to be created. [/acc_item] [acc_item title="Can I use the templates/extensions for non commercial and nonprofit sites? "] You may use the templates/extensions for commercial and non commercial purpose. You may use it to create your company''s or personal website. If you are a designer or a freelancer, you can use them for your clients. Our templates/extensions have been also used from non profits organizations and institutions, as well as churches. However, you may not use our templates/extensions to create sites which convey to inappropriate content like crime, violence, threatening etc. [/acc_item] [/accordion]</p>', '', 1, 0, 0, 91, '2013-02-25 08:30:29', 42, '', '2013-03-09 07:54:45', 42, 0, '0000-00-00 00:00:00', '2013-02-25 08:30:29', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 61, 0, 10, '', '', 1, 347, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(134, 251, 'Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor', 'fusce-orci-ligula-gravida-vel-tincidunt-ut-pretium-in-dolor', '', '<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', 1, 0, 0, 86, '2012-11-23 04:39:19', 42, '', '2012-11-23 05:25:51', 42, 0, '0000-00-00 00:00:00', '2012-11-23 04:39:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/slideshow\\/4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slideshow\\/4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 3, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(135, 252, 'Adipiscing neque et pulvinar orci tellus dolor lacus Aenean sapien ', 'adipiscing-neque-et-pulvinar-orci-tellus-dolor-lacus-aenean-sapien', '', '<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', 1, 0, 0, 86, '2012-11-23 04:41:21', 42, '', '2012-11-23 05:24:50', 42, 0, '0000-00-00 00:00:00', '2012-11-23 04:41:21', '0000-00-00 00:00:00', '{"image_intro":"images\\/slideshow\\/2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slideshow\\/2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 2, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(136, 253, 'Aliquam lobortis cursus erat, in dictum neque suscipit', 'aliquam-lobortis-cursus-erat-in-dictum-neque-suscipit', '', '<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', -2, 0, 0, 86, '2012-11-23 04:42:21', 42, '', '2013-03-20 02:26:04', 42, 0, '0000-00-00 00:00:00', '2012-11-23 04:42:21', '0000-00-00 00:00:00', '{"image_intro":"images\\/slideshow\\/1.png","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slideshow\\/1.png","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 1, '', '', 1, 90, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(137, 254, 'Vestibulum sit amet libero vel neque dapibus ultrices mattis massa', 'vestibulum-sit-amet-libero-vel-neque-dapibus-ultrices-mattis-massa', '', '<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>[testimonial author="Hoang Minh" position="CEO"]Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci[/testimonial]</p>', 1, 0, 0, 86, '2012-11-23 04:43:20', 42, '', '2013-03-05 16:14:37', 42, 0, '0000-00-00 00:00:00', '2012-11-23 04:43:20', '0000-00-00 00:00:00', '{"image_intro":"images\\/slideshow\\/3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/slideshow\\/3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 0, '', '', 1, 16, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(138, 257, 'Aenean', 'aenean', '', '<p><img src="images/demo/logo-3.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:30:22', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:30:22', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 7, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(139, 258, 'Mauris mauris', 'mauris-mauris', '', '<p><img src="images/demo/logo-6.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:31:07', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:31:07', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(140, 259, 'Nullam ', 'nullam', '', '<p><img src="images/demo/logo-5.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:31:50', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:31:50', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(141, 260, 'Nullam semper', 'nullam-semper', '', '<p><img src="images/demo/logo-7.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:32:31', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:32:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(142, 261, 'Proin consectetur', 'proin-consectetur', '', '<p><img src="images/demo/logo-8.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:33:04', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:33:04', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(143, 262, 'Quisque', 'quisque', '', '<p><img src="images/demo/logo-2.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:33:52', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:33:52', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(144, 263, 'Suspendisse', 'suspendisse', '', '<p><img src="images/demo/logo-1.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:34:45', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:34:45', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 1, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(145, 264, 'Vestibulum', 'vestibulum', '', '<p><img src="images/demo/logo-4.png" border="0" alt="" /></p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>', '', 1, 0, 0, 87, '2012-11-26 02:36:06', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-26 02:36:06', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(183, 306, 'What''s new?', 'what-s-new', '', '<div id="g-pagewhatnew">\r\n<p>[message_box title="New UI for backend template" type="info" show_close="Yes"]From the YT Framework v2, we support UI for backend of template. We hope this will bring to you the best gratification.[/message_box]</p>\r\n<p>[message_box title="Renew, add new params" type="info" show_close="Yes"] With this version, you will get many renewing, many new added params.[/message_box]</p>\r\n<p>[message_box title="Support shortcodes, bonus pages" type="info" show_close="Yes"]From the YT Framework v2, we will support shortcodes and bonus pages. Let <a href="index.php?option=com_content&amp;view=article&amp;id=179&amp;Itemid=648">click here </a>for more info. [/message_box]</p>\r\n[space height="20"]<br/>\r\n<h3 class="title">YT Framework v2 screenshot</h3>\r\n\r\n[columns background="none"] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/overview-desc.jpg" title="Template info &amp; desc" data-rel="prettyPhoto"><img src="images/yt/screenshot1.png" border="0" /></a></div>\r\n<h5 class="align-center">Template info &amp; desc</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/overview-version.jpg" title="Template version &amp; Framework version" data-rel="prettyPhoto"><img src="images/yt/screenshot2.png" border="0" /></a></div>\r\n<h5 class="align-center">Template version &amp; Framework version</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/layout-setting.jpg" title="Layout setting" data-rel="prettyPhoto"><img src="images/yt/screenshot3.png" border="0" /></a></div>\r\n<h5 class="align-center">Layout setting</h5>\r\n[/column_item] [/columns] [columns background="none"] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/menu-setting.jpg" title="Menu setting" data-rel="prettyPhoto"><img src="images/yt/screenshot4.png" border="0" /></a></div>\r\n<h5 class="align-center">Menu setting</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/theme-setting.jpg" title="Theme setting" data-rel="prettyPhoto"><img src="images/yt/screenshot5.png" border="0" /></a></div>\r\n<h5 class="align-center">Theme setting</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/special-pos.jpg" title="Use special position" data-rel="prettyPhoto"><img src="images/yt/screenshot6.png" border="0" /></a></div>\r\n<h5 class="align-center">Use special position</h5>\r\n[/column_item] [/columns]\r\n[space height="20"]<br/>\r\n\r\n<h3 class="title">Many Features</h3>\r\n\r\n<ul class="yt-list type-check">\r\n<li>Typography</li>\r\n<li>Shortcodes</li>\r\n<li>Bonus page</li>\r\n<li>Support cpanel</li>\r\n<li>Multiple Themes</li>\r\n<li>Responsive web design</li>\r\n<li>Integrate Bootstrap</li>\r\n<li>Support RTL/LTR language</li>\r\n<li>100% table-less design, using html5 css3</li>\r\n<li>Mega Menu, moo menu, dropline menu, css menu</li>\r\n<li>Joomla! 1.7 Joomla! 2.5 and Joomla! 3.0 Native</li>\r\n<li>Support Module Variations, set style for each module</li>\r\n<li>Multiple Layouts, support override layout for many menu item</li>\r\n<li>W3C XHTML 1.0 Transitional Valid; Optimize CSS/JS/HTML/Merge File</li>\r\n<li>Compatible with IE8+, Firefox 2+, Flock 0.7+, Netscape, Safari, Opera 9.5 and Chrome</li>\r\n</ul>\r\n</div>', '', 1, 0, 0, 91, '2013-03-09 08:05:17', 42, '', '2013-07-13 06:52:02', 42, 0, '0000-00-00 00:00:00', '2013-03-09 08:05:17', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 100, 0, 4, '', '', 1, 284, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(178, 301, 'About us', 'about-us', '', '<div class="g-pageteam">\r\n     <div class="b-block">\r\n    [lightbox src="images/shortcode/a8.jpg" width="290" height="180" lightbox="off" title="Vestibulum id urna" align="left" ]\r\n    <h3 class="modtitle" style="margin-bottom:10px">Welcome to viste Company</h3>\r\n    <p>\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales posuere egestas elit. Quisque sodales pulvinar dolor eu facilisis. Proin in feugiat nisi. Donec feugiat purus eget ipsum aliquet rhoncus.</p>\r\n    \r\n    <p>Aliquam aliquam consequat laoreet. Proin eu magna et odio facilisis viverra vitae et dolor. Fusce enim elit, pulvinar at vestibulum faucibus, eleifend sit amet massa. Vestibulum mattis felis a ante vestibulum varius. Ut in nisi eu mi semper interdum sit amet a magna. Curabitur eget sapien sem, non pretium augue.\r\n    </p>\r\n   <p>\r\nNulla auctor mauris ut dui luctus semper. In hac habitasse platea dictumst. Duis pellentesque ligula a risus suscipit dignissim. Nunc non nisl lacus. Integer pharetra lacinia dapibus. Donec eu dolor dui, vel posuere mauris.\r\nPellentesque semper congue sodales. In consequat, metus eget con sequat ornare, augue dolor blandit purus, vitae lacinia nisi tellus in erat. Nulla ac justo eget massa aliquet sodales. Maecenas mattis male suada sem, in fringilla massa dapibus quis. Suspendisse aliquam leo id neque auctor molestie. Etiam at nulla tellus. Nunc non nisl lacus. Integer pharetra lacinia dapibus. Donec eu dolor dui, vel posuere mauris.\r\n\r\n  </p>\r\n    </div>\r\n    \r\n    \r\n<h2 class="ourteam-title"><span>Our Team</span></h2>\r\n<div class="row-fluid b-ourteam">\r\n    \r\n    <div class="span4">\r\n        \r\n        [lightbox src="images/shortcode/a7.jpg" width="175" height="175" lightbox="on" title="Vestibulum id urna" align="none" ]\r\n        <h3 class="h-title">Peter Jobs</h3>\r\n        <p class="member">CEO and Founder</p>\r\n        <p>Maecenas mattis male suada sem, in fringilla massa dapibus quis. Suspendisse aliquam leo  </p>\r\n        <div class="b-social">\r\n            [social type="facebook" size="small" style="cicle" ] # [/social] [social type="twitterbird" size="small" style="cicle"] # [/social] [social type="dribbble" size="small" style="cicle"] # [/social]</div>\r\n    </div>\r\n    \r\n    <div class="span4">\r\n        \r\n        [lightbox src="images/shortcode/a4.jpg" width="175" height="175" lightbox="on" title="Vestibulum id urna" align="none"]\r\n         <h3 class="h-title">Kimberly Spenzer</h3>\r\n        <p class="member">Susan Cambler</p>\r\n        <p>Maecenas mattis male suada sem, in fringilla massa dapibus quis. Suspendisse aliquam leo  </p>\r\n        <div class="b-social">[social type="facebook" size="small" style="cicle" ] # [/social] [social type="twitterbird" size="small" style="cicle"] # [/social] [social type="dribbble" size="small" style="cicle"] # [/social] </div>\r\n    </div>\r\n    \r\n    <div class="span4">\r\n        \r\n        [lightbox src="images/shortcode/a6.jpg" width="175" height="175" lightbox="on" title="Vestibulum id urna" align="none" ]\r\n        <h3 class="h-title">Lucenzo Di Michele</h3>\r\n        <p class="member">Developer and Support</p>\r\n        <p> Maecenas mattis male suada sem, in fringilla massa dapibus quis. Suspendisse aliquam leo  </p>\r\n        <div class="b-social">\r\n            [social type="facebook" size="small" style="cicle" ] # [/social] [social type="twitterbird" size="small" style="cicle"] # [/social] [social type="dribbble" size="small" style="cicle"] # [/social] </div>\r\n    </div>\r\n    \r\n     \r\n</div>\r\n\r\n<h2 class="ourteam-title"><span>Our Client</span></h2>\r\n<div class="row-fluid b-ourclient">\r\n     <div class="span3"><a href="#">[lightbox src="images/shortcode/logo.png" width="99" height="36" lightbox="off"  align="center"]</a></div>\r\n     <div class="span3"><a href="#">[lightbox src="images/shortcode/logo.png" width="99" height="36" lightbox="off"  align="center"]</a></div>\r\n     <div class="span3"><a href="#">[lightbox src="images/shortcode/logo.png" width="99" height="36" lightbox="off"  align="center"]</a></div>\r\n     <div class="span3"><a href="#">[lightbox src="images/shortcode/logo.png" width="99" height="36" lightbox="off"  align="center"]</a></div>\r\n</div>\r\n</div>\r\n\r\n[space height="30"]', '', 1, 0, 0, 91, '2013-02-26 09:25:46', 42, '', '2013-09-03 08:24:27', 42, 42, '2013-10-07 02:38:16', '2013-02-26 09:25:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"0","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_vote":"0","show_hits":"0","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 115, 0, 9, '', '', 1, 388, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(151, 272, 'Duis vestibulum', 'duis-vestibulum', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:46:17', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:46:17', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/66.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/66.jpg","float_fulltext":"","image_fulltext_alt":"Duis vestibulum","image_fulltext_caption":"Duis vestibulum"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 3, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(152, 273, 'Proin consectetur', 'proin-consectetur', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:47:00', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:47:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/67.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/67.jpg","float_fulltext":"","image_fulltext_alt":"Proin consectetur","image_fulltext_caption":"Proin consectetur"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(153, 274, 'Nullam lobortis', 'nullam-lobortis', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:47:46', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:47:46', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/69.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/69.jpg","float_fulltext":"","image_fulltext_alt":"Nullam lobortis","image_fulltext_caption":"Nullam lobortis"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(154, 275, 'Nunc euismod', 'nunc-euismod', '', '<p>Bluse tanes libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 89, '2012-11-28 22:48:39', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-11-28 22:48:39', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/70.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/sjcontent\\/70.jpg","float_fulltext":"","image_fulltext_alt":"Nunc euismod","image_fulltext_caption":"Nunc euismod"}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(155, 276, 'Page break example', 'page-break-example', '', '<p>Kus eu laoreet nunc. Tincidunt nulla a Nulla eu convallis scelerisque sociis nulla interdum et. Cursus senectus alique.Ty fames pede elit nibh at risus tempus.</p>\r\n[space height="20"]\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.\r\n</p>\r\n[space height="20"]\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere\r\n cubilia Curae; Maecenas libero odio, fringilla a elementum nec, iaculis a tortor. Praesent eget tortor leo. Cras bibendum mauris ut metus lacinia cursus. Aenean posuere diam quis quam aliquet nec dignissim orci convallis. Mauris molestie tincidunt convallis. Curabitur vestibulum vehicula erat eget placerat.Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam</p>\r\n\r\n[space height="20"]\r\n<hr title="First page" class="system-pagebreak" />\r\n<h5> Splitting a long Article into multiple linked pages </h5>\r\n<p>Splitting up long articles into sections is a helpful way of presenting content. Joomla! can be used to split Articles into multiple pages which are linked using Previous and Next page navigation and also a Table of Contents section which is displayed as part of the Article.\r\n</p>\r\n<ul class="yt-list type-smallnumber5"><li>Enter the <i>Page Title</i> and <i>Table of Contents Alias</i> as required:\r\n<ul class="yt-list type-disc"><li><b>Page Title</b>: Allows you to enter a sub title for the page displayed after the Article title. If left blank the main Article title will be used.\r\n</li><li><b>Table of Contents Alias</b>: Used to give a shortened name for the Table of Contents which is displayed as part of multiple page Articles. If left blank the link will be displayed as <b>Page #</b>.\r\n</li></ul>\r\n</li><li>Click the <i>Insert Pagebreak</i> button. The screen will close and a horizontal rule will be inserted to show the location of the Pagebreak.\r\n<ul class="ytCircle2"><li>To close the Insert Pagebreak screen without inserting a Pagebreak click the <i>X</i> close button.\r\n</li></ul>\r\n</li><li>Repeat steps 2-5 for each Pagebreak required.\r\n<ul class="yt-list type-disc"><li>To remove a Pagebreak delete the horizontal rule using the delete or backspace keys.\r\n</li></ul>\r\n</li></ul>\r\n\r\n<p class="clearfix" style="clear:both">It is not possible to edit the Page Title and Table of Contents Alias using the content editor once it has been inserted. To modify the Pagebreak you can do one of the following:\r\n</p>\r\n<ul><li>Delete and re-insert the pagebreak using the process described above.\r\n</li><li>Edit the raw HTML of the Article using the editor and modify the <b>title</b> and <b>alt</b> attributes of the relevant <b>&lt;hr&gt;</b> HTML tag.\r\n</li></ul>\r\n<hr title="Second page" class="system-pagebreak" />\r\n<p>Cras mattis consectetur purus sit amet fermentum. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id elit non mi porta gravida at eget metus. Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros.</p>\r\n<p>\r\n Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>\r\n\r\n<hr title="Third page" class="system-pagebreak" />\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>', '', 1, 0, 0, 91, '2012-11-30 03:50:46', 42, '', '2013-07-08 07:58:15', 42, 0, '0000-00-00 00:00:00', '2012-11-30 03:50:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 40, 0, 5, '', '', 1, 199, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(156, 278, 'Accordion', 'example-accordion', '', '<p>Get base styles and flexible support for collapsible components like accordions and navigation.</p>\r\n<div class="bs-docs-example">\r\n[accordion]\r\n[acc_item title="Collapsible Group Item #1"]\r\n Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n[/acc_item]\r\n\r\n[acc_item title="Collapsible Group Item #2"]\r\n Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n[/acc_item]\r\n\r\n[acc_item title="Collapsible Group Item #3"]\r\n Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS.\r\n[/acc_item]\r\n\r\n[acc_item title="Collapsible Group Item #4"]\r\n Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS. a\r\n[/acc_item]\r\n\r\n[/accordion]\r\n</div>\r\n\r\n<pre class="prettyprint linenums">&#91;accordion&#93;\r\n   &#91;acc_item title=''ITEM_TITLE1''&#93; ADD_CONTENT_HERE &#91;/acc_item&#93;\r\n   &#91;acc_item title=''ITEM_TITLE2''&#93; ADD_CONTENT_HERE &#91;/acc_item&#93;\r\n   &#91;acc_item title=''ITEM_TITLE3''&#93; ADD_CONTENT_HERE &#91;/acc_item&#93;\r\n   &#91;acc_item title=''ITEM_TITLE4''&#93; ADD_CONTENT_HERE &#91;/acc_item&#93;\r\n&#91;accordion&#93;\r\n</pre>\r\n\r\n[space height="10"]<br/>\r\n<h4>Customization Options / Features</h4>\r\n<ul>\r\n<li><strong>Item title </strong> (optional) – Item Accordion title </li>\r\n</ul>\r\n\r\n', '', 1, 0, 0, 90, '2013-02-21 22:12:00', 42, '', '2013-03-20 04:09:45', 42, 0, '0000-00-00 00:00:00', '2013-02-21 22:12:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 25, '', '', 1, 238, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(157, 279, 'Blockquote', 'blockquote', '', '<p>For quoting blocks of content from another source within your document.</p>\r\n<h3>Default blockquote</h3>\r\n<p>Wrap <code>&lt;blockquote&gt;</code> around any <abbr title="HyperText Markup Language">HTML</abbr>\r\nas the quote. For straight quotes we recommend a <code>&lt;p&gt;</code>.</p>\r\n\r\n<div class="bs-docs-example">\r\n     [quote align="none" border="#666" color="#666" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n     <P>Vestibulum id urna eu tortor hendrerit iaculis sit amet in ipsum. Cras tempus ultrices leo, tempus iaculis eros tempor non.\r\n     Aenean ac nisl molestie ligula placerat porta non cursus neque. Phasellus sagittis est at lorem tincidunt consequat.</P>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;quote width="auto" align="none" border="#666" color="#666" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n</pre>\r\n\r\n<h3>Blockquote options</h3>\r\n<p>Style and content changes for simple variations on a standard blockquote.</p>\r\n<div class="bs-docs-example">\r\n     [quote width="45%" align="left" border="#666" color="#666" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n     <P>Vestibulum id urna eu tortor hendrerit iaculis sit amet in ipsum. Cras tempus ultrices leo, tempus iaculis eros tempor non.\r\n     Aenean ac nisl molestie ligula placerat porta non cursus neque. Phasellus sagittis est at lorem tincidunt.</P>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;quote width="45%" align="left" border="#666" color="#666" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n     [quote width="45%" align="right" border="#666" color="#666" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n     <P>Vestibulum id urna eu tortor hendrerit iaculis sit amet in ipsum. Cras tempus ultrices leo, tempus iaculis eros tempor non.\r\n     Aenean ac nisl molestie ligula placerat porta non cursus neque. Phasellus sagittis est at lorem tincidunt.</P>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;quote width="45%" align="right" border="#666" color="#666" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n     [quote align="none" border="#468847" color="#468847" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n     [quote align="none" border="#F89406" color="#F89406" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n     [quote align="none" border="#B24745" color="#B24745" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n     [quote align="none" border="#3A87AD" color="#3A87AD" title="Someone famous in Source Title"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.\r\n     [/quote]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;quote align="none" border="#468847" color="#468847" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n&#91;quote align="none" border="#F89406" color="#F89406" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n&#91;quote align="none" border="#B24745" color="#B24745" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n&#91;quote align="none" border="#3A87AD" color="#3A87AD" title="SOMEONE_FAMOUS_TITLE"&#93; ADD_CONTENT_HERE &#91;/quote&#93;\r\n</pre>\r\n\r\n[space height="10"]<br/>\r\n<h4>Customization Options / Features</h4>\r\n<ul>\r\n<li><strong>Width :</strong> Select number unit (px, %, em...)</li>\r\n<li><strong>Align : </strong> Select position align (left, right, none)</li>\r\n<li><strong>Border :</strong>  Changes border color Blockquote  </li>\r\n<li><strong>Color :</strong> Changes text color Blockquote</li>\r\n<li><strong>Title :</strong> Someone famous in Source Title </li>\r\n</ul>', '', 1, 0, 0, 90, '2013-02-22 22:21:51', 42, '', '2013-04-03 08:33:11', 42, 0, '0000-00-00 00:00:00', '2013-02-22 22:21:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 0, 24, '', '', 1, 146, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(158, 280, 'List Style', 'list-style', '', '<h3>Unordered lists</h3>\r\n<p>A list of items in which the order does <em> not </em> explicitly matter.</p>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="disc"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="disc"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="circle"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="circle"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="square"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="square"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n</div>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="check"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="check"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="arrow"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="arrow"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="star"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="star"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n\r\n<div class="span4 first">\r\n    <div class="bs-docs-example">[list type="check" color="#6B82A2"]\r\n    [list_item]Lorem ipsum dolor sit amet[/list_item]\r\n    [list_item]Lorem ipsum dolor sit amet[/list_item]\r\n    [list_item]Lorem ipsum dolor sit amet[/list_item]\r\n    [list_item]Lorem ipsum dolor sit amet[/list_item]\r\n    [/list]</div>\r\n    <pre class="prettyprint linenums">&#91;list type="check" color="#6B82A2" &#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="arrow" color="#6B82A2"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="arrow" color="#6B82A2"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n\r\n<div class="span4 ">\r\n<div class="bs-docs-example">[list type="star" color="#6EAD18"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="check" color="#6B82A2" &#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n</div>\r\n<h3>Ordered lists</h3>\r\n<p>A list of items in which the order <em>does</em> explicitly matter.</p>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="roman"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="roman"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="decimal"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="decimal"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="alpha"]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="alpha"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n\r\n</div>\r\n<h3>Number Block</h3>\r\n<p>A list of items in which the order <em>does</em> explicitly matter.</p>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="numblocks1"]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="numblocks1"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="numblocks2"]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="numblocks2"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="numblocks3"]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="numblocks3"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4 first">\r\n<div class="bs-docs-example">[list type="smallnumber1" ]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="smallnumber1"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="smallnumber2" ]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="smallnumber2"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="smallnumber3" ]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="smallnumber3"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4 first">\r\n<div class="bs-docs-example">[list type="smallnumber4" ]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="smallnumber4"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="smallnumber6" ]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="smallnumber6"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n<div class="span4">\r\n<div class="bs-docs-example">[list type="smallnumber5" ]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[list_item]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/list_item]\r\n[/list]</div>\r\n<pre class="prettyprint linenums">&#91;list type="smallnumber5"&#93;\r\n&#91;list_item&#93; ... &#91;/list_item&#93\r\n&#91;/list&#93;\r\n</pre>\r\n</div>\r\n</div>\r\n<p>[space height="10"]</p>\r\n<h4>Customization Options / Features</h4>\r\n<ul>\r\n<li><strong>type </strong> (optional) – more optional type list (disc, circle, square, check, arrow, star, roman, decimal, alpha, numblocks1...)</li>\r\n<li><strong>color</strong> (optional) – changes color of type list (disc, circle, square, check, arrow, star, roman, decimal, alpha)</li>\r\n</ul>', '', 1, 0, 0, 90, '2013-02-22 22:24:31', 42, '', '2013-03-29 01:49:40', 42, 0, '0000-00-00 00:00:00', '2013-02-22 22:24:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 45, 0, 23, '', '', 1, 207, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(159, 281, 'Button', 'button', '', '<h2>Default buttons</h2>\r\n<p>Button styles can be applied to anything with the <code>.btn</code> class applied. However, typically you''ll want to apply these to only <code>&lt;a&gt;</code> and <code>&lt;button&gt;</code> elements for the best rendering.</p>\r\n<div class="bs-docs-example">\r\n<table class="table table-bordered table-striped">\r\n<thead>\r\n  <tr>\r\n    <th>Button</th>\r\n    <th>Type</th>\r\n    <th>Icon</th>\r\n    <th>Description</th>\r\n  </tr>\r\n</thead>\r\n<tbody>\r\n  <tr>\r\n    <td>[button icon="pencil"]Default[/button]</td>\r\n    <td></td>\r\n    <td><code>pencil</code></td>\r\n    <td>Standard gray button with gradient</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="primary" icon="comment"]Primary[/button]</td>\r\n    <td><code>primary</code></td>\r\n     <td><code>comment</code></td>\r\n    <td>Provides extra visual weight and identifies the primary action in a set of buttons</td>\r\n  </tr>\r\n  <tr>\r\n     <td>[button type="info" icon="info-sign"]Info[/button]</td>\r\n    <td><code>info</code></td>\r\n     <td><code>info-sign</code></td>\r\n    <td>Used as an alternative to the default styles</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="success" icon="ok"]Success[/button]</td>\r\n    <td><code>success</code></td>\r\n    <td><code>ok</code></td>\r\n    <td>Indicates a successful or positive action</td>\r\n  </tr>\r\n  <tr>\r\n     <td>[button type="warning" icon="warning-sign"]Warning[/button]</td>\r\n    <td><code>warning</code></td>\r\n    <td><code>warning-sign</code></td>\r\n    <td>Indicates caution should be taken with this action</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="danger" icon="refresh"]Danger[/button]</td>\r\n    <td><code>danger</code></td>\r\n    <td><code>refresh</code></td>\r\n    <td>Indicates a dangerous or potentially negative action</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="inverse" icon="trash"]Inverse[/button]</td>\r\n    <td><code>inverse</code></td>\r\n    <td><code>trash</code></td>\r\n    <td>Alternate dark gray button, not tied to a semantic action or use</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="link" icon="twitter"]Link[/button]</td>\r\n    <td><code>link</code></td>\r\n    <td><code>twitter</code></td>\r\n    <td>Deemphasize a button by making it look like a link while maintaining button behavior</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="3d" icon="download-alt"]Download[/button]</td>\r\n    <td><code>3d</code></td>\r\n    <td><code>download</code></td>\r\n    <td>Multi-colored 3D buttons with normal, hover and active states.</td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="3d blue" icon="download-alt"]Download[/button]</td>\r\n    <td><code>3d blue</code></td>\r\n    <td><code>download</code></td>\r\n    <td></td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="3d green" icon="download-alt"]Download[/button]</td>\r\n    <td><code>3d green</code></td>\r\n    <td><code>download</code></td>\r\n    <td></td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="3d red" icon="download-alt"]Download[/button]</td>\r\n    <td><code>3d red</code></td>\r\n    <td><code>download</code></td>\r\n    <td></td>\r\n  </tr>\r\n  <tr>\r\n    <td>[button type="3d black" icon="download-alt"]Download[/button]</td>\r\n    <td><code>3d black</code></td>\r\n    <td><code>download</code></td>\r\n    <td></td>\r\n  </tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n\r\n<pre class="prettyprint linenums">\r\n&#91;button &#93; Default icon="pencil"&#91;/button&#93;\r\n&#91;button type="primary" icon="comment"&#93; Primary &#91;/button&#93;   \r\n&#91;button type="info" icon="sign"&#93; Info &#91;/button&#93;   \r\n&#91;button type="success" icon="ok"&#93; Success &#91;/button&#93;   \r\n&#91;button type="warning" icon="sign"&#93; warning &#91;/button&#93;   \r\n&#91;button type="danger" icon="refresh"&#93; Danger &#91;/button&#93;   \r\n&#91;button type="inverse" icon="trash"&#93; Inverse &#91;/button&#93;   \r\n&#91;button type="link" icon="twitter"&#93; Link &#91;/button&#93;\r\n\r\n&#91;button type="3d"       icon="download-alt"&#93; Link &#91;/button&#93;\r\n&#91;button type="3d blue"  icon="download-alt"&#93; Link &#91;/button&#93;\r\n&#91;button type="3d green" icon="download-alt"&#93; Link &#91;/button&#93;\r\n&#91;button type="3d red"   icon="download-alt"&#93; Link &#91;/button&#93;\r\n&#91;button type="3d black" icon="download-alt"&#93; Link &#91;/button&#93;\r\n</pre>\r\n<p>You can find the more icon of usage at Font Awesome - <a href="http://fortawesome.github.com/Font-Awesome" target="_blank">Font Awesome - http://fortawesome.github.com/Font-Awesome</a></p>\r\n<!----------------------- Block space-------------------->\r\n<h2>Cross browser compatibility</h2>\r\n<p>IE9 doesn''t crop background gradients on rounded corners, so we remove it. Related, IE9 jankifies disabled <code>button</code> elements, rendering text gray with a nasty text-shadow that we cannot fix.</p>\r\n\r\n<h2>Button sizes</h2>\r\n<p>Fancy larger or smaller buttons? Add size= <code>large</code>, <code>small</code>, or <code>mini</code> for additional sizes.</p>\r\n\r\n<div class="bs-docs-example">\r\n<p>\r\n     [button type="primary" size="large"]Large button[/button]\r\n     [button size="large"]Large button[/button]\r\n  \r\n</p>\r\n<p>\r\n     [button type="primary" ]Default button[/button]\r\n     [button ]Default button[/button]\r\n \r\n</p>\r\n<p>\r\n     [button type="primary" size="small"]Small button[/button]\r\n     [button size="small"]Small button[/button]\r\n  \r\n</p>\r\n<p>\r\n     [button type="primary" size="mini"]Mini button[/button]\r\n     [button size="mini"]Mini button[/button]\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;button type="primary" size="large"&#93; Large button &#91;/button&#93;\r\n&#91;button size="large"&#93; Large button &#91;/button&#93;\r\n\r\n&#91;button type="primary"&#93; Default button &#91;/button&#93;\r\n&#91;button&#93; Default button &#91;/button&#93;\r\n\r\n&#91;button type="primary" size="small"&#93; Small button &#91;/button&#93;\r\n&#91;button size="small"&#93; Large Small &#91;/button&#93;\r\n\r\n&#91;button type="primary" size="mini"&#93; Mini button &#91;/button&#93;\r\n&#91;button size="mini"&#93; Mini button &#91;/button&#93;\r\n</pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<p>Create block level buttons—those that span the full width of a parent— by adding .btn-block.</p>\r\n<div class="bs-docs-example">\r\n     <div style="max-width: 400px; margin: 0 auto 10px;" class="well">\r\n          [button type="primary" size="large" full="block" ] Block level button[/button]\r\n          [button size="large" full="block"] Block level button[/button]\r\n     </div>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;button type="primary" size="large" full="block"&#93; Block level button &#91;/button&#93;\r\n&#91;button size="large" full="block"&#93; Block level button &#91;/button&#93;\r\n</pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<h2>Disabled state</h2>\r\n<p>For disabled buttons, add the state=<code>disabled</code> class to links and the <code>disabled</code> attribute for <code>&lt;button&gt;</code> elements.</p>\r\n<div class="bs-docs-example">\r\n     [button type="primary" size="large" state="disabled" icon="edit"]Primary button[/button]\r\n     [button size="large" state="disabled"]Button[/button]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;button type="primary" size="large" state="disabled"&#93; Primary button &#91;/button&#93;\r\n&#91;button size="large" state="disabled"&#93; Button &#91;/button&#93;\r\n</pre>\r\n\r\n\r\n\r\n\r\n\r\n[space height="10"]<br/>\r\n<h4>Customization Options / Features</h4>\r\n<ul>\r\n    <li><strong>type </strong>  – selects type button ,available (<i>primary, info, success, warning, danger, inverse, link, 3d</i>) </li>\r\n    <li><strong>icon</strong> – add any mini-icon (from the <a href="index.php?option=com_content&view=article&id=174&Itemid=659">Icons</a> section) here.</li>\r\n    <li><strong>size </strong> – button size, available (<i> mini, small, default, large</i>)</li>\r\n    <li><strong>full </strong> – the full width of a parent</li>\r\n    <li><strong>target </strong> – link target, ex. “_blank”</li>\r\n    <li><strong>state </strong> – disabled buttons, available (<i> true, disabled</i>)</li>\r\n</ul>', '', 1, 0, 0, 90, '2013-02-22 22:39:01', 42, '', '2013-03-25 03:38:11', 42, 0, '0000-00-00 00:00:00', '2013-02-22 22:39:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, 22, '', '', 1, 127, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(160, 282, 'Columns', 'columns', '', '<div class="yt-show-grid">\r\n<h2>Live fluid grid example</h2>\r\n<p>The default Bootstrap grid system utilizes 12 columns.The fluid grid system uses percents instead of pixels for column widths. It has the same responsive capabilities as our fixed grid system, ensuring proper proportions for key screen resolutions and devices.</p>\r\n\r\n<div class="bs-docs-example">\r\n  [columns]\r\n          [column_item col="4"   ]Fourth[/column_item]\r\n          [column_item col="4"]Fourth[/column_item]\r\n          [column_item col="4"]Fourth[/column_item]\r\n        \r\n     [/columns]\r\n     [columns]\r\n          [column_item col="4"]Fourth[/column_item]\r\n          [column_item col="8"]Seventh[/column_item]\r\n     [/columns]\r\n     [columns]\r\n          [column_item col="6"]Sixth[/column_item]\r\n          [column_item col="6"]Sixth[/column_item]\r\n     [/columns]\r\n      [columns]\r\n          [column_item col="12"]Twelfth[/column_item]\r\n     [/columns]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;columns&#93;\r\n    &#91;column_item col="4"&#93;Fourth &#91;/column_item&#93;\r\n    &#91;column_item col="4"&#93;Fourth &#91;/column_item&#93;\r\n    &#91;column_item col="4"&#93;Fourth &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n&#91;columns&#93;\r\n    &#91;column_item col="4"&#93;Fourth &#91;/column_item&#93;\r\n    &#91;column_item col="8"&#93;Seventh &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n&#91;columns&#93;\r\n    &#91;column_item col="6"&#93;Sixth &#91;/column_item&#93;\r\n    &#91;column_item col="6"&#93;Sixth &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n&#91;columns&#93;\r\n    &#91;column_item col="12"&#93;Twelfth &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n</pre>\r\n\r\n<h2>Fluid offsetting</h2>\r\n<p>Operates the same way as the fixed grid system offsetting: add <code>offset="1->12"</code> to any column to offset by that many columns.</p>\r\n<div class="bs-docs-example">\r\n   \r\n     [columns]\r\n          [column_item col="5"]Fifth[/column_item]\r\n          [column_item col="6" offset="1"]Sixth offset 1 [/column_item]        \r\n     [/columns]\r\n     [columns]\r\n          [column_item col="6" ]Sixth [/column_item]\r\n          [column_item col="5" offset="1" ]Fifth offset 1[/column_item]\r\n     [/columns]\r\n     [columns]\r\n          [column_item col="7" ]Seventh [/column_item]\r\n          [column_item col="4" offset="1"]Fourth   offset 1 [/column_item]\r\n     [/columns]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;columns&#93;\r\n    &#91;column_item col="5"&#93; Fifth &#91;/column_item&#93;\r\n    &#91;column_item col="6" offset="1"&#93; Sixth offset 1 &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n&#91;columns&#93;\r\n    &#91;column_item col="6"&#93; Sixth &#91;/column_item&#93;\r\n    &#91;column_item col="5" offset="1"&#93; Fifth offset 1 &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n&#91;columns&#93;\r\n    &#91;column_item col="7"&#93; Seventh &#91;/column_item&#93;\r\n    &#91;column_item col="4" offset="1"&#93; Fourth offset 1 &#91;/column_item&#93;\r\n&#91;/columns&#93;\r\n</pre>\r\n\r\n</div>\r\n\r\n', '', 1, 0, 0, 90, '2013-02-22 22:58:28', 42, '', '2013-04-01 07:10:00', 42, 0, '0000-00-00 00:00:00', '2013-02-22 22:58:28', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, 21, '', '', 1, 52, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(161, 283, 'Dropcap', 'dropcap', '', '<div class="bs-docs-example">\r\n     [dropcap color="#000" ]T[/dropcap]his is a sample text with Dropcap.\r\n     <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In tristique sem vel turpis egestas cursus.\r\n     Vivamus vehicula ligula non orci sollicitudin iaculis in nec enim. Quisque purus orci, bibendum sed mattis non, scelerisque a felis. Suspendisse potenti...</p>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;dropcap  color="#000" &#93; ADD_CONTENT_HERE &#91;/dropcap&#93; Lorem ipsum dolor sit amet...\r\n</pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<div class="bs-docs-example">\r\n     [dropcap type="square" color="#fff" background="#333" ]T[/dropcap]\r\n         his is a sample text with Dropcap.\r\n     <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. In tristique sem vel turpis egestas cursus.\r\n     Vivamus vehicula ligula non orci sollicitudin iaculis in nec enim. Quisque purus orci, bibendum sed mattis non, scelerisque a felis. Suspendisse potenti...</p>\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;dropcap type="square" color="#fff" background="#333"&#93; ADD_CONTENT_HERE &#91;/dropcap&#93; Lorem ipsum dolor sit amet...\r\n</pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<div class="bs-docs-example">\r\n     [dropcap type="round" color="#fff" background="#333" ]T[/dropcap]\r\n         his is a sample text with Dropcap.\r\n     <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. In tristique sem vel turpis egestas cursus.\r\n     Vivamus vehicula ligula non orci sollicitudin iaculis in nec enim. Quisque purus orci, bibendum sed mattis non, scelerisque a felis. Suspendisse potenti...</p>\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;dropcap type="round" color="#fff" background="#333"&#93; ADD_CONTENT_HERE &#91;/dropcap&#93; Lorem ipsum dolor sit amet...\r\n</pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<h3>Dropcap options</h3>\r\n<p>Style and content changes for simple variations on a standard Dropcap.</p>\r\n\r\n<div class="bs-docs-example">\r\n     [dropcap  color="#15B5E8" ]A[/dropcap]\r\n         dipiscing is a sample text with Dropcap.\r\n     <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. In tristique sem vel turpis egestas cursus.\r\n     Vivamus vehicula ligula non orci sollicitudin iaculis in nec enim. Quisque purus orci, bibendum sed mattis non, scelerisque a felis. Suspendisse potenti...</p>\r\n     \r\n     [dropcap color="#FD6C01" ]B[/dropcap]\r\n         ibendum is a sample text with Dropcap.\r\n     <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. In tristique sem vel turpis egestas cursus.\r\n     Vivamus vehicula ligula non orci sollicitudin iaculis in nec enim. Quisque purus orci, bibendum sed mattis non, scelerisque a felis. Suspendisse potenti...</p>\r\n     \r\n     [dropcap color="#BE2B2A" ]C[/dropcap]\r\n         onsectetur is a sample text with Dropcap.\r\n     <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. In tristique sem vel turpis egestas cursus.\r\n     Vivamus vehicula ligula non orci sollicitudin iaculis in nec enim. Quisque purus orci, bibendum sed mattis non, scelerisque a felis. Suspendisse potenti...</p>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;dropcap color="#15B5E8"&#93; ADD_CONTENT_HERE &#91;/dropcap&#93; Lorem ipsum dolor sit amet...\r\n&#91;dropcap color="#FD6C01"&#93; ADD_CONTENT_HERE &#91;/dropcap&#93; Lorem ipsum dolor sit amet...\r\n&#91;dropcap color="#BE2B2A"&#93; ADD_CONTENT_HERE &#91;/dropcap&#93; Lorem ipsum dolor sit amet...\r\n</pre>', '', 1, 0, 0, 90, '2013-02-22 22:59:50', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2013-02-22 22:59:50', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 20, '', '', 1, 39, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(162, 284, 'Gallery Photos', 'gallery-photos', '', '<div class="bs-docs-example">\r\n[gallery title=" Nam vitae nibh tortor" width="250" height="180" columns="3"]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l1.jpg" video_addr="http://youtube.com/watch?v=B0ky-VMi9fI"] Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l8.jpg" video_addr="http://www.youtube.com/watch?v=n323WknTym8"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l10.jpg" video_addr="http://www.youtube.com/watch?v=UTBQYAE-pMk"]Nullam ultrices[/gallery_item]\r\n    \r\n    [gallery_item title="Donec aliquet dui pharetra" src="images/shortcode/l4.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Donec semper dui ut risus" src="images/shortcode/l5.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l6.jpg"]Nullam ultrices[/gallery_item]\r\n[/gallery]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;gallery title="GALLERY_TITLE" width="250" height="180" columns="3"&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC" video_addr="PLACE_LINK_YOUTUBE" &#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC" video_addr="PLACE_LINK_YOUTUBE"&#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC" video_addr="PLACE_LINK_YOUTUBE"&#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"&#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"&#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"&#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n    &#91;gallery_item title="IMAGE_TITLE" src="IMAGE_SRC"&#93; IMAGE_DESCRIPTION &#91;/gallery_item&#93;\r\n&#91;/gallery&#93;\r\n\r\n</pre>', '', 1, 0, 0, 90, '2013-02-22 23:00:54', 42, '', '2013-05-10 08:31:01', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:00:54', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 20, 0, 19, '', '', 1, 323, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(163, 285, 'Lightbox', 'lightbox', '', '<div class="bs-docs-example">\r\n[lightbox src="images/shortcode/l13.jpg" width="700" height="300" lightbox="on" title="Nulla ac convallis ipsum" align="none" border="yes"]\r\n<p></p>\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;lightbox src="IMAGE_SRC"  width="200" height="200" lightbox="on" align="none" border="yes" title="IMAGE_TITLE"&#93; </pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n\r\n<div class="bs-docs-example">\r\n[lightbox src="images/shortcode/l7.jpg" width="200" height="200" lightbox="on" title="Nullam ultrices" align="left"]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;lightbox src="IMAGE_SRC"  width="200" height="200" lightbox="on" align="left" title="IMAGE_TITLE"&#93; </pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<div class="bs-docs-example">\r\n[lightbox src="images/shortcode/l7.jpg" width="200" height="200" lightbox="on" title="IMAGE_TITLE" align="right"]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;lightbox src="IMAGE_SRC"  width="200" height="200" lightbox="on" align="right" title="IMAGE_TITLE"&#93; </pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<h2>More examples</h2>\r\n<p>Explore all your options with the various grid classes available to you. You can also mix and match different sizes.</p>\r\n<div class="bs-docs-example">\r\n    \r\n    <ul class="thumbnails">\r\n            <li class="span5">\r\n                [lightbox src="images/shortcode/l13.jpg" width="320" height="272" lightbox="on" title="Nullam ultrices" align="none"]\r\n            </li>\r\n            <li class="span4">\r\n              [lightbox src="images/shortcode/l2.jpg" width="250" height="120" lightbox="on" title="Nullam ultrices" align="none"]\r\n            </li>\r\n            <li class="span3">\r\n             [lightbox src="images/shortcode/l3.jpg" width="176" height="120" lightbox="on" title="Nullam ultrices" align="none"]\r\n            </li>\r\n            <li class="span4">\r\n              [lightbox src="images/shortcode/l4.jpg" width="250" height="120" lightbox="on" title="Nullam ultrices" align="none"]\r\n            </li>\r\n            <li class="span3">\r\n              [lightbox src="images/shortcode/l5.jpg" width="176" height="120" lightbox="on" title="Nullam ultrices" align="none"]\r\n            </li>\r\n    </ul>\r\n</div>\r\n<pre class="prettyprint linenums">&lt;ul class="thumbnails"&gt;\r\n    &lt;li class="span5"&gt;\r\n        &#91;lightbox src="IMAGE_SRC"  width="327" height="273" lightbox="on" align="none" title="IMAGE_TITLE"&#93;\r\n    &lt;/li&gt;\r\n    &lt;li class="span4"&gt;\r\n        &#91;lightbox src="IMAGE_SRC"  width="255" height="120" lightbox="on" align="none" title="IMAGE_TITLE"&#93;\r\n    &lt;/li&gt;\r\n    &lt;li class="span3"&gt;\r\n        &#91;lightbox src="IMAGE_SRC"  width="183" height="120" lightbox="on" align="none" title="IMAGE_TITLE"&#93;\r\n    &lt;/li&gt;\r\n    &lt;li class="span4"&gt;\r\n        &#91;lightbox src="IMAGE_SRC"  width="255" height="120" lightbox="on" align="none" title="IMAGE_TITLE"&#93;\r\n    &lt;/li&gt;\r\n    &lt;li class="span3"&gt;\r\n        &#91;lightbox src="IMAGE_SRC"  width="183" height="120" lightbox="on" align="none" title="IMAGE_TITLE"&#93;\r\n    &lt;/li&gt;\r\n&lt;/ul&gt;\r\n</pre>\r\n\r\n', '', 1, 0, 0, 90, '2013-02-22 23:05:21', 42, '', '2013-04-03 08:31:57', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:05:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 30, 0, 18, '', '', 1, 248, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(164, 286, ' Message Box ', 'message-box', '', '<p>Add dismiss functionality to all alert messages with this plugin.</p>\r\n<div class="bs-docs-example">\r\n[message_box type="error" close="Yes"]<strong>ERROR !  </strong> Lorem ipsum dolor sit amet, consectetur adipiscing elit[/message_box]\r\n[message_box type="info" close="Yes"]<strong> INFO !  </strong> Lorem ipsum dolor sit amet, consectetur adipiscing elit[/message_box]\r\n[message_box type="warning" close="Yes"]<strong>WARNING !  </strong> Lorem ipsum dolor sit amet, consectetur adipiscing elit[/message_box]\r\n[message_box type="success" close="Yes"]<strong>SUCCESS !  </strong> Lorem ipsum dolor sit amet, consectetur adipiscing elit[/message_box]\r\n\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;message_box type="error"   close="Yes"&#93; ADD_CONTENT_HERE &#91;/message_box&#93;\r\n&#91;message_box type="info"    close="Yes"&#93; ADD_CONTENT_HERE &#91;/message_box&#93;\r\n&#91;message_box type="warning" close="Yes"&#93; ADD_CONTENT_HERE &#91;/message_box&#93;\r\n&#91;message_box type="success" close="Yes"&#93; ADD_CONTENT_HERE &#91;/message_box&#93;\r\n</pre>\r\n\r\n<!----------------------- Block space-------------------->\r\n<div class="bs-docs-example">\r\n[message_box title="Oh snap! You got an error!" type="error" close="Yes"]\r\nChange this and that and try again. Duis mollis, est non commodo luctus, nisi erat porttitor ligula,\r\neget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum.\r\n[/message_box]\r\n\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;message_box title=''MESSAGE_TITLE'' type="error" close="Yes"&#93; ADD_CONTENT_HERE &#91;/message_box&#93;\r\n</pre>', '', 1, 0, 0, 90, '2013-02-21 23:07:00', 42, '', '2013-04-01 06:57:03', 42, 0, '0000-00-00 00:00:00', '2013-02-21 23:07:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 17, '', '', 1, 35, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(165, 287, 'Social Buttons', 'social-buttons', '', '[message_box type="warning" close="no"]\r\n<p>Ex: element type="facebook" then name of icons is "fa-facebook".</p>\r\nYou can find the full examples of usage at Font Awesome - <a href="http://fortawesome.github.io/Font-Awesome/icons/" target="_blank">Font Awesome 4.0.3</a> \r\n[/message_box]\r\n\r\n<div class="bs-docs-example">\r\n<p>\r\n[social type="facebook" ] #[/social]\r\n[social type="twitter" ]#[/social]\r\n[social type="google-plus"]#[/social]\r\n[social type="pinterest" ]#[/social]\r\n[social type="dribbble" ]#[/social]\r\n\r\n[social type="flickr" title="Follow us on Flickr"]#[/social]\r\n[social type="linkedin" title="Follow us on Linkedin"]#[/social]\r\n[social type="rss" title="Follow us on Rss"]#[/social]\r\n[social type="skype" title="Follow us on Skype"]#[/social]\r\n[social type="youtube" title="Follow us on Youtube"]#[/social]\r\n\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter"&#93; PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="google-plus"&#93;      PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="pinterest"&#93;       PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="dribbble"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n\r\n&#91;social type="flickr" title="ADD_TITLE_HERE" &#93;  PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="linkedin" title="ADD_TITLE_HERE" &#93;     PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="rss" title="ADD_TITLE_HERE" &#93;      PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="skype" title="ADD_TITLE_HERE" &#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="youtube" title="ADD_TITLE_HERE" &#93; PLACE_LINK_HERE &#91;/social&#93;\r\n\r\n</pre>\r\n\r\n<!----------------------- Block space Min-------------------->\r\n\r\n<div class="bs-docs-example">\r\n[social type="facebook" style="min"]#[/social]\r\n[social type="twitter" style="min"]#[/social]\r\n[social type="google-plus"  style="min"]#[/social]\r\n[social type="pinterest" style="min"]#[/social]\r\n[social type="dribbble" style="min"]#[/social]\r\n[social type="flickr" style="min"]#[/social]\r\n[social type="linkedin" style="min"]#[/social]\r\n[social type="rss" style="min"]#[/social]\r\n[social type="skype" style="min"]#[/social]\r\n[social type="youtube" style="min"]#[/social]\r\n\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook" style="min"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" style="min"&#93; PLACE_LINK_HERE &#91;/social&#93;\r\n...\r\n</pre>\r\n\r\n\r\n<!----------------------- Block space cicle-------------------->\r\n<div class="bs-docs-example">\r\n[social type="facebook" style="cicle"]#[/social]\r\n[social type="twitter" style="cicle"]#[/social]\r\n[social type="google-plus"  style="cicle"]#[/social]\r\n[social type="pinterest" style="cicle"]#[/social]\r\n[social type="dribbble" style="cicle"]#[/social]\r\n[social type="flickr" style="cicle"]#[/social]\r\n[social type="linkedin" style="cicle"]#[/social]\r\n[social type="rss" style="cicle"]#[/social]\r\n[social type="skype" style="cicle"]#[/social]\r\n[social type="youtube" style="cicle"]#[/social]\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook" style="cicle"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" style="cicle"&#93; PLACE_LINK_HERE &#91;/social&#93;\r\n...\r\n</pre>\r\n\r\n<!----------------------- Block space flat-------------------->\r\n<div class="bs-docs-example">\r\n[social type="facebook" style="flat" color="Yes"]#[/social]\r\n[social type="twitter" style="flat" color="Yes"]#[/social]\r\n[social type="google-plus"  style="flat" color="Yes"]#[/social]\r\n[social type="pinterest" style="flat" color="Yes"]#[/social]\r\n[social type="dribbble" style="flat" color="Yes"]#[/social]\r\n[social type="flickr" style="flat" color="Yes"]#[/social]\r\n[social type="linkedin" style="flat" color="Yes"]#[/social]\r\n[social type="rss" style="flat" color="Yes"]#[/social]\r\n[social type="skype" style="flat" color="Yes"]#[/social]\r\n[social type="youtube" style="flat" color="Yes"]#[/social]\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook" style="flat" color="Yes"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" style="flat" color="Yes"&#93; PLACE_LINK_HERE &#91;/social&#93;\r\n...\r\n</pre>\r\n\r\n<!----------------------- Block space Color-------------------->\r\n<div class="bs-docs-example">\r\n[social type="facebook" style="cicle" color="Yes"]#[/social]\r\n[social type="twitter" style="cicle" color="Yes"]#[/social]\r\n[social type="google-plus"  style="cicle" color="Yes"]#[/social]\r\n[social type="pinterest" style="cicle" color="Yes"]#[/social]\r\n[social type="dribbble" style="cicle" color="Yes"]#[/social]\r\n[social type="flickr" style="cicle" color="Yes"]#[/social]\r\n[social type="linkedin" style="cicle" color="Yes"]#[/social]\r\n[social type="rss" style="cicle" color="Yes"]#[/social]\r\n[social type="skype" style="cicle" color="Yes"]#[/social]\r\n[social type="youtube" style="cicle" color="Yes"]#[/social]\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook" style="cicle" color="Yes"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" style="cicle" color="Yes"&#93; PLACE_LINK_HERE &#91;/social&#93;\r\n...\r\n</pre>\r\n\r\n<!----------------------- Block space Title-------------------->\r\n<div class="bs-docs-example">\r\n[social type="facebook" title="Facebook" color="Yes"]#[/social]\r\n[social type="twitter" title="Twitter" color="Yes"]#[/social]\r\n[social type="google-plus"  title="Google" color="Yes"]#[/social]\r\n[social type="pinterest" title="Pinit" color="Yes"]#[/social]\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook" title="Facebook" color="Yes"&#93;       PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" title="Twitter" color="Yes"&#93;     PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="google-plus" title="Google" color="Yes"&#93;           PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="pinterest" title="Pinit" color="Yes"&#93;             PLACE_LINK_HERE &#91;/social&#93;\r\n</pre>\r\n\r\n<!----------------------- Block space Size-------------------->\r\n<div class="bs-docs-example">\r\n<div class="row-fluid">\r\n    <div class="col-lg-3">\r\n        [social type="facebook" size="small" color="Yes"]#[/social]\r\n        [social type="facebook" size="default" color="Yes"]#[/social]\r\n        [social type="facebook" size="large" color="Yes"]#[/social]\r\n     </div>\r\n    <div class="col-lg-3">\r\n        [social type="twitter" size="small" color="Yes"]#[/social]\r\n        [social type="twitter" size="default" color="Yes"]#[/social]\r\n        [social type="twitter" size="large" color="Yes"]#[/social]\r\n     </div>\r\n    \r\n    <div class="col-lg-3">\r\n        [social type="pinterest" size="small" color="Yes"]#[/social]\r\n        [social type="pinterest" size="default" color="Yes"]#[/social]\r\n        [social type="pinterest" size="large" color="Yes"]#[/social]\r\n     </div>\r\n</div>\r\n\r\n</div>\r\n<pre class="prettyprint linenums">\r\n&#91;social type="facebook" size="small" color="Yes"&#93;       PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="facebook" size="default"  color="Yes"&#93;    PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="facebook" size="large" color="Yes"&#93;       PLACE_LINK_HERE &#91;/social&#93;\r\n\r\n&#91;social type="twitter" size="small"  color="Yes"&#93;   PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" size="default"  color="Yes"&#93; PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="twitter" size="large"  color="Yes"&#93;   PLACE_LINK_HERE &#91;/social&#93;\r\n\r\n&#91;social type="pinterest" size="small" color="Yes"&#93;          PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="pinterest" size="default" color="Yes"&#93;        PLACE_LINK_HERE &#91;/social&#93;\r\n&#91;social type="pinterest" size="large" color="Yes"&#93;          PLACE_LINK_HERE &#91;/social&#93;\r\n</pre>', '', 1, 0, 0, 90, '2013-02-22 23:08:40', 42, '', '2014-07-08 16:49:56', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:08:40', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 16, '', '', 1, 84, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(166, 288, 'Togglable tabs', 'togglable-tabs', '', '<div class="bs-docs-example">\r\n[tabs ]\r\n    [tab_item title="Home" ]\r\n    [lightbox src="images/shortcode/l5.jpg" width="350" height="200" lightbox="on" title="Fusce pellentesque commodo " align="right" border="yes"]\r\n    <h4>Lorem ipsum dolor sit amet</h4>\r\n    <p>\r\n     Consectetur adipiscing elit. Suspendisse nisi quam, lobortis eu ultrices at; pellentesque ut arcu! Pellentesque eros ipsum, aliquet vel bibendum sed\r\n    </p>\r\n    <p>\r\n    Donec volutpat, nibh convallis lacinia rutrum, magna augue pretium est, sed lacinia tellus felis in sapien. Phasellus lorem velit, interdum ac luctus eu, sagittis eget neque. \r\n    </p>\r\n    <a href="#" class="btn"> Read More</a>\r\n    [/tab_item]\r\n\r\n    [tab_item title="Profile"]\r\n    [lightbox src="images/shortcode/l1.jpg" width="350" height="200" lightbox="on" title="Fusce pellentesque commodo " align="right" border="yes"]\r\n    <h4>Nulla vitae adipiscing dolor</h4>\r\n    <p>\r\n        Donec non felis in elit imperdiet cursus nec et turpis. Phasellus a purus tortor. In porttitor suscipit massa nec euismod! Aenean turpis erat \r\n    </p>\r\n    <p>\r\n        Volutpat, nibh convallis lacinia rutrum, magna augue pretium est, sed lacinia tellus felis in sapien. Phasellus lorem velit, interdum ac luctus eu, sagittis eget neque. \r\n    </p>\r\n    <a href="#" class="btn"> Read More</a>\r\n    \r\n    [/tab_item]\r\n    \r\n    [tab_item title="messages"]\r\n    [lightbox src="images/shortcode/l2.jpg" width="350" height="200" lightbox="on" title="Fusce pellentesque commodo " align="right" border="yes"]\r\n    <h4>Sed eget lectus eu elit dictum</h4>\r\n    <p>\r\n     Nunc sem orci, dictum eget sagittis eget, auctor at arcu. Quisque id urna nulla. Vivamus augue neque, faucibus et placerat id, varius eu turpis.</p>\r\n    <p>\r\n    Donec volutpat, nibh convallis lacinia rutrum, magna augue pretium est, sed lacinia tellus felis in sapien. Phasellus lorem velit, interdum ac luctus eu, sagittis eget neque. \r\n    </p>\r\n    <a href="#" class="btn"> Read More</a>\r\n    [/tab_item]\r\n\r\n[tab_item title="settings"]\r\n[lightbox src="images/shortcode/l3.jpg" width="350" height="200" lightbox="on" title="Fusce pellentesque commodo " align="right" border="yes"]\r\n<h4> Pellentesque commodo dui a neque</h4>\r\n<p>\r\n Consectetur adipiscing elit. Suspendisse nisi quam, lobortis eu ultrices at; pellentesque ut arcu! Pellentesque eros ipsum, aliquet vel bibendum sed\r\n</p>\r\n<p>\r\nDonec volutpat, nibh convallis lacinia rutrum, magna augue pretium est, sed lacinia tellus felis in sapien. Phasellus lorem velit, interdum ac luctus eu, sagittis eget neque. \r\n</p>\r\n<a href="#" class="btn"> Read More</a>\r\n[/tab_item]\r\n[/tabs]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;tabs&#93;\r\n    &#91;tab_item title=''ITEM_TITLE''&#93; ADD_CONTENT_HERE &#91;/tab_item&#93;\r\n    &#91;tab_item title=''ITEM_TITLE''&#93; ADD_CONTENT_HERE &#91;/tab_item&#93;\r\n    &#91;tab_item title=''ITEM_TITLE''&#93; ADD_CONTENT_HERE &#91;/tab_item&#93;\r\n    &#91;tab_item title=''ITEM_TITLE''&#93; ADD_CONTENT_HERE &#91;/tab_item&#93;\r\n&#91;/tabs&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n[tabs style="green"]\r\n    [tab_item title="Home" ]<p>Lorem ipsum dolor sit amet Content 1</p>[/tab_item]\r\n    [tab_item title="Profile"]<p>Nulla vitae adipiscing dolor Content 2</p>[/tab_item]\r\n    [tab_item title="messages"]<p>Sed eget lectus eu elit dictum Content 3</p>[/tab_item]\r\n    [tab_item title="settings"]<p> Pellentesque commodo dui a neque Content 4</p>[/tab_item]\r\n[/tabs]\r\n\r\n[tabs style="blue"]\r\n    [tab_item title="Home" ]<p>Lorem ipsum dolor sit amet Content 1</p>[/tab_item]\r\n    [tab_item title="Profile"]<p>Nulla vitae adipiscing dolor Content 2</p>[/tab_item]\r\n    [tab_item title="messages"]<p>Sed eget lectus eu elit dictum Content 3</p>[/tab_item]\r\n    [tab_item title="settings"]<p> Pellentesque commodo dui a neque Content 4</p>[/tab_item]\r\n[/tabs]\r\n\r\n[tabs style="black"]\r\n    [tab_item title="Home" ]<p>Lorem ipsum dolor sit amet Content 1</p>[/tab_item]\r\n    [tab_item title="Profile"]<p>Nulla vitae adipiscing dolor Content 2</p>[/tab_item]\r\n    [tab_item title="messages"]<p>Sed eget lectus eu elit dictum Content 3</p>[/tab_item]\r\n    [tab_item title="settings"]<p> Pellentesque commodo dui a neque Content 4</p>[/tab_item]\r\n[/tabs]\r\n\r\n[tabs style="red"]\r\n    [tab_item title="Home" ]<p>Lorem ipsum dolor sit amet Content 1</p>[/tab_item]\r\n    [tab_item title="Profile"]<p>Nulla vitae adipiscing dolor Content 2</p>[/tab_item]\r\n    [tab_item title="messages"]<p>Sed eget lectus eu elit dictum Content 3</p>[/tab_item]\r\n    [tab_item title="settings"]<p> Pellentesque commodo dui a neque Content 4</p>[/tab_item]\r\n[/tabs]\r\n\r\n[tabs style="oranges"]\r\n    [tab_item title="Home" ]<p>Lorem ipsum dolor sit amet Content 1</p>[/tab_item]\r\n    [tab_item title="Profile"]<p>Nulla vitae adipiscing dolor Content 2</p>[/tab_item]\r\n    [tab_item title="messages"]<p>Sed eget lectus eu elit dictum Content 3</p>[/tab_item]\r\n    [tab_item title="settings"]<p> Pellentesque commodo dui a neque Content 4</p>[/tab_item]\r\n[/tabs]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;tabs style="green"&#93;   ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs style="blue"&#93;    ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs style="black"&#93;   ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs style="red"&#93;     ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs style="oranges"&#93; ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n[tabs type="vertical"]\r\n    [tab_item title="Home" ]<h4>Lorem ipsum dolor sit amet Content 1</h4> <p>Aenean justo ligula, pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci. Etiam tincidunt, metus vel dapibus fermentum, quam purus aliquet ante, ac imperdiet ante dolor nec purus. Nunc nec massa metus. Ut ornare leo sed felis blandit quis euismod purus tempus. Pellentesque ac sem augue, vel lobortis eros.</p>[/tab_item]\r\n    [tab_item title="Profile"]<h4>Lorem ipsum dolor sit amet Content 2</h4><p>Pellentesque ac sem augue quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci. Etiam tincidunt, metus vel dapibus fermentum, quam purus aliquet ante, ac imperdiet ante dolor nec purus. Nunc nec massa metus. Ut ornare leo sed felis blandit quis euismod purus tempus. Pellentesque ac sem augue, vel lobortis eros.</p>[/tab_item]\r\n    [tab_item title="messages"]<h4>Lorem ipsum dolor sit amet Content 3</h4><p>Nunc nec massa metus pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci. Etiam tincidunt, metus vel dapibus fermentum, quam purus aliquet ante, ac imperdiet ante dolor nec purus. Nunc nec massa metus. Ut ornare leo sed felis blandit quis euismod purus tempus. Pellentesque ac sem augue, vel lobortis eros.</p>[/tab_item]\r\n[/tabs]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;tabs type="vertical" &#93;   ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n    <div class="span6 first-child">\r\n        [tabs type="vertical" style="green"]\r\n        [[tab_item title="Home" ]<h4>Lorem ipsum Content 1</h4> <p>Aenean justo ligula, pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="Profile"]<h4>Lorem ipsum Content 2</h4><p>Pellentesque ac sem augue quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="messages"]<h4>Lorem ipsum Content 3</h4><p>Nunc nec massa metus pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n    [/tabs]\r\n        \r\n    </div>\r\n    <div class="span6">\r\n         [tabs type="vertical" style="blue"]\r\n        [[tab_item title="Home" ]<h4>Lorem ipsum Content 1</h4> <p>Aenean justo ligula, pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="Profile"]<h4>Lorem ipsum Content 2</h4><p>Pellentesque ac sem augue quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="messages"]<h4>Lorem ipsum Content 3</h4><p>Nunc nec massa metus pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n    [/tabs]\r\n        \r\n    </div>\r\n    [space height=''30'']\r\n     <div class="span6 first">\r\n        [tabs type="vertical" style="red"]\r\n        [[tab_item title="Home" ]<h4>Lorem ipsum Content 1</h4> <p>Aenean justo ligula, pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="Profile"]<h4>Lorem ipsum Content 2</h4><p>Pellentesque ac sem augue quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="messages"]<h4>Lorem ipsum Content 3</h4><p>Nunc nec massa metus pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n    [/tabs]\r\n        \r\n    </div>\r\n    <div class="span6">\r\n         [tabs type="vertical" style="oranges"]\r\n        [[tab_item title="Home" ]<h4>Lorem ipsum Content 1</h4> <p>Aenean justo ligula, pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="Profile"]<h4>Lorem ipsum Content 2</h4><p>Pellentesque ac sem augue quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n        [tab_item title="messages"]<h4>Lorem ipsum Content 3</h4><p>Nunc nec massa metus pellentesque quis mattis et, molestie quis dui. Integer massa libero, viverra et rutrum fringilla, faucibus et metus. Proin vel vulputate orci.</p>[/tab_item]\r\n    [/tabs]\r\n        \r\n    </div>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;tabs type="vertical" style="green"&#93;     ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs type="vertical" style="green"&#93;     ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs type="vertical" style="red"&#93;       ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n&#91;tabs type="vertical" style="oranges"&#93;   ADD_TAB_ITEM ... &#91;/tabs&#93;\r\n</pre>\r\n\r\n', '', 1, 0, 0, 90, '2013-02-22 23:25:40', 42, '', '2013-05-11 03:44:23', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:25:40', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 57, 0, 15, '', '', 1, 222, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(167, 289, 'Testimonial', 'testimonial', '', '<div class="bs-docs-example">\r\n[testimonial author="Smartaddons" position="Dribbble"]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim. Fusce dui turpis, pellentesque sit amet gravida quis; dictum a magna. Praesent rhoncus quam ac mi ultricies dignissim. Nunc et tellus arcu.\r\n[/testimonial]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;testimonial author="TESTIMONIAL_AUTHOR" position="AUTHOR_POSITION"&#93; ADD_TESTIMONIAL_HERE &#91;/testimonial&#93;</pre>\r\n\r\n<div class="bs-docs-example">\r\n[testimonial author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-2.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.\r\n[/testimonial]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;testimonial author="TESTIMONIAL_AUTHOR" position="AUTHOR_POSITION" avatar="URL_IMAGES"&#93;\r\n    ADD_TESTIMONIAL_HERE\r\n&#91;/testimonial&#93;</pre>\r\n\r\n<div class="bs-docs-example">\r\n<div class="row-fluid">\r\n    <div class="span6">\r\n        [testimonial author="Smartaddons" position="Dribbble" avatar="images/shortcode/avatar-1.jpg" style="blue"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis;\r\n        quam\r\n        [/testimonial]\r\n    </div>\r\n     <div class="span6">\r\n        [testimonial author="Smartaddons" position="Dribbble" avatar="images/shortcode/avatar-2.jpg" style="red"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis;\r\n        quam\r\n        [/testimonial]\r\n    </div>\r\n     <div class="span6 first">\r\n        [testimonial author="Smartaddons" position="Dribbble" avatar="images/shortcode/avatar-3.jpg" style="green"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis;\r\n        quam\r\n        [/testimonial]\r\n    </div>\r\n     <div class="span6">\r\n        [testimonial author="Smartaddons" position="Dribbble" avatar="images/shortcode/avatar-1.jpg" style="oranges"]\r\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis;\r\n        quam\r\n        [/testimonial]\r\n    </div>\r\n</div>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;testimonial author="TESTIMONIAL_AUTHOR" position="POSITION" avatar="URL_IMAGES" style="blue"&#93; ... &#91;/testimonial&#93;\r\n&#91;testimonial author="TESTIMONIAL_AUTHOR" position="POSITION" avatar="URL_IMAGES" style="red"&#93; ... &#91;/testimonial&#93;\r\n&#91;testimonial author="TESTIMONIAL_AUTHOR" position="POSITION" avatar="URL_IMAGES" style="green"&#93; ... &#91;/testimonial&#93;\r\n&#91;testimonial author="TESTIMONIAL_AUTHOR" position="POSITION" avatar="URL_IMAGES" style="oranges"&#93; ... &#91;/testimonial&#93;\r\n</pre>\r\n\r\n\r\n\r\n', '', 1, 0, 0, 90, '2013-02-22 23:26:21', 42, '', '2013-05-11 03:45:10', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:26:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 14, '', '', 1, 143, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(168, 290, 'Vimeo', 'vimeo', '', '<div class="bs-docs-example">\r\n[vimeo align=''none'' height="290" width="500" ]http://vimeo.com/1084537[/vimeo]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;vimeo align=''none'' height=''HEIGHT'' width=''WIDTH'' &#93; PLACE_LINK_HERE &#91;/vimeo&#93;\r\n</pre>\r\n\r\n\r\n\r\n<div class="bs-docs-example">\r\n[vimeo align=''left'' height="190" width="325" ]http://vimeo.com/1084537[/vimeo]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;vimeo align=''left'' height=''HEIGHT'' width=''WIDTH''&#93; PLACE_LINK_HERE &#91;/vimeo&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n[vimeo align=''right'' height="190" width="325" ]http://vimeo.com/1084537[/vimeo]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;vimeo align=''right'' height=''HEIGHT'' width=''WIDTH''&#93; PLACE_LINK_HERE &#91;/vimeo&#93;\r\n</pre>', '', 1, 0, 0, 90, '2013-02-22 23:27:05', 42, '', '2013-03-19 09:23:40', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:27:05', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 15, 0, 13, '', '', 1, 60, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(169, 291, 'Youtube', 'youtube', '', '<div class="bs-docs-example">\r\n[youtube align=''none'' height="290" width="512" ]http://www.youtube.com/watch?v=31TNARtut0s[/youtube]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;youtube align=''none'' height=''HEIGHT'' width=''WIDTH'' &#93; PLACE_LINK_YOUTUBE &#91;/youtube&#93;\r\n</pre>\r\n\r\n\r\n\r\n<div class="bs-docs-example">\r\n[youtube align=''left'' height="190" width="338" ]http://www.youtube.com/watch?v=31TNARtut0s[/youtube]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;youtube align=''left'' height=''HEIGHT'' width=''WIDTH''&#93; PLACE_LINK_YOUTUBE &#91;/youtube&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n[youtube align=''right'' height="190" width="338" ]http://www.youtube.com/watch?v=31TNARtut0s[/youtube]\r\n<h4>Nulla ac convallis ipsum</h4>\r\n<p>\r\nNulla ac convallis ipsum. Nulla tellus erat, dapibus in auctor quis, aliquet a magna.\r\nUt tortor nisl; pellentesque a rhoncus non, semper a quam. Sed aliquet libero at lorem ornare auctor ornare est condimentum.\r\n</p>\r\n<p>\r\nMorbi pulvinar nibh egestas massa venenatis sed condimentum turpis suscipit. In hac habitasse platea dictumst. Quisque quis odio a odio porttitor mattis! Donec id elit nec massa ornare dictum.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;youtube align=''right'' height=''HEIGHT'' width=''WIDTH''&#93; PLACE_LINK_YOUTUBE &#91;/youtube&#93;\r\n</pre>', '', 1, 0, 0, 90, '2013-02-22 23:27:22', 42, '', '2013-05-07 10:11:52', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:27:22', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 19, 0, 12, '', '', 1, 59, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(170, 292, 'Divider', 'divider', '', '<div class="bs-docs-example">\r\nAliquam erat volutpat. Curabitur a eros quis arcu eleifend convallis. Phasellus eleifend, libero consequat feugiat gravida, ligula risus interdum enim, et gravida erat lectus quis quam. Integer porttitor aliquam pulvinar. Nunc nec nunc mi. Aliquam molestie urna vitae mauris sagittis eu aliquam mauris elementum. Integer erat odio; mollis sed semper vel, pulvinar interdum nisl!\r\n</p>\r\n[divider margin="2em 0"]\r\n<p>\r\nUt vestibulum odio molestie tellus consequat sit amet euismod magna sodales. Vestibulum tempor tristique enim, non rhoncus tellus mollis hendrerit. Sed mauris risus, venenatis vitae euismod et, mollis semper massa! Nullam accumsan mollis massa, vel dignissim orci bibendum nec. Sed iaculis, orci eu commodo euismod, purus lorem bibendum lectus; nec viverra tortor neque at diam. Maecenas ut sem tempor ligula faucibus pulvinar. Integer adipiscing elementum rutrum. Nullam varius velit nec urna tempor tincidunt. Vestibulum volutpat massa non mauris imperdiet dignissim? Vivamus bibendum convallis turpis, id malesuada ipsum semper eget. Vivamus gravida leo quis enim tristique venenatis? Sed faucibus adipiscing aliquet. Aliquam placerat nisl vel lectus tempor ac tempor nisi lobortis! Nam vitae dui et ligula aliquet facilisis sit amet ullamcorper lacus.\r\n</p>\r\n[divider type="line" margin="2em 0"]\r\n<p>\r\nSed egestas, ante et vulputate volutpat, eros pede semper est, vitae luctus metus libero eu augue. Morbi purus libero, faucibus adipiscing, commodo quis, gravida id, est. Sed lectus. Praesent elementum hendrerit tortor. Sed semper lorem at felis. Vestibulum volutpat, lacus a ultrices sagittis, mi neque euismod dui, eu pulvinar nunc sapien ornare nisl. Phasellus pede arcu, dapibus eu, fermentum et, dapibus sed, urna. Ut convallis, sem sit amet interdum consectetuer, odio augue aliquam leo, nec dapibus tortor nibh sed augue. Integer eu magna sit amet metus fermentum posuere. Morbi sit amet nulla sed dolor elementum imperdiet. Quisque fermentum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque adipiscing eros ut libero. Ut condimentum mi vel tellus. Suspendisse laoreet. Fusce ut est sed dolor gravida convallis. Morbi vitae ante. Vivamus ultrices luctus nunc. Suspendisse et dolor. Etiam dignissim. Proin malesuada adipiscing lacus. Donec metus. Curabitur gravida.\r\n</p>\r\n[divider type="dotted" margin="2em 0"]  \r\n  \r\n<p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id est eget justo viverra tristique. Fusce placerat est eget ligula lobortis sit amet hendrerit nisl hendrerit. Donec rutrum luctus tellus eu molestie? Phasellus sollicitudin felis eu leo ullamcorper ut gravida tellus tempor. Ut luctus enim quis neque dapibus faucibus sodales purus dignissim. Nam pretium sem quis nulla aliquet convallis at et sem. Curabitur at hendrerit velit.\r\n</p>\r\n\r\n\r\n<p>\r\nCurabitur dui tellus; fermentum nec euismod vel, commodo in mauris. Fusce lacinia ultricies fringilla. Duis ultrices lorem vitae justo euismod pulvinar. Quisque vitae justo quam. Proin feugiat varius elit, molestie vestibulum magna vehicula sed. Maecenas diam orci, tristique non facilisis id, pharetra in est. Pellentesque nec fringilla est. Proin pharetra pellentesque lectus, eget bibendum urna lobortis vitae. Suspendisse eu justo odio. Vestibulum ut eros vitae massa dapibus sagittis. Sed nec ligula leo; nec placerat arcu. Donec quis mi ac justo feugiat aliquam ac at felis. Cras vel mauris libero, non faucibus nisi. Aenean porttitor enim at orci hendrerit rutrum.\r\n</p>\r\n\r\n[divider type="shadow" margin="2em 0"]  \r\n<p>\r\nInteger nisl arcu, viverra in imperdiet eget, tempor sed nisl. Quisque sollicitudin blandit gravida. Cras accumsan nunc eu mi adipiscing congue. In accumsan velit neque, in sagittis nisl. Nam cursus, metus accumsan pellentesque sagittis, nisi magna tristique ipsum, commodo dignissim neque magna vel elit. Nulla facilisi. Aenean tempor blandit suscipit. Fusce dictum, nunc vitae dignissim laoreet, mauris ante consequat elit; eget dapibus libero odio eu risus. Quisque nec sapien in felis aliquet pulvinar? Vivamus vel dapibus massa. Vestibulum tempus fringilla lacus, sit amet ullamcorper leo porta at.\r\n</p>\r\n\r\n<p>\r\nMorbi cursus nibh sed tortor dapibus imperdiet! Fusce nec ipsum tellus. Donec euismod, arcu a pulvinar sagittis, libero odio malesuada turpis, non tincidunt nibh enim at erat. Curabitur mollis tincidunt pellentesque! Sed convallis laoreet neque non bibendum. Nam vehicula suscipit magna; ac luctus ipsum vestibulum vitae. Nulla vel lectus eros, eu condimentum libero. Pellentesque vulputate, augue lobortis imperdiet adipiscing, erat massa malesuada risus, in posuere magna elit at dui. Nunc bibendum sapien at nisi congue tristique. Phasellus non tellus in ipsum tempus sodales. Phasellus accumsan varius rhoncus. Suspendisse adipiscing gravida purus nec elementum.\r\n</p>\r\n[divider type="stripes" margin="2em 0"]  \r\n\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;divider margin="20px 0 20px 0" &#93;\r\n&#91;divider type="line" margin="20px 0 20px 0" &#93;\r\n&#91;divider type="dotted" margin="20px 0 20px 0" &#93;\r\n&#91;divider type="shadow" margin="20px 0 20px 0" &#93;\r\n&#91;divider type="stripes" margin="20px 0 20px 0" &#93;\r\n\r\n</pre>', '', 1, 0, 0, 90, '2013-02-22 23:27:49', 42, '', '2013-03-21 03:19:55', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:27:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, 11, '', '', 1, 52, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(171, 293, 'Helper Shortcodes', 'helper-shortcodes', '', '<div class="bs-docs-example">\r\n<p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas pharetra aliquet velit quis semper. Ut eget justo massa, in sagittis massa. Phasellus vitae quam posuere erat tempor euismod. Aenean eu pellentesque dolor. Aenean lobortis lacinia imperdiet. Praesent tempus rhoncus malesuada. Nulla ultrices turpis at turpis fermentum suscipit ullamcorper turpis accumsan! Vivamus cursus neque vitae risus condimentum id tincidunt eros congue!\r\n</p>\r\n  [space height="60"]\r\n<p>\r\nInteger nisl arcu, viverra in imperdiet eget, tempor sed nisl. Quisque sollicitudin blandit gravida. Cras accumsan nunc eu mi adipiscing congue. In accumsan velit neque, in sagittis nisl. Nam cursus, metus accumsan pellentesque sagittis, nisi magna tristique ipsum, commodo dignissim neque magna vel elit. Nulla facilisi. Aenean tempor blandit suscipit. Fusce dictum, nunc vitae dignissim laoreet, mauris ante consequat elit; eget dapibus libero odio eu risus. Quisque nec sapien in felis aliquet pulvinar? Vivamus vel dapibus massa. Vestibulum tempus fringilla lacus, sit amet ullamcorper leo.\r\n</p>\r\n\r\n</div>\r\n<pre class="prettyprint linenums"> &#91;space height=''60''&#93;</pre>\r\n[divider margin="4em 0"]\r\n<h4>Clear Floated Div’s</h4>\r\n<pre class="prettyprint linenums"> &#91;clear &#93;</pre>\r\n\r\n[divider margin="4em 0"]\r\n<h4>Line Break</h4>\r\n<pre class="prettyprint linenums"> &#91;br&#93;</pre>\r\n\r\n', '', 1, 0, 0, 90, '2013-02-22 23:28:23', 42, '', '2013-03-21 03:14:40', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:28:23', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, 10, '', '', 1, 41, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(172, 294, 'Google Map', 'google-map', '', '<div class="bs-docs-example">[googleMaps addr="4 Yawkey Way~Boston, MA 02215" addoverview=0 label="4 Yawkey Way~Boston, MA 02215" control=GLargeMapControl3D|GMapTypeControl width=100% height=250]</div>\r\n<pre class="prettyprint linenums">&#91;googleMaps addr="4 Yawkey Way~Boston, MA 02215" addoverview=0 label="GOOLE_MAP_LABEL" width=100% height=400 &#93;</pre>\r\n\r\n<div class="bs-docs-example">[googleMaps addr="4 Yawkey Way~Boston, MA 02215" addoverview=0 label="4 Yawkey Way~Boston, MA 02215" zoom=300 width=25% height=350 align="left" ]\r\n<h4>Sed accumsan vulputate</h4>\r\n<h5>Donec sem est, congue eu ultricies et, tempor ac turpis. Nullam felis odio, suscipit eu tincidunt quis, gravida eget massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</h5>  \r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam pretium venenatis dui, sed euismod felis dapibus sit amet. Ut dignissim justo sit amet tortor imperdiet mollis. Nam at purus id erat tempor varius non ac tortor. Ut pretium enim eu odio hendrerit vulputate. Praesent nibh mi, dignissim a eleifend id, ultricies ut erat. Maecenas mollis porta lacinia. Donec ultrices laoreet enim, non tincidunt mi sodales sagittis. Nulla et lectus vel enim dictum sodales vitae vel arcu. Phasellus a tortor enim. Nullam posuere hendrerit neque in porttitor.</p>\r\n<p>\r\n  Maecenas ut lorem imperdiet tortor rutrum commodo in in ipsum. Aliquam urna lacus, ornare ac tempor quis, malesuada non magna. Quisque placerat auctor eros, sed tincidunt felis pretium at. Curabitur augue nulla, porta in malesuada volutpat, pulvinar a mi. Mauris tristique porttitor elit sed lobortis. Morbi sollicitudin blandit eros, at lacinia erat euismod vitae. Pellentesque nec odio tellus. Phasellus a eros tortor. Mauris pretium viverra vulputate. Suspendisse faucibus scelerisque ipsum at auctor. Aliquam sit amet malesuada lacus. Mauris ut nisi a purus blandit suscipit. Sed lacus arcu, pellentesque fermentum pulvinar vitae, molestie non nibh. Donec sem est, congue eu ultricies et, tempor ac turpis. Nullam felis odio, suscipit eu tincidunt quis, gravida eget massa.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;googleMaps addr="4 Yawkey Way~Boston, MA 02215" addoverview=0 label="GOOLE_MAP_LABEL" width=100% height=400 align="left" &#93;</pre>\r\n\r\n<div class="bs-docs-example">[googleMaps addr="4 Yawkey Way~Boston, MA 02215" addoverview=0 label="4 Yawkey Way~Boston, MA 02215" mapTypeControl=disables zoom=300 width=25% height=350 align="right" ]\r\n<h4>Sed accumsan vulputate</h4>\r\n<h5>Donec sem est, congue eu ultricies et, tempor ac turpis. Nullam felis odio, suscipit eu tincidunt quis, gravida eget massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</h5>  \r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam pretium venenatis dui, sed euismod felis dapibus sit amet. Ut dignissim justo sit amet tortor imperdiet mollis. Nam at purus id erat tempor varius non ac tortor. Ut pretium enim eu odio hendrerit vulputate. Praesent nibh mi, dignissim a eleifend id, ultricies ut erat. Maecenas mollis porta lacinia. Donec ultrices laoreet enim, non tincidunt mi sodales sagittis. Nulla et lectus vel enim dictum sodales vitae vel arcu. Phasellus a tortor enim. Nullam posuere hendrerit neque in porttitor.</p>\r\n<p>\r\n  Maecenas ut lorem imperdiet tortor rutrum commodo in in ipsum. Aliquam urna lacus, ornare ac tempor quis, malesuada non magna. Quisque placerat auctor eros, sed tincidunt felis pretium at. Curabitur augue nulla, porta in malesuada volutpat, pulvinar a mi. Mauris tristique porttitor elit sed lobortis. Morbi sollicitudin blandit eros, at lacinia erat euismod vitae. Pellentesque nec odio tellus. Phasellus a eros tortor. Mauris pretium viverra vulputate. Suspendisse faucibus scelerisque ipsum at auctor. Aliquam sit amet malesuada lacus. Mauris ut nisi a purus blandit suscipit. Sed lacus arcu, pellentesque fermentum pulvinar vitae, molestie non nibh. Donec sem est, congue eu ultricies et, tempor ac turpis. Nullam felis odio, suscipit eu tincidunt quis, gravida eget massa.\r\n</p>\r\n</div>\r\n<pre class="prettyprint linenums">&#91;googleMaps addr="4 Yawkey Way~Boston, MA 02215" addoverview=0 label="GOOLE_MAP_LABEL" width=100% height=400 align="right" &#93;</pre>\r\n\r\n<h3>Customization Options</h3>\r\n<ul class="yt-list type-star">\r\n<li><strong>Lat:</strong> the latitude of the location to display on the map (an alternative to providing the address)</li>\r\n<li><strong>Long:</strong> the longitude of the location to display on the map (an alternative to providing the address)</li>\r\n<li><strong>Zoom:</strong> the initial zoom level of the map</li>\r\n<li><strong>Width:</strong> width of the map embed</li>\r\n<li><strong>Height:</strong> height of the map embed</li>\r\n<li><strong>Options:</strong> Google map options.</li>\r\n<li><strong>Control:</strong> Additional controls to attach to the map.</li>\r\n<li><strong>Maptype:</strong> the type of map you want to display (roadmap, satellite, hybrid or terrain).</li>\r\n<li><strong>Lang:</strong> Language of map</li>\r\n<li><strong>Marker:</strong> whether you want to display the red marker showing the location specified by the address or longitude/latitude attributes.</li>\r\n<li><strong>Addoverview:</strong> whether to display the overview map control (the arrow in the bottom right corner that expands to show the region currently being viewed).</li>\r\n<li><strong>Addscale:</strong> whether to display the scale control (the marking that tells you the distances represented in the map).</li>\r\n<li><strong>Streetview:</strong> A Street View Panorama to display when the Street View pegman is dropped on the map. If no panorama is specified, a default Street View Panorama will be displayed in the map''s div when the pegman is dropped.</li>\r\n<li><strong>Kml:</strong> A Kml Layer adds geographic markup to the map from a KML, KMZ or Geo RSS file that is hosted on a publicly accessible web server. A Kml Feature Data object is provided for each feature when clicked.</li>\r\n<li><strong>Description:</strong> A localized string describing the location.</li>\r\n<li><strong>Label:</strong> This is the label for the marker that indicates your designated address.</li>\r\n<li><strong>Addr:</strong> You can display a Google Map by using your address or a latitude/longitude pair.</li>\r\n</ul>', '', 1, 0, 0, 90, '2013-02-22 23:29:07', 42, '', '2013-03-21 02:56:20', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:29:07', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 59, 0, 9, '', '', 1, 155, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(173, 295, 'Pricing Tables', 'pricing-tables', '', '<div class="bs-docs-example">\r\n[pricing columns="4"]\r\n[plan title="Free" button_link="http://" button_label="Sign up!" price="$0 " featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space  <strong>10 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-remove"></i>Setup Free <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> Free Email Accounts <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Half Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Basic" button_link="http://" button_label="Sign up!" price="$15" featured="false" per="month"]\r\n   <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>30 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Pro" button_link="http://" button_label="Sign up!" price="$30" featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>100 GB</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Premium" button_link="http://" button_label="Sign up!" price="$70" featured="true" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>Unlimited</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i>Unlimited Email Accounts</li>\r\n        <li><i class="icon-ok"></i>Unlimited FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[/pricing]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;pricing columns="4"&#93;\r\n    &#91;plan title="Free" button_link="#" button_label="Sign up!" price="$0 " featured="false" per="month"&#93;\r\n        &lt;ul class="pricing-list"&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Disk Space &lt;strong&gt;10 GB&lt;/strong&gt; &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Bandwidth &lt;strong&gt;Unlimited &lt;/strong&gt;  &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-remove"&gt;&lt;/i&gt; Setup Free &lt;a class="boxtip" rel="tooltip" data-original-title="TEXT_TOOLTIP" href="#" &gt;(?) &lt;/a&gt;&lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt;1 &lt;/strong&gt; Free Email Accounts &lt;a class="boxtip" rel="tooltip" data-original-title="TEXT_TOOLTIP" href="#" &gt;(?) &lt;/a&gt;&lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt;1 &lt;/strong&gt; FTP Accounts&lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Half Privacy&lt;/li&gt;\r\n        &lt;/ul&gt;\r\n    &#91/plan&#93;\r\n    \r\n    &#91;plan title="Basic" button_link="#" button_label="Sign up!" price="$15 " featured="false" per="month"&#93;\r\n        &lt;ul class="pricing-list"&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Disk Space &lt;strong&gt;15 GB&lt;/strong&gt; &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Bandwidth &lt;strong&gt;Unlimited &lt;/strong&gt; &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Setup Free &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt;3 &lt;/strong&gt; Free Email Accounts &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt;3 &lt;/strong&gt; FTP Accounts&lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Full Privacy&lt;/li&gt;\r\n        &lt;/ul&gt;\r\n    &#91/plan&#93;\r\n    \r\n    &#91;plan title="Pro" button_link="#" button_label="Sign up!" price="$30 " featured="false" per="month"&#93;\r\n        &lt;ul class="pricing-list"&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Disk Space &lt;strong&gt;30 GB&lt;/strong&gt; &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Bandwidth &lt;strong&gt;Unlimited &lt;/strong&gt;  &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Setup Free &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt;5 &lt;/strong&gt; Free Email Accounts &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt;5 &lt;/strong&gt; FTP Accounts&lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Full Privacy&lt;/li&gt;\r\n        &lt;/ul&gt;\r\n    &#91/plan&#93;\r\n    \r\n    &#91;plan title="Premium" button_link="#" button_label="Sign up!" price="$70 " featured="true" per="month"&#93;\r\n        &lt;ul class="pricing-list"&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Disk Space &lt;strong&gt; Unlimited GB&lt;/strong&gt; &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Bandwidth &lt;strong&gt;Unlimited &lt;/strong&gt;  &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Setup Free &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt; Unlimited &lt;/strong&gt; Free Email Accounts &lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt;&lt;strong&gt; Unlimited &lt;/strong&gt; FTP Accounts&lt;/li&gt;\r\n            &lt;li&gt;&lt;i class="icon-ok"&gt;&lt;/i&gt; Full Privacy&lt;/li&gt;\r\n        &lt;/ul&gt;\r\n    &#91/plan&#93;\r\n&#91;/pricing&#93;\r\n\r\n</pre>\r\n\r\n\r\n\r\n<div class="bs-docs-example">\r\n[pricing columns="4" style="red"]\r\n[plan title="Free" button_link="http://" button_label="Sign up!" price="$0 " featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space  <strong>10 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-remove"></i>Setup Free <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> Free Email Accounts <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Half Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Basic" button_link="http://" button_label="Sign up!" price="$15" featured="false" per="month"]\r\n   <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>30 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Pro" button_link="http://" button_label="Sign up!" price="$30" featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>100 GB</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Premium" button_link="http://" button_label="Sign up!" price="$70" featured="true" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>Unlimited</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i>Unlimited Email Accounts</li>\r\n        <li><i class="icon-ok"></i>Unlimited FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[/pricing]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;pricing columns="4" style="red"&#93;\r\n    &#91;plan title="PRICING_TITLE" button_link="#" button_label="PRICING_BUTTON_LABEL" price="$0"  featured="false" per="month"&#93; TEXT_OF_PLAN&#91;/plan&#93;\r\n    &#91;plan title="PRICING_TITLE" button_link="#" button_label="PRICING_BUTTON_LABEL" price="$15" featured="false" per="month"&#93; TEXT_OF_PLAN&#91;/plan&#93;\r\n    &#91;plan title="PRICING_TITLE" button_link="#" button_label="PRICING_BUTTON_LABEL" price="$30" featured="false" per="month"&#93; TEXT_OF_PLAN&#91;/plan&#93;\r\n    &#91;plan title="PRICING_TITLE" button_link="#" button_label="PRICING_BUTTON_LABEL" price="$70" featured="true"  per="month"&#93; TEXT_OF_PLAN&#91;/plan&#93;\r\n&#91;/pricing&#93;\r\n</pre>\r\n\r\n<div class="bs-docs-example">\r\n[pricing columns="4" style="blue"]\r\n[plan title="Free" button_link="http://" button_label="Sign up!" price="$0 " featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space  <strong>10 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-remove"></i>Setup Free <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> Free Email Accounts <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Half Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Basic" button_link="http://" button_label="Sign up!" price="$15" featured="false" per="month"]\r\n   <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>30 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Pro" button_link="http://" button_label="Sign up!" price="$30" featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>100 GB</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Premium" button_link="http://" button_label="Sign up!" price="$70" featured="true" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>Unlimited</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i>Unlimited Email Accounts</li>\r\n        <li><i class="icon-ok"></i>Unlimited FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[/pricing]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;pricing columns="4" style="blue"&#93;\r\n    &#91;plan title="PRICING_TITLE" button_link="#" button_label="PRICING_BUTTON_LABEL" price="$0"  featured="false" per="month"&#93; TEXT_OF_PLAN&#91;/plan&#93;\r\n    ...\r\n&#91;/pricing&#93;\r\n</pre>\r\n\r\n\r\n\r\n<div class="bs-docs-example">\r\n[pricing columns="4" style="green"]\r\n[plan title="Free" button_link="http://" button_label="Sign up!" price="$0 " featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space  <strong>10 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-remove"></i>Setup Free <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> Free Email Accounts <a class="boxtip" rel="tooltip" data-original-title="Do your layouts deserve better than Lorem Ipsum?" href="#" >(?) </a></li>\r\n        <li><i class="icon-ok"></i><strong>1 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Half Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Basic" button_link="http://" button_label="Sign up!" price="$15" featured="false" per="month"]\r\n   <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>30 GB</strong> </li>\r\n        <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>3 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Pro" button_link="http://" button_label="Sign up!" price="$30" featured="false" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>100 GB</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> Free Email Accounts</li>\r\n        <li><i class="icon-ok"></i><strong>5 </strong> FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[plan title="Premium" button_link="http://" button_label="Sign up!" price="$70" featured="true" per="month"]\r\n    <ul class="pricing-list">\r\n        <li><i class="icon-ok"></i>Disk Space <strong>Unlimited</strong> </li>\r\n         <li><i class="icon-ok"></i>Bandwidth <strong>Unlimited </strong>  </li>\r\n        <li><i class="icon-ok"></i>Setup Free</li>\r\n        <li><i class="icon-ok"></i>Unlimited Email Accounts</li>\r\n        <li><i class="icon-ok"></i>Unlimited FTP Accounts</li>\r\n        <li><i class="icon-ok"></i> Full Privacy</li>\r\n    </ul>\r\n[/plan]\r\n[/pricing]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;pricing columns="4" style="green"&#93;\r\n    &#91;plan title="PRICING_TITLE" button_link="#" button_label="PRICING_BUTTON_LABEL" price="$0"  featured="false" per="month"&#93; TEXT_OF_PLAN&#91;/plan&#93;\r\n    ...\r\n&#91;/pricing&#93;\r\n</pre>\r\n\r\n\r\n\r\n\r\n', '', 1, 0, 0, 90, '2013-02-22 23:29:55', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2013-02-22 23:29:55', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 7, '', '', 1, 79, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(174, 296, 'icons', 'icons', '', '<!-- Icons\r\n================================================== -->\r\n\r\n     <p>The complete set of 361 icons in Font Awesome 3.2.1. The Font Awesome webfont, CSS, and LESS files are licensed under CC BY 3.0 and you can find the full examples of usage at Font Awesome - <a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/">Font Awesome - http://fortawesome.github.io/Font-Awesome/icons/</a></p>\r\n     <p>Add name=<code>ICON_NAME</code> to any element, best used with a <code>&#91;icon&#93;</code>.</p>\r\n     \r\n     <div class="bs-docs-example">               \r\n          <div class="row-fluid">\r\n                <div class="span2">\r\n                 [icon name="ambulance" size="54"  ] \r\n                 \r\n                </div>\r\n                <div class="span2">\r\n                  [icon name="thumbs-up" size="54"  ] \r\n                </div>\r\n                <div class="span2">\r\n                 [icon name="css3" size="54" ]\r\n                </div>\r\n                 <div class="span2">\r\n                 [icon name="html5" size="54" ]\r\n                </div>\r\n                  <div class="span2">\r\n                 [icon name="rocket" size="54"]\r\n                </div>\r\n          </div>\r\n     </div>\r\n      <pre class="prettyprint linenums">&#91;icon name="ambulance"  size="54"   &#93; \r\n&#91;icon name="thumbs-up" size="54" &#93;\r\n&#91;icon name="css3" size="54"   &#93;\r\n&#91;icon name="html5" size="54"  &#93;\r\n&#91;icon name="rocket" size="54" &#93;\r\n</pre>\r\n     \r\n     <div class="bs-docs-example">               \r\n          <div class="row-fluid rsContent">\r\n                <div class="span3">\r\n                    <div class="item box-members block align-center">\r\n                         [icon name="user" align="none" size="100" color="#fff"]\r\n                         \r\n                    </div>\r\n                 \r\n                </div>\r\n                <div class="span3">\r\n                    <div class="item box-apps block align-center">\r\n                         [icon name="mobile-phone" align="none" size="100" color="#fff"]\r\n                       \r\n                    </div>\r\n                </div>\r\n                <div class="span3">\r\n                    <div class="item box-leads block align-center">\r\n                         [icon name="globe" align="none" size="100" color="#fff"]\r\n                    \r\n                    </div>\r\n                </div>\r\n          </div>\r\n     </div>\r\n      <pre class="prettyprint linenums">&#91;icon name="user"  align="none" size="100" color="#fff"&#93;\r\n&#91;icon name="mobile-phone"  align="none" size="100" color="#fff"&#93;\r\n&#91;icon name="globe"  align="none" size="100" color="#fff"&#93;\r\n</pre>\r\n      \r\n     <div class="span12 first-child">\r\n<div class="bs-docs-example">\r\n     <section class="row-fluid" id="icons-web-app">\r\n     <div class="span12">\r\n          <h2 class="page-header">Web Application Icons</h2>\r\n     </div>\r\n\r\n  <div class="span3 first">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-adjust"></i> icon-adjust</li>\r\n      <li><i class="icon-asterisk"></i> icon-asterisk</li>\r\n      <li><i class="icon-ban-circle"></i> icon-ban-circle</li>\r\n      <li><i class="icon-bar-chart"></i> icon-bar-chart</li>\r\n      <li><i class="icon-barcode"></i> icon-barcode</li>\r\n      <li><i class="icon-beaker"></i> icon-beaker</li>\r\n      <li><i class="icon-beer"></i> icon-beer</li>\r\n      <li><i class="icon-bell"></i> icon-bell</li>\r\n      <li><i class="icon-bell-alt"></i> icon-bell-alt</li>\r\n      <li><i class="icon-bolt"></i> icon-bolt</li>\r\n      <li><i class="icon-book"></i> icon-book</li>\r\n      <li><i class="icon-bookmark"></i> icon-bookmark</li>\r\n      <li><i class="icon-bookmark-empty"></i> icon-bookmark-empty</li>\r\n      <li><i class="icon-briefcase"></i> icon-briefcase</li>\r\n      <li><i class="icon-bullhorn"></i> icon-bullhorn</li>\r\n      <li><i class="icon-calendar"></i> icon-calendar</li>\r\n      <li><i class="icon-camera"></i> icon-camera</li>\r\n      <li><i class="icon-camera-retro"></i> icon-camera-retro</li>\r\n      <li><i class="icon-certificate"></i> icon-certificate</li>\r\n      <li><i class="icon-check"></i> icon-check</li>\r\n      <li><i class="icon-check-empty"></i> icon-check-empty</li>\r\n      <li><i class="icon-circle"></i> icon-circle</li>\r\n      <li><i class="icon-circle-blank"></i> icon-circle-blank</li>\r\n      <li><i class="icon-cloud"></i> icon-cloud</li>\r\n      <li><i class="icon-cloud-download"></i> icon-cloud-download</li>\r\n      <li><i class="icon-cloud-upload"></i> icon-cloud-upload</li>\r\n      <li><i class="icon-coffee"></i> icon-coffee</li>\r\n      <li><i class="icon-cog"></i> icon-cog</li>\r\n      <li><i class="icon-cogs"></i> icon-cogs</li>\r\n      <li><i class="icon-comment"></i> icon-comment</li>\r\n      <li><i class="icon-comment-alt"></i> icon-comment-alt</li>\r\n      <li><i class="icon-comments"></i> icon-comments</li>\r\n      <li><i class="icon-comments-alt"></i> icon-comments-alt</li>\r\n      <li><i class="icon-credit-card"></i> icon-credit-card</li>\r\n      <li><i class="icon-dashboard"></i> icon-dashboard</li>\r\n      <li><i class="icon-desktop"></i> icon-desktop</li>\r\n      <li><i class="icon-download"></i> icon-download</li>\r\n      <li><i class="icon-download-alt"></i> icon-download-alt</li>\r\n    </ul>\r\n  </div>\r\n  <div class="span3">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-edit"></i> icon-edit</li>\r\n      <li><i class="icon-envelope"></i> icon-envelope</li>\r\n      <li><i class="icon-envelope-alt"></i> icon-envelope-alt</li>\r\n      <li><i class="icon-exchange"></i> icon-exchange</li>\r\n      <li><i class="icon-exclamation-sign"></i> icon-exclamation-sign</li>\r\n      <li><i class="icon-external-link"></i> icon-external-link</li>\r\n      <li><i class="icon-eye-close"></i> icon-eye-close</li>\r\n      <li><i class="icon-eye-open"></i> icon-eye-open</li>\r\n      <li><i class="icon-facetime-video"></i> icon-facetime-video</li>\r\n      <li><i class="icon-fighter-jet"></i> icon-fighter-jet</li>\r\n      <li><i class="icon-film"></i> icon-film</li>\r\n      <li><i class="icon-filter"></i> icon-filter</li>\r\n      <li><i class="icon-fire"></i> icon-fire</li>\r\n      <li><i class="icon-flag"></i> icon-flag</li>\r\n      <li><i class="icon-folder-close"></i> icon-folder-close</li>\r\n      <li><i class="icon-folder-open"></i> icon-folder-open</li>\r\n      <li><i class="icon-folder-close-alt"></i> icon-folder-close-alt</li>\r\n      <li><i class="icon-folder-open-alt"></i> icon-folder-open-alt</li>\r\n      <li><i class="icon-food"></i> icon-food</li>\r\n      <li><i class="icon-gift"></i> icon-gift</li>\r\n      <li><i class="icon-glass"></i> icon-glass</li>\r\n      <li><i class="icon-globe"></i> icon-globe</li>\r\n      <li><i class="icon-group"></i> icon-group</li>\r\n      <li><i class="icon-hdd"></i> icon-hdd</li>\r\n      <li><i class="icon-headphones"></i> icon-headphones</li>\r\n      <li><i class="icon-heart"></i> icon-heart</li>\r\n      <li><i class="icon-heart-empty"></i> icon-heart-empty</li>\r\n      <li><i class="icon-home"></i> icon-home</li>\r\n      <li><i class="icon-inbox"></i> icon-inbox</li>\r\n      <li><i class="icon-info-sign"></i> icon-info-sign</li>\r\n      <li><i class="icon-key"></i> icon-key</li>\r\n      <li><i class="icon-leaf"></i> icon-leaf</li>\r\n      <li><i class="icon-laptop"></i> icon-laptop</li>\r\n      <li><i class="icon-legal"></i> icon-legal</li>\r\n      <li><i class="icon-lemon"></i> icon-lemon</li>\r\n      <li><i class="icon-lightbulb"></i> icon-lightbulb</li>\r\n      <li><i class="icon-lock"></i> icon-lock</li>\r\n      <li><i class="icon-unlock"></i> icon-unlock</li>\r\n    </ul>\r\n  </div>\r\n  <div class="span3">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-magic"></i> icon-magic</li>\r\n      <li><i class="icon-magnet"></i> icon-magnet</li>\r\n      <li><i class="icon-map-marker"></i> icon-map-marker</li>\r\n      <li><i class="icon-minus"></i> icon-minus</li>\r\n      <li><i class="icon-minus-sign"></i> icon-minus-sign</li>\r\n      <li><i class="icon-mobile-phone"></i> icon-mobile-phone</li>\r\n      <li><i class="icon-money"></i> icon-money</li>\r\n      <li><i class="icon-move"></i> icon-move</li>\r\n      <li><i class="icon-music"></i> icon-music</li>\r\n      <li><i class="icon-off"></i> icon-off</li>\r\n      <li><i class="icon-ok"></i> icon-ok</li>\r\n      <li><i class="icon-ok-circle"></i> icon-ok-circle</li>\r\n      <li><i class="icon-ok-sign"></i> icon-ok-sign</li>\r\n      <li><i class="icon-pencil"></i> icon-pencil</li>\r\n      <li><i class="icon-picture"></i> icon-picture</li>\r\n      <li><i class="icon-plane"></i> icon-plane</li>\r\n      <li><i class="icon-plus"></i> icon-plus</li>\r\n      <li><i class="icon-plus-sign"></i> icon-plus-sign</li>\r\n      <li><i class="icon-print"></i> icon-print</li>\r\n      <li><i class="icon-pushpin"></i> icon-pushpin</li>\r\n      <li><i class="icon-qrcode"></i> icon-qrcode</li>\r\n      <li><i class="icon-question-sign"></i> icon-question-sign</li>\r\n      <li><i class="icon-quote-left"></i> icon-quote-left</li>\r\n      <li><i class="icon-quote-right"></i> icon-quote-right</li>\r\n      <li><i class="icon-random"></i> icon-random</li>\r\n      <li><i class="icon-refresh"></i> icon-refresh</li>\r\n      <li><i class="icon-remove"></i> icon-remove</li>\r\n      <li><i class="icon-remove-circle"></i> icon-remove-circle</li>\r\n      <li><i class="icon-remove-sign"></i> icon-remove-sign</li>\r\n      <li><i class="icon-reorder"></i> icon-reorder</li>\r\n      <li><i class="icon-reply"></i> icon-reply</li>\r\n      <li><i class="icon-resize-horizontal"></i> icon-resize-horizontal</li>\r\n      <li><i class="icon-resize-vertical"></i> icon-resize-vertical</li>\r\n      <li><i class="icon-retweet"></i> icon-retweet</li>\r\n      <li><i class="icon-road"></i> icon-road</li>\r\n      <li><i class="icon-rss"></i> icon-rss</li>\r\n      <li><i class="icon-screenshot"></i> icon-screenshot</li>\r\n      <li><i class="icon-search"></i> icon-search</li>\r\n    </ul>\r\n  </div>\r\n  <div class="span3">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-share"></i> icon-share</li>\r\n      <li><i class="icon-share-alt"></i> icon-share-alt</li>\r\n      <li><i class="icon-shopping-cart"></i> icon-shopping-cart</li>\r\n      <li><i class="icon-signal"></i> icon-signal</li>\r\n      <li><i class="icon-signin"></i> icon-signin</li>\r\n      <li><i class="icon-signout"></i> icon-signout</li>\r\n      <li><i class="icon-sitemap"></i> icon-sitemap</li>\r\n      <li><i class="icon-sort"></i> icon-sort</li>\r\n      <li><i class="icon-sort-down"></i> icon-sort-down</li>\r\n      <li><i class="icon-sort-up"></i> icon-sort-up</li>\r\n      <li><i class="icon-spinner"></i> icon-spinner</li>\r\n      <li><i class="icon-star"></i> icon-star</li>\r\n      <li><i class="icon-star-empty"></i> icon-star-empty</li>\r\n      <li><i class="icon-star-half"></i> icon-star-half</li>\r\n      <li><i class="icon-tablet"></i> icon-tablet</li>\r\n      <li><i class="icon-tag"></i> icon-tag</li>\r\n      <li><i class="icon-tags"></i> icon-tags</li>\r\n      <li><i class="icon-tasks"></i> icon-tasks</li>\r\n      <li><i class="icon-thumbs-down"></i> icon-thumbs-down</li>\r\n      <li><i class="icon-thumbs-up"></i> icon-thumbs-up</li>\r\n      <li><i class="icon-time"></i> icon-time</li>\r\n      <li><i class="icon-tint"></i> icon-tint</li>\r\n      <li><i class="icon-trash"></i> icon-trash</li>\r\n      <li><i class="icon-trophy"></i> icon-trophy</li>\r\n      <li><i class="icon-truck"></i> icon-truck</li>\r\n      <li><i class="icon-umbrella"></i> icon-umbrella</li>\r\n      <li><i class="icon-upload"></i> icon-upload</li>\r\n      <li><i class="icon-upload-alt"></i> icon-upload-alt</li>\r\n      <li><i class="icon-user"></i> icon-user</li>\r\n      <li><i class="icon-user-md"></i> icon-user-md</li>\r\n      <li><i class="icon-volume-off"></i> icon-volume-off</li>\r\n      <li><i class="icon-volume-down"></i> icon-volume-down</li>\r\n      <li><i class="icon-volume-up"></i> icon-volume-up</li>\r\n      <li><i class="icon-warning-sign"></i> icon-warning-sign</li>\r\n      <li><i class="icon-wrench"></i> icon-wrench</li>\r\n      <li><i class="icon-zoom-in"></i> icon-zoom-in</li>\r\n      <li><i class="icon-zoom-out"></i> icon-zoom-out</li>\r\n    </ul>\r\n  </div>\r\n</section>\r\n            <section class="row-fluid" id="icons-text-editor">\r\n              <div class="span12">\r\n              <h2 class="page-header">Text Editor Icons</h2>\r\n              </div>\r\n              <div class="span3 first">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-file"></i> icon-file</li>\r\n                <li><i class="icon-file-alt"></i> icon-file-alt</li>\r\n                <li><i class="icon-cut"></i> icon-cut</li>\r\n                <li><i class="icon-copy"></i> icon-copy</li>\r\n                <li><i class="icon-paste"></i> icon-paste</li>\r\n                <li><i class="icon-save"></i> icon-save</li>\r\n                <li><i class="icon-undo"></i> icon-undo</li>\r\n                <li><i class="icon-repeat"></i> icon-repeat</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-text-height"></i> icon-text-height</li>\r\n                <li><i class="icon-text-width"></i> icon-text-width</li>\r\n                <li><i class="icon-align-left"></i> icon-align-left</li>\r\n                <li><i class="icon-align-center"></i> icon-align-center</li>\r\n                <li><i class="icon-align-right"></i> icon-align-right</li>\r\n                <li><i class="icon-align-justify"></i> icon-align-justify</li>\r\n                <li><i class="icon-indent-left"></i> icon-indent-left</li>\r\n                <li><i class="icon-indent-right"></i> icon-indent-right</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-font"></i> icon-font</li>\r\n                <li><i class="icon-bold"></i> icon-bold</li>\r\n                <li><i class="icon-italic"></i> icon-italic</li>\r\n                <li><i class="icon-strikethrough"></i> icon-strikethrough</li>\r\n                <li><i class="icon-underline"></i> icon-underline</li>\r\n                <li><i class="icon-link"></i> icon-link</li>\r\n                <li><i class="icon-paper-clip"></i> icon-paper-clip</li>\r\n                <li><i class="icon-columns"></i> icon-columns</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-table"></i> icon-table</li>\r\n                <li><i class="icon-th-large"></i> icon-th-large</li>\r\n                <li><i class="icon-th"></i> icon-th</li>\r\n                <li><i class="icon-th-list"></i> icon-th-list</li>\r\n                <li><i class="icon-list"></i> icon-list</li>\r\n                <li><i class="icon-list-ol"></i> icon-list-ol</li>\r\n                <li><i class="icon-list-ul"></i> icon-list-ul</li>\r\n                <li><i class="icon-list-alt"></i> icon-list-alt</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n            <section class="row-fluid" id="icons-directional">\r\n              <div class="span12">\r\n              <h2 class="page-header">Directional Icons</h2>\r\n              </div>\r\n              <div class="span3 first">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-angle-left"></i> icon-angle-left</li>\r\n                <li><i class="icon-angle-right"></i> icon-angle-right</li>\r\n                <li><i class="icon-angle-up"></i> icon-angle-up</li>\r\n                <li><i class="icon-angle-down"></i> icon-angle-down</li>\r\n                <li><i class="icon-arrow-down"></i> icon-arrow-down</li>\r\n                <li><i class="icon-arrow-left"></i> icon-arrow-left</li>\r\n                <li><i class="icon-arrow-right"></i> icon-arrow-right</li>\r\n                <li><i class="icon-arrow-up"></i> icon-arrow-up</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-caret-down"></i> icon-caret-down</li>\r\n                <li><i class="icon-caret-left"></i> icon-caret-left</li>\r\n                <li><i class="icon-caret-right"></i> icon-caret-right</li>\r\n                <li><i class="icon-caret-up"></i> icon-caret-up</li>\r\n                <li><i class="icon-chevron-down"></i> icon-chevron-down</li>\r\n                <li><i class="icon-chevron-left"></i> icon-chevron-left</li>\r\n                <li><i class="icon-chevron-right"></i> icon-chevron-right</li>\r\n                <li><i class="icon-chevron-up"></i> icon-chevron-up</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-circle-arrow-down"></i> icon-circle-arrow-down</li>\r\n                <li><i class="icon-circle-arrow-left"></i> icon-circle-arrow-left</li>\r\n                <li><i class="icon-circle-arrow-right"></i> icon-circle-arrow-right</li>\r\n                <li><i class="icon-circle-arrow-up"></i> icon-circle-arrow-up</li>\r\n                <li><i class="icon-double-angle-left"></i> icon-double-angle-left</li>\r\n                <li><i class="icon-double-angle-right"></i> icon-double-angle-right</li>\r\n                <li><i class="icon-double-angle-up"></i> icon-double-angle-up</li>\r\n                <li><i class="icon-double-angle-down"></i> icon-double-angle-down</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-hand-down"></i> icon-hand-down</li>\r\n                <li><i class="icon-hand-left"></i> icon-hand-left</li>\r\n                <li><i class="icon-hand-right"></i> icon-hand-right</li>\r\n                <li><i class="icon-hand-up"></i> icon-hand-up</li>\r\n                <li><i class="icon-circle"></i> icon-circle</li>\r\n                <li><i class="icon-circle-blank"></i> icon-circle-blank</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n\r\n            <section class="row-fluid" id="icons-video-player">\r\n              <div class="span12">\r\n              <h2 class="page-header">Video Player Icons</h2>\r\n              </div>\r\n              <div class="span3 first">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-play-circle"></i> icon-play-circle</li>\r\n                <li><i class="icon-play"></i> icon-play</li>\r\n                <li><i class="icon-pause"></i> icon-pause</li>\r\n                <li><i class="icon-stop"></i> icon-stop</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-step-backward"></i> icon-step-backward</li>\r\n                <li><i class="icon-fast-backward"></i> icon-fast-backward</li>\r\n                <li><i class="icon-backward"></i> icon-backward</li>\r\n                <li><i class="icon-forward"></i> icon-forward</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-fast-forward"></i> icon-fast-forward</li>\r\n                <li><i class="icon-step-forward"></i> icon-step-forward</li>\r\n                <li><i class="icon-eject"></i> icon-eject</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-fullscreen"></i> icon-fullscreen</li>\r\n                <li><i class="icon-resize-full"></i> icon-resize-full</li>\r\n                <li><i class="icon-resize-small"></i> icon-resize-small</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n            <section class="row-fluid" id="icons-social">\r\n              <div class="span12">\r\n              <h2 class="page-header">Social Icons</h2>\r\n              </div>\r\n              <div class="span3 first">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-phone"></i> icon-phone</li>\r\n                <li><i class="icon-phone-sign"></i> icon-phone-sign</li>\r\n                <li><i class="icon-facebook"></i> icon-facebook</li>\r\n                <li><i class="icon-facebook-sign"></i> icon-facebook-sign</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-twitter"></i> icon-twitter</li>\r\n                <li><i class="icon-twitter-sign"></i> icon-twitter-sign</li>\r\n                <li><i class="icon-github"></i> icon-github</li>\r\n                <li><i class="icon-github-alt"></i> icon-github-alt</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-github-sign"></i> icon-github-sign</li>\r\n                <li><i class="icon-linkedin"></i> icon-linkedin</li>\r\n                <li><i class="icon-linkedin-sign"></i> icon-linkedin-sign</li>\r\n                <li><i class="icon-pinterest"></i> icon-pinterest</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-pinterest-sign"></i> icon-pinterest-sign</li>\r\n                <li><i class="icon-google-plus"></i> icon-google-plus</li>\r\n                <li><i class="icon-google-plus-sign"></i> icon-google-plus-sign</li>\r\n                <li><i class="icon-sign-blank"></i> icon-sign-blank</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n            <section class="row-fluid" id="icons-medical">\r\n              <div class="span12">\r\n              <h2 class="page-header">Medical Icons </h2>\r\n              </div>\r\n              <div class="span3 first">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-ambulance"></i> icon-ambulance</li>\r\n                <li><i class="icon-beaker"></i> icon-beaker</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-h-sign"></i> icon-h-sign</li>\r\n                <li><i class="icon-hospital"></i> icon-hospital</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-medkit"></i> icon-medkit</li>\r\n                <li><i class="icon-plus-sign-alt"></i> icon-plus-sign-alt</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-stethoscope"></i> icon-stethoscope</li>\r\n                <li><i class="icon-user-md"></i> icon-user-md</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n\r\n                    </div>\r\n\r\n   \r\n     </div>\r\n     <div class="clear"></div>\r\n               ', '', 1, 0, 0, 90, '2013-02-22 23:30:16', 42, '', '2013-07-11 08:06:47', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:30:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 0, 6, '', '', 1, 120, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(179, 302, 'Shortcodes', 'short-codes', '', '<div style="text-align: center;"><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/564-yt-shortcode-joomla-plugin" target="_blank"><img src="images/shortcode/shortcode.jpg" border="0" alt="YT Shortcode" width="789" height="350" style="border: 0;" /> </a></div>\r\n<p>[space height="20"]</p>\r\n<div style="text-align: center;">\r\n<p>[button type="flat inverse" target="_blank" link="http://demo.smartaddons.com/extensions/yt-shortcode/index.php"] View all example YT Shortcode [/button]</p>\r\n</div>\r\n<p>The shortcodes supports users to make content for web pages. In Joomla administrator, Yt Shortcodes button will be appeared below the text-area, you can choose shortcodes for the text-area to make content. We will show <strong>bonus pages</strong> for sample in some templates using shortcodes from now.</p>\r\n<p class="text-error"><strong>Note:</strong> Shortcodes only works in <strong>detail</strong> article (joomla! content, k2 content), custom html module.</p>\r\n<p><strong>YT Shortcode User-guide:</strong></p>\r\n<p>Let''s go to <a href="http://smartaddons.s3.amazonaws.com/images/userguide/Yt-Shortcodes/index.html" target="blank" style="color: #0291ff;">here</a> for reading full help documentation of YT Shortcode Plugin</p>', '', 1, 0, 0, 90, '2013-03-07 07:14:55', 42, '', '2014-07-08 16:47:20', 42, 0, '0000-00-00 00:00:00', '2013-03-07 07:14:55', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 29, 0, 4, '', '', 1, 463, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(180, 303, 'Testimonials', 'testimonials', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce a massa non quam porta porta. Maecenas urna erat, blandit ac faucibus ac, consectetur vitae sapien? Aliquam enim sem, ultricies nec feugiat nec, scelerisque quis arcu. Vivamus ipsum odio, feugiat non faucibus nec, egestas eget ipsum. Mauris fringilla sodales nibh. Integer scelerisque libero quis urna vestibulum suscipit. Aenean sed tempus dui. Pellentesque neque lectus, pretium non eleifend at, molestie vel elit. Nullam ut lectus in ipsum tincidunt malesuada\r\n</p>\r\n[space height=''30'']\r\n[testimonial  author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-2.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.\r\n[/testimonial]\r\n\r\n[testimonial style="blue" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-1.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.\r\n[/testimonial]\r\n\r\n[testimonial style="oranges" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-3.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.\r\n[/testimonial]\r\n\r\n[testimonial style="red" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-1.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.\r\n[/testimonial]\r\n\r\n[testimonial style="green" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-2.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.\r\n[/testimonial]\r\n', '', 1, 0, 0, 91, '2013-03-07 07:51:17', 42, '', '2013-03-08 02:26:48', 42, 0, '0000-00-00 00:00:00', '2013-03-07 07:51:17', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 13, 0, 8, '', '', 1, 115, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(181, 304, 'Services', 'services', '', '<div id="g-pageservices">\r\n<p>\r\nWe provide professional services to small and medium sized businesses as well as to larger companies in Europe and abroad. Specialising in Web Development, we have helped many businesses make their online appearance and interactive campaigns a success. We are specialized in following services.\r\n</p>\r\n[space height=''20'']\r\n<div class="row-fluid">\r\n    <div class="span4">\r\n        [icon name="beaker"  align="left" size="39" color="#fff"]\r\n        <article>\r\n            <h3>Easy To Customize </h3>\r\n            <p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p><a href="#" class="detail"> Read More</a>\r\n         \r\n       </article>\r\n    </div>\r\n    <div class="span4">\r\n        [icon name="food"  align="left" size="34" color="#fff"]\r\n        <article>\r\n            <h3>Ready to Use </h3>\r\n            <p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p><a href="#" class="detail"> Read More</a>\r\n         \r\n       </article>\r\n    </div>\r\n    <div class="span4">\r\n        [icon name="tablet"  align="left" size="42" color="#fff"]\r\n        <article>\r\n            <h3>Responsive Design </h3>\r\n            <p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p><a href="#" class="detail"> Read More</a>\r\n         \r\n       </article>\r\n    </div>\r\n    [space height=''40'']\r\n    <div class="span4 first">\r\n        [icon name="search"  align="left" size="32" color="#fff"]\r\n        <article>\r\n            <h3>Search Engines (SEO)</h3>\r\n            <p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p><a href="#" class="detail"> Read More</a>\r\n         \r\n       </article>\r\n    </div>\r\n    <div class="span4">\r\n        [icon name="globe"  align="left" size="46" color="#fff"]\r\n        <article>\r\n            <h3>Web Marketing</h3>\r\n            <p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p><a href="#" class="detail"> Read More</a>\r\n         \r\n       </article>\r\n    </div>\r\n    <div class="span4">\r\n        [icon name="twitter"  align="left" size="32" color="#fff"]\r\n        <article>\r\n            <h3>Social Media </h3>\r\n            <p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p><a href="#" class="detail"> Read More</a>\r\n         \r\n       </article>\r\n    </div>\r\n</div>\r\n\r\n<hr/>\r\n<h2>What we are?</h2>\r\n <div class="b-block">\r\n    [lightbox src="images/shortcode/a1.jpg" width="320" height="210" lightbox="off" title="Vestibulum id urna" align="left" ]\r\n     <article>\r\n        <h3>Cras eget congue arcu.</h3>\r\n        <p>\r\n            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales posuere egestas elit. Quisque sodales pulvinar dolor eu facilisis. Proin in feugiat nisi.\r\n        </p>\r\n            [list type="check"]\r\n                <li> Donec feugiat purus eget ipsum </li>\r\n                <li> pulvinar at vestibulum faucibus </li>\r\n                <li> Aliquam aliquam consequat laoreet</li>\r\n                <li> Curabitur eget sapien sem </li>\r\n                <li> Vestibulum mattis felis a ante </li>\r\n            [/list]\r\n        </div>\r\n   </article>\r\n     \r\n    <hr/>\r\n<h2>What clients say</h2>\r\n<div class="row-fluid">\r\n    <div class="span4">\r\n        [testimonial  style="red" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-1.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis\r\n[/testimonial]\r\n    </div>\r\n    <div class="span4">\r\n        [testimonial  style="blue" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-2.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis\r\n[/testimonial]\r\n    </div>\r\n    <div class="span4">\r\n        [testimonial style="oranges"  author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar-3.jpg" ]\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis\r\n[/testimonial]\r\n    </div>\r\n   \r\n</div>\r\n</div>\r\n\r\n\r\n', '', 1, 0, 0, 91, '2013-03-08 02:27:34', 42, '', '2013-05-07 08:43:39', 42, 0, '0000-00-00 00:00:00', '2013-03-08 02:27:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 58, 0, 7, '', '', 1, 203, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(182, 305, 'Columns', 'columns', '', '<div id="g-pagecolumn">\r\n    <div class="row-fluid">\r\n        <div class="span12">\r\n            <h3>12 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. Pellentesque placerat lobortis lorem vitae mollis? Morbi leo massa; rhoncus nec lobortis et; vestibulum in quam.Vivamus pellentesque accumsan tincidunt? Sed accumsan auctor dui ut pretium. Mauris dolor est, fringilla a luctus ut, congue ut erat? Ut ante lorem; bibendum a pharetra nec, iaculis at augue. Mauris id lectus lacus. \r\n        </p>  \r\n        </div>\r\n        \r\n        <hr/>\r\n        \r\n        <div class="span6 first-child">\r\n            <h3>6 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span6">\r\n            <h3>6 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. \r\n        </p>  \r\n        </div>\r\n        \r\n        <hr/>\r\n        \r\n        <div class="span4 first-child">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span4">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum.\r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span4">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. \r\n        </p>\r\n        </div>\r\n        \r\n        <hr/>\r\n          \r\n         <div class="span3 first-child">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n         \r\n        <div class="span3">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span3">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span3">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n        \r\n        <hr/>\r\n        <div class="span8 first-child">\r\n            <h3>8 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. Pellentesque placerat lobortis lorem vitae mollis\r\n            </p>\r\n        </div>\r\n        \r\n        <div class="span4">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. \r\n            </p>\r\n        </div>\r\n        \r\n        \r\n        \r\n        \r\n    </div>\r\n\r\n</div>', '', 1, 0, 0, 91, '2013-03-08 04:12:49', 42, '', '2013-03-08 06:58:43', 42, 0, '0000-00-00 00:00:00', '2013-03-08 04:12:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 15, 0, 6, '', '', 1, 34, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(184, 307, 'Photo Gallery ', 'photo-gallery', '', '<p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur augue nunc, tempus quis lacinia ac, cursus nec felis? Nunc odio ante, aliquam id volutpat blandit, condimentum pellentesque mauris. Etiam eleifend faucibus risus, ut hendrerit nunc commodo id? Mauris iaculis ultrices metus quis auctor.\r\n</p>\r\n\r\n[gallery width="258" height="186" columns="4"]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l1.jpg" video_addr="http://youtube.com/watch?v=B0ky-VMi9fI"] Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Aenean dictum commodo dictum" src="images/shortcode/l2.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Cum sociis natoque penatibus " src="images/shortcode/l3.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Donec aliquet dui pharetra" src="images/shortcode/l4.jpg"]Nullam ultrices[/gallery_item]\r\n    \r\n    [gallery_item title="Donec semper dui ut risus" src="images/shortcode/l5.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l6.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Donec semper dui ut risus" src="images/shortcode/l7.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l8.jpg" video_addr="http://www.youtube.com/watch?v=n323WknTym8"]Nullam ultrices[/gallery_item]\r\n    \r\n    [gallery_item title="Donec semper dui ut risus" src="images/shortcode/l9.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l10.jpg" video_addr="http://www.youtube.com/watch?v=UTBQYAE-pMk"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Donec semper dui ut risus" src="images/shortcode/l11.jpg"]Nullam ultrices[/gallery_item]\r\n    [gallery_item title="Vivamus volutpat turpis" src="images/shortcode/l12.jpg"]Nullam ultrices[/gallery_item]\r\n[/gallery]', '', 1, 0, 0, 91, '2013-03-11 03:08:06', 42, '', '2013-05-10 07:48:38', 42, 0, '0000-00-00 00:00:00', '2013-03-11 03:08:06', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 23, 0, 3, '', '', 1, 195, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(185, 308, 'Portfolio', 'portfolio', '', '<div id="g-pageportfolio">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales posuere egestas</p>\r\n[space height="20"]\r\n<div class="span3 first"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p1.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ Bakery</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n<div class="span3"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p2.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ Lotte</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n<div class="span3"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p3.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ Wall Blog</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n<div class="span3"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p4.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ Company</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n[space height="30"]\r\n<div class="span3 first"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p5.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ eSport</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n<div class="span3"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p6.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ AppStore HiTech</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n<div class="span3"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p7.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ Health</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n<div class="span3"><a class="port-item-img" href="#"> [lightbox src="images/shortcode/p8.jpg" width="219" height="136" lightbox="off" title="Vestibulum id urna" align="none" border="yes" ] </a>\r\n<div class="port-item-content">\r\n<h4>SJ Fashion Store</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>', '', 1, 0, 0, 91, '2013-03-11 08:16:31', 42, '', '2013-09-14 02:56:19', 42, 0, '0000-00-00 00:00:00', '2013-03-11 08:16:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 45, 0, 2, '', '', 1, 297, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(186, 309, 'test Short Codes', 'test-short-codes', '', '[button type="info" target="_self" state="enabled/disabled" link="#" icon="info-sign"]ADD_BUTTON_CONTENT[/button]\r\n\r\n[button type="info" target="_self" state="enabled/disabled" link="#" icon="download"]ADD_BUTTON_CONTENT[/button]\r\n\r\n[youtube align="left" height="250" width="500" ]http://www.youtube.com/watch?v=EncxNMwh2s0[/youtube]\r\n\r\nFusce non neque mauris, a venenatis neque. Donec in tortor odio. Phasellus ac lorem augue. Aliquam tristique aliquet tortor eu imperdiet. In hac habitasse platea dictumst. Aliquam quis neque velit? Sed sed eros id nulla posuere tristique vitae ac turpis. Duis neque est, semper et lobortis id, porttitor vel nunc. \r\n', '', -2, 0, 0, 90, '2013-03-13 09:03:59', 42, '', '2013-03-25 07:44:02', 42, 0, '0000-00-00 00:00:00', '2013-03-13 09:03:59', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 125, 0, 3, '', '', 1, 226, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(188, 311, ' Syntax Highlighting ', 'syntax-highlighting', '', '<div class="bs-docs-example">\r\n[highlighter label="Example about less" linenums="yes" startnums="10"]\r\n/*-- Tablet portrait (768x1024) && Small tablet landscape (800x600) --*/\r\n@media (min-width: 768px) and (max-width: 979px) {\r\n    /* Block Lightbox*/\r\n    .yt-lightbox{display: block;}\r\n    div.yt-vimeo iframe,\r\n    div.yt-youtube iframe{width:100%;height: 300px;}\r\n}\r\n[/highlighter]\r\n</div>\r\n<pre class="prettyprint linenums">&#91;highlighter label="CONTENT_HERE" linenums="yes" startnums="1"&#93; ADD_CONTENT_HERE &#91;/highlighter&#93;\r\n</pre>\r\n', '', 1, 0, 0, 90, '2013-03-19 07:17:26', 42, '', '2013-04-03 08:56:03', 42, 0, '0000-00-00 00:00:00', '2013-03-19 07:17:26', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 24, 0, 3, '', '', 1, 58, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(187, 310, 'Bonus pages', 'bonus-pages', '', '<p style="margin-top:250px" >\r\nWe use shortcodes to do the bonus pages, and css file dedicated for bonus pages is joomla-page.less(path: ROOT/templates/YOUR_TEMPLATE/less/joomla-page.less)\r\n\r\n<p>', '', 1, 0, 0, 91, '2013-03-18 09:31:16', 42, '', '2013-05-10 10:08:13', 42, 0, '0000-00-00 00:00:00', '2013-03-18 09:31:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/shortcode\\/bonuspages.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 19, 0, 1, '', '', 1, 146, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(189, 312, 'Toggles', 'toggles', '', '<div class="bs-docs-example">[toggle_box]<br /> [toggle_item  title="Collapsible Group Item #1"] Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS. [/toggle_item] <br /> [toggle_item icon="heart" active="yes" title="Collapsible Group Item #2"] Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS. [/toggle_item] <br /> [toggle_item icon="bell-alt" title="Collapsible Group Item #2"] Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven''t heard of them accusamus labore sustainable VHS. [/toggle_item] <br /> [/toggle_box]</div>\r\n<pre class="prettyprint linenums">&#91;toggle_box&#93;\r\n   &#91;toggle_item icon="user" title=''ITEM_TITLE1''&#93; ADD_CONTENT_HERE &#91;/toggle_item&#93;\r\n   &#91;toggle_item icon="heart" title=''ITEM_TITLE2'' active=''yes''&#93; ADD_CONTENT_HERE &#91;/toggle_item&#93;\r\n   &#91;toggle_item icon="bell-alt" title=''ITEM_TITLE3''&#93; ADD_CONTENT_HERE &#91;/toggle_item&#93;\r\n&#91;/toggle_box]\r\n</pre>', '', 1, 0, 0, 90, '2013-03-20 08:34:49', 42, '', '2013-04-03 08:56:44', 42, 0, '0000-00-00 00:00:00', '2013-03-20 08:34:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 22, 0, 2, '', '', 1, 99, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(190, 313, 'Google Font', 'google-font', '', '<h4>Choose from over 570 Google Font’s to emphasize your Taglines</h4>\r\n<p>\r\ncomes with over 500 Google web fonts you can pick for all your headings, navigation, titles, topbar, body, twitterbar, breadcrumbs text. Simply go to the Theme Options Panel, under the styling options, and select the fonts that suit you best. You won’t be disappointed with the selection of fonts.\r\n</p>\r\n<a class="btn btn-info"target="_blank" title="Google Font Directory" href="http://www.google.com/webfonts">Google Font Directory</a>\r\n<div class="bs-docs-example">\r\n  [googlefont font="Cantora One" size="24" color="#4960B2" align="none" margin="0 0 1em 0"] Lorem ipsum dolor sit amet, consectetur adipiscing elit[/googlefont]\r\n  \r\n  [googlefont font="PT Sans" size="20" color="#506FC4" align="none" margin="1em 0 1em 0"] Lorem ipsum dolor sit amet, consectetur adipiscing elit[/googlefont]\r\n  \r\n  [googlefont font="Cuprum" size="18" color="#5781D6" align="none" margin="1em 0 1em 0"] Lorem ipsum dolor sit amet, consectetur adipiscing elit[/googlefont]\r\n  \r\n  [googlefont font="BenchNine" size="21" color="#6099EA" text-align="none" margin="1em 0 1em 0"] Lorem ipsum dolor sit amet, consectetur adipiscing elit[/googlefont]\r\n\r\n\r\n</div>\r\n<pre class="prettyprint linenums">&#91;googlefont font-family="FONT_NAME" size="24" color="#4960B2" align="left" font_weight="400"  margin="1em 0 1em 0"&#93; ADD_CONTENT_HERE &#91;/googlefont&#93;\r\n&#91;googlefont font-family="FONT_NAME" size="20" color="#506FC4" align="none" font_weight="400"  margin="1em 0 1em 0"&#93; ADD_CONTENT_HERE &#91;/googlefont&#93;\r\n&#91;googlefont font-family="FONT_NAME" size="18" color="#5781D6" align="none" font_weight="400"  margin="1em 0 1em 0"&#93; ADD_CONTENT_HERE &#91;/googlefont&#93;\r\n&#91;googlefont font-family="FONT_NAME" size="14" color="#6099EA" align="none" font_weight="400"  margin="1em 0 1em 0"&#93; ADD_CONTENT_HERE &#91;/googlefont&#93;\r\n</pre>', '', 1, 0, 0, 90, '2013-03-21 03:38:04', 42, '', '2013-09-13 03:04:10', 42, 0, '0000-00-00 00:00:00', '2013-03-21 03:38:04', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 25, 0, 1, '', '', 1, 48, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(191, 314, 'icons (2)', 'icons-2', '', '<!-- Icons\r\n================================================== -->\r\n\r\n     <p>Font Awesome is a pictographic language of web-related actions which delivers 220 icons. The Font Awesome webfont, CSS, and LESS files are licensed under CC BY 3.0 and you can find the full examples of usage at Font Awesome - <a target="_blank" href="http://fortawesome.github.com/Font-Awesome">Font Awesome - http://fortawesome.github.com/Font-Awesome</a></p>\r\n     <p>Add name=<code>ICON_NAME</code> to any element, best used with a <code>&#91;icon&#93;</code>.</p>\r\n     \r\n     <div class="bs-docs-example">               \r\n          <div class="row-fluid">\r\n                <div class="span4">\r\n                 [icon name="twitter" size="34" color="#0AA7DB" font_text="Trebuchet MS"] Twitter [/icon]\r\n                 \r\n                </div>\r\n                <div class="span4">\r\n                  [icon name="facebook" size="34" color="#0AA7DB" font_text="Trebuchet MS"] Facebook [/icon]\r\n                </div>\r\n                <div class="span4">\r\n                 [icon name="linkedin " size="34" color="#0AA7DB" font_text="Trebuchet MS"] Linkedin [/icon]\r\n                </div>\r\n          </div>\r\n     </div>\r\n      <pre class="prettyprint linenums">&#91;icon name="twitter"  size="34" color="#0AA7DB" font_text="Trebuchet MS" &#93; Twitter &#91;/icon&#93;\r\n&#91;icon name="facebook" size="34" color="#3C5A9A" font_text="Trebuchet MS"&#93; Facebook &#91;/icon&#93;\r\n&#91;icon name="linkedin" size="34" color="#1B5690" font_text="Trebuchet MS"&#93; Linkedin &#91;/icon&#93;\r\n</pre>\r\n     \r\n     <div class="bs-docs-example">               \r\n          <div class="row-fluid rsContent">\r\n                <div class="span4">\r\n                    <div class="item box-members block">\r\n                         [icon name="user" align="left" size="100" color="#fff"]\r\n                         <article>\r\n                              <h3>300 000</h3>\r\n                              <p>members</p>\r\n                         </article>\r\n                    </div>\r\n                 \r\n                </div>\r\n                <div class="span4">\r\n                    <div class="item box-apps block">\r\n                         [icon name="mobile-phone" align="left" size="100" color="#fff"]\r\n                         <article>\r\n                              <h3>4000</h3>\r\n                              <p>apps monthly developed</p>\r\n                         </article>\r\n                         \r\n                    </div>\r\n                </div>\r\n                <div class="span4">\r\n                    <div class="item box-leads block">\r\n                         [icon name="globe" align="left" size="100" color="#fff"]\r\n                         <article>\r\n                              <h3>+4 000</h3>\r\n                              <p>leads generated to our customers</p>\r\n                         </article>\r\n                         \r\n                    </div>\r\n                </div>\r\n          </div>\r\n     </div>\r\n      <pre class="prettyprint linenums">&#91;icon name="user"  align="left" size="100" color="#fff"&#93;\r\n&#91;icon name="mobile-phone"  align="left" size="100" color="#fff"&#93;\r\n&#91;icon name="globe"  align="left" size="100" color="#fff"&#93;\r\n</pre>\r\n      \r\n     <div class="span12 first-child">\r\n<div class="bs-docs-example">\r\n     <section class="row-fluid" id="icons-web-app">\r\n     <div class="span12">\r\n          <h2 class="page-header">Web Application Icons</h2>\r\n     </div>\r\n\r\n  <div class="span3 first-child">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-adjust"></i> icon-adjust</li>\r\n      <li><i class="icon-asterisk"></i> icon-asterisk</li>\r\n      <li><i class="icon-ban-circle"></i> icon-ban-circle</li>\r\n      <li><i class="icon-bar-chart"></i> icon-bar-chart</li>\r\n      <li><i class="icon-barcode"></i> icon-barcode</li>\r\n      <li><i class="icon-beaker"></i> icon-beaker</li>\r\n      <li><i class="icon-beer"></i> icon-beer</li>\r\n      <li><i class="icon-bell"></i> icon-bell</li>\r\n      <li><i class="icon-bell-alt"></i> icon-bell-alt</li>\r\n      <li><i class="icon-bolt"></i> icon-bolt</li>\r\n      <li><i class="icon-book"></i> icon-book</li>\r\n      <li><i class="icon-bookmark"></i> icon-bookmark</li>\r\n      <li><i class="icon-bookmark-empty"></i> icon-bookmark-empty</li>\r\n      <li><i class="icon-briefcase"></i> icon-briefcase</li>\r\n      <li><i class="icon-bullhorn"></i> icon-bullhorn</li>\r\n      <li><i class="icon-calendar"></i> icon-calendar</li>\r\n      <li><i class="icon-camera"></i> icon-camera</li>\r\n      <li><i class="icon-camera-retro"></i> icon-camera-retro</li>\r\n      <li><i class="icon-certificate"></i> icon-certificate</li>\r\n      <li><i class="icon-check"></i> icon-check</li>\r\n      <li><i class="icon-check-empty"></i> icon-check-empty</li>\r\n      <li><i class="icon-circle"></i> icon-circle</li>\r\n      <li><i class="icon-circle-blank"></i> icon-circle-blank</li>\r\n      <li><i class="icon-cloud"></i> icon-cloud</li>\r\n      <li><i class="icon-cloud-download"></i> icon-cloud-download</li>\r\n      <li><i class="icon-cloud-upload"></i> icon-cloud-upload</li>\r\n      <li><i class="icon-coffee"></i> icon-coffee</li>\r\n      <li><i class="icon-cog"></i> icon-cog</li>\r\n      <li><i class="icon-cogs"></i> icon-cogs</li>\r\n      <li><i class="icon-comment"></i> icon-comment</li>\r\n      <li><i class="icon-comment-alt"></i> icon-comment-alt</li>\r\n      <li><i class="icon-comments"></i> icon-comments</li>\r\n      <li><i class="icon-comments-alt"></i> icon-comments-alt</li>\r\n      <li><i class="icon-credit-card"></i> icon-credit-card</li>\r\n      <li><i class="icon-dashboard"></i> icon-dashboard</li>\r\n      <li><i class="icon-desktop"></i> icon-desktop</li>\r\n      <li><i class="icon-download"></i> icon-download</li>\r\n      <li><i class="icon-download-alt"></i> icon-download-alt</li>\r\n    </ul>\r\n  </div>\r\n  <div class="span3">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-edit"></i> icon-edit</li>\r\n      <li><i class="icon-envelope"></i> icon-envelope</li>\r\n      <li><i class="icon-envelope-alt"></i> icon-envelope-alt</li>\r\n      <li><i class="icon-exchange"></i> icon-exchange</li>\r\n      <li><i class="icon-exclamation-sign"></i> icon-exclamation-sign</li>\r\n      <li><i class="icon-external-link"></i> icon-external-link</li>\r\n      <li><i class="icon-eye-close"></i> icon-eye-close</li>\r\n      <li><i class="icon-eye-open"></i> icon-eye-open</li>\r\n      <li><i class="icon-facetime-video"></i> icon-facetime-video</li>\r\n      <li><i class="icon-fighter-jet"></i> icon-fighter-jet</li>\r\n      <li><i class="icon-film"></i> icon-film</li>\r\n      <li><i class="icon-filter"></i> icon-filter</li>\r\n      <li><i class="icon-fire"></i> icon-fire</li>\r\n      <li><i class="icon-flag"></i> icon-flag</li>\r\n      <li><i class="icon-folder-close"></i> icon-folder-close</li>\r\n      <li><i class="icon-folder-open"></i> icon-folder-open</li>\r\n      <li><i class="icon-folder-close-alt"></i> icon-folder-close-alt</li>\r\n      <li><i class="icon-folder-open-alt"></i> icon-folder-open-alt</li>\r\n      <li><i class="icon-food"></i> icon-food</li>\r\n      <li><i class="icon-gift"></i> icon-gift</li>\r\n      <li><i class="icon-glass"></i> icon-glass</li>\r\n      <li><i class="icon-globe"></i> icon-globe</li>\r\n      <li><i class="icon-group"></i> icon-group</li>\r\n      <li><i class="icon-hdd"></i> icon-hdd</li>\r\n      <li><i class="icon-headphones"></i> icon-headphones</li>\r\n      <li><i class="icon-heart"></i> icon-heart</li>\r\n      <li><i class="icon-heart-empty"></i> icon-heart-empty</li>\r\n      <li><i class="icon-home"></i> icon-home</li>\r\n      <li><i class="icon-inbox"></i> icon-inbox</li>\r\n      <li><i class="icon-info-sign"></i> icon-info-sign</li>\r\n      <li><i class="icon-key"></i> icon-key</li>\r\n      <li><i class="icon-leaf"></i> icon-leaf</li>\r\n      <li><i class="icon-laptop"></i> icon-laptop</li>\r\n      <li><i class="icon-legal"></i> icon-legal</li>\r\n      <li><i class="icon-lemon"></i> icon-lemon</li>\r\n      <li><i class="icon-lightbulb"></i> icon-lightbulb</li>\r\n      <li><i class="icon-lock"></i> icon-lock</li>\r\n      <li><i class="icon-unlock"></i> icon-unlock</li>\r\n    </ul>\r\n  </div>\r\n  <div class="span3">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-magic"></i> icon-magic</li>\r\n      <li><i class="icon-magnet"></i> icon-magnet</li>\r\n      <li><i class="icon-map-marker"></i> icon-map-marker</li>\r\n      <li><i class="icon-minus"></i> icon-minus</li>\r\n      <li><i class="icon-minus-sign"></i> icon-minus-sign</li>\r\n      <li><i class="icon-mobile-phone"></i> icon-mobile-phone</li>\r\n      <li><i class="icon-money"></i> icon-money</li>\r\n      <li><i class="icon-move"></i> icon-move</li>\r\n      <li><i class="icon-music"></i> icon-music</li>\r\n      <li><i class="icon-off"></i> icon-off</li>\r\n      <li><i class="icon-ok"></i> icon-ok</li>\r\n      <li><i class="icon-ok-circle"></i> icon-ok-circle</li>\r\n      <li><i class="icon-ok-sign"></i> icon-ok-sign</li>\r\n      <li><i class="icon-pencil"></i> icon-pencil</li>\r\n      <li><i class="icon-picture"></i> icon-picture</li>\r\n      <li><i class="icon-plane"></i> icon-plane</li>\r\n      <li><i class="icon-plus"></i> icon-plus</li>\r\n      <li><i class="icon-plus-sign"></i> icon-plus-sign</li>\r\n      <li><i class="icon-print"></i> icon-print</li>\r\n      <li><i class="icon-pushpin"></i> icon-pushpin</li>\r\n      <li><i class="icon-qrcode"></i> icon-qrcode</li>\r\n      <li><i class="icon-question-sign"></i> icon-question-sign</li>\r\n      <li><i class="icon-quote-left"></i> icon-quote-left</li>\r\n      <li><i class="icon-quote-right"></i> icon-quote-right</li>\r\n      <li><i class="icon-random"></i> icon-random</li>\r\n      <li><i class="icon-refresh"></i> icon-refresh</li>\r\n      <li><i class="icon-remove"></i> icon-remove</li>\r\n      <li><i class="icon-remove-circle"></i> icon-remove-circle</li>\r\n      <li><i class="icon-remove-sign"></i> icon-remove-sign</li>\r\n      <li><i class="icon-reorder"></i> icon-reorder</li>\r\n      <li><i class="icon-reply"></i> icon-reply</li>\r\n      <li><i class="icon-resize-horizontal"></i> icon-resize-horizontal</li>\r\n      <li><i class="icon-resize-vertical"></i> icon-resize-vertical</li>\r\n      <li><i class="icon-retweet"></i> icon-retweet</li>\r\n      <li><i class="icon-road"></i> icon-road</li>\r\n      <li><i class="icon-rss"></i> icon-rss</li>\r\n      <li><i class="icon-screenshot"></i> icon-screenshot</li>\r\n      <li><i class="icon-search"></i> icon-search</li>\r\n    </ul>\r\n  </div>\r\n  <div class="span3">\r\n    <ul class="the-icons">\r\n      <li><i class="icon-share"></i> icon-share</li>\r\n      <li><i class="icon-share-alt"></i> icon-share-alt</li>\r\n      <li><i class="icon-shopping-cart"></i> icon-shopping-cart</li>\r\n      <li><i class="icon-signal"></i> icon-signal</li>\r\n      <li><i class="icon-signin"></i> icon-signin</li>\r\n      <li><i class="icon-signout"></i> icon-signout</li>\r\n      <li><i class="icon-sitemap"></i> icon-sitemap</li>\r\n      <li><i class="icon-sort"></i> icon-sort</li>\r\n      <li><i class="icon-sort-down"></i> icon-sort-down</li>\r\n      <li><i class="icon-sort-up"></i> icon-sort-up</li>\r\n      <li><i class="icon-spinner"></i> icon-spinner</li>\r\n      <li><i class="icon-star"></i> icon-star</li>\r\n      <li><i class="icon-star-empty"></i> icon-star-empty</li>\r\n      <li><i class="icon-star-half"></i> icon-star-half</li>\r\n      <li><i class="icon-tablet"></i> icon-tablet</li>\r\n      <li><i class="icon-tag"></i> icon-tag</li>\r\n      <li><i class="icon-tags"></i> icon-tags</li>\r\n      <li><i class="icon-tasks"></i> icon-tasks</li>\r\n      <li><i class="icon-thumbs-down"></i> icon-thumbs-down</li>\r\n      <li><i class="icon-thumbs-up"></i> icon-thumbs-up</li>\r\n      <li><i class="icon-time"></i> icon-time</li>\r\n      <li><i class="icon-tint"></i> icon-tint</li>\r\n      <li><i class="icon-trash"></i> icon-trash</li>\r\n      <li><i class="icon-trophy"></i> icon-trophy</li>\r\n      <li><i class="icon-truck"></i> icon-truck</li>\r\n      <li><i class="icon-umbrella"></i> icon-umbrella</li>\r\n      <li><i class="icon-upload"></i> icon-upload</li>\r\n      <li><i class="icon-upload-alt"></i> icon-upload-alt</li>\r\n      <li><i class="icon-user"></i> icon-user</li>\r\n      <li><i class="icon-user-md"></i> icon-user-md</li>\r\n      <li><i class="icon-volume-off"></i> icon-volume-off</li>\r\n      <li><i class="icon-volume-down"></i> icon-volume-down</li>\r\n      <li><i class="icon-volume-up"></i> icon-volume-up</li>\r\n      <li><i class="icon-warning-sign"></i> icon-warning-sign</li>\r\n      <li><i class="icon-wrench"></i> icon-wrench</li>\r\n      <li><i class="icon-zoom-in"></i> icon-zoom-in</li>\r\n      <li><i class="icon-zoom-out"></i> icon-zoom-out</li>\r\n    </ul>\r\n  </div>\r\n</section>\r\n            <section class="row-fluid" id="icons-text-editor">\r\n              <div class="span12">\r\n              <h2 class="page-header">Text Editor Icons</h2>\r\n              </div>\r\n              <div class="span3 first-child">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-file"></i> icon-file</li>\r\n                <li><i class="icon-file-alt"></i> icon-file-alt</li>\r\n                <li><i class="icon-cut"></i> icon-cut</li>\r\n                <li><i class="icon-copy"></i> icon-copy</li>\r\n                <li><i class="icon-paste"></i> icon-paste</li>\r\n                <li><i class="icon-save"></i> icon-save</li>\r\n                <li><i class="icon-undo"></i> icon-undo</li>\r\n                <li><i class="icon-repeat"></i> icon-repeat</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-text-height"></i> icon-text-height</li>\r\n                <li><i class="icon-text-width"></i> icon-text-width</li>\r\n                <li><i class="icon-align-left"></i> icon-align-left</li>\r\n                <li><i class="icon-align-center"></i> icon-align-center</li>\r\n                <li><i class="icon-align-right"></i> icon-align-right</li>\r\n                <li><i class="icon-align-justify"></i> icon-align-justify</li>\r\n                <li><i class="icon-indent-left"></i> icon-indent-left</li>\r\n                <li><i class="icon-indent-right"></i> icon-indent-right</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-font"></i> icon-font</li>\r\n                <li><i class="icon-bold"></i> icon-bold</li>\r\n                <li><i class="icon-italic"></i> icon-italic</li>\r\n                <li><i class="icon-strikethrough"></i> icon-strikethrough</li>\r\n                <li><i class="icon-underline"></i> icon-underline</li>\r\n                <li><i class="icon-link"></i> icon-link</li>\r\n                <li><i class="icon-paper-clip"></i> icon-paper-clip</li>\r\n                <li><i class="icon-columns"></i> icon-columns</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-table"></i> icon-table</li>\r\n                <li><i class="icon-th-large"></i> icon-th-large</li>\r\n                <li><i class="icon-th"></i> icon-th</li>\r\n                <li><i class="icon-th-list"></i> icon-th-list</li>\r\n                <li><i class="icon-list"></i> icon-list</li>\r\n                <li><i class="icon-list-ol"></i> icon-list-ol</li>\r\n                <li><i class="icon-list-ul"></i> icon-list-ul</li>\r\n                <li><i class="icon-list-alt"></i> icon-list-alt</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n            <section class="row-fluid" id="icons-directional">\r\n              <div class="span12">\r\n              <h2 class="page-header">Directional Icons</h2>\r\n              </div>\r\n              <div class="span3 first-child">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-angle-left"></i> icon-angle-left</li>\r\n                <li><i class="icon-angle-right"></i> icon-angle-right</li>\r\n                <li><i class="icon-angle-up"></i> icon-angle-up</li>\r\n                <li><i class="icon-angle-down"></i> icon-angle-down</li>\r\n                <li><i class="icon-arrow-down"></i> icon-arrow-down</li>\r\n                <li><i class="icon-arrow-left"></i> icon-arrow-left</li>\r\n                <li><i class="icon-arrow-right"></i> icon-arrow-right</li>\r\n                <li><i class="icon-arrow-up"></i> icon-arrow-up</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-caret-down"></i> icon-caret-down</li>\r\n                <li><i class="icon-caret-left"></i> icon-caret-left</li>\r\n                <li><i class="icon-caret-right"></i> icon-caret-right</li>\r\n                <li><i class="icon-caret-up"></i> icon-caret-up</li>\r\n                <li><i class="icon-chevron-down"></i> icon-chevron-down</li>\r\n                <li><i class="icon-chevron-left"></i> icon-chevron-left</li>\r\n                <li><i class="icon-chevron-right"></i> icon-chevron-right</li>\r\n                <li><i class="icon-chevron-up"></i> icon-chevron-up</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-circle-arrow-down"></i> icon-circle-arrow-down</li>\r\n                <li><i class="icon-circle-arrow-left"></i> icon-circle-arrow-left</li>\r\n                <li><i class="icon-circle-arrow-right"></i> icon-circle-arrow-right</li>\r\n                <li><i class="icon-circle-arrow-up"></i> icon-circle-arrow-up</li>\r\n                <li><i class="icon-double-angle-left"></i> icon-double-angle-left</li>\r\n                <li><i class="icon-double-angle-right"></i> icon-double-angle-right</li>\r\n                <li><i class="icon-double-angle-up"></i> icon-double-angle-up</li>\r\n                <li><i class="icon-double-angle-down"></i> icon-double-angle-down</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-hand-down"></i> icon-hand-down</li>\r\n                <li><i class="icon-hand-left"></i> icon-hand-left</li>\r\n                <li><i class="icon-hand-right"></i> icon-hand-right</li>\r\n                <li><i class="icon-hand-up"></i> icon-hand-up</li>\r\n                <li><i class="icon-circle"></i> icon-circle</li>\r\n                <li><i class="icon-circle-blank"></i> icon-circle-blank</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n\r\n            <section class="row-fluid" id="icons-video-player">\r\n              <div class="span12">\r\n              <h2 class="page-header">Video Player Icons</h2>\r\n              </div>\r\n              <div class="span3 first-child">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-play-circle"></i> icon-play-circle</li>\r\n                <li><i class="icon-play"></i> icon-play</li>\r\n                <li><i class="icon-pause"></i> icon-pause</li>\r\n                <li><i class="icon-stop"></i> icon-stop</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-step-backward"></i> icon-step-backward</li>\r\n                <li><i class="icon-fast-backward"></i> icon-fast-backward</li>\r\n                <li><i class="icon-backward"></i> icon-backward</li>\r\n                <li><i class="icon-forward"></i> icon-forward</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-fast-forward"></i> icon-fast-forward</li>\r\n                <li><i class="icon-step-forward"></i> icon-step-forward</li>\r\n                <li><i class="icon-eject"></i> icon-eject</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-fullscreen"></i> icon-fullscreen</li>\r\n                <li><i class="icon-resize-full"></i> icon-resize-full</li>\r\n                <li><i class="icon-resize-small"></i> icon-resize-small</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n            <section class="row-fluid" id="icons-social">\r\n              <div class="span12">\r\n              <h2 class="page-header">Social Icons</h2>\r\n              </div>\r\n              <div class="span3 first-child">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-phone"></i> icon-phone</li>\r\n                <li><i class="icon-phone-sign"></i> icon-phone-sign</li>\r\n                <li><i class="icon-facebook"></i> icon-facebook</li>\r\n                <li><i class="icon-facebook-sign"></i> icon-facebook-sign</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-twitter"></i> icon-twitter</li>\r\n                <li><i class="icon-twitter-sign"></i> icon-twitter-sign</li>\r\n                <li><i class="icon-github"></i> icon-github</li>\r\n                <li><i class="icon-github-alt"></i> icon-github-alt</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-github-sign"></i> icon-github-sign</li>\r\n                <li><i class="icon-linkedin"></i> icon-linkedin</li>\r\n                <li><i class="icon-linkedin-sign"></i> icon-linkedin-sign</li>\r\n                <li><i class="icon-pinterest"></i> icon-pinterest</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-pinterest-sign"></i> icon-pinterest-sign</li>\r\n                <li><i class="icon-google-plus"></i> icon-google-plus</li>\r\n                <li><i class="icon-google-plus-sign"></i> icon-google-plus-sign</li>\r\n                <li><i class="icon-sign-blank"></i> icon-sign-blank</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n            <section class="row-fluid" id="icons-medical">\r\n              <div class="span12">\r\n              <h2 class="page-header">Medical Icons </h2>\r\n              </div>\r\n              <div class="span3 first-child">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-ambulance"></i> icon-ambulance</li>\r\n                <li><i class="icon-beaker"></i> icon-beaker</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-h-sign"></i> icon-h-sign</li>\r\n                <li><i class="icon-hospital"></i> icon-hospital</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-medkit"></i> icon-medkit</li>\r\n                <li><i class="icon-plus-sign-alt"></i> icon-plus-sign-alt</li>\r\n              </ul>\r\n              </div>\r\n              <div class="span3">\r\n              <ul class="the-icons">\r\n                <li><i class="icon-stethoscope"></i> icon-stethoscope</li>\r\n                <li><i class="icon-user-md"></i> icon-user-md</li>\r\n              </ul>\r\n              </div>\r\n            </section>\r\n\r\n                    </div>\r\n\r\n   \r\n     </div>\r\n     <div class="clear"></div>\r\n               ', '', -2, 0, 0, 90, '2013-02-22 23:30:16', 42, '', '2013-03-21 04:52:54', 42, 0, '0000-00-00 00:00:00', '2013-02-22 23:30:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 6, '', '', 1, 84, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(192, 315, 'test Short Codes', 'test-short-codes2', '', '<p>[columns background="#ccc" ]<br /> [column_item col="4"] [dropcap type="square" color="#fff" background="#333" ]ADD_CONTENT_HERE[/dropcap] [/column_item]<br /> [column_item col="4"]ADD_CONTENT_HERE[/column_item]<br /> [column_item col="4"]ADD_CONTENT_HERE[/column_item]<br /> [/columns]</p>', '', -2, 0, 0, 90, '2013-04-01 07:11:08', 42, '', '2013-04-01 08:24:10', 42, 0, '0000-00-00 00:00:00', '2013-04-01 07:11:08', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, 0, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(193, 319, 'Dukan at libero porttitor nisi aliquet vulputate vitae at velit', 'dukan-at-libero-porttitor-nisi-aliquet', '', '<p>Dukan at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. </p>\r\n', '\r\n\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor. </p>\r\n\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci. </p>\r\n\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 0, 0, 79, '2011-05-26 16:54:17', 42, '', '2013-09-12 15:11:04', 42, 0, '0000-00-00 00:00:00', '2011-05-26 16:54:17', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_Viste\\/c2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_Viste\\/c2.jpg","float_fulltext":"","image_fulltext_alt":"Vestibulum sit amet libero vel neque dapibus ultrices mattis massa","image_fulltext_caption":"Vestibulum sit amet libero vel neque dapibus ultrices mattis massa"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 2, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(194, 326, 'Load sj_vm_reslisting', 'load-sj-vm-reslisting', '', '{loadposition maintop2}', '', 1, 0, 0, 91, '2013-09-13 07:48:49', 42, '', '2013-09-17 02:27:22', 42, 0, '0000-00-00 00:00:00', '2013-09-13 07:48:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"0","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 0, '', '', 1, 2625, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(8, 10),
(35, 12),
(50, 11),
(126, 6),
(119, 7),
(122, 8),
(120, 9),
(83, 5),
(85, 1),
(91, 2),
(84, 4),
(78, 3);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__core_log_searches`;
CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned DEFAULT NULL,
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10187 ;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}', '{"contact_layout":"_:default","show_contact_category":"hide","show_contact_list":"0","presentation_style":"plain","show_name":"1","show_position":"1","show_email":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"1","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"1","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"0","show_empty_categories":"0","show_subcat_desc":"0","show_cat_items":"0","show_base_description":"0","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"0","show_cat_items_cat":"0","show_pagination_limit":"0","show_headings":"1","show_position_headings":"1","show_email_headings":"1","show_telephone_headings":"1","show_mobile_headings":"1","show_fax_headings":"1","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"0","custom_reply":"0","redirect":"","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{"cachetimeout":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"newsfeed_layout":"_:default","show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"50","feed_display_order":"des","category_layout":"_:default","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"0","show_cat_items":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","show_pagination_limit":"0","show_headings":"1","show_articles":"0","show_link":"1","show_pagination":"1","show_pagination_results":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}', '{"enabled":"0","search_areas":"0","show_date":"0","opensearch_name":"Search ","opensearch_description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"target":"0","count_clicks":"1","icons":1,"link_icons":"","category_layout":"_:default","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"0","show_cat_num_links":"0","show_base_description":"0","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"0","show_cat_num_links_cat":"0","show_pagination_limit":"0","show_headings":"1","show_link_description":"1","show_link_hits":"1","show_pagination":"2","show_pagination_results":"0","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","show_urls_images_frontend":"1","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"none","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"1","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"0","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"0","orderby_pri":"order","orderby_sec":"order","order_date":"published","show_pagination":"2","show_pagination_results":"0","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"2":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"10":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"12":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_USERS_XML_DESCRIPTION","group":""}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"1","sendpassword":"1","useractivation":"1","mail_to_admin":"1","captcha":"0","frontend_userparams":"0","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"legacy":false,"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2011, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/code.google.com\\/a\\/apache-extras.org\\/p\\/phpmailer\\/","version":"5.2","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"legacy":false,"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"legacy":false,"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"11.4","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters.\\n\\t\\tAll rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(306, 'mod_online', 'module', 'mod_online', '', 1, 1, 1, 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_unread', 'module', 'mod_unread', '', 1, 1, 1, 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"legacy":false,"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(405, 'plg_content_geshi', 'plugin', 'geshi', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"2.5.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}', '{"style":"none"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}', '{"title":"1","article_index":"1","article_index_text":"Article Index","multipage_toc":"1","showall":"1","style":"sliders"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"1.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}', '{"linenumbers":"0","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"2.5.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2013","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com\\/","version":"3.5.4.1","description":"PLG_TINY_XML_DESCRIPTION","group":""}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","visualblocks":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}', '{"detect_browser":"0","automatic_change":"1","menu_associations":"0","remove_default_prefix":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"legacy":false,"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"legacy":false,"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(500, 'atomic', 'template', 'atomic', '', 0, 1, 1, 0, '{"legacy":false,"name":"atomic","type":"template","creationDate":"10\\/10\\/09","author":"Ron Severdia","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"contact@kontentdesign.com","authorUrl":"http:\\/\\/www.kontentdesign.com","version":"2.5.0","description":"TPL_ATOMIC_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(502, 'bluestork', 'template', 'bluestork', '', 1, 1, 1, 0, '{"legacy":false,"name":"bluestork","type":"template","creationDate":"07\\/02\\/09","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"TPL_BLUESTORK_XML_DESCRIPTION","group":""}', '{"useRoundedCorners":"1","showSiteName":"0","textBig":"0","highContrast":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 'beez_20', 'template', 'beez_20', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez_20","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ2_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"legacy":false,"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"2.5.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":""}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(505, 'beez5', 'template', 'beez5', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez5","type":"template","creationDate":"21 May 2010","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ5_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","html5":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (United Kingdom)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.10","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (United Kingdom)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.10","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"files_joomla","type":"file","creationDate":"February 2014","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.18","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10014, 'SJ Basic News', 'module', 'mod_sj_basic_news', '', 0, 1, 0, 0, '{"legacy":false,"name":"SJ Basic News","type":"module","creationDate":"Dec 2011","author":"YouTech Company","copyright":"Copyright (c) 2011 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.1","description":"YT_EXTENSIONS_DESC","group":""}', '{"moduleclass_sfx":"","source":"","source_order_by":"created","source_filter":"0","show_date":"1","show_image":"1","show_readmore":"1","show_description":"1","show_cattitle":"1","total":"6","limittitle":"-1","limit_description":"-1","description_keephtml":"1","target":"_self","showline":"0","item_thumbnail_width":"100","item_thumbnail_height":"100","item_thumbnail_background":"#FFFFFF","item_thumbnail_mode":"stretch","include_jquery":"1","owncache":"1","cache_time":"900","intro":"","note":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 'PKG_JOOMLA', 'package', 'pkg_joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"PKG_JOOMLA","type":"package","creationDate":"2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"2.5.0","description":"PKG_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 'YT Framework', 'plugin', 'yt', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"YT Framework","type":"plugin","creationDate":"07 November 2013","author":"YouTech Company","copyright":"","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"2.2.2","description":"YT_DESC","group":""}', '{"show_sjhelp":1,"no_jquery":"com_virtuemart"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10079, 'Sj Content Related News', 'plugin', 'relatednews', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"Sj Content Related News","type":"plugin","creationDate":"January 2012","author":"YouTech Company","copyright":"Copyright (c) 2012 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0","description":"SJ_XML_DESCRIPTION","group":""}', '{"depends":["78","79","80","81"],"title":"Related Items:","show_child_category_articles":"0","levels":"1","show_front":"show","article_ordering":"fp.ordering","article_ordering_direction":"ASC","count":"5","item_title_max_characs":"70","item_image_display":"0","item_date_display":"0","imgcfg_from_image_intro":"1","imgcfg_from_image_fulltext":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images","imgcfg_order":"image_intro, image_fulltext, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"0","imgcfg_width":"70","imgcfg_height":"45","imgcfg_background":"#000000","imgcfg_cache":"cache\\/resized","imgcfg_cache_url":"cache\\/resized\\/","imgcfg_placeholder":"1","imgcfg_placeholder_path":"plugins\\/content\\/relatednews\\/assets\\/images\\/nophoto.png","item_link_target":"_self","usecss":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10084, 'YT Shortcodes', 'plugin', 'ytshortcodes', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"YT Shortcodes","type":"plugin","creationDate":"29 May 2014","author":"YouTech Company","copyright":"Copyright (C) 2010 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.2.4","description":"YT_DESC","group":""}', '{}', '', '', 42, '2014-03-04 04:32:45', 0, 0),
(10037, 'VM - Search, Virtuemart Product', 'plugin', 'virtuemart', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_virtuemart","type":"plugin","creationDate":"Febuary 2010","author":"P.Kohl - Studio42","copyright":"Copyright (C) 2010 Virtuemart. All rights reserved.","authorEmail":"contact@st42.fr","authorUrl":"www.virtuemart.net","version":"1.5","description":"Allows Searching of VirtueMart Component","group":""}', '{"search_limit":"250"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10048, 'com_finder', 'component', 'com_finder', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_autosuggest":"1","show_advanced":"1","show_advanced_tips":"1","expand_advanced":"0","show_date_filters":"0","sort_order":"relevance","sort_direction":"desc","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"10","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stem":"1","stemmer":"snowball","enable_logging":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10049, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '{"searchfilter":"","show_autosuggest":"1","show_advanced":"0","moduleclass_sfx":"","field_size":"25","show_label":"1","label_pos":"top","show_button":"0","button_pos":"right","opensearch":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10050, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10051, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10052, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"legacy":false,"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}', '{"public_key":"6Ld7TM4SAAAAAFZzsZ9ujKCLFyYVQzAd0HTzQ7V_","private_key":"6Ld7TM4SAAAAABsGZDz2hllR0VD6hihcZeAiRdiL","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10053, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10054, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10055, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10056, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10057, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10058, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10059, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 0, '{"legacy":false,"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}', '{"context":"mod_quickicon"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10060, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 0, '{"legacy":false,"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{"context":"mod_quickicon"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10061, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10062, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10139, 'Kunena Framework', 'library', 'kunena', '', 0, 1, 1, 0, '{"legacy":false,"name":"Kunena Framework","type":"library","creationDate":"2013-06-29","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.1","description":"Kunena Framework.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10112, 'Kunena Media Files', 'file', 'kunena_media', '', 0, 1, 0, 0, '{"legacy":false,"name":"Kunena Media Files","type":"file","creationDate":"2013-06-29","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.1","description":"Kunena media files.","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10173, 'virtuemart_allinone', 'component', 'com_virtuemart_allinone', '', 1, 1, 0, 0, '{"legacy":true,"name":"VirtueMart_allinone","type":"component","creationDate":"September 02 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2012 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22c","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10114, 'kunena', 'package', 'pkg_kunena', '', 0, 1, 1, 0, '{"legacy":false,"name":"Kunena Forum Package","type":"package","creationDate":"2013-06-29","author":"Kunena Team","copyright":"(C) 2008 - 2013 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.1","description":"Kunena Forum Package.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10180, 'sj_viste', 'template', 'sj_viste', '', 0, 1, 1, 0, '{"legacy":false,"name":"sj_viste","type":"template","creationDate":"20\\/9\\/13","author":"YouTech Company","copyright":"","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":"yt_framework"}', '{"hideComponentHomePage":"0","responsive":"1","templateLayout":"main-right","menutype":"mainmenu","menustyle":"mega","keepMenu":"0","responsiveMenu":"mega","moofx":"easeInOutCirc","moofxduration":"500","startlevel":"0","endlevel":"9","templateColor":"blue","logoType":"image","logoText":"SmartAddons.Com","sloganText":"The high quality products","bgcolor":"#ffffff","linkcolor":"#153242","textcolor":"#666666","header-bgcolor":"#ffffff","header-bgimage":"pattern1","footer-bgcolor":"#153242","footer-bgimage":"pattern1","fontSize":"14px","fontName":"Segoe UI","googleWebFont":"none","googleWebFontTargets":"h3.modtitle, .page-header,.item-title,.carousel-caption h4, .wellcomesj a.readmore","direction":"LTR","thumbnail":"1","thumbnail_front_page":"1","leading_width":"270","leading_height":"180","intro_width":"270","intro_height":"180","thumbnail_background":"#000000","thumbnail_mode":"stretch","developing":"1","compileLess":"server","optimizeMergeFile":"0","optimizeCSS":"0","optimizeCSSExclude":"","optimizeJS":"0","optimizeJSExclude":"respond.min.js","optimizeFolder":"yt-assets","showBacktotop":"1","showCpanel":"1","useSpecialPositions":"1","activeNotice":"1","setGeneratorTag":"SmartAddons.Com - the high quality products!","enableGoogleAnalytics":"1","googleAnalyticsTrackingID":"","includeLazyload":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10109, 'plg_system_kunena', 'plugin', 'kunena', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"plg_system_kunena","type":"plugin","creationDate":"2013-06-29","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"3.0.1","description":"PLG_SYSTEM_KUNENA_DESC","group":""}', '{"jcontentevents":"0","jcontentevent_target":"body"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10105, 'TinyLetter Subscribe for Joomla! (by JoomlaWorks)', 'module', 'mod_jw_tinyletter', '', 0, 1, 0, 0, '{"legacy":false,"name":"TinyLetter Subscribe for Joomla! (by JoomlaWorks)","type":"module","creationDate":"January 9th, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.0","description":"MOD_JW_TINYLETTER_XM_DESC","group":""}', '{"moduleclass_sfx":"","template":"default","":"TinyLetter Options","tlUsername":"","tlPopupWidth":"800","tlPopupHeight":"600","tlShowPretext":"1","tlPretext":"","tlCredits":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10174, 'virtuemart', 'component', 'com_virtuemart', '', 1, 1, 0, 0, '{"legacy":true,"name":"VIRTUEMART","type":"component","creationDate":"January 10 2014","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"max|at|virtuemart.net","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.26d","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10142, 'Standard', 'plugin', 'standard', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VMPAYMENT_STANDARD","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"Standard payment plugin","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10143, 'Paypal', 'plugin', 'paypal', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VMPAYMENT_PAYPAL","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"<a href=\\"http:\\/\\/paypal.com\\" target=\\"_blank\\">PayPal<\\/a> is a popular\\n\\tpayment provider and available in many countries. \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10144, 'PayZen', 'plugin', 'payzen', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VM - Payment, PayZen","type":"plugin","creationDate":"July 04 2012","author":"Lyra Network","copyright":"Copyright Lyra Network.","authorEmail":"support@payzen.eu","authorUrl":"http:\\/\\/www.lyra-network.com","version":"2.0.8c","description":"\\n    \\t<a href=\\"http:\\/\\/www.lyra-network.com\\" target=\\"_blank\\">PayZen<\\/a> is a multi bank payment provider. \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10145, 'SystemPay', 'plugin', 'systempay', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VM - Payment, Systempay","type":"plugin","creationDate":"July 04 2012","author":"Lyra Network","copyright":"Copyright Lyra Network.","authorEmail":"supportvad@lyra-network.com","authorUrl":"http:\\/\\/www.lyra-network.com","version":"2.0.8c","description":"\\n    \\t<a href=\\"http:\\/\\/www.lyra-network.com\\" target=\\"_blank\\">Systempay<\\/a> is a multi bank payment provider. \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10146, 'Moneybookers Credit Cards', 'plugin', 'moneybookers_acc', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Credit Cards","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10147, 'Moneybookers Lastschrift', 'plugin', 'moneybookers_did', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Lastschrift","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10148, 'Moneybookers iDeal', 'plugin', 'moneybookers_idl', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers iDeal","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10149, 'Moneybookers Giropay', 'plugin', 'moneybookers_gir', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Giropay","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10150, 'Moneybookers Sofortueberweisung', 'plugin', 'moneybookers_sft', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Sofortueberweisung","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10151, 'Moneybookers Przelewy24', 'plugin', 'moneybookers_pwy', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Przelewy24","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10152, 'Moneybookers Online Bank Transfer', 'plugin', 'moneybookers_obt', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Bank Transfer","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10153, 'Moneybookers Skrill Digital Wallet', 'plugin', 'moneybookers_wlt', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"Vm Payment plugin Moneybookers Digital Wallet","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10154, 'Authorize.net', 'plugin', 'authorizenet', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VM Payment - authorize.net AIM","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10155, 'Klarna', 'plugin', 'klarna', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VM - Payment, Klarna","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"VMPAYMENT_KLARNA_CONF_PLUGIN_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10156, 'Heidelpay', 'plugin', 'heidelpay', 'vmpayment', 0, 1, 1, 0, '{"legacy":false,"name":"Heidelpay","type":"plugin","creationDate":"12-Sep-2012","author":"Heidelberger Payment GmbH","copyright":"Copyright Heidelberger Payment GmbH","authorEmail":"info@heidelpay.de","authorUrl":"http:\\/\\/www.heidelpay.de","version":"13.06","description":"<h2>Virtuemart Plugin von:<\\/h2><p><a href=\\"http:\\/\\/www.Heidelpay.de\\" target=\\"_blank\\"><img src=\\"http:\\/\\/www.heidelpay.de\\/gfx\\/logo.gif\\" style=\\"margin-right:20px;\\"\\/><\\/a><\\/p> ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10157, 'By weight, ZIP and countries', 'plugin', 'weight_countries', 'vmshipment', 0, 1, 1, 0, '{"legacy":true,"name":"VMSHIPMENT_WEIGHT_COUNTRIES","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"VMSHIPMENT_WEIGHT_COUNTRIES_PLUGIN_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10158, 'Customer text input', 'plugin', 'textinput', 'vmcustom', 0, 1, 1, 0, '{"legacy":true,"name":"VMCustom - textinput","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2012 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"text input plugin for product","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10159, 'Product specification', 'plugin', 'specification', 'vmcustom', 0, 1, 1, 0, '{"legacy":true,"name":"VMCustom - specification","type":"plugin","creationDate":"January 09 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2012 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.18a","description":"text input plugin for product","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10160, 'Stockable variants', 'plugin', 'stockable', 'vmcustom', 0, 1, 1, 0, '{"legacy":true,"name":"VMCUSTOM_STOCKABLE","type":"plugin","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2012 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"VMCUSTOM_STOCKABLE_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10161, 'Avalara Tax', 'plugin', 'avalara', 'vmcalculation', 0, 0, 1, 0, '{"legacy":true,"name":"VM - Calculation Avalara Tax","type":"plugin","creationDate":"February 2013","author":"Max Milbers","copyright":"Copyright (C) 2013 iStraxx UG (haftungsbeschr\\u00e4nkt). All rights reserved","authorEmail":"","authorUrl":"http:\\/\\/virtuemart.net","version":"2.0.18b","description":"On demand tax calculation for whole U.S.A.","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10162, 'mod_virtuemart_currencies', 'module', 'mod_virtuemart_currencies', '', 0, 1, 1, 0, '{"legacy":true,"name":"mod_virtuemart_currencies","type":"module","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"${PHING.VM.COPYRIGH}","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"MOD_VIRTUEMART_CURRENCIES_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(10163, 'mod_virtuemart_product', 'module', 'mod_virtuemart_product', '', 0, 1, 1, 0, '{"legacy":true,"name":"mod_virtuemart_product","type":"module","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"${PHING.VM.COPYRIGH}","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"MOD_VIRTUEMART_PRODUCT_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(10164, 'mod_virtuemart_search', 'module', 'mod_virtuemart_search', '', 0, 1, 1, 0, '{"legacy":true,"name":"mod_virtuemart_search","type":"module","creationDate":"January 09 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2012 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.18a","description":"MOD_VIRTUEMART_SEARCH_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10165, 'mod_virtuemart_manufacturer', 'module', 'mod_virtuemart_manufacturer', '', 0, 1, 1, 0, '{"legacy":true,"name":"mod_virtuemart_manufacturer","type":"module","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"${PHING.VM.COPYRIGH}","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"MOD_VIRTUEMART_MANUFACTURER_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(10166, 'mod_virtuemart_cart', 'module', 'mod_virtuemart_cart', '', 0, 1, 1, 0, '{"legacy":true,"name":"VirtueMart Shopping Cart","type":"module","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"${PHING.VM.COPYRIGH}","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"MOD_VIRTUEMART_CART_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10167, 'mod_virtuemart_category', 'module', 'mod_virtuemart_category', '', 0, 1, 1, 0, '{"legacy":true,"name":"mod_virtuemart_category","type":"module","creationDate":"July 15 2013","author":"The VirtueMart Development Team","copyright":"${PHING.VM.COPYRIGH}","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22a","description":"MOD_VIRTUEMART_CATEGORY_DESC","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(10168, '_jw_sigpro', 'plugin', '_jw_sigpro', 'content', 0, 0, 1, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10169, 'VMPAYMENT_MONEYBOOKERS', 'plugin', 'moneybookers', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VMPAYMENT_MONEYBOOKERS","type":"plugin","creationDate":"April 2012","author":"Skrill Holdings Limited","copyright":"Copyright (C) 2012 Skrill.","authorEmail":"","authorUrl":"http:\\/\\/www.skrill.com","version":"2.0.6","description":"<a href=\\"http:\\/\\/www.skrill.com\\" target=\\"_blank\\">Moneybookers<\\/a> is a popular\\n\\tpayment provider authorised by the Financial Services Authority of the United Kingdom (FSA). \\n    ","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10175, 'plg_system_ajax_minicart_pro', 'plugin', 'ajax_minicart_pro', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_ajax_minicart_pro","type":"plugin","creationDate":"May 2012","author":"YouTech Company","copyright":"Copyright (c) 2009-2012 YouTech Company. All rights reserved.","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.7.0","description":"SJ_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10176, 'Sj Minicart Pro', 'module', 'mod_sj_minicart_pro', '', 0, 1, 0, 0, '{"legacy":false,"name":"Sj Minicart Pro","type":"module","creationDate":"Feb 2013","author":"You Tech Company","copyright":"Copyright (C) 2013 http:\\/\\/www.smartaddons.com. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.smartaddons.com","version":"2.5.1","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","cart_detail_width":"492","product_list_display":"1","product_max_height":"270","product_label_display":"1","product_attribute_display":"1","coupon_form_display":"1","coupon_label_display":"1","goto_cart_display":"1","checkout_display":"1","total_price_display":"1","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"100","imgcfg_height":"100","imgcfg_background":"#000000","include_jquery":"1","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10177, 'Sofort Banking', 'plugin', 'sofort', 'vmpayment', 0, 1, 1, 0, '{"legacy":true,"name":"VMPAYMENT_SOFORT","type":"plugin","creationDate":"September 03 2013","author":"The VirtueMart Development Team","copyright":"Copyright (C) 2004-2013 Virtuemart Team. All rights reserved.","authorEmail":"","authorUrl":"http:\\/\\/www.virtuemart.net","version":"2.0.22c","description":"<a href=\\"http:\\/www.sofort.com\\" target=\\"_blank\\">Sofort<\\/a> is a popular\\n\\tpayment provider and available in many countries. \\n    ","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10178, 'Sj Responsive Listing for Virtuemart', 'module', 'mod_sj_vm_reslisting', '', 0, 1, 0, 0, '{"legacy":false,"name":"Sj Responsive Listing for Virtuemart","type":"module","creationDate":"September 2013","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"nb-column1":"6","nb-column2":"4","nb-column3":"2","nb-column4":"1","sort_byform_display":"1","layout_select_display":"1","default_view":"grid","mode":"normal","catid":"","catid_preload":"","show_front":"show","source_limit":"6","itemsOrdering_display":"","source_order":"product_name","article_ordering_direction":"ASC","tab_all_display":"1","tal_max_characters":"25","count_items_display":"0","category_ordering":"title","item_title_display":"1","item_title_max_characters":"25","item_description_display":"1","item_des_maxlength_layout_grid":"150","item_des_maxlength_layout_list":"200","item_price_display":"1","item_rating_display":"1","item_created_display":"1","item_cat_display":"1","item_readmore_display":"1","link_target":"_self","imgcfg_from_image_product":"1","imgcfg_from_description":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/vm\\/{id}.jpg","imgcfg_order":"image_product, description, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"180","imgcfg_height":"180","imgcfg_background":"#FFFFFF","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_vm_extraslider\\/assets\\/images\\/nophoto.jpg","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10179, 'plg_system_vm_reslisting_ajax', 'plugin', 'plg_sj_vm_reslisting_ajax', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_vm_reslisting_ajax","type":"plugin","creationDate":"August 2013","author":"YouTech Company","copyright":"Copyright (c) 2009-2013 YouTech Company. All rights reserved.","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10138, 'Simple Image Gallery Pro (by JoomlaWorks)', 'plugin', 'jw_sigpro', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"Simple Image Gallery Pro (by JoomlaWorks)","type":"plugin","creationDate":"December 18th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2012 JoomlaWorks Ltd. This code cannot be redistributed without permission from JoomlaWorks Ltd.","authorEmail":"contact@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.0","description":"JW_SIGP_XML_DESC","group":""}', '{"galleries_rootfolder":"images","popup_engine":"jquery_slimbox","jQueryHandling":"0","thb_template":"Classic","thb_width":"170","thb_height":"110","smartResize":"1","jpg_quality":"80","singlethumbmode":"0","sortorder":"0","showcaptions":"0","wordlimit":"","enabledownload":"0","loadmoduleposition":"","flickrApiKey":"","flickrImageCount":"8","cache_expire_time":"120","yqlMaxAge":"60","memoryLimit":"","debugMode":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10181, 'Sj Flat Menu', 'module', 'mod_sj_flat_menu', '', 0, 1, 0, 0, '{"legacy":false,"name":"Sj Flat Menu","type":"module","creationDate":"September 2013","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","startlevel":"1","endlevel":"all","type_menu":"flyout","stype_layout":"vertical","event":"click","duration":"300","showsub":"true","menu_direction":"left","link_target":"_self","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10182, 'Sj Matrix Slider for VirtueMart', 'module', 'mod_sj_vm_matrix_slider', '', 0, 1, 0, 0, '{"legacy":false,"name":"Sj Matrix Slider for VirtueMart","type":"module","creationDate":"September 2013","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"item_link_target":"_self","nb-column1":"3","nb-column2":"3","nb-column3":"2","nb-column4":"1","items_page":"6","show_child_category_articles":"0","levels":"1","show_front":"show","source_order":"product_name","article_ordering_direction":"ASC","source_limit":"20","item_title_display":"1","item_title_max_characs":"20","item_desc_display":"1","item_desc_max_characs":"50","item_price_display":"1","item_rating_display":"1","item_readmore_display":"1","item_readmore_text":"Read more","imgcfg_from_image_product":"1","imgcfg_from_description":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/vm\\/{id}.jpg","imgcfg_order":"image_product, description, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"180","imgcfg_height":"180","imgcfg_background":"#FFFFFF","imgcfg_placeholder_path":"modules\\/mod_sj_vm_matrix_slider\\/assets\\/images\\/nophoto.jpg","start":"1","play":"0","interval":"1000","duration":"800","pause_hover":"hover","swipe_enable":"1","include_jquery":"1","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10183, 'DISQUS Comments for Joomla! (by JoomlaWorks)', 'plugin', 'jw_disqus', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"DISQUS Comments for Joomla! (by JoomlaWorks)","type":"plugin","creationDate":"October 2nd, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"3.4","description":"JW_DISQUS_THANK_YOU_FOR_INSTALLING_JOOMLAWORKS_DISQUS_COMMENTS_FOR_JOOMLA","group":""}', '{"disqusSubDomain":"smartaddon","disqusLanguage":"","selectedCategories":["78","79","80","81"],"selectedMenus":[""],"disqusListingCounter":"0","disqusArticleCounter":"0","disqusDevMode":"0"}', '', '', 0, '0000-00-00 00:00:00', 99, 0),
(10184, 'System - DISQUS Comments for Joomla! (by JoomlaWorks)', 'plugin', 'jw_disqus', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - DISQUS Comments for Joomla! (by JoomlaWorks)","type":"plugin","creationDate":"October 2nd, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"3.4","description":"JW_DISQUS_SYSTEM_PLUGIN_DESC","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 99, 0),
(10185, 'jw_disqus', 'component', 'com_jw_disqus', '', 1, 0, 0, 0, '{"legacy":false,"name":"JW_DISQUS","type":"component","creationDate":"October 2nd, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"3.4","description":"Thank you for installing DISQUS Comments for Joomla! (by JoomlaWorks).","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10186, 'Listbingo stats', 'module', 'mod_lbstats', '', 1, 1, 1, 0, '{"legacy":true,"name":"Listbingo stats","type":"module","creationDate":"February 2012","author":"GOBINGOO","copyright":"Copyright (C) 2010 - 2012 Gobingoo Pte Ltd. All rights reserved.","authorEmail":"info@gobinboo.com","authorUrl":"","version":"1.0","description":"Listbingo Stats module","group":""}', '{"lb_limit":"10","latestAds":"1","popularAds":"1","statistics":"1","statisticsgraph":"1","tdystatistics":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__finder_filters`;
CREATE TABLE IF NOT EXISTS `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_links`;
CREATE TABLE IF NOT EXISTS `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_links_terms0`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms1`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms2`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms3`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms4`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms5`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms6`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms7`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms8`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms9`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsa`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsb`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsc`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsd`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termse`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsf`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_taxonomy`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=315 ;

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES
(1, 0, 'ROOT', 0, 0, 0);

DROP TABLE IF EXISTS `#__finder_taxonomy_map`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_terms`;
CREATE TABLE IF NOT EXISTS `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_terms_common`;
CREATE TABLE IF NOT EXISTS `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('ani', 'en'),
('any', 'en'),
('are', 'en'),
('aren''t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn''t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('noth', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('onli', 'en'),
('only', 'en'),
('or', 'en'),
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('veri', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('whi', 'en'),
('which', 'en'),
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

DROP TABLE IF EXISTS `#__finder_tokens`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_tokens_aggregate`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_types`;
CREATE TABLE IF NOT EXISTS `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

INSERT INTO `#__finder_types` (`id`, `title`, `mime`) VALUES
(1, 'Category', ''),
(2, 'Contact', ''),
(3, 'Article', ''),
(4, 'News Feed', ''),
(5, 'Web Link', ''),
(6, 'K2 Item', '');

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_ordering` (`ordering`),
  KEY `idx_access` (`access`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 0, 0);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned DEFAULT NULL,
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(333)),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=816 ;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 353, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 139, 148, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 140, 141, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 142, 143, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 144, 145, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 146, 147, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 149, 154, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 150, 151, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 152, 153, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 155, 160, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 156, 157, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 158, 159, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 161, 166, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 162, 163, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 164, 165, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 175, 176, 0, '*', 1),
(17, 'menu', 'com_search', 'Search', '', 'Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 167, 168, 0, '*', 1),
(18, 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 0, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 169, 174, 0, '*', 1),
(19, 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', 0, 18, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 170, 171, 0, '*', 1),
(20, 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', 0, 18, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 172, 173, 0, '*', 1),
(464, 'top', 'Sign in', 'home', '', 'home', 'index.php?option=com_users&view=login', 'component', 0, 1, 1, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 177, 178, 0, '*', 0),
(201, 'usermenu', 'Your Profile', 'your-profile', '', 'your-profile', 'index.php?option=com_users&view=profile', 'component', -2, 1, 1, 25, 0, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 183, 184, 0, '*', 0),
(296, 'customer-services', 'USA     ', 'park-links', '', 'park-links', '#', 'url', -2, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 193, 194, 0, 'en-GB', 0),
(775, 'why-choose-us', 'Privacy Policy ', '2013-07-01-03-27-46', '', '2013-07-01-03-27-46', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 309, 310, 0, '*', 0),
(234, 'customer-services', 'Shipping Options', 'park-blog', '', 'park-blog', '', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 187, 188, 0, 'en-GB', 0),
(207, 'top', 'Help', 'contact', '', 'contact', 'index.php?option=com_content&view=article&id=176', 'component', 0, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 181, 182, 0, '*', 0),
(242, 'customer-services', 'Returns and Exchanges', 'write-a-blog-post', '', 'write-a-blog-post', '', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 189, 190, 0, 'en-GB', 0),
(243, 'customer-services', 'Check Order Status', 'parks-home', '', 'parks-home', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 185, 186, 0, 'en-GB', 0),
(244, 'customer-services', 'Product Recall', 'image-gallery', '', 'image-gallery', '', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 191, 192, 0, 'en-GB', 0),
(778, 'why-choose-us', 'Radio     ', '2013-07-01-03-29-21', '', '2013-07-01-03-29-21', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 315, 316, 0, '*', 0),
(779, 'why-choose-us', 'Archives', '2013-07-01-03-29-42', '', '2013-07-01-03-29-42', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 317, 318, 0, '*', 0),
(399, 'customer-services', 'China', 'animals', '', 'animals', '', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 303, 304, 0, 'en-GB', 0),
(776, 'why-choose-us', 'TV     ', '2013-07-01-03-28-05', '', '2013-07-01-03-28-05', '', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 311, 312, 0, '*', 0),
(777, 'why-choose-us', 'Video     ', '2013-07-01-03-28-29', '', '2013-07-01-03-28-29', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 313, 314, 0, '*', 0),
(400, 'customer-services', 'France     ', 'scenery', '', 'scenery', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 114, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 305, 306, 0, 'en-GB', 0),
(773, 'customer-services', 'Singapore', '2013-07-01-03-12-53', '', '2013-07-01-03-12-53', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 301, 302, 0, '*', 0),
(774, 'why-choose-us', '  Terms of Service', '2013-07-01-03-27-12', '', '2013-07-01-03-27-12', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 307, 308, 0, '*', 0),
(430, 'short-codes', 'Buttons', 'contact-us', '', 'contact-us', 'index.php?option=com_content&view=article&id=159', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 199, 200, 0, '*', 0),
(427, 'short-codes', 'Blockquotes', 'blockquotes', '', 'blockquotes', 'index.php?option=com_content&view=article&id=157', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" categories-listalphabet","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 197, 198, 0, '*', 0),
(429, 'short-codes', 'Accordion', 'welcome', 'Fruit store front page', 'welcome', 'index.php?option=com_content&view=article&id=156', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 195, 196, 0, '*', 0),
(431, 'short-codes', 'Lists Style', 'growers', '', 'growers', 'index.php?option=com_content&view=article&id=158', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"1","link_titles":"1","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 203, 204, 0, '*', 0),
(432, 'short-codes', 'Columns', 'shop-login', '', 'shop-login', 'index.php?option=com_content&view=article&id=160', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 201, 202, 0, '*', 0),
(433, 'short-codes', 'Dropcap', 'directions', '', 'directions', 'index.php?option=com_content&view=article&id=161', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 207, 208, 0, '*', 0),
(435, 'mainmenu', 'Home', 'homepage', '', 'homepage', 'index.php?option=com_content&view=article&id=194', 'component', 1, 1, 1, 22, -5, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"icon-home ","menu_image":"","menu_text":1,"page_title":"SJ Viste Camera Online Store","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 1, 2, 1, '*', 0),
(444, 'top', 'About', 'sample-sites-2', '', 'sample-sites-2', 'http://www.smartaddons.com', 'url', 0, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 179, 180, 0, '*', 0),
(449, 'usermenu', 'Submit an Article', 'submit-an-article', '', 'submit-an-article', 'index.php?option=com_content&view=form&layout=edit', 'component', -2, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 209, 210, 0, '*', 0),
(450, 'usermenu', 'Submit a Web Link', 'submit-a-web-link', '', 'submit-a-web-link', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', -2, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 211, 212, 0, '*', 0),
(462, 'short-codes', 'Gallery', 'gallery', '', 'gallery', 'index.php?option=com_content&view=article&id=162', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 205, 206, 0, '*', 0),
(463, 'short-codes', 'Lightbox', 'recipes', '', 'recipes', 'index.php?option=com_content&view=article&id=163', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 213, 214, 0, '*', 0),
(468, 'mainmenu', 'Explore', 'explore', '', 'explore', 'index.php?option=com_content&view=article&id=24', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 3, 16, 0, '*', 0),
(494, 'mainmenu', 'Module Variations', 'module-variations', '', 'explore/module-variations', 'index.php?option=com_content&view=article&id=129', 'component', 1, 468, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 4, 5, 0, '*', 0),
(495, 'mainmenu', 'Extensions', 'extenstions', '', 'explore/extenstions', 'index.php?option=com_content&view=article&id=131', 'component', 1, 468, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 6, 7, 0, '*', 0),
(496, 'mainmenu', 'Module positions', 'module-positions', '', 'explore/module-positions', 'index.php?option=com_content&view=article&id=130', 'component', 1, 468, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 8, 9, 0, '*', 0),
(497, 'mainmenu', 'Joomla Pages', 'joomla-pages', '', 'joomla-pages', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 17, 80, 0, '*', 0),
(572, 'mainmenu', 'Weblinks', 'weblinks', '', 'joomla-pages/weblinks', 'index.php?option=com_weblinks&view=categories&id=0', 'component', 1, 497, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 44, 45, 0, '*', 0),
(516, 'mainmenu', 'Typography', 'typography', '', 'explore/typography', 'index.php?option=com_content&view=article&id=133', 'component', 1, 468, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 10, 11, 0, '*', 0),
(518, 'joomla-templates', 'Browse Templates', '2011-12-28-12-44-07', '', '2011-12-28-12-44-07', 'http://www.smartaddons.com/joomla/templates/preminum-templates', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 215, 216, 0, '*', 0),
(519, 'joomla-templates', 'Demo Joomla 2.5', '2011-12-28-12-44-23', '', '2011-12-28-12-44-23', 'http://demo.smartaddons.com/', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 217, 218, 0, '*', 0),
(520, 'joomla-templates', 'Demo Joomla 3.0', '2011-12-28-12-44-55', '', '2011-12-28-12-44-55', 'http://demo.smartaddons.com/', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 219, 220, 0, '*', 0),
(521, 'joomla-templates', 'Template Updates', '2011-12-28-12-45-11', '', '2011-12-28-12-45-11', 'http://www.smartaddons.com/template-updates', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 221, 222, 0, '*', 0),
(522, 'joomla-templates', 'Download Templates', '2011-12-28-12-45-25', '', '2011-12-28-12-45-25', 'http://www.smartaddons.com/component/docman/cat_view/29-joomla-/61-joomla-templates', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 223, 224, 0, '*', 0),
(523, 'joomla-extensions', 'Browse Extensions', '2011-12-28-12-47-31', '', '2011-12-28-12-47-31', 'http://www.smartaddons.com/joomla/extensions/commercial-extensions', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 225, 226, 0, '*', 0),
(524, 'joomla-extensions', 'Demo Joomla 1.5', '2011-12-28-12-47-46', '', '2011-12-28-12-47-46', 'http://demo.smartaddons.com/extensions/joomla15/', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 227, 228, 0, '*', 0),
(525, 'joomla-extensions', 'Demo Joomla 1.7', '2011-12-28-12-48-00', '', '2011-12-28-12-48-00', 'http://demo.smartaddons.com/extensions/joomla17/', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 229, 230, 0, '*', 0),
(526, 'joomla-extensions', 'Extension Updates', '2011-12-28-12-49-05', '', '2011-12-28-12-49-05', 'http://www.smartaddons.com/extension-updates', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 231, 232, 0, '*', 0),
(527, 'joomla-extensions', 'Download Extensions', '2011-12-28-12-49-21', '', '2011-12-28-12-49-21', 'http://www.smartaddons.com/component/docman/cat_view/29-joomla-/60-joomla-extensions', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 233, 234, 0, '*', 0),
(702, 'categories', 'Content Category 2', 'content-category-2', '', 'content-category-2', 'index.php?option=com_content&view=category&layout=blog&id=79', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 291, 292, 0, '*', 0),
(699, 'support', 'Feedback     ', '2013-04-24-09-25-13', '', '2013-04-24-09-25-13', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 287, 288, 0, '*', 0),
(700, 'support', 'Help     ', '2013-04-24-09-25-33', '', '2013-04-24-09-25-33', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 289, 290, 0, '*', 0),
(533, 'top-menu', 'My Account', 'my-acount', '', 'my-acount', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"370","ytext_colwidth":"100","ytext_cssid":"","ytext_contenttype":"megachild","ytext_modules":["65"]}', 235, 238, 0, '*', 0),
(534, 'top-menu', 'What Is HTML5?', '2011-12-28-13-01-47', '', '2011-12-28-13-01-47', 'http://en.wikipedia.org/wiki/HTML5', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 239, 240, 0, '*', 0),
(535, 'top-menu', 'W3C Working Draft', '2011-12-28-13-02-20', '', '2011-12-28-13-02-20', 'http://w3.org/TR/html5/', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 241, 242, 0, '*', 0),
(626, 'mainmenu', 'Contact Us', 'contact-us-2', '', 'joomla-pages/contact-us-2', 'index.php?option=com_contact&view=contact&id=9', 'component', -2, 497, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 46, 47, 0, '*', 0),
(628, 'mainmenu', 'Registration Form', 'register', '', 'joomla-pages/login-form/register', 'index.php?option=com_users&view=registration', 'component', 1, 629, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Register","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 63, 64, 0, '*', 0),
(629, 'mainmenu', 'User Component', 'login-form', '', 'joomla-pages/login-form', 'index.php?option=com_users&view=login', 'component', 1, 497, 2, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin eros tellus, cursus nec iaculis et, dictum ultricies ante. \\r\\n","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Login form","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 62, 75, 0, '*', 0),
(627, 'mainmenu', 'Contact us', 'contact-us-2', '', 'contact-us-2', 'index.php?option=com_contact&view=contact&id=9', 'component', 1, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"3","ytext_width":"1170","ytext_colwidth":"34,33,33","ytext_cssid":"","ytext_contenttype":"megachild","ytext_positions":[""]}', 109, 116, 0, '*', 0),
(757, 'mainmenu', 'Latest Post', 'latest-post', '', 'contact-us-2/latest-post', 'index.php?option=com_content&view=article&id=80', 'component', -2, 627, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["315"],"ytext_positions":["",""]}', 112, 113, 0, '*', 0),
(625, 'mainmenu', 'About us', 'about-us', '', 'about-us', 'index.php?option=com_content&view=article&id=178', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"3","ytext_width":"1170","ytext_colwidth":"34,33,33","ytext_cssid":"","ytext_contenttype":"megachild","ytext_positions":[""]}', 101, 108, 0, '*', 0),
(569, 'mainmenu', 'Joomla content', 'joomla-content', '', 'joomla-pages/joomla-content', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 497, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 18, 43, 0, '*', 0),
(599, 'top-menu', 'HTML5 Tutorials', '2012-02-22-02-20-25', '', '2012-02-22-02-20-25', 'http://w3schools.com/html/html5_intro.asp', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 243, 244, 0, '*', 0),
(600, 'top-menu', 'HTML5 Center', '2012-02-22-02-23-43', '', '2012-02-22-02-23-43', 'http://html5center.sourceforge.net/', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 245, 246, 0, '*', 0),
(601, 'main', 'COM_FINDER', 'com-finder', '', 'com-finder', 'index.php?option=com_finder', 'component', 0, 1, 1, 10048, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:finder', 0, '', 247, 248, 0, '', 1),
(602, 'mainmenu', 'Search', 'smart-seach', '', 'joomla-pages/smart-seach', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 497, 2, 10048, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 56, 61, 0, '*', 0),
(22, 'menu', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 28, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 137, 138, 0, '*', 1),
(618, 'why-choose-us', 'Shipping & Returns', 'curabitur-a-lectus-vitae-elit', '', 'curabitur-a-lectus-vitae-elit', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 249, 250, 0, '*', 0),
(619, 'why-choose-us', 'Secure Shopping', 'http-en-wikipedia-org-wiki-less-stylesheet-language', '', 'http-en-wikipedia-org-wiki-less-stylesheet-language', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 321, 322, 0, '*', 0),
(620, 'why-choose-us', 'International Shipping', 'lazos-pikas-buko', '', 'lazos-pikas-buko', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 323, 324, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(621, 'top-menu', 'My Account', 'page-break-example', '', 'my-acount/page-break-example', '#', 'url', 1, 533, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["65"]}', 236, 237, 0, '*', 0),
(624, 'why-choose-us', 'Trademarks', 'enkis-enka-pazine', '', 'enkis-enka-pazine', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 251, 252, 0, '*', 0),
(703, 'categories', 'Content Category 3', 'content-category-3', '', 'content-category-3', 'index.php?option=com_content&view=category&layout=blog&id=80', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 293, 294, 0, '*', 0),
(636, 'mainmenu', 'About company', 'html5-introduction', '', 'about-us/html5-introduction', '', 'separator', -2, 625, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["65"],"ytext_positions":["mega1"]}', 102, 103, 0, '*', 0),
(637, 'mainmenu', 'Shop', 'shop', '', 'shop', 'index.php?option=com_virtuemart&view=virtuemart', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"2","ytext_width":"440","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"menu"}', 81, 100, 0, '*', 0),
(748, 'mainmenu', 'Store Frontpage', 'store-frontpage', '', 'shop/store-frontpage', 'index.php?option=com_virtuemart&view=virtuemart', 'component', 1, 637, 2, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 82, 83, 0, '*', 0),
(701, 'usermenu', 'Canon', 'canon', '', 'canon', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=4', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 335, 336, 0, '*', 0),
(801, 'usermenu', 'Sony', 'sony', '', 'sony', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=3', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 337, 338, 0, '*', 0),
(698, 'support', 'Contacts     ', '2013-04-24-09-24-46', '', '2013-04-24-09-24-46', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 285, 286, 0, '*', 0),
(638, 'mainmenu', 'Category Blog', 'category-blog', '', 'joomla-pages/joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=79', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 27, 38, 0, '*', 0),
(639, 'mainmenu', 'Single Article', 'single-article', '', 'joomla-pages/joomla-content/single-article', 'index.php?option=com_content&view=article&id=85', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 39, 40, 0, '*', 0),
(640, 'mainmenu', 'List All Categories', 'list-all-categories', '', 'joomla-pages/joomla-content/list-all-categories', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"5","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 19, 20, 0, '*', 0),
(641, 'mainmenu', 'Category List', 'category-list', '', 'joomla-pages/joomla-content/category-list', 'index.php?option=com_content&view=category&id=81', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 25, 26, 0, '*', 0),
(642, 'mainmenu', 'Archived Articles', 'archived-articles', '', 'joomla-pages/joomla-content/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"alpha","order_date":"created","display_num":"5","filter_field":"hide","introtext_limit":"100","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_intro":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 23, 24, 0, '*', 0),
(643, 'mainmenu', 'Page breaks', 'page-break-example', '', 'joomla-pages/joomla-content/page-break-example', 'index.php?option=com_content&view=article&id=155', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 41, 42, 0, '*', 0),
(705, 'mainmenu', 'Page 404', 'page-404', '', 'bonus-pages/page-404', 'index.php?option=com_content&view=article&id=1', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 132, 133, 0, '*', 0),
(704, 'categories', 'Content Category 4', 'content-category-4', '', 'content-category-4', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 295, 296, 0, '*', 0),
(648, 'mainmenu', 'Shortcodes', 'short-codes', '', 'explore/short-codes', 'index.php?option=com_content&view=article&id=179', 'component', 1, 468, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 12, 13, 0, '*', 0),
(649, 'short-codes', 'Message Box', 'message-box', '', 'message-box', 'index.php?option=com_content&view=article&id=164', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 253, 254, 0, '*', 0),
(650, 'short-codes', 'Social Buttons', 'social-buttons', '', 'social-buttons', 'index.php?option=com_content&view=article&id=165', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 255, 256, 0, '*', 0),
(651, 'short-codes', 'Togglable tabs', 'togglable-tabs', '', 'togglable-tabs', 'index.php?option=com_content&view=article&id=166', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 257, 258, 0, '*', 0),
(652, 'short-codes', 'Testimonial', 'testimonial', '', 'testimonial', 'index.php?option=com_content&view=article&id=167', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 259, 260, 0, '*', 0),
(653, 'short-codes', 'Vimeo', 'vimeo', '', 'vimeo', 'index.php?option=com_content&view=article&id=168', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 261, 262, 0, '*', 0),
(654, 'short-codes', 'Youtube', 'youtube', '', 'youtube', 'index.php?option=com_content&view=article&id=169', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 263, 264, 0, '*', 0),
(655, 'short-codes', 'Divider', 'divider', '', 'divider', 'index.php?option=com_content&view=article&id=170', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 265, 266, 0, '*', 0),
(656, 'short-codes', 'Helper Shortcodes', 'helper-shortcodes', '', 'helper-shortcodes', 'index.php?option=com_content&view=article&id=171', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 267, 268, 0, '*', 0),
(657, 'short-codes', 'Google Map', 'google-map', '', 'google-map', 'index.php?option=com_content&view=article&id=172', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 269, 270, 0, '*', 0),
(658, 'short-codes', 'Pricing Tables', 'pricing-tables', '', 'pricing-tables', 'index.php?option=com_content&view=article&id=173', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 271, 272, 0, '*', 0),
(659, 'short-codes', 'Retina Icons', 'retina-icons', '', 'retina-icons', 'index.php?option=com_content&view=article&id=174', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 122, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 273, 274, 0, '*', 0),
(660, 'mainmenu', 'FAQs', 'faqs', '', 'bonus-pages/faqs', 'index.php?option=com_content&view=article&id=176', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 118, 119, 0, '*', 0),
(661, 'mainmenu', 'Join now', 'join-now', '', 'bonus-pages/join-now', 'index.php?option=com_content&view=article&id=177', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 134, 135, 0, '*', 0),
(662, 'mainmenu', 'About us', 'about-us', '', 'bonus-pages/about-us', 'index.php?option=com_content&view=article&id=178', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 120, 121, 0, '*', 0),
(663, 'mainmenu', 'Bonus pages', 'bonus-pages', '', 'bonus-pages', 'index.php?option=com_content&view=article&id=187', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytmenu_class":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 117, 136, 0, '*', 0),
(664, 'mainmenu', 'Testimonial', 'testimonial2', '', 'bonus-pages/testimonial2', 'index.php?option=com_content&view=article&id=180', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 122, 123, 0, '*', 0),
(665, 'mainmenu', 'Our services', 'our-services', '', 'bonus-pages/our-services', 'index.php?option=com_content&view=article&id=181', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 124, 125, 0, '*', 0),
(666, 'mainmenu', 'Columns', 'columns', '', 'bonus-pages/columns', 'index.php?option=com_content&view=article&id=182', 'component', -2, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 126, 127, 0, '*', 0),
(667, 'mainmenu', 'What''s new?', 'what-s-new', '', 'explore/what-s-new', 'index.php?option=com_content&view=article&id=183', 'component', 1, 468, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 14, 15, 0, '*', 0),
(668, 'mainmenu', 'Photo Gallery ', 'photo-gallery', '', 'bonus-pages/photo-gallery', 'index.php?option=com_content&view=article&id=184', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 128, 129, 0, '*', 0),
(669, 'mainmenu', 'Portfolio', 'portfolio', '', 'bonus-pages/portfolio', 'index.php?option=com_content&view=article&id=185', 'component', 1, 663, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 130, 131, 0, '*', 0),
(670, 'short-codes', ' Syntax Highlighting ', 'syntax-highlighting', '', 'syntax-highlighting', 'index.php?option=com_content&view=article&id=188', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 275, 276, 0, '*', 0),
(671, 'short-codes', 'Toggles ', 'toggles', '', 'toggles', 'index.php?option=com_content&view=article&id=189', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 277, 278, 0, '*', 0),
(672, 'short-codes', 'Google Fonts', 'google-font', '', 'google-font', 'index.php?option=com_content&view=article&id=190', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 279, 280, 0, '*', 0),
(673, 'mainmenu', 'Featured Articles', 'featured-articles', '', 'joomla-pages/joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 569, 3, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":["78","79","80","81"],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 21, 22, 0, '*', 0),
(674, 'mainmenu', 'Category Blog (1 column)', 'category-blog-1-column', '', 'joomla-pages/joomla-content/category-blog/category-blog-1-column', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', -2, 638, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"1","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 28, 29, 0, '*', 0),
(675, 'mainmenu', 'Category Blog (2 columns)', 'category-blog-2-columns', '', 'joomla-pages/joomla-content/category-blog/category-blog-2-columns', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 638, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 32, 33, 0, '*', 0),
(676, 'mainmenu', 'Category Blog (3 columns)', 'category-blog-3-columns', '', 'joomla-pages/joomla-content/category-blog/category-blog-3-columns', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 638, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"6","num_columns":"3","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 34, 35, 0, '*', 0),
(677, 'mainmenu', 'Category Blog (4 columns)', 'category-blog-4-columns', '', 'joomla-pages/joomla-content/category-blog/category-blog-4-columns', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 638, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"4","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 36, 37, 0, '*', 0),
(678, 'mainmenu', 'Search', 'seach', '', 'joomla-pages/smart-seach/seach', 'index.php?option=com_search&view=search&searchword=', 'component', 1, 602, 3, 19, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"com_search component","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"com_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 57, 58, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(679, 'mainmenu', 'Smart Search', 'smart-search', '', 'joomla-pages/smart-seach/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 602, 3, 10048, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"smart_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 59, 60, 0, '*', 0),
(680, 'mainmenu', 'News Feed', 'news-feed-2', '', 'joomla-pages/news-feed-2', 'index.php?option=com_newsfeeds&view=newsfeed&id=4', 'component', 1, 497, 2, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 48, 55, 0, '*', 0),
(681, 'mainmenu', 'List all news feed categories', 'list-all-news-feed-categories', '', 'joomla-pages/news-feed-2/list-all-news-feed-categories', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 680, 3, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 49, 50, 0, '*', 0),
(682, 'mainmenu', 'List News Feeds in a Category', 'list-news-feeds-in-a-category', '', 'joomla-pages/news-feed-2/list-news-feeds-in-a-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 680, 3, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 51, 52, 0, '*', 0),
(683, 'mainmenu', 'Single news feed', 'single-news-feed', '', 'joomla-pages/news-feed-2/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=2', 'component', 1, 680, 3, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 53, 54, 0, '*', 0),
(684, 'mainmenu', 'Login Form', 'login-form', '', 'joomla-pages/login-form/login-form', 'index.php?option=com_users&view=login', 'component', 1, 629, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin eros tellus, cursus nec iaculis et, dictum ultricies ante.","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Login Form","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 65, 66, 0, '*', 0),
(685, 'mainmenu', 'User Profile', 'user-profile', '', 'joomla-pages/login-form/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 629, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 67, 68, 0, '*', 0),
(686, 'mainmenu', 'Edit User Profile', 'edit-user-profile', '', 'joomla-pages/login-form/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 629, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 69, 70, 0, '*', 0),
(687, 'mainmenu', 'Password Reset', 'password-reset', '', 'joomla-pages/login-form/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 629, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 71, 72, 0, '*', 0),
(688, 'mainmenu', 'Username Reminder Request', 'username-reminder-request', '', 'joomla-pages/login-form/username-reminder-request', 'index.php?option=com_users&view=remind', 'component', 1, 629, 3, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 73, 74, 0, '*', 0),
(689, 'mainmenu', 'Contact', 'all-contact', '', 'joomla-pages/all-contact', 'index.php?option=com_contact&view=contact&id=9', 'component', 1, 497, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 76, 79, 0, '*', 0),
(690, 'mainmenu', ' Contact Category', 'list-all-contacts-categories', '', 'joomla-pages/all-contact/list-all-contacts-categories', 'index.php?option=com_contact&view=category&id=85', 'component', -2, 689, 3, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_position_headings":"","show_email_headings":"","show_telephone_headings":"","show_mobile_headings":"","show_fax_headings":"","show_suburb_headings":"","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","initial_sort":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 77, 78, 0, '*', 0),
(693, 'mainmenu', 'Profile Company', 'profile-company', '', 'about-us/profile-company', '', 'separator', -2, 625, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["301"],"ytext_positions":["",""]}', 104, 105, 0, '*', 0),
(756, 'mainmenu', 'Top Videos', 'top-videos', '', 'contact-us-2/top-videos', 'index.php?option=com_content&view=article&id=87', 'component', -2, 627, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["314"],"ytext_positions":["",""]}', 110, 111, 0, '*', 0),
(694, 'mainmenu', 'Quick Links', 'quick-links', '', 'about-us/quick-links', '#', 'url', -2, 625, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"mod","ytext_modules":["302"],"ytext_positions":["",""]}', 106, 107, 0, '*', 0),
(696, 'support', 'Customer', '2013-04-24-09-23-40', '', '2013-04-24-09-23-40', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 281, 282, 0, '*', 0),
(697, 'support', 'Support      ', '2013-04-24-09-24-25', '', '2013-04-24-09-24-25', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 283, 284, 0, '*', 0),
(815, 'main', 'COM_VIRTUEMART', 'com-virtuemart', '', 'com-virtuemart', 'index.php?option=com_virtuemart', 'component', 0, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '../components/com_virtuemart/assets/images/vmgeneral/menu_icon.png', 0, '', 351, 352, 0, '', 1),
(798, 'main', 'VirtueMart AIO', 'virtuemart-aio', '', 'virtuemart-aio', 'index.php?option=com_virtuemart_allinone', 'component', 0, 1, 1, 10173, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 331, 332, 0, '', 1),
(795, 'why-choose-us', 'Affiliates', '2013-09-05-07-52-11', '', '2013-09-05-07-52-11', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 325, 326, 0, '*', 0),
(796, 'why-choose-us', 'Group Sales', '2013-09-05-07-52-45', '', '2013-09-05-07-52-45', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 327, 328, 0, '*', 0),
(797, 'customer-services', 'Live chat support', '2013-09-05-07-54-28', '', '2013-09-05-07-54-28', '', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 329, 330, 0, '*', 0),
(749, 'mainmenu', 'Category Page', 'category-page', '', 'shop/category-page', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=3', 'component', 1, 637, 2, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 84, 85, 0, '*', 0),
(750, 'mainmenu', 'Product Page', 'product-page', '', 'shop/product-page', 'index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=16', 'component', 1, 637, 2, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 86, 87, 0, '*', 0),
(751, 'mainmenu', 'Shopping Cart', 'shopping-cart', '', 'shop/shopping-cart', 'index.php?option=com_virtuemart&view=cart', 'component', -2, 637, 2, 10140, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":[""]}', 88, 89, 0, '*', 0),
(752, 'mainmenu', 'Latest items (1 column)', 'latest-items-1-colum', '', 'shop/latest-items-1-colum', 'index.php?option=com_k2&view=latest&layout=latest', 'component', -2, 637, 2, 10122, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"1","latestItemsLimit":"4","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["120"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Small","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"1","latestItemReadMore":"1","latestItemCommentsAnchor":"1","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 90, 91, 0, '*', 0),
(753, 'mainmenu', 'Latest items (2 columns) ', 'latest-items-2-colums', '', 'shop/latest-items-2-colums', 'index.php?option=com_k2&view=latest&layout=latest', 'component', -2, 637, 2, 10122, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"2","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["120"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Small","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"1","latestItemReadMore":"1","latestItemCommentsAnchor":"1","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 92, 93, 0, '*', 0),
(754, 'mainmenu', 'Latest items (3 columns) ', 'latest-items-3-colums', '', 'shop/latest-items-3-colums', 'index.php?option=com_k2&view=latest&layout=latest', 'component', -2, 637, 2, 10122, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"3","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["120"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Small","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"1","latestItemReadMore":"1","latestItemCommentsAnchor":"1","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 94, 95, 0, '*', 0),
(755, 'mainmenu', 'Latest items (4 columns)', 'latest-items-4-colums', '', 'shop/latest-items-4-colums', 'index.php?option=com_k2&view=latest&layout=latest', 'component', -2, 637, 2, 10122, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"4","latestItemsLimit":"8","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["120"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Small","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"1","latestItemReadMore":"1","latestItemCommentsAnchor":"1","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 96, 97, 0, '*', 0),
(758, 'mainmenu', 'Quick Links', 'quick-links', '', 'contact-us-2/quick-links', '', 'separator', -2, 627, 2, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"mod","ytext_modules":["316"],"ytext_positions":["",""]}', 114, 115, 0, '*', 0),
(759, 'mainmenu', 'Rss', '2013-06-29-03-05-29', '', '2013-06-29-03-05-29', 'index.php?option=com_newsfeeds&view=newsfeed&id=2', 'component', -2, 1, 1, 17, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"icon-rss","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"menuRss","ytext_contenttype":"menu","ytext_positions":["",""]}', 297, 298, 0, '*', 0),
(772, 'customer-services', 'Japan     ', '2013-07-01-03-12-35', '', '2013-07-01-03-12-35', '#', 'url', -2, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 299, 300, 0, '*', 0),
(780, 'support', 'Sitemap', '2013-07-08-04-38-19', '', '2013-07-08-04-38-19', '#', 'url', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytmenu_class":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 319, 320, 0, '*', 0),
(799, 'mainmenu', 'Shopping Cart', 'shopping-cart-2', '', 'shop/shopping-cart-2', 'index.php?option=com_virtuemart&view=cart', 'component', 1, 637, 2, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 98, 99, 0, '*', 0),
(800, 'categories', 'Content Category 1', 'categories1', '', 'categories1', 'index.php?option=com_content&view=category&layout=blog&id=14', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 333, 334, 0, '*', 0),
(802, 'usermenu', 'Nikon', 'nikon', '', 'nikon', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=2', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 339, 340, 0, '*', 0),
(803, 'usermenu', 'Panasonic', 'panasonic', '', 'panasonic', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=1', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 341, 342, 0, '*', 0),
(804, 'usermenu', 'Fujifilm', 'fujifilm', '', 'fujifilm', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=5', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 343, 344, 0, '*', 0),
(805, 'usermenu', 'Pentax', 'pentax', '', 'pentax', 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=6', 'component', 1, 1, 1, 10174, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 345, 346, 0, '*', 0),
(806, 'mainmenu', 'Category Blog (1 column)', 'category-blog', '', 'joomla-pages/joomla-content/category-blog/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 638, 4, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 30, 31, 0, '*', 0),
(814, 'main', 'com_jw_disqus', 'com-jw-disqus', '', 'com-jw-disqus', 'index.php?option=com_jw_disqus', 'component', 0, 1, 1, 10185, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 349, 350, 0, '', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(2, 'usermenu', 'Category VM', 'A Menu for logged in Users'),
(3, 'top', 'Top', 'Links for major types of users'),
(4, 'support', 'Support      ', 'Support '),
(5, 'customer-services', 'Customer Services', 'Main menu for a site about Australian  parks'),
(6, 'mainmenu', 'Main Menu', 'Simple Home Menu'),
(7, 'short-codes', 'Shortcodes', 'Menu for the sample shop site.'),
(8, 'joomla-templates', 'Joomla Templates', ''),
(9, 'joomla-extensions', 'Joomla Extensions', ''),
(15, 'categories', 'Categories', ''),
(11, 'top-menu', 'Top Menu', ''),
(13, 'why-choose-us', ' Why Choose Us', '');

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) DEFAULT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned DEFAULT NULL,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=357 ;

INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(6, 'Unread Messages', '', '', 1, 'header', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_unread', 3, 1, '', 1, '*'),
(7, 'Online Users', '', '', 2, 'header', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_online', 3, 1, '', 1, '*'),
(8, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 'User Status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(17, 'Breadcrumbs', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 0, '{"showHere":"1","showHome":"1","homeText":"Home","showLast":"1","separator":" ","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(212, '"Box2" style', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n<p class="suffix" style="margin:0">Module Class Suffix: <strong class="text-warning">"box2"</strong></p>', 1, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box2","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(25, 'Sub Menu', '', '', 3, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu ","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(232, 'Call us', '', '<div class="border-round pull-left">\r\n    \r\n<i style="font-size:24px;color:#fff;" class="icon-phone pull-none "></i>\r\n\r\n</div>\r\n\r\n<h3 class="nomarginbottom">(+00) 911222333</h3>\r\nCall us Monday - Saturday </br>\r\n8:30 am - 6:00 pm\r\n', 5, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box5","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(41, 'Footer', '', '', 1, 'copyright', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(233, 'WorldIndex', '', '<div class="span9">\r\n<ul class="listinline smallFontSize worldIndex">\r\n    <li><i class="icon-caret-up up"> </i>      CNOOC  <a class="up" href="#">+0.14% </a></li>\r\n    <li><i class="icon-caret-down down"> </i>    CCB  <a class="down" href="#">-0.16%</a></li>\r\n    <li><i class="icon-caret-up up"> </i>      CHINA MOBILE  <a class="up" href="#">+0.12%</a></li>\r\n    <li><i class="icon-caret-down down"> </i>    LENOVO GROUP  <a class="down" href="#">-1.01%</a></li>\r\n    <li><i class="icon-caret-up up"> </i>      HENGAN INT''L  <a class="up" href="#">+0.50%</a></li>\r\n    <li><i class="icon-caret-down down"> </i>    CHINA SHENHUA  <a class="down" href="#">-1.11%     </a></li>\r\n</ul>\r\n\r\n</div>\r\n\r\n<div class="span3">\r\n<p class="smallFontSize nomarginbottom" style="margin:3px 0;">*Index is at least 15-minute delayed |<a href="#" class="linkIsland"> Disclaimer </a></p>\r\n</div>', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(65, 'Mega1 (My Account)', '', '<div class="b_account">\r\n    <div class="span6">\r\n        <ul class="col1 subnavi">\r\n        <li><a href="#">Account Settings</a></li>\r\n        <li><a href="#">Orders</a></li>\r\n        <li><a href="#">Messages </a></li>\r\n        <li><a href="#">Downloads </a></li>\r\n        </ul>\r\n    </div>\r\n    <div class="span6">\r\n        <ul class="col2 subnavi">\r\n        <li><a href="#">Tickets</a></li>\r\n        <li><a href="#">Shipping </a></li>\r\n        <li><a href="#">Payments </a></li>\r\n        <li><a href="#">Recent Products</a></li>\r\n        </ul>\r\n    </div>\r\n</div>', 1, 'mega1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(246, 'Sub Menu', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"2","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(71, 'Shortcodes', '', '', 4, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"short-codes","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(194, 'For using special positions', '', '<p>Special positions is: sticky_left, stickey_right, notice, tool_bottom. You can use them for any module type. And to use, please go to Module Manager config your module to your desired postion.</p>\r\n<p><strong>You can disable by:</strong></p>\r\n<ul class="yt-list type-smallnumber4">\r\n<li>Go to Administrator » Template Manager » Your_Template » Tab: Advanced » Use special positions » select: No for all special positions</li>\r\n<li>Go to Administrator » Module magager » Your_Module(by postion: sticky_left/stickey_right/notice/tool_bottom) » Status: Unpublish for that module</li>\r\n</ul>', 1, 'sticky_right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" clear bg-white  @bullhorn ","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(199, 'For customize module in special position', '', '<p>The solution is used Module Class Suffix. You can customize button, module content follow Module Class Suffix</p>\r\n<p>Ex: Module Class Suffix: <strong>bg-white</strong> @<strong>bullhorn</strong> then:<br />- Class of buttom is ''ico-<strong>bullhorn</strong>''<strong>. </strong>If without @<strong>... </strong>the default is ''icon-pushpin''<br /><strong>- </strong>Class of module is ''<strong>bg-white</strong>''</p>', 1, 'sticky_right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear bg-white @info-sign","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(84, '"badge-cool" Style ', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient mon nas cetur ridiculus mus.</p>\r\n<p class="suffix">Module Class Suffix: <strong class="text-warning">"badge-hot"</strong></p>', 6, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"badge-cool","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(90, '"icon-question" Style', '', '<p>The solution is used Icons Class Suffix. You can customize icon Class Suffix</p>\r\n\r\n<p>Ex: Module Class Suffix: ''@phone'' then: class of icons is ''icon-phone''.</p>\r\n\r\n<p class="suffix">Module Class Suffix: <strong>"box4 @question"</strong></p>', 4, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box4  @question","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(223, '"icon-thumbs-up-alt" Style ', '', '<p>The solution is used Icons Class Suffix. You can customize icon Class Suffix</p>\r\n\r\n<p>Ex: Module Class Suffix: ''@desktop'' then: class of icons is ''icon-desktop''.</p>\r\n\r\n<p class="suffix" >Module Class Suffix: <strong>"box4 @thumbs-up-alt"</strong></p>', 5, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box4 @thumbs-up-alt","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(97, '"clear" style ', '', '<p style="margin-bottom:4px">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient mon nas cetur ridiculus mus.Donec ac rhoncus dui, ac iaculis metus. Sed consectetur</p>\r\n\r\n<p class="suffix">Module Class Suffix: <strong class="text-warning">"clear"</strong></p>\r\n\r\n', 5, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(205, '"Box1" style', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n<p class="suffix">Module Class Suffix: <strong class="text-warning">"box1"</strong></p>', 2, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box1","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(215, '"bgcolor1" style  ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor1"</strong></p>\r\n<ul style="color:#72C6FF;" class="yt-list type-check">\r\n\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor1","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(224, 'Mobile Menu', '', '', 2, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"top","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(143, 'Follow Us', '', '<div class="yt-social"><a class="facebooks" href="http://www.facebook.com/pages/SmartAddons/121579357898967" target="_blank" title="Facebook"><span>Facebook</span></a> <a class="twitters" href="http://twitter.com/#!/smartaddons" target="_blank" title="Twitter"><span>Twitter</span></a> <a class="rss" href="http://www.smartaddons.com/component/k2/itemlist?format=feed&amp;type=rss" target="_blank" title="RSS"><span>RSS</span></a> <a class="flick" href="#" target="_blank" title="Flick"><span>Flick</span></a></div>', 1, 'position-14', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(225, ' Why Choose Us', '', '', 4, 'bottom3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"why-choose-us","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":" ","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"clear   ","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(164, 'Social Networking', '', '<div class="yt-socialNetworking">[social type="facebook" style="min" color="no"]http://www.facebook.com/SmartAddons.page[/social] [social type="twitter" style="min" color="no"]https://twitter.com/#!/smartaddons[/social] [social type="google-plus" style="min" color="no"]https://plus.google.com/u/0/103151395684525745793/posts[/social] [social type="rss" style="min" color="no"]#[/social]</div>', 1, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(167, '"Box3" style', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n<p class="suffix">Module Class Suffix: <strong class="text-warning">"box3"</strong></p>', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box3","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(179, 'Smart Search ', '', '', 6, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_finder', 1, 1, '{"searchfilter":"","show_autosuggest":"0","show_advanced":"0","layout":"_:default","moduleclass_sfx":"","field_size":15,"alt_label":"","show_label":"0","label_pos":"top","show_button":"1","button_pos":"right","opensearch":"1","opensearch_title":"Search the site"}', 0, '*'),
(216, '"bgcolor2" style  ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor2"</strong></p>\r\n<ul style="color:#FCFC19;" class="yt-list type-check">\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 7, 'bottom2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor2","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(217, '"bgcolor3" style   ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor3"</strong></p>\r\n<ul class="yt-list type-check" style="color:#7AEFE5;">\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 8, 'bottom3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor3","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(218, '"bgcolor4" style   ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor4"</strong></p>\r\n<ul style="color:#90b0ff" class="yt-list type-check">\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 8, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor4","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(222, 'Position Top 1', '', '<p>The solution is used shortcode List style  . you can find the <a href="#">List style </a></p>\r\n[list type="disc"]\r\n    [list_item] <a href="#">Phasellus tempor libero</a> [/list_item]\r\n    [list_item] <a href="#">Curabitur tempor sapien</a> [/list_item]\r\n    [list_item] <a href="#">Nam ut sem in dolor tincidunt</a> [/list_item]\r\n    [list_item] <a href="#">Magnis dis turi parturient</a> [/list_item]\r\n[/list]', 9, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(351, 'Sj Responsive Listing Virtuemart', '', '', 1, 'maintop2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_vm_reslisting', 1, 0, '{"nb-column0":"5","nb-column1":"3","nb-column2":"2","nb-column3":"1","nb-column4":"1","sort_byform_display":"0","layout_select_display":"1","default_view":"grid","mode":"normal","catid":["4","5","2","1","6","3"],"catid_preload":"4","show_front":"show","source_limit":"6","itemsOrdering_display":["product_name"],"source_order":"product_name","article_ordering_direction":"ASC","tab_all_display":"1","tal_max_characters":"25","count_items_display":"0","tab_show_categories":"0","category_ordering":"title","item_title_display":"1","item_title_max_characters":"23","item_description_display":"1","item_des_maxlength_layout_grid":"180","item_des_maxlength_layout_list":"250","item_price_display":"1","item_rating_display":"1","item_created_display":"0","item_cat_display":"1","item_readmore_display":"1","link_target":"_self","imgcfg_from_image_product":"1","imgcfg_from_description":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/vm\\/{id}.jpg","imgcfg_order":"image_product, description, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"250","imgcfg_height":"190","imgcfg_background":"#FFFFFF","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_vm_extraslider\\/assets\\/images\\/nophoto.jpg","layout":"_:default","include_jquery":"0","pretext":"","posttext":"","owncache":"0","cache_time":"900"}', 0, '*'),
(252, 'Pay mode', '', '<ul class="blank listinline">\r\n<li class="item"><img alt="" src="images/demo/pay1.png"> </li>\r\n<li class="item"><img alt="" src="images/demo/pay2.png"> </li>\r\n<li class="item align-right"><img alt="" src="images/demo/pay3.png"> </li>\r\n</ul>\r\n', 8, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"border-bottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(253, '"bgcolor5" style', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor1"</strong></p>\r\n<ul style="color:#DFFF77;" class="yt-list type-check">\r\n\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor5","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(254, '"bgcolor6" style   ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor6"</strong></p>\r\n<ul style="color:#6B97AF;" class="yt-list type-check">\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 1, 'bottom2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor6","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(255, '"bgcolor7" style   ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor7"</strong></p>\r\n<ul class="yt-list type-check" style="color:#feb719;">\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 1, 'bottom3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor7","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(256, '"bgcolor8" style ', '', '<p class="suffix">Cum sociis penatibus magnis dis turi. Module Class Suffix: <strong class="text-warning">"bgcolor8"</strong></p>\r\n<ul class="yt-list type-check" style="color:#A80028">\r\n<li><a href="#">Phasellus tempor libero.</a></li>\r\n<li><a href="#">Curabitur tempor sapien.</a></li>\r\n<li><a href="#">Nam ut sem in dolor tincidunt.</a></li>\r\n</ul>\r\n\r\n', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bgcolor8","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(354, 'Who''s Online', '', '', 2, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"box6","cache":"0","filter_groups":"0"}', 0, '*'),
(355, 'Latest Products', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_virtuemart_product', 1, 1, '{"layout":"default","product_group":"topten","max_items":"3","products_per_row":"1","display_style":"list","show_price":"1","show_addtocart":"0","headerText":"","footerText":"","filter_category":"0","virtuemart_category_id":"0","cache":"1","moduleclass_sfx":"box6 blank","class_sfx":""}', 0, '*'),
(269, 'Adv1-right', '', '<div class="thumbnail pull-left clear nomarginbottom">\r\n   <img src="images/demo/logo-company.png" alt="" />\r\n</div>\r\nCoongten enim minim veniam, quis nostrud and exercitation ', 6, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"blank borderSolid","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(273, 'Newsletter', '', '', 6, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jw_tinyletter', 1, 1, '{"moduleclass_sfx":"blank border-bottom","template":"Default","tlUsername":"luannt","tlPopupWidth":"800","tlPopupHeight":"600","tlShowPretext":"1","tlPretext":"Get exclusive Millennium & Copthorne offers delivered right to your inbox","tlCredits":"0","cache":"1","cache_time":"900"}', 0, '*'),
(274, ' Store Location', '', '<p style="margin-bottom:5px">Feel free to contact us if you have any problems.</p>\r\n<ul class="menu">\r\n    <li><span><strong>Address </strong>: 242 NTB Street, NY, US</span></li>\r\n    <li><span><strong>Email </strong>: <a href="mailto:contact@viste.com?Subject=Hello%20again" target="_top">\r\ncontact@viste.com</a></li>\r\n    <li><span><strong>Phone </strong>: (+00) 911222333  </span></li>\r\n    <li><span><strong>Phone </strong>: (+00) 911222333 </span></li>\r\n</ul>\r\n\r\n', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(281, 'Go To Events Calendar', '', '<a href="#">\r\n<h3 class="modtitle">Go To Events Calendar </h3>\r\n<p>Incidunt ut labore et dolore magnam aliquam quaerat voluptatem</p>\r\n</a> ', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@calendar","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(282, 'Member Card ', '', '<a href="#">\r\n<h3 class="modtitle">Member Card  </h3>\r\n<p>Incidunt ut labore et dolore magnam aliquam quaerat voluptatem</p>\r\n</a>', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@credit-card","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(283, 'Mutual Funds', '', '<a href="#">\r\n<h3 class="modtitle">Mutual Funds </h3>\r\nIncidunt ut labore et dolore magnam aliquam quaerat voluptatem\r\n</a>', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@signal","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(290, ' Customer Services', '', '', 1, 'bottom2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"customer-services","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"clear ","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(293, 'Bottom menu', '', '', 4, 'mainbottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"support","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":" ","class_sfx":"listline_solid","window_open":"","layout":"_:default","moduleclass_sfx":"nomarginbottom","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(300, 'Login Form', '', '', 3, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","layout":"sj_viste:popup","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(304, 'Address 1', '', '<h3 class="xlargeFontSize nobold">Advertise With Us</h3>\r\n<p>Interested in being awesome? Visit our advertising page or contact: <span class="xlargeFontSize">703-854-5325</span></p>\r\n<br/>\r\n\r\n<h3 class="xlargeFontSize nobold">Headquarters</h3>\r\n<p><i class="icon-bookmark-empty pull-left" style="height:40px;padding-top:6px;"></i>\r\n   <span style="overflow:hidden;">Financial World, 7951 Jones Branch Road, \r\n    McLean, Va. 25102\r\n</span>\r\n</p>\r\n<p> <i class="icon-phone"></i> 103-855-3300 </p>', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"blank","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(305, 'Address 2', '', '<h3 class="xlargeFontSize nobold">Advertise With Us</h3>\r\n<p>Interested in being awesome? Visit our advertising page or contact: <span class="xlargeFontSize">703-444-5555</span></p>\r\n<br/>\r\n\r\n<h3 class="xlargeFontSize nobold">Headquarters</h3>\r\n<p><i class="icon-bookmark-empty pull-left" style="height:40px;padding-top:6px;"></i>\r\n   <span style="overflow:hidden;">Financial World, 7900 Jones Branch Road, \r\n    McLean, Va. 25102\r\n</span>\r\n</p>\r\n<p> <i class="icon-phone"></i> 103-888-3333</p>', 3, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(350, 'Free Shipping', '', '<div class="yt-alert alert fade in"><button class="close" type="button" data-dismiss="alert">×</button>\r\n<div id="myCarousel" class="carousel slide span12">\r\n<div class="active item"><a class="modtitle " href="#"><em class="icon-truck"> </em>Free Shipping</a> Get free shipping on everything at Viste shop, on orders over 999 $</div>\r\n<div class="item"><a class="modtitle " href="#"><em class="icon-picture"> </em>Photo Competition</a> We want to see your photos? You could win a Nikon Coolpix P520 worth $499.95</div>\r\n</div>\r\n</div>', 1, 'maintop1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom  border-bottom clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(344, 'VM - Featured products', '', '', 3, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_virtuemart_product', 1, 1, '{"layout":"default","product_group":"featured","max_items":"2","products_per_row":"1","display_style":"list","show_price":"1","show_addtocart":"1","headerText":"","footerText":"","filter_category":"0","virtuemart_category_id":"0","cache":"1","moduleclass_sfx":"","class_sfx":""}', 0, '*'),
(343, 'Store Currencies ', '', '', 7, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_virtuemart_currencies', 1, 1, '{"text_before":"","product_currency":"Canadian dollar $","cache":"0","moduleclass_sfx":"blank border-bottom","class_sfx":""}', 0, '*'),
(313, 'Adv2-right ', '', '<img src="images/demo/adv-3.jpg" alt="" />', 8, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(320, 'Google Map', '', '[googleMaps addr="40th Street, Oakland, California, United States " addoverview=0 label="40th Street, Oakland, California, United States " width=100% height=350]', 2, 'maintop1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear nomarginbottom googleMap","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(321, '"Box4" style', '', '<p style="margin-bottom:5px">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n<p class="suffix nomarginbottom">Module Class Suffix: <strong class="text-warning">"box4"</strong></p>', 4, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box4","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(322, '"Box5" Style', '', '<p style="margin-bottom:5px">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n\r\n<p class="suffix nomarginbottom">Module Class Suffix: <strong class="text-warning">"box5"</strong></p>', 3, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box5","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(323, '"Default" Style', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n\r\n<p class="suffix nomarginbottom">Module Class Suffix: <strong class="text-warning">" "</strong></p>', 4, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"clear","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(325, '"badge-hot" style', '', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.Aliquam in pulvinar velit\r\n</p>\r\n<p class="suffix">Module Class Suffix: <strong class="text-warning">"badge-hot"</strong></p>', 7, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" badge-hot","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(326, '"badge-new" style ', '', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.Aliquam in pulvinar velit, non\r\n</p>\r\n<p class="suffix">Module Class Suffix: <strong class="text-warning">"badge-new"</strong></p>', 8, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"badge-new","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(327, '"badge-best" style', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n<p>Proin laoreet ultrices est id molestie. Phasellus malesuada a diam vel consectetur.</p>\r\n<p class="suffix nomarginbottom">Module Class Suffix: <strong class="text-warning">"badge-best"</strong></p>', 6, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" badge-best","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(328, 'Position Top 2', '', '<p>The solution is used shortcode List style  . you can find the <a href="#">List style </a></p>\r\n[list type="check"]\r\n    [list_item] <a href="#">Phasellus tempor libero</a> [/list_item]\r\n    [list_item] <a href="#">Curabitur tempor sapien</a> [/list_item]\r\n    [list_item] <a href="#">Nam ut sem in dolor tincidunt</a> [/list_item]\r\n    [list_item] <a href="#">Magnis dis turi parturient</a> [/list_item]\r\n[/list]', 9, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(329, 'Position Top 3', '', '<p>The solution is used shortcode List style  . you can find the <a href="#">List style </a></p>\r\n\r\n[list type="star"]\r\n    [list_item] <a href="#">Phasellus tempor libero</a> [/list_item]\r\n    [list_item] <a href="#">Curabitur tempor sapien</a> [/list_item]\r\n    [list_item] <a href="#">Nam ut sem in dolor tincidunt</a> [/list_item]\r\n    [list_item] <a href="#">Magnis dis turi parturient</a> [/list_item]\r\n[/list]', 10, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(334, '"icon-comment" Style', '', '<p>The solution is used Icons Class Suffix. You can customize icon Class Suffix</p>\r\n\r\n<p>Ex: Module Class Suffix: ''ico-comment'' then: class of icons is ''icon-comment''.</p>\r\n\r\n<p class="suffix">Module Class Suffix: <strong>"ico-comment title5"</strong></p>', 7, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"ico-comment title5","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(336, 'Social Buttons (2)', '', '<div class="pull-right">\r\n[social type="facebook" style="flat" color="Yes"] http://www.facebook.com/SmartAddons.page [/social]\r\n[social type="twitterbird" style="flat" color="Yes" ] https://twitter.com/#!/smartaddons [/social]\r\n[social type="google" style="flat" color="Yes" ] https://plus.google.com/u/0/103151395684525745793/posts [/social]\r\n[social type="rss" style="flat" color="Yes"] # [/social]\r\n</div>', 1, 'position-12', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(349, 'Sj Minicart Pro', '', '', 4, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_sj_minicart_pro', 1, 0, '{"moduleclass_sfx":"","cart_detail_width":"360","product_list_display":"1","product_max_height":"270","product_label_display":"1","product_attribute_display":"1","coupon_form_display":"1","coupon_label_display":"1","goto_cart_display":"1","checkout_display":"1","total_price_display":"1","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"65","imgcfg_height":"65","imgcfg_background":"#000000","layout":"_:default","include_jquery":"1","owncache":"0","cache_time":"900"}', 0, '*'),
(345, 'Search in Shop', '', '', 7, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_virtuemart_search', 1, 1, '{"width":"20","text":"","filter_category":"1","button":"1","button_pos":"right","imagebutton":"0","button_text":"","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(346, 'VM - Manufacturer', '', '', 5, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_virtuemart_manufacturer', 1, 1, '', 0, ''),
(347, 'VM - Shopping cart', '', '', 5, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_virtuemart_cart', 1, 1, '{"moduleclass_sfx":"","show_price":"0","show_product_list":"0"}', 0, '*'),
(348, 'VM - Category', '', '', 6, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_virtuemart_category', 1, 1, '', 0, ''),
(353, 'Sj Matrix Slider for VirtueMart', '', '', 1, 'maintop1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_vm_matrix_slider', 1, 0, '{"item_link_target":"_self","nb-column0":"5","nb-column1":"3","nb-column2":"3","nb-column3":"1","nb-column4":"1","catid":["5"],"show_child_category_articles":"0","levels":"1","show_front":"show","source_order":"product_name","article_ordering_direction":"ASC","source_limit":"20","item_title_display":"1","item_title_max_characs":"20","item_desc_display":"1","item_desc_max_characs":"250","item_price_display":"1","item_rating_display":"1","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_image_product":"1","imgcfg_from_description":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/vm\\/{id}.jpg","imgcfg_order":"image_product, description, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"240","imgcfg_height":"240","imgcfg_background":"#FFFFFF","imgcfg_placeholder_path":"modules\\/mod_sj_vm_matrix_slider\\/assets\\/images\\/nophoto.jpg","start":"1","play":"0","interval":"1000","duration":"800","pause_hover":"hover","swipe_enable":"0","easing":"swing","moduleclass_sfx":"clear nomarginbottom","layout":"_:default","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', 0, '*'),
(352, ' Main menu', '', '', 2, 'left', 42, '2013-10-05 02:13:42', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_flat_menu', 1, 1, '{"moduleclass_sfx":"","menutype":"mainmenu","startlevel":"1","endlevel":"all","type_menu":"flyout","stype_layout":"vertical","event":"mouseover","duration":"300","showsub":"true","menu_direction":"left","link_target":"_self","layout":"_:default","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', 0, '*'),
(356, 'My Account', '', '<div class="yt-account"><a class="hover-link">My Account <em class="icon-angle-down"> </em></a>\r\n<div class="sub-account">\r\n<div class="account-title">My Account</div>\r\n<div class="account-content">\r\n<div class="span6">\r\n<ul class="col1 subnavi blank">\r\n<li><a href="#">Account Settings</a></li>\r\n<li><a href="#">Orders</a></li>\r\n<li><a href="#">Messages </a></li>\r\n<li><a href="#">Downloads </a></li>\r\n</ul>\r\n</div>\r\n<div class="span6">\r\n<ul class="col2 subnavi blank">\r\n<li><a href="#">Tickets</a></li>\r\n<li><a href="#">Shipping </a></li>\r\n<li><a href="#">Payments </a></li>\r\n<li><a href="#">Recent Products</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', 1, 'topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(17, 201),
(17, 207),
(17, 234),
(17, 242),
(17, 243),
(17, 244),
(17, 427),
(17, 429),
(17, 430),
(17, 431),
(17, 432),
(17, 433),
(17, 444),
(17, 449),
(17, 450),
(17, 462),
(17, 463),
(17, 464),
(17, 468),
(17, 494),
(17, 495),
(17, 496),
(17, 497),
(17, 516),
(17, 518),
(17, 519),
(17, 520),
(17, 521),
(17, 522),
(17, 523),
(17, 524),
(17, 525),
(17, 526),
(17, 527),
(17, 533),
(17, 569),
(17, 572),
(17, 602),
(17, 618),
(17, 619),
(17, 620),
(17, 621),
(17, 625),
(17, 627),
(17, 628),
(17, 629),
(17, 637),
(17, 638),
(17, 639),
(17, 640),
(17, 641),
(17, 642),
(17, 643),
(17, 648),
(17, 649),
(17, 650),
(17, 651),
(17, 652),
(17, 653),
(17, 654),
(17, 655),
(17, 656),
(17, 657),
(17, 658),
(17, 659),
(17, 660),
(17, 661),
(17, 662),
(17, 663),
(17, 664),
(17, 665),
(17, 667),
(17, 668),
(17, 669),
(17, 670),
(17, 671),
(17, 672),
(17, 673),
(17, 674),
(17, 675),
(17, 676),
(17, 677),
(17, 678),
(17, 679),
(17, 680),
(17, 681),
(17, 682),
(17, 683),
(17, 684),
(17, 685),
(17, 686),
(17, 687),
(17, 688),
(17, 689),
(17, 696),
(17, 697),
(17, 698),
(17, 699),
(17, 700),
(17, 701),
(17, 702),
(17, 703),
(17, 704),
(17, 705),
(17, 748),
(17, 749),
(17, 750),
(17, 751),
(17, 780),
(17, 795),
(17, 796),
(17, 797),
(25, 494),
(41, 0),
(65, 427),
(65, 429),
(65, 430),
(65, 431),
(65, 432),
(65, 433),
(65, 462),
(65, 463),
(65, 494),
(71, 427),
(71, 429),
(71, 430),
(71, 431),
(71, 432),
(71, 433),
(71, 462),
(71, 463),
(71, 648),
(71, 649),
(71, 650),
(71, 651),
(71, 652),
(71, 653),
(71, 654),
(71, 655),
(71, 656),
(71, 657),
(71, 658),
(71, 659),
(71, 670),
(71, 671),
(71, 672),
(84, 494),
(84, 497),
(84, 572),
(84, 602),
(90, 494),
(97, 494),
(128, 0),
(143, 0),
(164, 0),
(167, 494),
(179, 0),
(194, 0),
(199, 0),
(205, 494),
(212, 494),
(215, 494),
(216, 494),
(217, 494),
(218, 494),
(222, 494),
(223, 494),
(224, 0),
(225, 0),
(232, 207),
(232, 234),
(232, 242),
(232, 243),
(232, 244),
(232, 427),
(232, 429),
(232, 430),
(232, 431),
(232, 432),
(232, 433),
(232, 435),
(232, 444),
(232, 462),
(232, 463),
(232, 464),
(232, 468),
(232, 494),
(232, 495),
(232, 496),
(232, 497),
(232, 516),
(232, 518),
(232, 519),
(232, 520),
(232, 521),
(232, 522),
(232, 523),
(232, 524),
(232, 525),
(232, 526),
(232, 527),
(232, 533),
(232, 569),
(232, 572),
(232, 602),
(232, 618),
(232, 619),
(232, 620),
(232, 621),
(232, 625),
(232, 627),
(232, 628),
(232, 629),
(232, 637),
(232, 638),
(232, 639),
(232, 640),
(232, 641),
(232, 642),
(232, 643),
(232, 649),
(232, 650),
(232, 651),
(232, 652),
(232, 653),
(232, 654),
(232, 655),
(232, 656),
(232, 657),
(232, 658),
(232, 659),
(232, 660),
(232, 661),
(232, 662),
(232, 663),
(232, 664),
(232, 665),
(232, 667),
(232, 668),
(232, 669),
(232, 670),
(232, 671),
(232, 672),
(232, 673),
(232, 675),
(232, 676),
(232, 677),
(232, 678),
(232, 679),
(232, 680),
(232, 681),
(232, 682),
(232, 683),
(232, 684),
(232, 685),
(232, 686),
(232, 687),
(232, 688),
(232, 689),
(232, 696),
(232, 697),
(232, 698),
(232, 699),
(232, 700),
(232, 701),
(232, 702),
(232, 703),
(232, 704),
(232, 705),
(232, 748),
(232, 749),
(232, 750),
(232, 780),
(232, 795),
(232, 796),
(232, 797),
(232, 799),
(232, 801),
(232, 802),
(232, 803),
(232, 804),
(232, 805),
(233, 435),
(246, 494),
(246, 495),
(246, 496),
(246, 497),
(246, 569),
(246, 572),
(246, 602),
(246, 628),
(246, 629),
(246, 638),
(246, 639),
(246, 640),
(246, 641),
(246, 642),
(246, 643),
(246, 673),
(246, 674),
(246, 675),
(246, 678),
(246, 679),
(246, 680),
(246, 682),
(246, 683),
(246, 684),
(246, 685),
(246, 686),
(246, 687),
(246, 688),
(246, 694),
(246, 749),
(246, 750),
(246, 751),
(246, 752),
(246, 753),
(252, 0),
(253, 494),
(254, 494),
(255, 494),
(256, 494),
(269, 435),
(269, 638),
(269, 639),
(269, 673),
(269, 674),
(269, 675),
(269, 701),
(269, 702),
(269, 703),
(269, 704),
(269, 748),
(269, 749),
(269, 751),
(269, 752),
(269, 753),
(269, 756),
(273, 207),
(273, 234),
(273, 242),
(273, 243),
(273, 244),
(273, 427),
(273, 429),
(273, 430),
(273, 431),
(273, 432),
(273, 433),
(273, 435),
(273, 444),
(273, 462),
(273, 463),
(273, 464),
(273, 468),
(273, 495),
(273, 496),
(273, 497),
(273, 516),
(273, 518),
(273, 519),
(273, 520),
(273, 521),
(273, 522),
(273, 523),
(273, 524),
(273, 525),
(273, 526),
(273, 527),
(273, 533),
(273, 569),
(273, 572),
(273, 602),
(273, 618),
(273, 619),
(273, 620),
(273, 621),
(273, 625),
(273, 627),
(273, 628),
(273, 629),
(273, 638),
(273, 639),
(273, 640),
(273, 641),
(273, 642),
(273, 643),
(273, 649),
(273, 650),
(273, 651),
(273, 652),
(273, 653),
(273, 654),
(273, 655),
(273, 656),
(273, 657),
(273, 658),
(273, 659),
(273, 660),
(273, 661),
(273, 662),
(273, 663),
(273, 664),
(273, 665),
(273, 667),
(273, 668),
(273, 669),
(273, 670),
(273, 671),
(273, 672),
(273, 673),
(273, 675),
(273, 676),
(273, 677),
(273, 678),
(273, 679),
(273, 680),
(273, 682),
(273, 683),
(273, 684),
(273, 685),
(273, 686),
(273, 687),
(273, 688),
(273, 689),
(273, 696),
(273, 697),
(273, 698),
(273, 699),
(273, 700),
(273, 702),
(273, 703),
(273, 704),
(273, 705),
(273, 780),
(273, 806),
(274, 0),
(281, 435),
(282, 435),
(283, 435),
(290, 0),
(293, 0),
(300, 0),
(304, 207),
(304, 435),
(304, 689),
(305, 207),
(305, 435),
(305, 689),
(313, 639),
(313, 751),
(313, 756),
(313, 757),
(320, 627),
(320, 689),
(321, 494),
(322, 494),
(323, 494),
(325, 494),
(326, 494),
(327, 494),
(328, 494),
(329, 494),
(334, 494),
(336, 0),
(343, 637),
(343, 701),
(343, 748),
(343, 749),
(343, 750),
(343, 801),
(343, 802),
(343, 803),
(343, 804),
(343, 805),
(344, 0),
(345, 0),
(346, 0),
(347, 0),
(348, 0),
(349, 0),
(350, 435),
(351, 435),
(352, 207),
(352, 234),
(352, 242),
(352, 243),
(352, 244),
(352, 435),
(352, 444),
(352, 464),
(352, 468),
(352, 495),
(352, 496),
(352, 497),
(352, 516),
(352, 518),
(352, 519),
(352, 520),
(352, 521),
(352, 522),
(352, 523),
(352, 524),
(352, 525),
(352, 526),
(352, 527),
(352, 533),
(352, 569),
(352, 572),
(352, 602),
(352, 618),
(352, 619),
(352, 620),
(352, 621),
(352, 625),
(352, 627),
(352, 628),
(352, 629),
(352, 637),
(352, 638),
(352, 639),
(352, 640),
(352, 641),
(352, 642),
(352, 643),
(352, 660),
(352, 661),
(352, 662),
(352, 663),
(352, 664),
(352, 665),
(352, 667),
(352, 668),
(352, 669),
(352, 673),
(352, 675),
(352, 676),
(352, 677),
(352, 678),
(352, 679),
(352, 680),
(352, 681),
(352, 682),
(352, 683),
(352, 684),
(352, 685),
(352, 686),
(352, 687),
(352, 688),
(352, 689),
(352, 696),
(352, 697),
(352, 698),
(352, 699),
(352, 700),
(352, 701),
(352, 702),
(352, 703),
(352, 704),
(352, 705),
(352, 748),
(352, 749),
(352, 750),
(352, 780),
(352, 795),
(352, 796),
(352, 797),
(352, 799),
(352, 800),
(352, 801),
(352, 802),
(352, 803),
(352, 804),
(352, 805),
(352, 806),
(353, 435),
(354, 0),
(355, 0),
(356, 0);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `filename`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`) VALUES
(17, 1, 'Joomla Extensions Feed', 'joomla-extensions-feed', 'http://feeds.feedburner.com/smartaddons/joomla-extensions', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 0, '', '2013-04-18 02:24:54', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 2, 'News and Announcements Feed', 'news-and-announcements-feed', 'http://feeds.feedburner.com/smartaddons/news-announcements', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 4, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 0, '', '2013-04-18 02:54:25', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 3, 'Magento Extensions Feed', 'magento-extensions-feed', 'http://feeds.feedburner.com/smartaddons/magento-extensions', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 2, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 0, '', '2013-04-18 02:49:29', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(17, 4, 'Joomla Templates Feed', 'joomla-templates-feed', 'http://feeds.feedburner.com/smartaddons/joomla-templates', NULL, 1, 5, 3600, 0, '0000-00-00 00:00:00', 3, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 0, '', '2013-04-18 02:24:21', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__redirect_links`;
CREATE TABLE IF NOT EXISTS `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) DEFAULT NULL,
  `new_url` varchar(255) DEFAULT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=196 ;

INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`) VALUES
(1, 'http://localhost/templates/yt-framework16/index.php?Itemid=455', '', 'http://localhost/templates/yt-framework16/index.php', '', 0, -2, '2011-06-28 09:49:22', '0000-00-00 00:00:00'),
(2, 'http://localhost/templates/yt-framework16/index.php/explore/features/template-info/module-variations&tp=1', '', '', '', 0, -2, '2011-06-29 04:00:35', '0000-00-00 00:00:00'),
(3, 'http://localhost/templates/yt-framework16/index.php/joomla/joomla', '', 'http://localhost/templates/yt-framework16/index.php', '', 0, -2, '2011-06-29 04:44:07', '0000-00-00 00:00:00'),
(4, 'http://localhost/templates/yt-framework16/index.php/joomla/joomla-content/index.php', '', 'http://localhost/templates/yt-framework16/index.php/joomla/joomla-content/single-article-default', '', 0, -2, '2011-06-29 09:05:47', '0000-00-00 00:00:00'),
(5, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/index.php', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/single-article-default', '', 0, -2, '2011-08-03 03:13:26', '0000-00-00 00:00:00'),
(6, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/user/index.php', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/user/profile', '', 0, -2, '2011-09-05 02:49:43', '0000-00-00 00:00:00'),
(7, 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/single-article', '', 0, -2, '2011-09-12 03:30:26', '0000-00-00 00:00:00'),
(8, 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/index.php', '', 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/category-blog-default', '', 0, -2, '2011-10-05 02:19:07', '0000-00-00 00:00:00'),
(9, 'http://localhost/templates/yt-framework17/index.php/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/joomla', '', 0, -2, '2011-10-18 02:54:48', '0000-00-00 00:00:00'),
(10, 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/category-list-default/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/category-list-default/126-tames-pede-elit', '', 0, -2, '2011-10-18 07:37:15', '0000-00-00 00:00:00'),
(11, 'http://localhost/templates/yt-framework17/index.php/explore/features/typographys/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/explore/features/typographys/typography', '', 0, -2, '2011-10-31 10:14:25', '0000-00-00 00:00:00'),
(12, 'http://localhost/templates/yt-framework17/index.php/explore/features/template-info/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/explore/features/template-info/module-variations', '', 0, -2, '2011-11-28 09:35:12', '0000-00-00 00:00:00'),
(13, 'http://localhost/templates/yt-framework17/index.php/templates/yt_framework17/images/black/logo.png', '', 'http://localhost/templates/yt-framework17/index.php/the-joomla-community', '', 0, -2, '2011-12-13 10:09:27', '0000-00-00 00:00:00'),
(14, 'http://localhost/templates/yt-framework17/index.php/using-joomla/extensions/components/search-component/templates/yt_framework17/images/black/logo.png', '', 'http://localhost/templates/yt-framework17/index.php/using-joomla/extensions/components/search-component/search?searchword=&searchphrase=all', '', 0, -2, '2011-12-16 07:37:40', '0000-00-00 00:00:00'),
(15, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/templates/yt_framework17/images/blue/logo.png', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/single-article-default', '', 0, -2, '2011-12-19 02:33:18', '0000-00-00 00:00:00'),
(16, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/templates/yt_framework17/images/blue/logo.png', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla', '', 0, -2, '2011-12-19 02:33:34', '0000-00-00 00:00:00'),
(17, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/explore/features/template-info/templates/yt_framework17/images/blue/logo.png', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/explore/features/template-info/module-variations', '', 0, -2, '2011-12-19 02:33:38', '0000-00-00 00:00:00'),
(18, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php?Itemid=238', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2011-12-28 13:10:31', '0000-00-00 00:00:00'),
(19, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/-- Joomla Content', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/126-tames-pede-elit', '', 0, -2, '2011-12-29 04:46:24', '0000-00-00 00:00:00'),
(20, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/-- Features', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/126-tames-pede-elit', '', 0, -2, '2011-12-29 04:46:31', '0000-00-00 00:00:00'),
(21, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/user/2011-06-29-04-49-48/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/user/2011-06-29-04-49-48/rigistration-form', '', 0, -2, '2011-12-29 05:36:43', '0000-00-00 00:00:00'),
(22, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/87-ursus-senectus-aliquet-pretium', '', 0, -2, '2012-01-12 08:45:49', '0000-00-00 00:00:00'),
(23, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/content/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/content/', '', 0, -2, '2012-01-12 10:38:46', '0000-00-00 00:00:00'),
(24, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/', '', 0, -2, '2012-01-12 11:00:15', '0000-00-00 00:00:00'),
(25, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/k2/k2-category/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/k2/k2-category/k2-category2', '', 0, -2, '2012-01-12 13:17:26', '0000-00-00 00:00:00'),
(26, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/forum/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/forum/4-browse-groups', '', 0, -2, '2012-01-13 05:48:19', '0000-00-00 00:00:00'),
(27, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/features/typographys/PIE.htc', '', '', '', 0, -2, '2012-01-15 15:10:26', '0000-00-00 00:00:00'),
(28, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/hehe.php&a=bcd?ytcpanel_widthType=px&ytcpanel_templa', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/98-ceger-nisl-pellentesque-in-id-metus', '', 0, -2, '2012-01-29 03:05:19', '0000-00-00 00:00:00'),
(29, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/..templates/yt_framework17/includes/hehe.php&layout=', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/98-ceger-nisl-pellentesque-in-id-metus', '', 0, -2, '2012-01-29 03:25:52', '0000-00-00 00:00:00'),
(30, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/87-ursus-senectus-aliquet-pretium', '', 0, -2, '2012-02-03 07:22:47', '0000-00-00 00:00:00'),
(31, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/features/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/features/typography', '', 0, -2, '2012-02-06 10:27:17', '0000-00-00 00:00:00'),
(32, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/97-netra-faucibus-eu-laoreet-nunc', '', 0, -2, '2012-02-11 07:48:49', '0000-00-00 00:00:00'),
(33, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/images/content_category/600x400xbroken_social_scene_hovland_5.jpg.pagesp', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1', '', 0, -2, '2012-02-20 07:19:28', '0000-00-00 00:00:00'),
(34, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=full.xml&wtype=px', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:32', '0000-00-00 00:00:00'),
(35, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=left-main.xml&wtype=p', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:33', '0000-00-00 00:00:00'),
(36, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=left-right-main.xml&w', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:37', '0000-00-00 00:00:00'),
(37, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=main-left-right.xml&w', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:38', '0000-00-00 00:00:00'),
(38, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/templates/yt_framework17/includes/cpanel-twidth.ph', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/96-kril-penectus-aliquet-pretium', '', 0, -2, '2012-02-27 06:47:24', '0000-00-00 00:00:00'),
(39, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/component/content/category?id=83', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/component/finder/search?q=jtc&Itemid=435', '', 0, -2, '2012-02-29 04:48:02', '0000-00-00 00:00:00'),
(40, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/smart-seach?q=aliquam&Itemid=435', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2012-02-29 05:06:32', '0000-00-00 00:00:00'),
(41, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/image-gallery?id=28', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/smart-seach?q=articles', '', 0, -2, '2012-03-01 04:50:54', '0000-00-00 00:00:00'),
(42, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/templates/yt_framework17/includes/cpanel-twidth.php?clayout=left-main-right.xml&wtype=px', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1', '', 0, -2, '2012-03-01 05:26:19', '0000-00-00 00:00:00'),
(43, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/templates/yt_framework17/includes/cpanel-twidth.php?clayout=main-left-right.xml&wtype=%', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1', '', 0, -2, '2012-03-01 05:26:47', '0000-00-00 00:00:00'),
(44, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/joomla17', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/forum/9-entertainment-a-arts', '', 0, -2, '2012-03-01 08:06:09', '0000-00-00 00:00:00'),
(45, 'http://localhost/yt-framework17/index.php/joomla17', '', 'http://localhost/yt-framework17/index.php/k2', '', 0, -2, '2012-03-02 17:27:34', '0000-00-00 00:00:00'),
(46, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2012-03-05 04:14:39', '0000-00-00 00:00:00'),
(47, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/growers', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2012-03-06 08:35:50', '0000-00-00 00:00:00'),
(48, 'http://192.168.1.44/ytc_templates/joomla17/yt-framework/index.php/forum/safari-extension://com.slicefactory.firebug-M6DQ5JZ52E/e16bb23c/skin/xp/pixel_transparent.gif', '', 'http://192.168.1.44/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-03-09 03:38:06', '0000-00-00 00:00:00'),
(49, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/safari-extension://com.slicefactory.firebug-M6DQ5JZ52E/9c66462b/skin/xp/pixel_transparent.gif', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-03-09 04:00:10', '0000-00-00 00:00:00'),
(50, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/blank.gif', '', '', '', 0, -2, '2012-03-09 04:00:19', '0000-00-00 00:00:00'),
(51, 'http://192.168.1.41/ytc_templates/joomla25/yt-responsive/index.php/welcome', '', 'http://192.168.1.41/ytc_templates/joomla25/yt-responsive/index.php/joomla17/content/content-category1/80-detus-laoreet-dignissim-vel', '', 0, -2, '2012-05-29 03:13:29', '0000-00-00 00:00:00'),
(52, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/getting-started', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:37', '0000-00-00 00:00:00'),
(53, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/growers', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:42', '0000-00-00 00:00:00'),
(54, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/the-joomla-project', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:50', '0000-00-00 00:00:00'),
(55, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/welcome', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:53', '0000-00-00 00:00:00'),
(56, 'http://localhost/ytc_templates/joomla25/sj-company/index.php/features/index.php', '', 'http://localhost/ytc_templates/joomla25/sj-company/index.php/features/module-variations', '', 12, -2, '2012-12-27 06:06:27', '0000-00-00 00:00:00'),
(57, 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=156&Itemid=648', '', 'http://localhost/ytc_templates/joomla25/sj-company/', '', 3, -2, '2013-02-22 09:44:37', '0000-00-00 00:00:00'),
(58, 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=157&Itemid=427', '', 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=156&Itemid=429', '', 1, -2, '2013-02-22 09:51:23', '0000-00-00 00:00:00'),
(59, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=54&Itemid=265', '', 'http://localhost/joomla25/sj-company/index.php?option=com_weblinks&view=category&id=32&Itemid=274', '', 3, -2, '2013-02-25 01:51:52', '0000-00-00 00:00:00'),
(60, 'http://localhost/joomla25/sj-company/index.php/features/index.php', '', '', '', 2, -2, '2013-02-25 03:32:56', '0000-00-00 00:00:00'),
(61, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/index.php', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/faq', '', 2, -2, '2013-02-25 06:37:37', '0000-00-00 00:00:00'),
(62, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_nw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 4, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(63, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_w.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 3, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(64, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_se.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 2, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(65, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_s.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 4, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(66, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_sw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 4, -2, '2013-02-26 08:13:43', '0000-00-00 00:00:00'),
(67, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_e.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 3, -2, '2013-02-26 08:13:43', '0000-00-00 00:00:00'),
(68, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_ne.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/smart-seach', '', 2, -2, '2013-02-26 08:13:47', '0000-00-00 00:00:00'),
(69, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_n.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/smart-seach', '', 3, -2, '2013-02-26 08:13:48', '0000-00-00 00:00:00'),
(70, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_w.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:04', '0000-00-00 00:00:00'),
(71, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_s.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:04', '0000-00-00 00:00:00'),
(72, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_nw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:04', '0000-00-00 00:00:00'),
(73, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_ne.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(74, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_sw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(75, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_se.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(76, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_e.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(77, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_n.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(78, 'http://localhost/joomla25/sj-company/index.php/bonus-pages/index.php', '', 'http://localhost/joomla25/sj-company/index.php/bonus-pages/about-us', '', 3, -2, '2013-03-07 05:38:27', '0000-00-00 00:00:00'),
(79, 'http://localhost/joomla25/sj-company/index.php/bonus-pages/faq?view=categories', '', 'http://localhost/joomla25/sj-company/index.php/bonus-pages/faq', '', 2, -2, '2013-03-07 07:02:15', '0000-00-00 00:00:00'),
(80, 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=22&Itemid=497', '', 'http://localhost/ytc_templates/joomla25/sj-company/index.php', '', 2, -2, '2013-03-08 01:48:18', '0000-00-00 00:00:00'),
(81, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=181181&Itemid=665', '', '', '', 1, -2, '2013-03-21 04:50:52', '0000-00-00 00:00:00'),
(82, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=659&Itemid=659', '', '', '', 1, -2, '2013-03-21 04:55:40', '0000-00-00 00:00:00'),
(83, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=186&Itemid=497', '', 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=159&Itemid=430', '', 4, -2, '2013-03-21 09:36:10', '0000-00-00 00:00:00'),
(84, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=4&Itemid=621', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=92&Itemid=620', '', 2, -2, '2013-03-25 02:54:37', '0000-00-00 00:00:00'),
(85, 'http://localhost/joomla25/sj-company/index.php/joomla-pages', '', 'http://localhost/joomla25/sj-company/', '', 3, -2, '2013-03-26 07:23:34', '0000-00-00 00:00:00'),
(86, 'http://localhost/joomla25/sj-company-less/index.php/explore/images/yt/screenshot1.png', '', 'http://localhost/joomla25/sj-company-less/index.php/explore/what-s-new', '', 2, -2, '2013-03-29 03:21:45', '0000-00-00 00:00:00'),
(87, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_s.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(88, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_w.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(89, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_nw.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(90, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_sw.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(91, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_ne.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(92, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_e.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(93, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_se.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:47', '0000-00-00 00:00:00'),
(94, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_n.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:47', '0000-00-00 00:00:00'),
(95, 'http://localhost/joomla25/sj-company-less/index.php/function.file-get-contents', '', 'http://localhost/joomla25/sj-company-less/index.php/recipes', '', 1, -2, '2013-04-03 08:20:08', '0000-00-00 00:00:00'),
(96, 'http://localhost/joomla25/sj-company-less/index.php/explore/short-codes', '', 'http://localhost/joomla25/sj-company-less/index.php/explore/typography', '', 2, -2, '2013-04-10 02:56:02', '0000-00-00 00:00:00'),
(97, 'http://localhost/joomla25/sj-company-less/index.php/using-joomla/extensions/components/news-feeds-component', '', 'http://localhost/joomla25/sj-company-less/index.php/using-joomla/extensions/components/news-feeds-component/single-news-feed', '', 1, -2, '2013-04-18 02:38:11', '0000-00-00 00:00:00'),
(98, 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/index.php', '', 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/smart-seach?q=Search...&Itemid=435', '', 2, -2, '2013-04-18 06:04:28', '0000-00-00 00:00:00'),
(99, 'http://localhost/joomla25/sj-plus/index.php/joomla-pages', '', 'http://localhost/joomla25/sj-plus/index.php/explore/module-variations', '', 1, -2, '2013-04-22 09:52:26', '0000-00-00 00:00:00'),
(100, 'http://localhost/joomla25/sj-plus/index.php/company2/sample-data1', '', 'http://localhost/joomla25/sj-plus/', '', 1, -2, '2013-04-24 08:20:46', '0000-00-00 00:00:00'),
(101, 'http://localhost/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://localhost/joomla25/sj-plus/', '', 11, -2, '2013-05-13 03:36:48', '0000-00-00 00:00:00'),
(102, 'http://192.168.1.200/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://192.168.1.200/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/our-services', '', 1, -2, '2013-05-13 10:19:38', '0000-00-00 00:00:00'),
(103, 'http://localhost/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://localhost/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/join-now', '', 2, -2, '2013-05-14 08:52:19', '0000-00-00 00:00:00'),
(104, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/join-now', '', 1, -2, '2013-05-16 06:50:46', '0000-00-00 00:00:00'),
(105, 'https://localhost/joomla25/sj-financial/index.php/joomla-pages', '', 'https://localhost/joomla25/sj-financial/index.php/explore/module-variations', '', 1, -2, '2013-06-07 02:51:21', '0000-00-00 00:00:00'),
(106, 'https://localhost/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'https://localhost/joomla25/sj-financial/', '', 2, -2, '2013-06-07 10:02:46', '0000-00-00 00:00:00'),
(107, 'http://localhost/joomla25/sj-financial/index.php/joomla-pages', '', 'http://localhost/joomla25/sj-financial/index.php', '', 2, -2, '2013-06-12 07:47:46', '0000-00-00 00:00:00'),
(108, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/joomla-pages', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/explore/module-variations', '', 1, -2, '2013-06-24 06:53:48', '0000-00-00 00:00:00'),
(109, 'https://localhost/joomla25/sj-financial/index.php/joomla-pages/Login form', '', 'https://localhost/joomla25/sj-financial/index.php/joomla-pages/login-form', '', 2, -2, '2013-06-26 07:28:51', '0000-00-00 00:00:00'),
(110, 'http://localhost/joomla25/sj-financial/index.php/featured-item/index.php', '', 'http://localhost/joomla25/sj-financial/index.php/featured-item/latest-items-1-colum', '', 8, -2, '2013-06-27 05:54:34', '0000-00-00 00:00:00'),
(111, 'https://localhost/joomla25/sj-financial/index.php/featured-item/index.php', '', 'https://localhost/joomla25/sj-financial/index.php/featured-item/k2-item', '', 4, -2, '2013-06-28 06:05:02', '0000-00-00 00:00:00'),
(112, 'https://localhost/joomla25/sj-financial/index.php/featured-item/', '', 'http://localhost/joomla25/sj-financial/index.php/featured-item/k2-item', '', 1, -2, '2013-06-28 07:05:51', '0000-00-00 00:00:00'),
(113, 'http://localhost/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'http://localhost/joomla25/sj-financial/index.php/bonus-pages/portfolio', '', 57, -2, '2013-06-29 08:15:05', '0000-00-00 00:00:00'),
(114, 'http://localhost/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile3.png', '', 'http://localhost/joomla25/sj-financial/index.php/member-login/top-videos', '', 22, -2, '2013-07-01 05:03:41', '0000-00-00 00:00:00'),
(115, 'http://localhost/joomla25/sj-financial/index.php/member-login/images/demo/thumb-1.png', '', 'http://localhost/joomla25/sj-financial/index.php/member-login/top-videos', '', 22, -2, '2013-07-01 05:03:41', '0000-00-00 00:00:00'),
(116, 'http://localhost/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile2.png', '', 'http://localhost/joomla25/sj-financial/index.php/member-login/top-videos', '', 22, -2, '2013-07-01 05:03:41', '0000-00-00 00:00:00'),
(117, 'http://localhost/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile1.png', '', 'http://localhost/joomla25/sj-financial/index.php/member-login/top-videos', '', 22, -2, '2013-07-01 05:03:41', '0000-00-00 00:00:00'),
(118, 'http://localhost/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile4.png', '', 'http://localhost/joomla25/sj-financial/index.php/member-login/top-videos', '', 22, -2, '2013-07-01 05:03:41', '0000-00-00 00:00:00'),
(119, 'http://localhost/joomla25/sj-financial/index.php/content-category-2/images/demo/thumb-1.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 12, -2, '2013-07-01 06:47:23', '0000-00-00 00:00:00'),
(120, 'http://localhost/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile2.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 12, -2, '2013-07-01 06:47:23', '0000-00-00 00:00:00'),
(121, 'http://localhost/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile3.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 12, -2, '2013-07-01 06:47:23', '0000-00-00 00:00:00'),
(122, 'http://localhost/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile4.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 12, -2, '2013-07-01 06:47:23', '0000-00-00 00:00:00'),
(123, 'http://localhost/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile1.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 12, -2, '2013-07-01 06:47:24', '0000-00-00 00:00:00'),
(124, 'http://localhost/joomla25/sj-financial/index.php/content-category-3/images/demo/thumb-1.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-3/106-ursus-senectus-aliquet-pretium', '', 6, -2, '2013-07-01 07:09:05', '0000-00-00 00:00:00'),
(125, 'http://localhost/joomla25/sj-financial/index.php/content-category-3/images/demo/mega-profile1.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-3/106-ursus-senectus-aliquet-pretium', '', 7, -2, '2013-07-01 07:09:05', '0000-00-00 00:00:00'),
(126, 'http://localhost/joomla25/sj-financial/index.php/content-category-3/images/demo/mega-profile2.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-3/106-ursus-senectus-aliquet-pretium', '', 6, -2, '2013-07-01 07:09:06', '0000-00-00 00:00:00'),
(127, 'http://localhost/joomla25/sj-financial/index.php/content-category-3/images/demo/mega-profile3.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-3/106-ursus-senectus-aliquet-pretium', '', 6, -2, '2013-07-01 07:09:06', '0000-00-00 00:00:00'),
(128, 'http://localhost/joomla25/sj-financial/index.php/content-category-3/images/demo/mega-profile4.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-3/106-ursus-senectus-aliquet-pretium', '', 6, -2, '2013-07-01 07:09:06', '0000-00-00 00:00:00'),
(129, 'http://localhost/joomla25/sj-financial/index.php/content-category-1/images/demo/thumb-1.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliquip-eat', '', 1, -2, '2013-07-01 07:21:20', '0000-00-00 00:00:00'),
(130, 'http://localhost/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile2.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliquip-eat', '', 1, -2, '2013-07-01 07:21:20', '0000-00-00 00:00:00'),
(131, 'http://localhost/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile4.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliquip-eat', '', 1, -2, '2013-07-01 07:21:20', '0000-00-00 00:00:00'),
(132, 'http://localhost/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile1.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliquip-eat', '', 1, -2, '2013-07-01 07:21:20', '0000-00-00 00:00:00'),
(133, 'http://localhost/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile3.png', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliquip-eat', '', 1, -2, '2013-07-01 07:21:20', '0000-00-00 00:00:00'),
(134, 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile2.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:23:38', '0000-00-00 00:00:00'),
(135, 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile3.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:23:38', '0000-00-00 00:00:00'),
(136, 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile4.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:23:38', '0000-00-00 00:00:00'),
(137, 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/images/demo/thumb-1.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:23:38', '0000-00-00 00:00:00'),
(138, 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile1.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:23:38', '0000-00-00 00:00:00'),
(139, 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile1.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 2, -2, '2013-07-01 07:24:06', '0000-00-00 00:00:00'),
(140, 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile2.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 2, -2, '2013-07-01 07:24:06', '0000-00-00 00:00:00'),
(141, 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile3.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 2, -2, '2013-07-01 07:24:06', '0000-00-00 00:00:00'),
(142, 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/images/demo/thumb-1.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 2, -2, '2013-07-01 07:24:06', '0000-00-00 00:00:00'),
(143, 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile4.png', '', 'http://192.168.1.38/joomla25/sj-financial/index.php/content-category-2/92-lacinia-sed-convallis-urna', '', 2, -2, '2013-07-01 07:24:06', '0000-00-00 00:00:00'),
(144, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/images/demo/thumb-1.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:42:19', '0000-00-00 00:00:00'),
(145, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile1.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:42:19', '0000-00-00 00:00:00'),
(146, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile4.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:42:19', '0000-00-00 00:00:00'),
(147, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile2.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:42:19', '0000-00-00 00:00:00'),
(148, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/images/demo/mega-profile3.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/member-login/top-videos', '', 1, -2, '2013-07-01 07:42:19', '0000-00-00 00:00:00'),
(149, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/images/demo/thumb-1.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/96-ursus-senectus-aliquet-pretiu', '', 7, -2, '2013-07-01 07:48:20', '0000-00-00 00:00:00'),
(150, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile1.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/96-ursus-senectus-aliquet-pretiu', '', 7, -2, '2013-07-01 07:48:21', '0000-00-00 00:00:00'),
(151, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile4.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/96-ursus-senectus-aliquet-pretiu', '', 9, -2, '2013-07-01 07:48:21', '0000-00-00 00:00:00'),
(152, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile2.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/96-ursus-senectus-aliquet-pretiu', '', 7, -2, '2013-07-01 07:48:21', '0000-00-00 00:00:00'),
(153, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/images/demo/mega-profile3.png', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/content-category-2/96-ursus-senectus-aliquet-pretiu', '', 7, -2, '2013-07-01 07:48:21', '0000-00-00 00:00:00'),
(154, 'http://192.168.1.38/joomla25/sj-financial//index.php/forum/recent', '', '', '', 1, -2, '2013-07-01 08:38:59', '0000-00-00 00:00:00'),
(155, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile1.png', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliq', '', 4, -2, '2013-07-02 04:42:59', '0000-00-00 00:00:00'),
(156, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/images/demo/thumb-1.png', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliq', '', 4, -2, '2013-07-02 04:42:59', '0000-00-00 00:00:00'),
(157, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile4.png', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliq', '', 3, -2, '2013-07-02 04:43:08', '0000-00-00 00:00:00'),
(158, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile2.png', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliq', '', 3, -2, '2013-07-02 04:43:08', '0000-00-00 00:00:00'),
(159, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/images/demo/mega-profile3.png', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/content-category-1/83-interview-with-bulletstorm-creatorllamco-laboris-nisi-ut-aliq', '', 3, -2, '2013-07-02 04:43:09', '0000-00-00 00:00:00'),
(160, 'http://localhost/joomla25/sj-financial/index.php/content-category-2/cache/resized/e309957a8cf81375d73757d97800e2a3.jpg', '', 'http://localhost/joomla25/sj-financial/index.php/content-category-2/96-ursus-senectus-aliquet-pretiu', '', 1, -2, '2013-07-03 06:50:10', '0000-00-00 00:00:00'),
(161, 'http://localhost/joomla25/sj-financial/index.php/featured-item/k2-category', '', 'http://localhost/joomla25/sj-financial/index.php/joomla-pages/smart-seach/seach', '', 3, -2, '2013-07-08 08:00:06', '0000-00-00 00:00:00'),
(162, 'http://localhost/joomla25/sj-financial/index.php/featured-item/k2-item', '', 'http://localhost/joomla25/sj-financial/index.php/featured-item/k2-tags', '', 1, -2, '2013-07-08 08:24:29', '0000-00-00 00:00:00'),
(163, 'http://192.168.1.34/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'http://192.168.1.34/joomla25/sj-financial/index.php/bonus-pages/join-now', '', 7, -2, '2013-07-12 10:24:35', '0000-00-00 00:00:00'),
(164, 'https://localhost/joomla25/sj-financial/index.php/joomla-pages/contact-us-2', '', 'https://localhost/joomla25/sj-financial/index.php/joomla-pages/news-feed-2/single-news-feed', '', 1, -2, '2013-07-13 07:02:31', '0000-00-00 00:00:00'),
(165, 'https://192.168.1.34/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'https://192.168.1.34/joomla25/sj-financial/index.php/bonus-pages/portfolio', '', 2, -2, '2013-07-13 10:17:14', '0000-00-00 00:00:00'),
(166, 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/featured-item/index.php', '', 'http://localhost/ytc_templates/joomla25/sj-financial/index.php/featured-item/k2-item', '', 1, -2, '2013-07-15 03:23:27', '0000-00-00 00:00:00'),
(167, 'http://192.168.1.200/ytc_templates/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'http://192.168.1.200/ytc_templates/joomla25/sj-financial/index.php/featured-item/k2-category', '', 2, -2, '2013-07-15 04:55:42', '0000-00-00 00:00:00'),
(168, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php?option=com_content&view=article&id=1&Itemid=705', '', '', '', 1, -2, '2013-07-15 07:40:39', '0000-00-00 00:00:00'),
(169, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/bonus-pages/portfolio', '', 1, -2, '2013-07-15 08:38:48', '0000-00-00 00:00:00'),
(170, 'http://192.168.1.200/ytc_templates/joomla25/sj-financial/index.php/featured-item/index.php', '', 'http://192.168.1.200/ytc_templates/joomla25/sj-financial/index.php/featured-item/k2-category', '', 3, -2, '2013-07-16 03:53:11', '0000-00-00 00:00:00'),
(171, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/featured-item/index.php', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-financial/index.php/featured-item/latest-items-2-colums', '', 1, -2, '2013-07-16 03:55:21', '0000-00-00 00:00:00'),
(172, 'http://192.168.1.44/joomla25/sj-financial/index.php/bonus-pages/page-404', '', 'http://192.168.1.44/joomla25/sj-financial/index.php/bonus-pages/portfolio', '', 2, -2, '2013-07-19 10:33:56', '0000-00-00 00:00:00'),
(173, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/images/demo/thumb-1.png', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:19', '0000-00-00 00:00:00'),
(174, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/images/demo/mega-profile1.png', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:19', '0000-00-00 00:00:00'),
(175, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/images/demo/mega-profile2.png', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:19', '0000-00-00 00:00:00'),
(176, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/cache/resized/941b5bb825c89eb099718591d98e8600.jpg', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:20', '0000-00-00 00:00:00'),
(177, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/images/demo/mega-profile3.png', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:20', '0000-00-00 00:00:00'),
(178, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/images/demo/mega-profile4.png', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:20', '0000-00-00 00:00:00'),
(179, 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/images/demo/adv-4.jpg', '', 'http://localhost/ytc_template/joomla25/sj-financial/index.php/explore/short-codes', '', 1, -2, '2013-08-12 02:16:20', '0000-00-00 00:00:00'),
(180, 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/images/demo/thumb-1.png', '', 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/k2-category', '', 1, -2, '2013-08-14 08:47:53', '0000-00-00 00:00:00'),
(181, 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/cache/resized/941b5bb825c89eb099718591d98e8600.jpg', '', 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/k2-category', '', 1, -2, '2013-08-14 08:47:54', '0000-00-00 00:00:00'),
(182, 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/images/demo/mega-profile2.png', '', 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/k2-category', '', 1, -2, '2013-08-14 08:47:54', '0000-00-00 00:00:00'),
(183, 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/images/demo/mega-profile4.png', '', 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/k2-category', '', 1, -2, '2013-08-14 08:47:54', '0000-00-00 00:00:00'),
(184, 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/images/demo/mega-profile1.png', '', 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/k2-category', '', 1, -2, '2013-08-14 08:47:54', '0000-00-00 00:00:00'),
(185, 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/images/demo/mega-profile3.png', '', 'https://localhost/ytc_template/joomla25/sj-financial/index.php/featured-item/k2-category', '', 1, -2, '2013-08-14 08:47:54', '0000-00-00 00:00:00'),
(186, 'http://localhost/joomla25/sj-viste/index.php/joomlaorg', '', 'http://localhost/joomla25/sj-viste/index.php/joomlaorg', '', 1, -2, '2013-08-21 07:08:08', '0000-00-00 00:00:00'),
(187, 'http://localhost/joomla25/sj-viste/index.php/companies', '', 'http://localhost/joomla25/sj-viste/index.php/explore/what-s-new', '', 1, -2, '2013-08-22 03:53:31', '0000-00-00 00:00:00'),
(188, 'http://localhost/joomla25/sj-viste/index.php/shop', '', 'http://localhost/joomla25/sj-viste/index.php/', '', 1, -2, '2013-08-22 06:52:14', '0000-00-00 00:00:00'),
(189, 'https://localhost/joomla25/sj-viste/index.php?showall=1&Itemid=750', '', 'http://localhost/joomla25/sj-viste/index.php?Itemid=750', '', 2, -2, '2013-08-24 02:36:47', '0000-00-00 00:00:00'),
(190, 'http://localhost/joomla25/sj-viste/index.php/bonus-pages/page-404', '', 'http://localhost/joomla25/sj-viste/index.php/bonus-pages/join-now', '', 24, -2, '2013-09-13 02:07:08', '0000-00-00 00:00:00'),
(191, 'http://localhost/joomla25/sj-viste/index.php/content-category-1', '', '', '', 1, -2, '2013-09-18 04:54:34', '0000-00-00 00:00:00'),
(192, 'http://192.168.1.200/ytc_templates/joomla25/sj-viste/index.php/bonus-pages/page-404', '', 'http://192.168.1.200/ytc_templates/joomla25/sj-viste/index.php', '', 1, -2, '2013-09-20 02:38:56', '0000-00-00 00:00:00'),
(193, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-viste/index.php/bonus-pages/page-404', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-viste/index.php/contact-us-2', '', 1, -2, '2013-09-21 02:11:58', '0000-00-00 00:00:00'),
(194, 'http://localhost/joomla25/sj-viste/index.php/bonus-pages//langs/en.js', '', 'http://localhost/joomla25/sj-viste/index.php/bonus-pages/about-us?view=form&layout=edit&a_id=178&return=aHR0cCUzQSUyRiUyRmxvY2FsaG9zdCUyRmpvb21sYTI1JT', '', 4, -2, '2013-10-07 02:35:40', '0000-00-00 00:00:00'),
(195, 'http://localhost/joomla25/sj-viste/index.php/bonus-pages//themes/advanced/editor_template.js', '', 'http://localhost/joomla25/sj-viste/index.php/bonus-pages/about-us?view=form&layout=edit&a_id=178&return=aHR0cCUzQSUyRiUyRmxvY2FsaG9zdCUyRmpvb21sYTI1JT', '', 4, -2, '2013-10-07 02:35:40', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '2.5.18');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=129 ;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(2, 'bluestork', 1, '1', 'Bluestork - Default', '{"useRoundedCorners":"1","showSiteName":"0"}'),
(3, 'atomic', 0, '0', 'Atomic - Default', '{}'),
(4, 'beez_20', 0, '0', 'Beez2 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(6, 'beez5', 0, '0', 'Beez5 - Default-Fruit Shop', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/sampledata\\/fruitshop\\/fruits.gif","sitetitle":"Matuna Market ","sitedescription":"Fruit Shop Sample Site","navposition":"left","html5":"0"}'),
(114, 'beez_20', 0, '0', 'Beez2 - Parks Site', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"","sitetitle":"Australian Parks","sitedescription":"Parks Sample Site","navposition":"center","templatecolor":"nature"}'),
(128, 'sj_viste', 0, '1', 'sj_viste - Default', '{"hideComponentHomePage":0,"responsive":1,"templateLayout":"left-main","overrideLayouts":"494=variations ","menutype":"mainmenu","menustyle":"mega","keepMenu":0,"responsiveMenu":"sidebar","moofx":"easeOutQuint","moofxduration":"200","startlevel":"0","endlevel":"9","templateColor":"turquoise","logoType":"image","overrideLogoImage":"","logoText":"SmartAddons.Com","sloganText":"The high quality products","bgcolor":"#ffffff","linkcolor":"#03997e","textcolor":"#909090","header-bgcolor":"#03997e","header-bgimage":"pattern1","fontSize":"12px","fontName":"arial","googleWebFont":"Questrial","googleWebFontTargets":".modtitle, .h-title, .ourteam-title,\\r\\n.addtocart-button, .product-title, .breadcrumb, .heading-category,\\r\\nh2.item-title,.sansFont,.sj-flat-menu,.item-title,.title ","direction":"ltr","thumbnail":1,"thumbnail_front_page":1,"leading_width":"270","leading_height":"180","intro_width":"270","intro_height":"180","thumbnail_background":"#000000","thumbnail_mode":"stretch","developing":0,"compileLess":"server","optimizeMergeFile":1,"optimizeCSS":1,"optimizeCSSExclude":"font-awesome.css","optimizeJS":1,"optimizeJSExclude":"respond.min.js","optimizeFolder":"yt-assets","showBacktotop":1,"showCpanel":1,"useSpecialPositions":0,"activeNotice":1,"setGeneratorTag":"SmartAddons.Com - the high quality products!","enableGoogleAnalytics":1,"googleAnalyticsTrackingID":"UA-1231231-1","includeLazyload":1}');

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `categoryid` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(10) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  PRIMARY KEY (`update_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Available Updates' AUTO_INCREMENT=19 ;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `categoryid`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`) VALUES
(2, 7, 0, 0, 'SJ Company', '', 'sj_company', 'template', '', 0, '1.2.0', '', 'Please update manually', ''),
(3, 7, 0, 0, 'SJ Expo', '', 'sj_expo', 'template', '', 0, '1.1.1', '', 'Please update manually', ''),
(4, 7, 0, 0, 'SJ Jare', '', 'sj_jare', 'template', '', 0, '1.0.0', '', 'Please update manually', ''),
(5, 7, 0, 0, 'SJ Plus', '', 'sj_plus', 'template', '', 0, '1.0.0', '', 'http://smartaddons.com/update_server/templates/sj_plus.xml', ''),
(16, 7, 0, 0, 'YT Framework', '', 'yt', 'plugin', 'system', 0, '2.2.3', '', 'http://smartaddons.com/update_server/plugins/yt.xml', ''),
(11, 1, 0, 0, 'Joomla', '', 'joomla', 'file', '', 0, '2.5.18', '', 'http://update.joomla.org/core/extension.xml', ''),
(12, 7, 0, 0, 'YT Framework', '', 'yt', 'plugin', 'system', 0, '2.2.2', '', 'http://smartaddons.com/update_server/plugins/yt.xml', ''),
(13, 7, 0, 0, 'YT Framework', '', 'yt', 'plugin', 'system', 0, '2.2.2', '', 'http://smartaddons.com/update_server/plugins/yt.xml', ''),
(14, 7, 0, 0, 'YT Framework', '', 'yt', 'plugin', 'system', 0, '2.2.2', '', 'http://smartaddons.com/update_server/plugins/yt.xml', ''),
(15, 7, 0, 0, 'YT Framework', '', 'yt', 'plugin', 'system', 0, '2.2.2', '', 'http://smartaddons.com/update_server/plugins/yt.xml', ''),
(18, 12, 10185, 0, 'DISQUS Comments for Joomla!', 'DISQUS Comments for Joomla! (by JoomlaWorks)', 'com_jw_disqus', 'component', '', 1, '3.5', '', 'http://www.joomlaworks.net/updates/jw_disqus.xml', 'http://www.joomlaworks.net/forum/extension-updates/15170-june-12th,-2014-disqus-comments-for-joomla-v3-5');

DROP TABLE IF EXISTS `#__update_categories`;
CREATE TABLE IF NOT EXISTS `#__update_categories` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT '',
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `updatesite` int(11) DEFAULT '0',
  PRIMARY KEY (`categoryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Update Categories' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  PRIMARY KEY (`update_site_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Update Sites' AUTO_INCREMENT=13 ;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 0, 1392946141),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 0, 1392946141),
(7, '', 'collection', 'http://smartaddons.com/update_server/products.xml', 1, 1404839036),
(11, 'DISQUS Comments for Joomla!', 'extension', 'http://www.joomlaworks.gr/updates/jw_disqus.xml', 0, 1392949185),
(12, 'DISQUS Comments for Joomla!', 'extension', 'http://www.joomlaworks.net/updates/jw_disqus.xml', 1, 1404839036);

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(7, 10011),
(7, 10084),
(7, 10180),
(11, 10185),
(12, 10185);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE IF NOT EXISTS `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 20, 'Public'),
(2, 1, 6, 17, 'Registered'),
(3, 2, 7, 14, 'Author'),
(4, 3, 8, 11, 'Editor'),
(5, 4, 9, 10, 'Publisher'),
(6, 1, 2, 5, 'Manager'),
(7, 6, 3, 4, 'Administrator'),
(8, 1, 18, 19, 'Super Users'),
(12, 2, 15, 16, 'Customer Group'),
(10, 3, 12, 13, 'Shop Suppliers');

DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE IF NOT EXISTS `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE IF NOT EXISTS `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(4, 'Customer Access Level', 3, '[6,3,12]');

DROP TABLE IF EXISTS `#__virtuemart_adminmenuentries`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_adminmenuentries` (
  `id` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `module_id` tinyint(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ID of the VM Module, this Item is assigned to',
  `parent_id` tinyint(11) unsigned NOT NULL DEFAULT '0',
  `name` char(64) NOT NULL DEFAULT '0',
  `link` char(64) NOT NULL DEFAULT '0',
  `depends` char(64) NOT NULL DEFAULT '' COMMENT 'Names of the Parameters, this Item depends on',
  `icon_class` char(96) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `tooltip` char(128) DEFAULT NULL,
  `view` char(32) DEFAULT NULL,
  `task` char(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Administration Menu Items' AUTO_INCREMENT=29 ;

INSERT INTO `#__virtuemart_adminmenuentries` (`id`, `module_id`, `parent_id`, `name`, `link`, `depends`, `icon_class`, `ordering`, `published`, `tooltip`, `view`, `task`) VALUES
(1, 1, 0, 'COM_VIRTUEMART_CATEGORY_S', '', '', 'vmicon vmicon-16-folder_camera', 1, 1, '', 'category', ''),
(2, 1, 0, 'COM_VIRTUEMART_PRODUCT_S', '', '', 'vmicon vmicon-16-camera', 2, 1, '', 'product', ''),
(3, 1, 0, 'COM_VIRTUEMART_PRODUCT_CUSTOM_FIELD_S', '', '', 'vmicon vmicon-16-document_move', 5, 1, '', 'custom', ''),
(4, 1, 0, 'COM_VIRTUEMART_PRODUCT_INVENTORY', '', '', 'vmicon vmicon-16-price_watch', 7, 1, '', 'inventory', ''),
(5, 1, 0, 'COM_VIRTUEMART_CALC_S', '', '', 'vmicon vmicon-16-calculator', 8, 1, '', 'calc', ''),
(6, 1, 0, 'COM_VIRTUEMART_REVIEW_RATE_S', '', '', 'vmicon vmicon-16-comments', 9, 1, '', 'ratings', ''),
(7, 2, 0, 'COM_VIRTUEMART_ORDER_S', '', '', 'vmicon vmicon-16-page_white_stack', 1, 1, '', 'orders', ''),
(8, 2, 0, 'COM_VIRTUEMART_COUPON_S', '', '', 'vmicon vmicon-16-shopping', 10, 1, '', 'coupon', ''),
(9, 2, 0, 'COM_VIRTUEMART_REPORT', '', '', 'vmicon vmicon-16-to_do_list_cheked_1', 3, 1, '', 'report', ''),
(10, 2, 0, 'COM_VIRTUEMART_USER_S', '', '', 'vmicon vmicon-16-user', 4, 1, '', 'user', ''),
(11, 2, 0, 'COM_VIRTUEMART_SHOPPERGROUP_S', '', '', 'vmicon vmicon-16-user-group', 5, 1, '', 'shoppergroup', ''),
(12, 3, 0, 'COM_VIRTUEMART_MANUFACTURER_S', '', '', 'vmicon vmicon-16-wrench_orange', 1, 1, '', 'manufacturer', ''),
(13, 3, 0, 'COM_VIRTUEMART_MANUFACTURER_CATEGORY_S', '', '', 'vmicon vmicon-16-folder_wrench', 2, 1, '', 'manufacturercategories', ''),
(14, 4, 0, 'COM_VIRTUEMART_STORE', '', '', 'vmicon vmicon-16-reseller_account_template', 1, 1, '', 'user', 'editshop'),
(15, 4, 0, 'COM_VIRTUEMART_MEDIA_S', '', '', 'vmicon vmicon-16-pictures', 2, 1, '', 'media', ''),
(16, 4, 0, 'COM_VIRTUEMART_SHIPMENTMETHOD_S', '', '', 'vmicon vmicon-16-lorry', 3, 1, '', 'shipmentmethod', ''),
(17, 4, 0, 'COM_VIRTUEMART_PAYMENTMETHOD_S', '', '', 'vmicon vmicon-16-creditcards', 4, 1, '', 'paymentmethod', ''),
(18, 5, 0, 'COM_VIRTUEMART_CONFIGURATION', '', '', 'vmicon vmicon-16-config', 1, 1, '', 'config', ''),
(19, 5, 0, 'COM_VIRTUEMART_USERFIELD_S', '', '', 'vmicon vmicon-16-participation_rate', 2, 1, '', 'userfields', ''),
(20, 5, 0, 'COM_VIRTUEMART_ORDERSTATUS_S', '', '', 'vmicon vmicon-16-orderstatus', 3, 1, '', 'orderstatus', ''),
(21, 5, 0, 'COM_VIRTUEMART_CURRENCY_S', '', '', 'vmicon vmicon-16-coins', 5, 1, '', 'currency', ''),
(22, 5, 0, 'COM_VIRTUEMART_COUNTRY_S', '', '', 'vmicon vmicon-16-globe', 6, 1, '', 'country', ''),
(23, 11, 0, 'COM_VIRTUEMART_MIGRATION_UPDATE', '', '', 'vmicon vmicon-16-installer_box', 1, 1, '', 'updatesmigration', ''),
(24, 11, 0, 'COM_VIRTUEMART_ABOUT', '', '', 'vmicon vmicon-16-info', 2, 1, '', 'about', ''),
(25, 11, 0, 'COM_VIRTUEMART_HELP_TOPICS', 'http://docs.virtuemart.net/', '', 'vmicon vmicon-16-help', 4, 1, '', '', ''),
(26, 11, 0, 'COM_VIRTUEMART_COMMUNITY_FORUM', 'http://forum.virtuemart.net/', '', 'vmicon vmicon-16-reseller_programm', 6, 1, '', '', ''),
(27, 11, 0, 'COM_VIRTUEMART_STATISTIC_SUMMARY', '', '', 'vmicon vmicon-16-info', 1, 1, '', 'virtuemart', ''),
(28, 77, 0, 'COM_VIRTUEMART_USER_GROUP_S', '', '', 'vmicon vmicon-16-user', 2, 1, '', 'usergroups', '');

DROP TABLE IF EXISTS `#__virtuemart_calcs`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_calcs` (
  `virtuemart_calc_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'Belongs to vendor',
  `calc_jplugin_id` int(11) NOT NULL DEFAULT '0',
  `calc_name` char(64) NOT NULL DEFAULT '' COMMENT 'Name of the rule',
  `calc_descr` char(128) NOT NULL DEFAULT '' COMMENT 'Description',
  `calc_kind` char(16) NOT NULL DEFAULT '' COMMENT 'Discount/Tax/Margin/Commission',
  `calc_value_mathop` char(8) NOT NULL DEFAULT '' COMMENT 'the mathematical operation like (+,-,+%,-%)',
  `calc_value` decimal(10,4) NOT NULL DEFAULT '0.0000' COMMENT 'The Amount',
  `calc_currency` smallint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Currency of the Rule',
  `calc_shopper_published` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Visible for Shoppers',
  `calc_vendor_published` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Visible for Vendors',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Startdate if nothing is set = permanent',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Enddate if nothing is set = permanent',
  `for_override` tinyint(1) NOT NULL DEFAULT '0',
  `calc_params` varchar(18000) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_calc_id`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__virtuemart_calcs` (`virtuemart_calc_id`, `virtuemart_vendor_id`, `calc_jplugin_id`, `calc_name`, `calc_descr`, `calc_kind`, `calc_value_mathop`, `calc_value`, `calc_currency`, `calc_shopper_published`, `calc_vendor_published`, `publish_up`, `publish_down`, `for_override`, `calc_params`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 0, 'Tax 3%', 'A simple tax for all products regardless the category', 'VatTax', '+%', '3.0000', 47, 0, 0, '2010-02-21 00:00:00', '0000-00-00 00:00:00', 0, '', 0, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-10 03:16:09', 42, '0000-00-00 00:00:00', 0),
(2, 1, 0, 'Discount for all Hand Tools', 'Discount for all Hand Tools 2 euro', 'DATax', '-', '2.0000', 47, 1, 1, '2010-02-21 00:00:00', '0000-00-00 00:00:00', 0, NULL, 1, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 1, 0, 'Duty for Powertools', 'Ah tax that only effects a certain category, Power Tools, and Shoppergroup', 'Tax', '+%', '20.0000', 47, 1, 1, '2010-02-21 00:00:00', '0000-00-00 00:00:00', 0, NULL, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_calc_categories`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_calc_categories` (
  `id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_calc_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_category_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_calc_id` (`virtuemart_calc_id`,`virtuemart_category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `#__virtuemart_calc_categories` (`id`, `virtuemart_calc_id`, `virtuemart_category_id`) VALUES
(1, 3, 2),
(2, 2, 1);

DROP TABLE IF EXISTS `#__virtuemart_calc_countries`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_calc_countries` (
  `id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_calc_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_country_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_calc_id` (`virtuemart_calc_id`,`virtuemart_country_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_calc_manufacturers`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_calc_manufacturers` (
  `id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_calc_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_manufacturer_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_calc_id` (`virtuemart_calc_id`,`virtuemart_manufacturer_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_calc_shoppergroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_calc_shoppergroups` (
  `id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_calc_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_shoppergroup_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_calc_id` (`virtuemart_calc_id`,`virtuemart_shoppergroup_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_calc_shoppergroups` (`id`, `virtuemart_calc_id`, `virtuemart_shoppergroup_id`) VALUES
(1, 2, 2);

DROP TABLE IF EXISTS `#__virtuemart_calc_states`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_calc_states` (
  `id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_calc_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_state_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_calc_id` (`virtuemart_calc_id`,`virtuemart_state_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_categories`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_categories` (
  `virtuemart_category_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `category_template` char(128) DEFAULT NULL,
  `category_layout` char(64) DEFAULT NULL,
  `category_product_layout` char(64) DEFAULT NULL,
  `products_per_row` tinyint(2) DEFAULT NULL,
  `limit_list_step` char(32) DEFAULT NULL,
  `limit_list_initial` smallint(1) unsigned DEFAULT NULL,
  `hits` int(1) unsigned NOT NULL DEFAULT '0',
  `metarobot` char(40) NOT NULL DEFAULT '',
  `metaauthor` char(64) NOT NULL DEFAULT '',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_category_id`),
  KEY `idx_category_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Product Categories are stored here' AUTO_INCREMENT=7 ;

INSERT INTO `#__virtuemart_categories` (`virtuemart_category_id`, `virtuemart_vendor_id`, `category_template`, `category_layout`, `category_product_layout`, `products_per_row`, `limit_list_step`, `limit_list_initial`, `hits`, `metarobot`, `metaauthor`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, '0', '0', '0', 0, '0', 0, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-13 03:26:33', 42, '0000-00-00 00:00:00', 0),
(2, 1, '0', '0', '0', 0, '0', 0, 0, '', '', 2, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-13 03:26:06', 42, '0000-00-00 00:00:00', 0),
(3, 1, '0', '0', '0', 0, '0', 0, 0, '', '', 3, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-13 03:26:17', 42, '0000-00-00 00:00:00', 0),
(4, 1, '0', '0', '0', 0, '0', 0, 0, '', '', 4, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-13 03:27:02', 42, '0000-00-00 00:00:00', 0),
(5, 1, '0', '0', '0', 0, '0', 0, 0, '', '', 5, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-13 03:26:51', 42, '0000-00-00 00:00:00', 0),
(6, 1, '0', '0', '0', 3, '0', 0, 0, '', '', 4, 0, 1, '2013-08-30 02:35:57', 42, '2013-09-13 03:25:08', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_categories_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_categories_en_gb` (
  `virtuemart_category_id` int(1) unsigned NOT NULL,
  `category_name` char(180) NOT NULL DEFAULT '',
  `category_description` varchar(19000) NOT NULL DEFAULT '',
  `metadesc` varchar(400) NOT NULL DEFAULT '',
  `metakey` varchar(400) NOT NULL DEFAULT '',
  `customtitle` char(255) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_category_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_categories_en_gb` (`virtuemart_category_id`, `category_name`, `category_description`, `metadesc`, `metakey`, `customtitle`, `slug`) VALUES
(1, 'Panasonic', '', '', '', '', 'lenses'),
(2, 'Nikon', '', '', '', '', 'nikon'),
(3, 'Sony', '', '', '', '', 'film-cameras'),
(4, 'Canon', '', '', '', '', 'canon'),
(5, 'Fujifilm', '', '', '', '', 'fujifilm'),
(6, 'Pentax', '', '', '', '', 'pentax');

DROP TABLE IF EXISTS `#__virtuemart_category_categories`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_category_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_parent_id` int(1) unsigned NOT NULL DEFAULT '0',
  `category_child_id` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_category_parent_id` (`category_parent_id`,`category_child_id`),
  KEY `category_child_id` (`category_child_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Category child-parent relation list' AUTO_INCREMENT=7 ;

INSERT INTO `#__virtuemart_category_categories` (`id`, `category_parent_id`, `category_child_id`, `ordering`) VALUES
(1, 0, 1, 1),
(2, 0, 2, 2),
(3, 0, 3, 3),
(4, 0, 4, 4),
(5, 0, 5, 5),
(6, 0, 6, 4);

DROP TABLE IF EXISTS `#__virtuemart_category_medias`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_category_medias` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_category_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_media_id` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_category_id` (`virtuemart_category_id`,`virtuemart_media_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=25 ;

INSERT INTO `#__virtuemart_category_medias` (`id`, `virtuemart_category_id`, `virtuemart_media_id`, `ordering`) VALUES
(19, 6, 59, 1),
(21, 3, 61, 1),
(15, 4, 55, 1),
(24, 5, 64, 1),
(23, 2, 63, 1),
(22, 1, 62, 1);

DROP TABLE IF EXISTS `#__virtuemart_configs`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_configs` (
  `virtuemart_config_id` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `config` text,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_config_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Holds configuration settings' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_configs` (`virtuemart_config_id`, `config`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 'shop_is_offline=s:1:"0";|offline_message=czo3MzoiT3VyIFNob3AgaXMgY3VycmVudGx5IGRvd24gZm9yIG1haW50ZW5hbmNlLiBQbGVhc2UgY2hlY2sgYmFjayBhZ2FpbiBzb29uLiI7|use_as_catalog=s:1:"0";|currency_converter_module=s:14:"convertECB.php";|order_mail_html=s:1:"1";|useSSL=s:1:"0";|dangeroustools=i:0;|debug_enable=s:4:"none";|google_jquery=s:1:"0";|multix=s:4:"none";|usefancy=s:1:"0";|jchosen=s:1:"0";|pdf_button_enable=s:1:"1";|show_emailfriend=s:1:"1";|show_printicon=s:1:"1";|show_out_of_stock_products=s:1:"1";|coupons_enable=s:1:"0";|show_uncat_child_products=s:1:"0";|coupons_default_expire=s:3:"1,D";|weight_unit_default=s:2:"KG";|lwh_unit_default=s:1:"M";|showReviewFor=s:3:"all";|reviewMode=s:10:"registered";|showRatingFor=s:3:"all";|ratingMode=s:10:"registered";|reviews_autopublish=s:1:"1";|reviews_minimum_comment_length=s:3:"100";|reviews_maximum_comment_length=s:4:"2000";|vmtemplate=s:7:"default";|categorytemplate=s:7:"default";|showCategory=s:1:"1";|categorylayout=s:7:"default";|categories_per_row=s:1:"3";|productlayout=s:7:"default";|products_per_row=s:1:"3";|vmlayout=s:7:"default";|show_store_desc=s:1:"0";|show_categories=s:1:"1";|homepage_categories_per_row=s:1:"3";|homepage_products_per_row=s:1:"3";|show_featured=s:1:"0";|featured_products_rows=s:1:"1";|show_topTen=s:1:"0";|topTen_products_rows=s:1:"1";|show_recent=s:1:"0";|recent_products_rows=s:1:"1";|show_latest=s:1:"0";|latest_products_rows=s:1:"1";|assets_general_path=s:33:"components/com_virtuemart/assets/";|media_category_path=s:35:"images/stories/virtuemart/category/";|media_product_path=s:34:"images/stories/virtuemart/product/";|media_manufacturer_path=s:39:"images/stories/virtuemart/manufacturer/";|media_vendor_path=s:33:"images/stories/virtuemart/vendor/";|forSale_path_thumb=s:42:"images/stories/virtuemart/forSale/resized/";|img_resize_enable=s:1:"1";|img_width=s:3:"300";|img_height=s:3:"190";|no_image_set=s:11:"noimage.gif";|no_image_found=s:11:"warning.png";|browse_orderby_field=s:12:"product_name";|browse_orderby_fields=a:3:{i:0;s:12:"product_name";i:1;s:13:"category_name";i:2;s:7:"mf_name";}|browse_search_fields=a:5:{i:0;s:12:"product_name";i:1;s:14:"product_s_desc";i:2;s:13:"category_name";i:3;s:20:"category_description";i:4;s:7:"mf_name";}|show_prices=s:1:"1";|price_show_packaging_pricelabel=s:1:"0";|show_tax=s:1:"0";|basePrice=s:1:"0";|basePriceText=s:1:"0";|basePriceRounding=s:2:"-1";|variantModification=s:1:"0";|variantModificationText=s:1:"0";|variantModificationRounding=s:2:"-1";|basePriceVariant=s:1:"0";|basePriceVariantText=s:1:"0";|basePriceVariantRounding=s:2:"-1";|basePriceWithTax=s:1:"1";|basePriceWithTaxText=s:1:"1";|basePriceWithTaxRounding=s:2:"-1";|discountedPriceWithoutTax=s:1:"1";|discountedPriceWithoutTaxText=s:1:"1";|discountedPriceWithoutTaxRounding=s:2:"-1";|salesPriceWithDiscount=s:1:"1";|salesPriceWithDiscountText=s:1:"1";|salesPriceWithDiscountRounding=s:2:"-1";|salesPrice=s:1:"1";|salesPriceText=s:1:"1";|salesPriceRounding=s:2:"-1";|priceWithoutTax=s:1:"1";|priceWithoutTaxText=s:1:"1";|priceWithoutTaxRounding=s:2:"-1";|discountAmount=s:1:"1";|discountAmountText=s:1:"1";|discountAmountRounding=s:2:"-1";|taxAmount=s:1:"1";|taxAmountText=s:1:"1";|taxAmountRounding=s:2:"-1";|addtocart_popup=s:1:"1";|check_stock=s:1:"0";|automatic_payment=s:1:"1";|automatic_shipment=s:1:"1";|agree_to_tos_onorder=s:1:"0";|oncheckout_show_legal_info=s:1:"1";|oncheckout_show_register=s:1:"1";|oncheckout_show_steps=s:1:"0";|oncheckout_show_register_text=s:47:"COM_VIRTUEMART_ONCHECKOUT_DEFAULT_TEXT_REGISTER";|inv_os=a:1:{i:0;s:1:"C";}|email_os_s=a:5:{i:0;s:1:"U";i:1;s:1:"C";i:2;s:1:"X";i:3;s:1:"R";i:4;s:1:"S";}|email_os_v=a:4:{i:0;s:1:"U";i:1;s:1:"C";i:2;s:1:"X";i:3;s:1:"R";}|seo_disabled=s:1:"0";|seo_translate=s:1:"0";|seo_use_id=s:1:"0";|sctime=d:1392949604.552733898162841796875;|vmlang=s:5:"en_gb";|enable_content_plugin=s:1:"0";|enableEnglish=s:1:"1";|useVendorEmail=s:1:"1";|pdf_icon=s:1:"0";|recommend_unauth=s:1:"1";|ask_question=s:1:"1";|asks_minimum_comment_length=s:2:"50";|asks_maximum_comment_length=s:4:"2000";|product_navigation=s:1:"1";|display_stock=s:1:"1";|latest_products_days=s:1:"7";|latest_products_orderBy=s:10:"created_on";|lstockmail=s:1:"0";|stockhandle=s:4:"none";|rised_availability=s:0:"";|image=s:0:"";|show_manufacturers=s:1:"1";|manufacturer_per_row=s:1:"3";|mediaLimit=s:2:"20";|llimit_init_BE=s:2:"20";|pagseq=s:0:"";|llimit_init_FE=s:1:"6";|pagseq_1=s:0:"";|pagseq_2=s:0:"";|pagseq_3=s:0:"";|pagseq_4=s:0:"";|pagseq_5=s:0:"";|feed_cat_published=s:1:"0";|feed_cat_show_images=s:1:"0";|feed_cat_show_prices=s:1:"0";|feed_cat_show_description=s:1:"0";|feed_cat_description_type=s:14:"product_s_desc";|feed_cat_max_text_length=s:3:"500";|forSale_path=s:55:"D:\\xampp\\htdocs\\ytc_templates\\joomla25\\sj-company\\logs\\";|feed_latest_published=s:1:"0";|feed_latest_nb=s:1:"5";|feed_topten_published=s:1:"0";|feed_topten_nb=s:1:"5";|feed_featured_published=s:1:"0";|feed_featured_nb=s:1:"5";|feed_home_show_images=s:1:"0";|feed_home_show_prices=s:1:"0";|feed_home_show_description=s:1:"0";|feed_home_description_type=s:14:"product_s_desc";|feed_home_max_text_length=s:3:"500";|css=s:1:"1";|jquery=s:1:"1";|jprice=s:1:"1";|jsite=s:1:"1";|askprice=s:1:"0";|rappenrundung=s:1:"0";|roundindig=s:1:"0";|cVarswT=s:1:"0";|unitPrice=s:1:"0";|unitPriceText=s:1:"0";|unitPriceRounding=s:1:"2";|popup_rel=s:1:"1";|oncheckout_opc=s:1:"0";|oncheckout_only_registered=s:1:"0";|oncheckout_show_images=s:1:"0";|vmlang_js=s:1:"0";|browse_cat_orderby_field=s:13:"category_name";|seo_sufix=s:7:"-detail";|task=s:5:"apply";|option=s:14:"com_virtuemart";|view=s:6:"config";|7fed078ff43bf475ea3f4af35662b689=s:1:"1";|f285b5f692c7d8c892df94687766b84e=s:1:"1";|80cb42031015107b8282e4307b9eb53a=s:1:"1";|85389f20a8aa359ef55c72bf9636b2b4=s:1:"1";|149f79b830eff0b13a7f86eb6c6cf83f=s:1:"1";|c0526efc11c74c2b8c7680af41222471=s:1:"1";|966a6eea342082a7277d2041f077a4cf=s:1:"1";|d779a688bd8bb7a03f7e1e0d6537874b=s:1:"1";|297a2a5076b3df49e53c0a752634aca8=s:1:"1";|0300450a574d844c3301c1a2be63a75e=s:1:"1";|42622069f386bd687e54bc9689aa85ac=s:1:"1";|5e7f7ca34af99323819cf0faddc8e8a8=s:1:"1";|317c207cffd628686cbefa4e0edb8132=s:1:"1";|b51f4b25e05c0134563b8bd083d6f306=s:1:"1";|81a537208035935f3a3ce0bd197eb4ef=s:1:"1";|virtuemart_config_id=i:1;|prd_brws_orderby_dir=s:3:"ASC";|cat_brws_orderby_dir=s:3:"ASC";|270b32298f21bfc980bdfd42f8faa0da=s:1:"1";|ca60d1556fb4f8810769012e4df2950d=s:1:"1";|625870231998523417100797bb2e36f0=s:1:"1";|cbb62543101bd38d03e11f608bea11f0=s:1:"1";', '0000-00-00 00:00:00', 0, '2014-02-21 02:26:44', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_countries`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_countries` (
  `virtuemart_country_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_worldzone_id` tinyint(11) NOT NULL DEFAULT '1',
  `country_name` char(64) DEFAULT NULL,
  `country_3_code` char(3) DEFAULT NULL,
  `country_2_code` char(2) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_country_id`),
  KEY `idx_country_3_code` (`country_3_code`),
  KEY `idx_country_2_code` (`country_2_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Country records' AUTO_INCREMENT=249 ;

INSERT INTO `#__virtuemart_countries` (`virtuemart_country_id`, `virtuemart_worldzone_id`, `country_name`, `country_3_code`, `country_2_code`, `ordering`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'Afghanistan', 'AFG', 'AF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 1, 'Albania', 'ALB', 'AL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 1, 'Algeria', 'DZA', 'DZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 'American Samoa', 'ASM', 'AS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 1, 'Andorra', 'AND', 'AD', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 1, 'Angola', 'AGO', 'AO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 1, 'Anguilla', 'AIA', 'AI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 1, 'Antarctica', 'ATA', 'AQ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 1, 'Antigua and Barbuda', 'ATG', 'AG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 1, 'Argentina', 'ARG', 'AR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 1, 'Armenia', 'ARM', 'AM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 1, 'Aruba', 'ABW', 'AW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 1, 'Australia', 'AUS', 'AU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 1, 'Austria', 'AUT', 'AT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 1, 'Azerbaijan', 'AZE', 'AZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 1, 'Bahamas', 'BHS', 'BS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 1, 'Bahrain', 'BHR', 'BH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 1, 'Bangladesh', 'BGD', 'BD', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 1, 'Barbados', 'BRB', 'BB', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(20, 1, 'Belarus', 'BLR', 'BY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(21, 1, 'Belgium', 'BEL', 'BE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 1, 'Belize', 'BLZ', 'BZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(23, 1, 'Benin', 'BEN', 'BJ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(24, 1, 'Bermuda', 'BMU', 'BM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(25, 1, 'Bhutan', 'BTN', 'BT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(26, 1, 'Bolivia', 'BOL', 'BO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(27, 1, 'Bosnia and Herzegowina', 'BIH', 'BA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(28, 1, 'Botswana', 'BWA', 'BW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(29, 1, 'Bouvet Island', 'BVT', 'BV', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(30, 1, 'Brazil', 'BRA', 'BR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(31, 1, 'British Indian Ocean Territory', 'IOT', 'IO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(32, 1, 'Brunei Darussalam', 'BRN', 'BN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(33, 1, 'Bulgaria', 'BGR', 'BG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(34, 1, 'Burkina Faso', 'BFA', 'BF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(35, 1, 'Burundi', 'BDI', 'BI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(36, 1, 'Cambodia', 'KHM', 'KH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(37, 1, 'Cameroon', 'CMR', 'CM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(38, 1, 'Canada', 'CAN', 'CA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(39, 1, 'Cape Verde', 'CPV', 'CV', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(40, 1, 'Cayman Islands', 'CYM', 'KY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(41, 1, 'Central African Republic', 'CAF', 'CF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(42, 1, 'Chad', 'TCD', 'TD', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(43, 1, 'Chile', 'CHL', 'CL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(44, 1, 'China', 'CHN', 'CN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(45, 1, 'Christmas Island', 'CXR', 'CX', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(46, 1, 'Cocos (Keeling) Islands', 'CCK', 'CC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(47, 1, 'Colombia', 'COL', 'CO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(48, 1, 'Comoros', 'COM', 'KM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(49, 1, 'Congo', 'COG', 'CG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(50, 1, 'Cook Islands', 'COK', 'CK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(51, 1, 'Costa Rica', 'CRI', 'CR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(52, 1, 'Cote D''Ivoire', 'CIV', 'CI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(53, 1, 'Croatia', 'HRV', 'HR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(54, 1, 'Cuba', 'CUB', 'CU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(55, 1, 'Cyprus', 'CYP', 'CY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(56, 1, 'Czech Republic', 'CZE', 'CZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(57, 1, 'Denmark', 'DNK', 'DK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(58, 1, 'Djibouti', 'DJI', 'DJ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(59, 1, 'Dominica', 'DMA', 'DM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(60, 1, 'Dominican Republic', 'DOM', 'DO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(61, 1, 'East Timor', 'TMP', 'TP', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(62, 1, 'Ecuador', 'ECU', 'EC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(63, 1, 'Egypt', 'EGY', 'EG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(64, 1, 'El Salvador', 'SLV', 'SV', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(65, 1, 'Equatorial Guinea', 'GNQ', 'GQ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(66, 1, 'Eritrea', 'ERI', 'ER', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(67, 1, 'Estonia', 'EST', 'EE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(68, 1, 'Ethiopia', 'ETH', 'ET', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(69, 1, 'Falkland Islands (Malvinas)', 'FLK', 'FK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(70, 1, 'Faroe Islands', 'FRO', 'FO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(71, 1, 'Fiji', 'FJI', 'FJ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(72, 1, 'Finland', 'FIN', 'FI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(73, 1, 'France', 'FRA', 'FR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(75, 1, 'French Guiana', 'GUF', 'GF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(76, 1, 'French Polynesia', 'PYF', 'PF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(77, 1, 'French Southern Territories', 'ATF', 'TF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(78, 1, 'Gabon', 'GAB', 'GA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(79, 1, 'Gambia', 'GMB', 'GM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(80, 1, 'Georgia', 'GEO', 'GE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(81, 1, 'Germany', 'DEU', 'DE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(82, 1, 'Ghana', 'GHA', 'GH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(83, 1, 'Gibraltar', 'GIB', 'GI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(84, 1, 'Greece', 'GRC', 'GR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(85, 1, 'Greenland', 'GRL', 'GL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(86, 1, 'Grenada', 'GRD', 'GD', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(87, 1, 'Guadeloupe', 'GLP', 'GP', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(88, 1, 'Guam', 'GUM', 'GU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(89, 1, 'Guatemala', 'GTM', 'GT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(90, 1, 'Guinea', 'GIN', 'GN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(91, 1, 'Guinea-bissau', 'GNB', 'GW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(92, 1, 'Guyana', 'GUY', 'GY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(93, 1, 'Haiti', 'HTI', 'HT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(94, 1, 'Heard and Mc Donald Islands', 'HMD', 'HM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(95, 1, 'Honduras', 'HND', 'HN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(96, 1, 'Hong Kong', 'HKG', 'HK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(97, 1, 'Hungary', 'HUN', 'HU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(98, 1, 'Iceland', 'ISL', 'IS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(99, 1, 'India', 'IND', 'IN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(100, 1, 'Indonesia', 'IDN', 'ID', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(101, 1, 'Iran (Islamic Republic of)', 'IRN', 'IR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(102, 1, 'Iraq', 'IRQ', 'IQ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(103, 1, 'Ireland', 'IRL', 'IE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(104, 1, 'Israel', 'ISR', 'IL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(105, 1, 'Italy', 'ITA', 'IT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(106, 1, 'Jamaica', 'JAM', 'JM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(107, 1, 'Japan', 'JPN', 'JP', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(108, 1, 'Jordan', 'JOR', 'JO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(109, 1, 'Kazakhstan', 'KAZ', 'KZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(110, 1, 'Kenya', 'KEN', 'KE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(111, 1, 'Kiribati', 'KIR', 'KI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(112, 1, 'Korea, Democratic People''s Republic of', 'PRK', 'KP', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(113, 1, 'Korea, Republic of', 'KOR', 'KR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(114, 1, 'Kuwait', 'KWT', 'KW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(115, 1, 'Kyrgyzstan', 'KGZ', 'KG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(116, 1, 'Lao People''s Democratic Republic', 'LAO', 'LA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(117, 1, 'Latvia', 'LVA', 'LV', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(118, 1, 'Lebanon', 'LBN', 'LB', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(119, 1, 'Lesotho', 'LSO', 'LS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(120, 1, 'Liberia', 'LBR', 'LR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(121, 1, 'Libya', 'LBY', 'LY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(122, 1, 'Liechtenstein', 'LIE', 'LI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(123, 1, 'Lithuania', 'LTU', 'LT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(124, 1, 'Luxembourg', 'LUX', 'LU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(125, 1, 'Macau', 'MAC', 'MO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(126, 1, 'Macedonia, The Former Yugoslav Republic of', 'MKD', 'MK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(127, 1, 'Madagascar', 'MDG', 'MG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(128, 1, 'Malawi', 'MWI', 'MW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(129, 1, 'Malaysia', 'MYS', 'MY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(130, 1, 'Maldives', 'MDV', 'MV', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(131, 1, 'Mali', 'MLI', 'ML', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(132, 1, 'Malta', 'MLT', 'MT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(133, 1, 'Marshall Islands', 'MHL', 'MH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(134, 1, 'Martinique', 'MTQ', 'MQ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(135, 1, 'Mauritania', 'MRT', 'MR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(136, 1, 'Mauritius', 'MUS', 'MU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(137, 1, 'Mayotte', 'MYT', 'YT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(138, 1, 'Mexico', 'MEX', 'MX', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(139, 1, 'Micronesia, Federated States of', 'FSM', 'FM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(140, 1, 'Moldova, Republic of', 'MDA', 'MD', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(141, 1, 'Monaco', 'MCO', 'MC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(142, 1, 'Mongolia', 'MNG', 'MN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(143, 1, 'Montserrat', 'MSR', 'MS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(144, 1, 'Morocco', 'MAR', 'MA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(145, 1, 'Mozambique', 'MOZ', 'MZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(146, 1, 'Myanmar', 'MMR', 'MM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(147, 1, 'Namibia', 'NAM', 'NA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(148, 1, 'Nauru', 'NRU', 'NR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(149, 1, 'Nepal', 'NPL', 'NP', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(150, 1, 'Netherlands', 'NLD', 'NL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(151, 1, 'Netherlands Antilles', 'ANT', 'AN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(152, 1, 'New Caledonia', 'NCL', 'NC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(153, 1, 'New Zealand', 'NZL', 'NZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(154, 1, 'Nicaragua', 'NIC', 'NI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(155, 1, 'Niger', 'NER', 'NE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(156, 1, 'Nigeria', 'NGA', 'NG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(157, 1, 'Niue', 'NIU', 'NU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(158, 1, 'Norfolk Island', 'NFK', 'NF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(159, 1, 'Northern Mariana Islands', 'MNP', 'MP', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(160, 1, 'Norway', 'NOR', 'NO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(161, 1, 'Oman', 'OMN', 'OM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(162, 1, 'Pakistan', 'PAK', 'PK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(163, 1, 'Palau', 'PLW', 'PW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(164, 1, 'Panama', 'PAN', 'PA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(165, 1, 'Papua New Guinea', 'PNG', 'PG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(166, 1, 'Paraguay', 'PRY', 'PY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(167, 1, 'Peru', 'PER', 'PE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(168, 1, 'Philippines', 'PHL', 'PH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(169, 1, 'Pitcairn', 'PCN', 'PN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(170, 1, 'Poland', 'POL', 'PL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(171, 1, 'Portugal', 'PRT', 'PT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(172, 1, 'Puerto Rico', 'PRI', 'PR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(173, 1, 'Qatar', 'QAT', 'QA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(174, 1, 'Reunion', 'REU', 'RE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(175, 1, 'Romania', 'ROM', 'RO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(176, 1, 'Russian Federation', 'RUS', 'RU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(177, 1, 'Rwanda', 'RWA', 'RW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(178, 1, 'Saint Kitts and Nevis', 'KNA', 'KN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(179, 1, 'Saint Lucia', 'LCA', 'LC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(180, 1, 'Saint Vincent and the Grenadines', 'VCT', 'VC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(181, 1, 'Samoa', 'WSM', 'WS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(182, 1, 'San Marino', 'SMR', 'SM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(183, 1, 'Sao Tome and Principe', 'STP', 'ST', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(184, 1, 'Saudi Arabia', 'SAU', 'SA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(185, 1, 'Senegal', 'SEN', 'SN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(186, 1, 'Seychelles', 'SYC', 'SC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(187, 1, 'Sierra Leone', 'SLE', 'SL', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(188, 1, 'Singapore', 'SGP', 'SG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(189, 1, 'Slovakia', 'SVK', 'SK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(190, 1, 'Slovenia', 'SVN', 'SI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(191, 1, 'Solomon Islands', 'SLB', 'SB', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(192, 1, 'Somalia', 'SOM', 'SO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(193, 1, 'South Africa', 'ZAF', 'ZA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(194, 1, 'South Georgia and the South Sandwich Islands', 'SGS', 'GS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(195, 1, 'Spain', 'ESP', 'ES', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(196, 1, 'Sri Lanka', 'LKA', 'LK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(197, 1, 'St. Helena', 'SHN', 'SH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(198, 1, 'St. Pierre and Miquelon', 'SPM', 'PM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(199, 1, 'Sudan', 'SDN', 'SD', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(200, 1, 'Suriname', 'SUR', 'SR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(201, 1, 'Svalbard and Jan Mayen Islands', 'SJM', 'SJ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(202, 1, 'Swaziland', 'SWZ', 'SZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(203, 1, 'Sweden', 'SWE', 'SE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(204, 1, 'Switzerland', 'CHE', 'CH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(205, 1, 'Syrian Arab Republic', 'SYR', 'SY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(206, 1, 'Taiwan', 'TWN', 'TW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(207, 1, 'Tajikistan', 'TJK', 'TJ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(208, 1, 'Tanzania, United Republic of', 'TZA', 'TZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(209, 1, 'Thailand', 'THA', 'TH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(210, 1, 'Togo', 'TGO', 'TG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(211, 1, 'Tokelau', 'TKL', 'TK', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(212, 1, 'Tonga', 'TON', 'TO', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(213, 1, 'Trinidad and Tobago', 'TTO', 'TT', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(214, 1, 'Tunisia', 'TUN', 'TN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(215, 1, 'Turkey', 'TUR', 'TR', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(216, 1, 'Turkmenistan', 'TKM', 'TM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(217, 1, 'Turks and Caicos Islands', 'TCA', 'TC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(218, 1, 'Tuvalu', 'TUV', 'TV', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(219, 1, 'Uganda', 'UGA', 'UG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(220, 1, 'Ukraine', 'UKR', 'UA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(221, 1, 'United Arab Emirates', 'ARE', 'AE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(222, 1, 'United Kingdom', 'GBR', 'GB', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(223, 1, 'United States', 'USA', 'US', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(224, 1, 'United States Minor Outlying Islands', 'UMI', 'UM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(225, 1, 'Uruguay', 'URY', 'UY', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(226, 1, 'Uzbekistan', 'UZB', 'UZ', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(227, 1, 'Vanuatu', 'VUT', 'VU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(228, 1, 'Vatican City State (Holy See)', 'VAT', 'VA', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(229, 1, 'Venezuela', 'VEN', 'VE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(230, 1, 'Viet Nam', 'VNM', 'VN', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(231, 1, 'Virgin Islands (British)', 'VGB', 'VG', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(232, 1, 'Virgin Islands (U.S.)', 'VIR', 'VI', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(233, 1, 'Wallis and Futuna Islands', 'WLF', 'WF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(234, 1, 'Western Sahara', 'ESH', 'EH', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(235, 1, 'Yemen', 'YEM', 'YE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(237, 1, 'The Democratic Republic of Congo', 'DRC', 'DC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(238, 1, 'Zambia', 'ZMB', 'ZM', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(239, 1, 'Zimbabwe', 'ZWE', 'ZW', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(240, 1, 'East Timor', 'XET', 'XE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(241, 1, 'Jersey', 'JEY', 'JE', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(242, 1, 'St. Barthelemy', 'XSB', 'XB', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(243, 1, 'St. Eustatius', 'XSE', 'XU', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(244, 1, 'Canary Islands', 'XCA', 'XC', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(245, 1, 'Serbia', 'SRB', 'RS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(246, 1, 'Sint Maarten (French Antilles)', 'MAF', 'MF', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(247, 1, 'Sint Maarten (Netherlands Antilles)', 'SXM', 'SX', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(248, 1, 'Palestinian Territory, occupied', 'PSE', 'PS', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_coupons`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_coupons` (
  `coupon_used` varchar(200) NOT NULL DEFAULT '',
  `virtuemart_coupon_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `coupon_code` char(32) NOT NULL DEFAULT '',
  `percent_or_total` enum('percent','total') NOT NULL DEFAULT 'percent',
  `coupon_type` enum('gift','permanent') NOT NULL DEFAULT 'gift',
  `coupon_value` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `coupon_start_date` datetime DEFAULT NULL,
  `coupon_expiry_date` datetime DEFAULT NULL,
  `coupon_value_valid` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_coupon_id`),
  KEY `idx_coupon_code` (`coupon_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Used to store coupon codes' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_currencies`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_currencies` (
  `virtuemart_currency_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `currency_name` char(64) DEFAULT NULL,
  `currency_code_2` char(2) DEFAULT NULL,
  `currency_code_3` char(3) DEFAULT NULL,
  `currency_numeric_code` int(4) DEFAULT NULL,
  `currency_exchange_rate` decimal(10,5) DEFAULT NULL,
  `currency_symbol` char(4) DEFAULT NULL,
  `currency_decimal_place` char(4) DEFAULT NULL,
  `currency_decimal_symbol` char(4) DEFAULT NULL,
  `currency_thousands` char(4) DEFAULT NULL,
  `currency_positive_style` char(64) DEFAULT NULL,
  `currency_negative_style` char(64) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '1',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_currency_id`),
  KEY `virtuemart_vendor_id` (`virtuemart_vendor_id`),
  KEY `idx_currency_code_3` (`currency_code_3`),
  KEY `idx_currency_numeric_code` (`currency_numeric_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Used to store currencies' AUTO_INCREMENT=202 ;

INSERT INTO `#__virtuemart_currencies` (`virtuemart_currency_id`, `virtuemart_vendor_id`, `currency_name`, `currency_code_2`, `currency_code_3`, `currency_numeric_code`, `currency_exchange_rate`, `currency_symbol`, `currency_decimal_place`, `currency_decimal_symbol`, `currency_thousands`, `currency_positive_style`, `currency_negative_style`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(2, 1, 'United Arab Emirates dirham', '', 'AED', 784, '0.00000', 'د.إ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 'Albanian lek', '', 'ALL', 8, '0.00000', 'Lek', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 1, 'Netherlands Antillean gulden', '', 'ANG', 532, '0.00000', 'ƒ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 1, 'Argentine peso', '', 'ARS', 32, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 1, 'Australian dollar', '', 'AUD', 36, '0.00000', '$', '2', '.', '', '{symbol} {number}', '{sign}{symbol} {number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 1, 'Aruban florin', '', 'AWG', 533, '0.00000', 'ƒ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 1, 'Barbadian dollar', '', 'BBD', 52, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 1, 'Bangladeshi taka', '', 'BDT', 50, '0.00000', '৳', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 1, 'Bahraini dinar', '', 'BHD', 48, '0.00000', 'ب.د', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 1, 'Burundian franc', '', 'BIF', 108, '0.00000', 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 1, 'Bermudian dollar', '', 'BMD', 60, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 1, 'Brunei dollar', '', 'BND', 96, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 1, 'Bolivian boliviano', '', 'BOB', 68, '0.00000', '$b', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(20, 1, 'Brazilian real', '', 'BRL', 986, '0.00000', 'R$', '2', ',', '.', '{symbol} {number}', '{symbol} {sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(21, 1, 'Bahamian dollar', '', 'BSD', 44, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 1, 'Bhutanese ngultrum', '', 'BTN', 64, '0.00000', 'BTN', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(24, 1, 'Botswana pula', '', 'BWP', 72, '0.00000', 'P', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(25, 1, 'Belize dollar', '', 'BZD', 84, '0.00000', 'BZ$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(26, 1, 'Canadian dollar', '', 'CAD', 124, '0.00000', '$', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(27, 1, 'Swiss franc', '', 'CHF', 756, '0.00000', 'CHF', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(28, 1, 'Unidad de Fomento', '', 'CLF', 990, '0.00000', 'CLF', '0', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(29, 1, 'Chilean peso', '', 'CLP', 152, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(30, 1, 'Chinese renminbi yuan', '', 'CNY', 156, '0.00000', '元', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(31, 1, 'Colombian peso', '', 'COP', 170, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(32, 1, 'Costa Rican colón', '', 'CRC', 188, '0.00000', '₡', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(33, 1, 'Czech koruna', '', 'CZK', 203, '0.00000', 'Kč', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(34, 1, 'Cuban peso', '', 'CUP', 192, '0.00000', '₱', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(35, 1, 'Cape Verdean escudo', '', 'CVE', 132, '0.00000', '$', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(40, 1, 'Danish krone', '', 'DKK', 208, '0.00000', 'kr', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(41, 1, 'Dominican peso', '', 'DOP', 214, '0.00000', 'RD$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(42, 1, 'Algerian dinar', '', 'DZD', 12, '0.00000', 'د.ج', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(44, 1, 'Egyptian pound', '', 'EGP', 818, '0.00000', '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(46, 1, 'Ethiopian birr', '', 'ETB', 230, '0.00000', 'ETB', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(47, 1, 'Euro', '', 'EUR', 978, '0.00000', '€', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(49, 1, 'Fijian dollar', '', 'FJD', 242, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(50, 1, 'Falkland pound', '', 'FKP', 238, '0.00000', '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(52, 1, 'British pound', '', 'GBP', 826, '0.00000', '£', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(54, 1, 'Gibraltar pound', '', 'GIP', 292, '0.00000', '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(55, 1, 'Gambian dalasi', '', 'GMD', 270, '0.00000', 'D', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(56, 1, 'Guinean franc', '', 'GNF', 324, '0.00000', 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(58, 1, 'Guatemalan quetzal', '', 'GTQ', 320, '0.00000', 'Q', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(60, 1, 'Guyanese dollar', '', 'GYD', 328, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(61, 1, 'Hong Kong dollar', '', 'HKD', 344, '0.00000', '元', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(62, 1, 'Honduran lempira', '', 'HNL', 340, '0.00000', 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(63, 1, 'Haitian gourde', '', 'HTG', 332, '0.00000', 'G', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(64, 1, 'Hungarian forint', '', 'HUF', 348, '0.00000', 'Ft', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(65, 1, 'Indonesian rupiah', '', 'IDR', 360, '0.00000', 'Rp', '0', '', '', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(67, 1, 'Israeli new sheqel', '', 'ILS', 376, '0.00000', '₪', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(68, 1, 'Indian rupee', '', 'INR', 356, '0.00000', '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(69, 1, 'Iraqi dinar', '', 'IQD', 368, '0.00000', 'ع.د', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(70, 1, 'Iranian rial', '', 'IRR', 364, '0.00000', '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number}{symb0l}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(73, 1, 'Jamaican dollar', '', 'JMD', 388, '0.00000', 'J$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(74, 1, 'Jordanian dinar', '', 'JOD', 400, '0.00000', 'د.ا', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(75, 1, 'Japanese yen', '', 'JPY', 392, '0.00000', '¥', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(76, 1, 'Kenyan shilling', '', 'KES', 404, '0.00000', 'Sh', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(77, 1, 'Cambodian riel', '', 'KHR', 116, '0.00000', '៛', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(78, 1, 'Comorian franc', '', 'KMF', 174, '0.00000', 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(79, 1, 'North Korean won', '', 'KPW', 408, '0.00000', '₩', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(80, 1, 'South Korean won', '', 'KRW', 410, '0.00000', '₩', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(81, 1, 'Kuwaiti dinar', '', 'KWD', 414, '0.00000', 'د.ك', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(82, 1, 'Cayman Islands dollar', '', 'KYD', 136, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(83, 1, 'Lao kip', '', 'LAK', 418, '0.00000', '₭', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(84, 1, 'Lebanese pound', '', 'LBP', 422, '0.00000', '£', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(85, 1, 'Sri Lankan rupee', '', 'LKR', 144, '0.00000', '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(86, 1, 'Liberian dollar', '', 'LRD', 430, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(87, 1, 'Lesotho loti', '', 'LSL', 426, '0.00000', 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(89, 1, 'Libyan dinar', '', 'LYD', 434, '0.00000', 'ل.د', '3', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(90, 1, 'Moroccan dirham', '', 'MAD', 504, '0.00000', 'د.م.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(92, 1, 'Mongolian tögrög', '', 'MNT', 496, '0.00000', '₮', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(93, 1, 'Macanese pataca', '', 'MOP', 446, '0.00000', 'P', '1', ',', '', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(94, 1, 'Mauritanian ouguiya', '', 'MRO', 478, '0.00000', 'UM', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(96, 1, 'Mauritian rupee', '', 'MUR', 480, '0.00000', '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(97, 1, 'Maldivian rufiyaa', '', 'MVR', 462, '0.00000', 'ރ.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(98, 1, 'Malawian kwacha', '', 'MWK', 454, '0.00000', 'MK', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(100, 1, 'Malaysian ringgit', '', 'MYR', 458, '0.00000', 'RM', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(102, 1, 'Nigerian naira', '', 'NGN', 566, '0.00000', '₦', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(105, 1, 'Norwegian krone', '', 'NOK', 578, '0.00000', 'kr', '2', ',', '', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(106, 1, 'Nepalese rupee', '', 'NPR', 524, '0.00000', '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(107, 1, 'New Zealand dollar', '', 'NZD', 554, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(108, 1, 'Omani rial', '', 'OMR', 512, '0.00000', '﷼', '3', '.', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(109, 1, 'Panamanian balboa', '', 'PAB', 590, '0.00000', 'B/.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(110, 1, 'Peruvian nuevo sol', '', 'PEN', 604, '0.00000', 'S/.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(111, 1, 'Papua New Guinean kina', '', 'PGK', 598, '0.00000', 'K', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(112, 1, 'Philippine peso', '', 'PHP', 608, '0.00000', '₱', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(113, 1, 'Pakistani rupee', '', 'PKR', 586, '0.00000', '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(114, 1, 'Polish Złoty', '', 'PLN', 985, '0.00000', 'zł', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(116, 1, 'Paraguayan guaraní', '', 'PYG', 600, '0.00000', '₲', '0', '', '.', '{symbol} {number}', '{symbol} {sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(117, 1, 'Qatari riyal', '', 'QAR', 634, '0.00000', '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(118, 1, 'Romanian leu', '', 'RON', 946, '0.00000', 'lei', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(119, 1, 'Rwandan franc', '', 'RWF', 646, '0.00000', 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(120, 1, 'Saudi riyal', '', 'SAR', 682, '0.00000', '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(121, 1, 'Solomon Islands dollar', '', 'SBD', 90, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(122, 1, 'Seychellois rupee', '', 'SCR', 690, '0.00000', '₨', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(124, 1, 'Swedish krona', '', 'SEK', 752, '0.00000', 'kr', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(125, 1, 'Singapore dollar', '', 'SGD', 702, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(126, 1, 'Saint Helenian pound', '', 'SHP', 654, '0.00000', '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(127, 1, 'Sierra Leonean leone', '', 'SLL', 694, '0.00000', 'Le', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(128, 1, 'Somali shilling', '', 'SOS', 706, '0.00000', 'S', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(130, 1, 'São Tomé and Príncipe dobra', '', 'STD', 678, '0.00000', 'Db', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(131, 1, 'Russian ruble', '', 'RUB', 643, '0.00000', 'руб', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(132, 1, 'Salvadoran colón', '', 'SVC', 222, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(133, 1, 'Syrian pound', '', 'SYP', 760, '0.00000', '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(134, 1, 'Swazi lilangeni', '', 'SZL', 748, '0.00000', 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(135, 1, 'Thai baht', '', 'THB', 764, '0.00000', '฿', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(136, 1, 'Tunisian dinar', '', 'TND', 788, '0.00000', 'د.ت', '3', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(137, 1, 'Tongan paʻanga', '', 'TOP', 776, '0.00000', 'T$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(139, 1, 'Turkish new lira', '', 'TRY', 949, '0.00000', 'YTL', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(140, 1, 'Trinidad and Tobago dollar', '', 'TTD', 780, '0.00000', 'TT$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(141, 1, 'New Taiwan dollar', '', 'TWD', 901, '0.00000', 'NT$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(142, 1, 'Tanzanian shilling', '', 'TZS', 834, '0.00000', 'Sh', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(144, 1, 'United States dollar', '', 'USD', 840, '0.00000', '$', '2', '.', ',', '{symbol}{number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(147, 1, 'Vietnamese Dong', '', 'VND', 704, '0.00000', '₫', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(148, 1, 'Vanuatu vatu', '', 'VUV', 548, '0.00000', 'Vt', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(149, 1, 'Samoan tala', '', 'WST', 882, '0.00000', 'T', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(151, 1, 'Yemeni rial', '', 'YER', 886, '0.00000', '﷼', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(152, 1, 'Serbian dinar', '', 'RSD', 941, '0.00000', 'Дин.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(153, 1, 'South African rand', '', 'ZAR', 710, '0.00000', 'R', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(154, 1, 'Zambian kwacha', '', 'ZMK', 894, '0.00000', 'ZK', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(156, 1, 'Zimbabwean dollar', '', 'ZWD', 932, '0.00000', 'Z$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(158, 1, 'Armenian dram', '', 'AMD', 51, '0.00000', 'դր.', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(159, 1, 'Myanmar kyat', '', 'MMK', 104, '0.00000', 'K', '2', ',', '', '{number} {symbol}', '{symbol} {sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(160, 1, 'Croatian kuna', '', 'HRK', 191, '0.00000', 'kn', '2', ',', '.', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(161, 1, 'Eritrean nakfa', '', 'ERN', 232, '0.00000', 'Nfk', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(162, 1, 'Djiboutian franc', '', 'DJF', 262, '0.00000', 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(163, 1, 'Icelandic króna', '', 'ISK', 352, '0.00000', 'kr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(164, 1, 'Kazakhstani tenge', '', 'KZT', 398, '0.00000', 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(165, 1, 'Kyrgyzstani som', '', 'KGS', 417, '0.00000', 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(166, 1, 'Latvian lats', '', 'LVL', 428, '0.00000', 'Ls', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(167, 1, 'Lithuanian litas', '', 'LTL', 440, '0.00000', 'Lt', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(168, 1, 'Mexican peso', '', 'MXN', 484, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(169, 1, 'Moldovan leu', '', 'MDL', 498, '0.00000', 'L', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(170, 1, 'Namibian dollar', '', 'NAD', 516, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(171, 1, 'Nicaraguan córdoba', '', 'NIO', 558, '0.00000', 'C$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(172, 1, 'Ugandan shilling', '', 'UGX', 800, '0.00000', 'Sh', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(173, 1, 'Macedonian denar', '', 'MKD', 807, '0.00000', 'ден', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(174, 1, 'Uruguayan peso', '', 'UYU', 858, '0.00000', '$', '0', '', '', '{symbol}number}', '{symbol}{sign}{number}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(175, 1, 'Uzbekistani som', '', 'UZS', 860, '0.00000', 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(176, 1, 'Azerbaijani manat', '', 'AZN', 934, '0.00000', 'ман', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(177, 1, 'Ghanaian cedi', '', 'GHS', 936, '0.00000', '₵', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(178, 1, 'Venezuelan bolívar', '', 'VEF', 937, '0.00000', 'Bs', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(179, 1, 'Sudanese pound', '', 'SDG', 938, '0.00000', '£', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(180, 1, 'Uruguay Peso', '', 'UYI', 940, '0.00000', 'UYI', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(181, 1, 'Mozambican metical', '', 'MZN', 943, '0.00000', 'MT', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(182, 1, 'WIR Euro', '', 'CHE', 947, '0.00000', '€', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(183, 1, 'WIR Franc', '', 'CHW', 948, '0.00000', 'CHW', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(184, 1, 'Central African CFA franc', '', 'XAF', 950, '0.00000', 'Fr', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(185, 1, 'East Caribbean dollar', '', 'XCD', 951, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(186, 1, 'West African CFA franc', '', 'XOF', 952, '0.00000', 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(187, 1, 'CFP franc', '', 'XPF', 953, '0.00000', 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(188, 1, 'Surinamese dollar', '', 'SRD', 968, '0.00000', '$', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(189, 1, 'Malagasy ariary', '', 'MGA', 969, '0.00000', 'MGA', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(190, 1, 'Unidad de Valor Real', '', 'COU', 970, '0.00000', 'COU', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(191, 1, 'Afghan afghani', '', 'AFN', 971, '0.00000', '؋', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(192, 1, 'Tajikistani somoni', '', 'TJS', 972, '0.00000', 'ЅМ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(193, 1, 'Angolan kwanza', '', 'AOA', 973, '0.00000', 'Kz', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(194, 1, 'Belarusian ruble', '', 'BYR', 974, '0.00000', 'p.', '0', '', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(195, 1, 'Bulgarian lev', '', 'BGN', 975, '0.00000', 'лв', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(196, 1, 'Congolese franc', '', 'CDF', 976, '0.00000', 'Fr', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(197, 1, 'Bosnia and Herzegovina convert', '', 'BAM', 977, '0.00000', 'KM', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(198, 1, 'Mexican Unid', '', 'MXV', 979, '0.00000', 'MXV', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(199, 1, 'Ukrainian hryvnia', '', 'UAH', 980, '0.00000', '₴', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(200, 1, 'Georgian lari', '', 'GEL', 981, '0.00000', 'ლ', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(201, 1, 'Mvdol', '', 'BOV', 984, '0.00000', 'BOV', '2', ',', '', '{number} {symbol}', '{sign}{number} {symbol}', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_customs`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_customs` (
  `virtuemart_custom_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `custom_parent_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `custom_jplugin_id` int(11) NOT NULL DEFAULT '0',
  `custom_element` char(50) NOT NULL DEFAULT '',
  `admin_only` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1:Display in admin only',
  `custom_title` char(255) NOT NULL DEFAULT '' COMMENT 'field title',
  `show_title` tinyint(1) NOT NULL DEFAULT '1',
  `custom_tip` char(255) NOT NULL DEFAULT '' COMMENT 'tip',
  `custom_value` char(255) DEFAULT NULL COMMENT 'defaut value',
  `custom_field_desc` char(255) DEFAULT NULL COMMENT 'description or unit',
  `field_type` char(1) NOT NULL DEFAULT '0' COMMENT 'S:string,I:int,P:parent, B:bool,D:date,T:time,H:hidden',
  `is_list` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'list of values',
  `is_hidden` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1:hidden',
  `is_cart_attribute` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Add attributes to cart',
  `layout_pos` char(24) DEFAULT NULL COMMENT 'Layout Position',
  `custom_params` text,
  `shared` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'valide for all vendors?',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_custom_id`),
  KEY `idx_custom_plugin_virtuemart_vendor_id` (`virtuemart_vendor_id`),
  KEY `idx_custom_plugin_element` (`custom_element`),
  KEY `idx_custom_plugin_ordering` (`ordering`),
  KEY `idx_custom_parent_id` (`custom_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='custom fields definition' AUTO_INCREMENT=28 ;

INSERT INTO `#__virtuemart_customs` (`virtuemart_custom_id`, `custom_parent_id`, `virtuemart_vendor_id`, `custom_jplugin_id`, `custom_element`, `admin_only`, `custom_title`, `show_title`, `custom_tip`, `custom_value`, `custom_field_desc`, `field_type`, `is_list`, `is_hidden`, `is_cart_attribute`, `layout_pos`, `custom_params`, `shared`, `published`, `created_on`, `created_by`, `ordering`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 0, 1, 0, '', 0, 'COM_VIRTUEMART_RELATED_PRODUCTS', 1, 'COM_VIRTUEMART_RELATED_PRODUCTS_TIP', '', 'COM_VIRTUEMART_RELATED_PRODUCTS_DESC', 'R', 0, 0, 0, NULL, NULL, 0, 1, '2011-05-25 21:52:43', 62, 0, '2011-05-25 21:52:43', 62, '0000-00-00 00:00:00', 0),
(2, 0, 1, 0, '', 0, 'COM_VIRTUEMART_RELATED_CATEGORIES', 1, 'COM_VIRTUEMART_RELATED_CATEGORIES_TIP', NULL, 'COM_VIRTUEMART_RELATED_CATEGORIES_DESC', 'Z', 0, 0, 0, NULL, NULL, 0, 1, '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 0, 1, 0, '0', 0, 'Color', 1, '', 'Red; Black; White;', '', 'V', 1, 0, 1, '', '0', 0, 1, '2013-08-28 08:23:25', 42, 0, '2014-02-21 02:41:20', 42, '0000-00-00 00:00:00', 0),
(23, 0, 1, 0, '0', 0, 'Lens', 1, '', '', '', 'S', 0, 0, 0, '', '0', 0, 1, '2014-02-20 08:12:53', 42, 0, '2014-02-21 02:42:03', 42, '0000-00-00 00:00:00', 0),
(24, 0, 1, 0, '0', 0, 'Megapixels', 1, '', '16MP;20.2MP;25MP;', '', 'S', 1, 0, 0, '', '0', 0, 1, '2014-02-21 01:35:02', 42, 0, '2014-02-21 02:41:07', 42, '0000-00-00 00:00:00', 0),
(25, 0, 1, 0, '0', 0, 'CMOS', 1, '', '', '', 'S', 0, 0, 0, '', '0', 0, 1, '2014-02-21 01:38:55', 42, 0, '2014-02-21 02:41:54', 42, '0000-00-00 00:00:00', 0),
(26, 0, 1, 0, '0', 0, 'Connect', 1, '', '', '', 'S', 0, 0, 0, '', '0', 0, 1, '2014-02-21 02:43:13', 42, 0, '2014-02-21 02:43:13', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_invoices`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_invoices` (
  `virtuemart_invoice_id` int(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `virtuemart_order_id` int(1) unsigned DEFAULT NULL,
  `invoice_number` char(64) DEFAULT NULL,
  `order_status` char(2) DEFAULT NULL,
  `xhtml` text,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_invoice_id`),
  UNIQUE KEY `idx_invoice_number` (`invoice_number`,`virtuemart_vendor_id`),
  KEY `idx_virtuemart_order_id` (`virtuemart_order_id`),
  KEY `idx_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='custom fields definition' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_manufacturercategories`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_manufacturercategories` (
  `virtuemart_manufacturercategories_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_manufacturercategories_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Manufacturers are assigned to these categories' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_manufacturercategories` (`virtuemart_manufacturercategories_id`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_manufacturercategories_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_manufacturercategories_en_gb` (
  `virtuemart_manufacturercategories_id` int(1) unsigned NOT NULL,
  `mf_category_name` char(180) NOT NULL DEFAULT '',
  `mf_category_desc` varchar(19000) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_manufacturercategories_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_manufacturercategories_en_gb` (`virtuemart_manufacturercategories_id`, `mf_category_name`, `mf_category_desc`, `slug`) VALUES
(1, '-default-', 'This is the default manufacturer category', '-default-');

DROP TABLE IF EXISTS `#__virtuemart_manufacturers`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_manufacturers` (
  `virtuemart_manufacturer_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_manufacturercategories_id` int(11) DEFAULT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_manufacturer_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Manufacturers are those who deliver products' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_manufacturers` (`virtuemart_manufacturer_id`, `virtuemart_manufacturercategories_id`, `hits`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-17 04:52:40', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_manufacturers_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_manufacturers_en_gb` (
  `virtuemart_manufacturer_id` int(1) unsigned NOT NULL,
  `mf_name` char(180) NOT NULL DEFAULT '',
  `mf_email` char(255) NOT NULL DEFAULT '',
  `mf_desc` varchar(19000) NOT NULL DEFAULT '',
  `mf_url` char(255) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_manufacturer_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_manufacturers_en_gb` (`virtuemart_manufacturer_id`, `mf_name`, `mf_email`, `mf_desc`, `mf_url`, `slug`) VALUES
(1, 'Manufacturer', ' manufacturer@example.org', 'Duis velit felis, rhoncus ac odio eu, euismod hendrerit risus. Nam pharetra quam vel felis porta, nec fermentum metus egestas. Quisque a lorem gravida, viverra lorem et, scelerisque neque.', 'http://www.example.org', 'manufacturer-example');

DROP TABLE IF EXISTS `#__virtuemart_manufacturer_medias`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_manufacturer_medias` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_manufacturer_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_media_id` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_manufacturer_id` (`virtuemart_manufacturer_id`,`virtuemart_media_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__virtuemart_manufacturer_medias` (`id`, `virtuemart_manufacturer_id`, `virtuemart_media_id`, `ordering`) VALUES
(3, 1, 162, 1);

DROP TABLE IF EXISTS `#__virtuemart_medias`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_medias` (
  `virtuemart_media_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `file_title` char(126) NOT NULL DEFAULT '',
  `file_description` char(254) NOT NULL DEFAULT '',
  `file_meta` char(254) NOT NULL DEFAULT '',
  `file_mimetype` char(64) NOT NULL DEFAULT '',
  `file_type` char(32) NOT NULL DEFAULT '',
  `file_url` varchar(900) NOT NULL DEFAULT '',
  `file_url_thumb` varchar(900) NOT NULL DEFAULT '',
  `file_is_product_image` tinyint(1) NOT NULL DEFAULT '0',
  `file_is_downloadable` tinyint(1) NOT NULL DEFAULT '0',
  `file_is_forSale` tinyint(1) NOT NULL DEFAULT '0',
  `file_params` varchar(17500) DEFAULT NULL,
  `file_lang` varchar(500) NOT NULL,
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_media_id`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Additional Images and Files which are assigned to products' AUTO_INCREMENT=345 ;

INSERT INTO `#__virtuemart_medias` (`virtuemart_media_id`, `virtuemart_vendor_id`, `file_title`, `file_description`, `file_meta`, `file_mimetype`, `file_type`, `file_url`, `file_url_thumb`, `file_is_product_image`, `file_is_downloadable`, `file_is_forSale`, `file_params`, `file_lang`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'hand_saw.jpg', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/hand_saw.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2012-10-26 10:25:23', 627, '0000-00-00 00:00:00', 0),
(2, 1, 'hand_shovel.jpg', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/hand_shovel.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2012-10-26 10:42:44', 627, '0000-00-00 00:00:00', 0),
(3, 1, 'ladder.jpg', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/ladder.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 'power_drill.jpg', '', 'power drill', 'image/jpeg', 'product', 'images/stories/virtuemart/product/power_drill.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 1, 'power_sander.jpg', '', 'power sander', 'image/jpeg', 'product', 'images/stories/virtuemart/product/power_sander.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 1, 'shovel.jpg', '', 'shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/shovel.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 1, 'garden_tools.jpg', '', 'garden tools', 'image/jpeg', 'category', 'images/stories/virtuemart/category/garden_tools.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2013-08-23 02:47:11', 42, '0000-00-00 00:00:00', 0),
(8, 1, 'hand_tools.jpg', '', 'hand tools', 'image/jpeg', 'category', 'images/stories/virtuemart/category/hand_tools.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2013-08-23 02:46:28', 42, '0000-00-00 00:00:00', 0),
(9, 1, 'power_indoor_tool.jpg', '', 'power indoor tool', 'image/jpeg', 'category', 'images/stories/virtuemart/category/power_indoor_tool.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2013-08-30 02:35:17', 42, '0000-00-00 00:00:00', 0),
(10, 1, 'power_outdoor_tool.jpg', '', 'Power outdoor tool', 'image/jpeg', 'category', 'images/stories/virtuemart/category/power_outdoor_tool.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2013-08-30 02:33:12', 42, '0000-00-00 00:00:00', 0),
(11, 1, 'power_tools.jpg', '', 'power tools', 'image/jpeg', 'category', 'images/stories/virtuemart/category/power_tools.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2013-08-23 02:45:34', 42, '0000-00-00 00:00:00', 0),
(12, 1, 'manufacturersample.jpg', '', 'manufacturer sample', 'image/jpeg', 'manufacturer', 'images/stories/virtuemart/manufacturer/manufacturersample.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 1, 'washupito.gif', '', 'washupito', 'image/gif', 'vendor', 'images/stories/virtuemart/vendor/washupito.gif', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2013-09-21 01:41:56', 42, '0000-00-00 00:00:00', 0),
(14, 1, 'hammer.jpg', '', 'hammer', 'image/jpeg', 'product', 'images/stories/virtuemart/product/hammer.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2012-10-26 10:16:59', 627, '0000-00-00 00:00:00', 0),
(15, 1, 'chain_saw.jpg', '', 'chain saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/chain_saw.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '2012-10-26 10:19:12', 627, '0000-00-00 00:00:00', 0),
(16, 1, 'circular_saw.jpg', '', 'circular saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/circular_saw.jpg', '', 0, 0, 0, '', '', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 1, 'Digital Cameras', '', 'Digital Cameras', 'image/png', 'category', 'images/stories/virtuemart/category/category-1.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:45:26', 42, '2013-08-23 02:46:53', 42, '0000-00-00 00:00:00', 0),
(18, 1, 'hand_tools.jpg_category', '', 'hand toolsLenses', 'image/png', 'category', 'images/stories/virtuemart/category/category-3.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:46:24', 42, '2013-08-23 02:46:31', 42, '0000-00-00 00:00:00', 0),
(19, 1, 'Digital Cameras_category', '', 'Digital Cameras', 'image/png', 'category', 'images/stories/virtuemart/category/category-2.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:46:48', 42, '2013-08-23 02:46:48', 42, '0000-00-00 00:00:00', 0),
(20, 1, 'garden_tools.jpg_category', '', 'garden tools', 'image/png', 'category', 'images/stories/virtuemart/category/category-29.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:47:07', 42, '2013-08-23 02:47:07', 42, '0000-00-00 00:00:00', 0),
(21, 1, 'Digital Cameras_category_category', '', 'Digital Cameras', 'image/png', 'category', 'images/stories/virtuemart/category/category-18.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:47:24', 42, '2013-08-23 02:47:27', 42, '0000-00-00 00:00:00', 0),
(22, 1, 'hand_tools.jpg_category_category', '', 'hand toolsLenses', 'image/png', 'category', 'images/stories/virtuemart/category/category-31.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:49:24', 42, '2013-08-30 02:34:43', 42, '0000-00-00 00:00:00', 0),
(23, 1, 'garden_tools.jpg_category_category', '', 'garden tools', 'image/png', 'category', 'images/stories/virtuemart/category/category-23.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:49:35', 42, '2013-08-30 02:34:50', 42, '0000-00-00 00:00:00', 0),
(24, 1, 'Digital Cameras_category_category_category', '', 'Digital Cameras', 'image/png', 'category', 'images/stories/virtuemart/category/category-187.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 02:49:49', 42, '2013-08-30 02:33:38', 42, '0000-00-00 00:00:00', 0),
(25, 1, 'circular_saw.jpg_product', '', 'circular saw', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:00:45', 42, '2013-09-09 08:02:46', 42, '0000-00-00 00:00:00', 0),
(26, 1, 'chain_saw.jpg_product', '', 'chain saw', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo9.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:01:32', 42, '2013-09-10 08:13:06', 42, '0000-00-00 00:00:00', 0),
(27, 1, 'power_drill.jpg_product', '', 'power drill', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo3.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:01:51', 42, '2013-09-06 09:25:19', 42, '0000-00-00 00:00:00', 0),
(28, 1, 'ladder.jpg_product', '', 'ladder', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo7.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:02:10', 42, '2013-09-18 06:47:07', 42, '0000-00-00 00:00:00', 0),
(29, 1, 'hand_shovel.jpg_product', '', 'hand shovel', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo6.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:02:23', 42, '2013-08-23 07:02:23', 42, '0000-00-00 00:00:00', 0),
(30, 1, 'shovel.jpg_product', '', 'shovel', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo64.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:02:47', 42, '2013-08-24 02:15:18', 42, '0000-00-00 00:00:00', 0),
(31, 1, 'hammer.jpg_product', '', 'hammer', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo73.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:03:09', 42, '2013-09-16 02:43:47', 42, '0000-00-00 00:00:00', 0),
(32, 1, 'hand_saw.jpg_product', '', 'hand saw', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo33.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:03:22', 42, '2013-08-23 07:03:22', 42, '0000-00-00 00:00:00', 0),
(33, 1, 'hand_shovel.jpg_product', '', 'hand shovel', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo1.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-23 07:03:34', 42, '2013-08-23 07:03:34', 42, '0000-00-00 00:00:00', 0),
(34, 1, 'ladder.jpg_product_product', '', 'ladder', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo8.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:11:41', 42, '2013-08-24 02:12:36', 42, '0000-00-00 00:00:00', 0),
(35, 1, 'ladder.jpg_product_product_product', '', 'ladder', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo2.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:12:23', 42, '2013-08-28 04:26:48', 42, '0000-00-00 00:00:00', 0),
(36, 1, 'ladder.jpg_product_product', '', 'ladder', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo17.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:13:12', 42, '2013-08-24 02:13:12', 42, '0000-00-00 00:00:00', 0),
(37, 1, 'no-photo86.png', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo86.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:13:42', 42, '2013-09-09 09:36:08', 42, '0000-00-00 00:00:00', 0),
(38, 1, 'ladder.jpg_product_product_product_product', '', 'ladder', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo67.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:14:04', 42, '2013-09-10 01:55:06', 42, '0000-00-00 00:00:00', 0),
(39, 1, 'no-photo4.png', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo4.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:14:32', 42, '2013-08-29 07:03:36', 42, '0000-00-00 00:00:00', 0),
(40, 1, 'shovel.jpg_product_product', '', 'shovel', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo78.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:14:50', 42, '2013-08-24 02:14:50', 42, '0000-00-00 00:00:00', 0),
(41, 1, 'shovel.jpg_product_product', '', 'shovel', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo736.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:15:12', 42, '2013-08-24 02:15:12', 42, '0000-00-00 00:00:00', 0),
(42, 1, 'no-photo4.png_product', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo77.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:22:07', 42, '2013-08-24 02:22:07', 42, '0000-00-00 00:00:00', 0),
(43, 1, 'no-photo4.png_product', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo68.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:22:14', 42, '2013-08-24 02:22:14', 42, '0000-00-00 00:00:00', 0),
(44, 1, 'no-photo4.png_product', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/category-3.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:22:22', 42, '2013-08-24 02:22:22', 42, '0000-00-00 00:00:00', 0),
(45, 1, 'chain_saw.jpg_product_product', '', 'chain saw', 'image/png', 'product', 'images/stories/virtuemart/product/category-1.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:45:05', 42, '2013-08-24 02:45:05', 42, '0000-00-00 00:00:00', 0),
(46, 1, 'chain_saw.jpg_product_product_product_product_product', '', 'chain saw', 'image/png', 'product', 'images/stories/virtuemart/product/category-2.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:45:18', 42, '2013-09-10 09:52:35', 42, '0000-00-00 00:00:00', 0),
(47, 1, 'chain_saw.jpg_product_product', '', 'chain saw', 'image/png', 'product', 'images/stories/virtuemart/product/category-34.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 02:45:26', 42, '2013-08-24 02:45:26', 42, '0000-00-00 00:00:00', 0),
(48, 1, 'chain_saw.jpg_product_product', '', 'chain saw', 'image/png', 'product', 'images/stories/virtuemart/product/no-photo66.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-24 04:24:29', 42, '2013-08-24 04:24:29', 42, '0000-00-00 00:00:00', 0),
(49, 1, 'no-photo4.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_front-106478.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-08-29 07:40:59', 42, '2013-08-29 07:40:59', 42, '0000-00-00 00:00:00', 0),
(50, 1, 'no-photo4.png_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_top-106478.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-08-29 07:41:24', 42, '2013-08-29 07:41:24', 42, '0000-00-00 00:00:00', 0),
(51, 1, 'no-photo4.png_product_product_product_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_back-106478.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-08-29 07:41:33', 42, '2013-09-10 04:25:23', 42, '0000-00-00 00:00:00', 0),
(52, 1, 'no-photo4.png_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_front-106478.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-08-29 07:41:50', 42, '2013-08-29 07:41:50', 42, '0000-00-00 00:00:00', 0),
(53, 1, 'no-photo4.png_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_back-1064786.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-08-29 08:05:19', 42, '2013-08-29 08:05:19', 42, '0000-00-00 00:00:00', 0),
(54, 1, 'power_outdoor_tool.jpg_category', '', 'Power outdoor tool', 'image/png', 'category', 'images/stories/virtuemart/category/10.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:03:46', 42, '2013-08-30 03:03:46', 42, '0000-00-00 00:00:00', 0),
(55, 1, 'power_outdoor_tool.jpg_category_category', '', 'Power outdoor tool', 'image/png', 'category', 'images/stories/virtuemart/category/brand1.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:04:20', 42, '2013-09-13 03:27:02', 42, '0000-00-00 00:00:00', 0),
(56, 1, 'power_indoor_tool.jpg_category', '', 'power indoor tool', 'image/png', 'category', 'images/stories/virtuemart/category/brand6.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:04:45', 42, '2013-08-30 03:04:49', 42, '0000-00-00 00:00:00', 0),
(57, 1, 'Digital Cameras_category_category_category_category', '', 'Digital Cameras', 'image/png', 'category', 'images/stories/virtuemart/category/brand2.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:05:05', 42, '2013-08-30 03:05:05', 42, '0000-00-00 00:00:00', 0),
(58, 1, 'hand_tools.jpg_category_category_category', '', 'hand toolsLenses', 'image/png', 'category', 'images/stories/virtuemart/category/brand3.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:05:16', 42, '2013-08-30 03:05:16', 42, '0000-00-00 00:00:00', 0),
(59, 1, 'brand5.png', '', '', 'image/png', 'category', 'images/stories/virtuemart/category/brand5.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:05:36', 42, '2013-09-13 03:25:08', 42, '0000-00-00 00:00:00', 0),
(60, 1, 'garden_tools.jpg_category_category_category', '', 'garden tools', 'image/png', 'category', 'images/stories/virtuemart/category/brand4.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:05:49', 42, '2013-08-30 03:05:49', 42, '0000-00-00 00:00:00', 0),
(61, 1, 'garden_tools.jpg_category_category_category_category', '', 'garden tools', 'image/png', 'category', 'images/stories/virtuemart/category/brand41.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:07:27', 42, '2013-09-13 03:26:17', 42, '0000-00-00 00:00:00', 0),
(62, 1, 'hand_tools.jpg_category_category_category_category', '', 'hand toolsLenses', 'image/png', 'category', 'images/stories/virtuemart/category/brand35.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:07:47', 42, '2013-09-13 03:26:33', 42, '0000-00-00 00:00:00', 0),
(63, 1, 'Digital Cameras_category_category_category_category_category', '', 'Digital Cameras', 'image/png', 'category', 'images/stories/virtuemart/category/brand25.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:07:57', 42, '2013-09-13 03:26:06', 42, '0000-00-00 00:00:00', 0),
(64, 1, 'power_indoor_tool.jpg_category_category', '', 'power indoor tool', 'image/png', 'category', 'images/stories/virtuemart/category/brand61.png', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:08:08', 42, '2013-09-13 03:26:51', 42, '0000-00-00 00:00:00', 0),
(65, 1, 'hammer.jpg_product_product', '', 'hammer', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_front-1064781.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-08-30 03:27:28', 42, '2013-08-30 03:27:28', 42, '0000-00-00 00:00:00', 0),
(66, 1, 'circular_saw.jpg_product_product_product_product', '', 'circular saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_front-1064789.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:03:56', 42, '2013-09-18 07:04:41', 42, '0000-00-00 00:00:00', 0),
(67, 1, 'circular_saw.jpg_product_product', '', 'circular saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_front-1064782.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:04:05', 42, '2013-09-09 08:04:05', 42, '0000-00-00 00:00:00', 0),
(68, 1, 'no-photo4.png_product_product_product_product_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_front-1064785.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:07:12', 42, '2013-09-09 08:07:12', 42, '0000-00-00 00:00:00', 0),
(69, 1, 'no-photo4.png_product_product_product_product_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_front-10647824.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:07:30', 42, '2013-09-09 08:07:30', 42, '0000-00-00 00:00:00', 0),
(70, 1, 'no-photo4.png_product_product_product_product_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/5858910526_964495eb91_o.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:32:12', 42, '2013-09-09 08:32:12', 42, '0000-00-00 00:00:00', 0),
(71, 1, 'no-photo4.png_product_product_product_product_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_top-1064786.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:33:02', 42, '2013-09-09 08:33:02', 42, '0000-00-00 00:00:00', 0),
(72, 1, 'no-photo86.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_front-10647894.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:43:59', 42, '2013-09-09 08:43:59', 42, '0000-00-00 00:00:00', 0),
(73, 1, 'no-photo86.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_front-1064787.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:44:14', 42, '2013-09-09 08:44:14', 42, '0000-00-00 00:00:00', 0),
(74, 1, 'no-photo86.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_red_back-1064782.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 08:44:27', 42, '2013-09-09 08:44:27', 42, '0000-00-00 00:00:00', 0),
(75, 1, 'no-photo4.png_product_product_product_product_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_top-1064782.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-09 09:36:28', 42, '2013-09-09 09:36:28', 42, '0000-00-00 00:00:00', 0),
(76, 1, 'ladder.jpg_product_product_product_product_product_product_product', '', 'ladder', 'image/png', 'product', 'images/stories/virtuemart/product/v1.png', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:17:25', 42, '2013-09-18 06:45:22', 42, '0000-00-00 00:00:00', 0),
(77, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/v2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:18:09', 42, '2013-09-13 09:18:09', 42, '0000-00-00 00:00:00', 0),
(78, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/v3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:18:44', 42, '2013-09-13 09:18:44', 42, '0000-00-00 00:00:00', 0),
(79, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r1.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:19:18', 42, '2013-09-13 09:19:18', 42, '0000-00-00 00:00:00', 0),
(80, 1, 'hand_saw.jpg_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/v29.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:20:37', 42, '2013-09-20 01:57:22', 42, '0000-00-00 00:00:00', 0),
(81, 1, 'hand_saw.jpg_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/v36.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:20:55', 42, '2013-09-13 09:20:55', 42, '0000-00-00 00:00:00', 0),
(82, 1, 'hand_saw.jpg_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r19.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:21:29', 42, '2013-09-13 09:21:29', 42, '0000-00-00 00:00:00', 0),
(83, 1, 'hand_saw.jpg_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:21:53', 42, '2013-09-13 09:21:53', 42, '0000-00-00 00:00:00', 0),
(84, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/v38.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:23:41', 42, '2013-09-18 06:46:28', 42, '0000-00-00 00:00:00', 0),
(85, 1, 'ladder.jpg_product_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r15.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:25:13', 42, '2013-09-13 09:25:13', 42, '0000-00-00 00:00:00', 0),
(86, 1, 'ladder.jpg_product_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r29.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:25:52', 42, '2013-09-13 09:25:52', 42, '0000-00-00 00:00:00', 0),
(87, 1, 'ladder.jpg_product_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:28:01', 42, '2013-09-13 09:28:01', 42, '0000-00-00 00:00:00', 0),
(88, 1, 'ladder.jpg_product_product_product_product_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r27.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:28:41', 42, '2013-09-18 06:50:20', 42, '0000-00-00 00:00:00', 0),
(89, 1, 'ladder.jpg_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r32.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:28:59', 42, '2013-09-13 09:28:59', 42, '0000-00-00 00:00:00', 0),
(90, 1, 'ladder.jpg_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r5.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:29:20', 42, '2013-09-13 09:29:20', 42, '0000-00-00 00:00:00', 0),
(91, 1, 'ladder.jpg_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r4.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:29:38', 42, '2013-09-13 09:29:38', 42, '0000-00-00 00:00:00', 0),
(92, 1, 'ladder.jpg_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r38.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:30:39', 42, '2013-09-18 06:44:08', 42, '0000-00-00 00:00:00', 0),
(93, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r47.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:31:12', 42, '2013-09-13 09:31:12', 42, '0000-00-00 00:00:00', 0),
(94, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r57.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:31:31', 42, '2013-09-13 09:31:31', 42, '0000-00-00 00:00:00', 0),
(95, 1, 'ladder.jpg_product_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:32:07', 42, '2013-09-13 09:32:07', 42, '0000-00-00 00:00:00', 0),
(96, 1, 'shovel.jpg_product_product_product_product', '', 'shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r44.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:32:59', 42, '2013-09-18 06:44:33', 42, '0000-00-00 00:00:00', 0),
(97, 1, 'shovel.jpg_product_product_product_product_product', '', 'shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r59.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:33:19', 42, '2013-09-13 09:33:19', 42, '0000-00-00 00:00:00', 0),
(98, 1, 'shovel.jpg_product_product_product_product_product', '', 'shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r56.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:35:17', 42, '2013-09-13 09:35:17', 42, '0000-00-00 00:00:00', 0),
(99, 1, 'shovel.jpg_product_product_product_product_product', '', 'shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r7.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:35:56', 42, '2013-09-13 09:35:56', 42, '0000-00-00 00:00:00', 0),
(100, 1, 'hand_shovel.jpg_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r78.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:36:57', 42, '2013-09-13 09:36:57', 42, '0000-00-00 00:00:00', 0),
(101, 1, 'hand_shovel.jpg_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r43.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:37:31', 42, '2013-09-13 09:37:31', 42, '0000-00-00 00:00:00', 0),
(102, 1, 'hand_shovel.jpg_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r64.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:38:09', 42, '2013-09-13 09:38:09', 42, '0000-00-00 00:00:00', 0),
(103, 1, 'hand_shovel.jpg_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r36.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:38:47', 42, '2013-09-13 09:38:47', 42, '0000-00-00 00:00:00', 0),
(104, 1, 'no-photo86.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r62.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:39:51', 42, '2013-09-13 09:39:51', 42, '0000-00-00 00:00:00', 0),
(105, 1, 'no-photo86.png_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r599.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:40:20', 42, '2013-09-13 09:40:20', 42, '0000-00-00 00:00:00', 0),
(106, 1, 'no-photo86.png_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r42.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:40:45', 42, '2013-09-13 09:40:45', 42, '0000-00-00 00:00:00', 0),
(107, 1, 'no-photo86.png_product_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r34.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:41:23', 42, '2013-09-13 09:41:23', 42, '0000-00-00 00:00:00', 0),
(108, 1, 'r574.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r574.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:42:35', 42, '2013-09-13 09:42:35', 42, '0000-00-00 00:00:00', 0),
(109, 1, 'r574.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r79.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:43:13', 42, '2013-09-13 09:43:13', 42, '0000-00-00 00:00:00', 0),
(110, 1, 'r574.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r63.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:43:37', 42, '2013-09-13 09:43:37', 42, '0000-00-00 00:00:00', 0),
(111, 1, 'r574.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r11.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:44:04', 42, '2013-09-13 09:44:04', 42, '0000-00-00 00:00:00', 0),
(112, 1, 'r435.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r435.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:45:45', 42, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0),
(113, 1, 'r435.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r33.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:46:23', 42, '2013-09-13 09:46:23', 42, '0000-00-00 00:00:00', 0),
(114, 1, 'r435.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r68.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:48:01', 42, '2013-09-13 09:48:01', 42, '0000-00-00 00:00:00', 0),
(115, 1, 'r435.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/r12.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 09:48:37', 42, '2013-09-13 09:48:37', 42, '0000-00-00 00:00:00', 0),
(116, 1, 'x1.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x1.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 15:56:54', 42, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0),
(117, 1, 'x1.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 15:57:32', 42, '2013-09-13 15:57:32', 42, '0000-00-00 00:00:00', 0),
(118, 1, 'x1.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 15:58:10', 42, '2013-09-13 15:58:10', 42, '0000-00-00 00:00:00', 0),
(119, 1, 'x1.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:00:09', 42, '2013-09-13 16:00:09', 42, '0000-00-00 00:00:00', 0),
(120, 1, 'x26.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x26.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:04:20', 42, '2013-09-13 16:04:20', 42, '0000-00-00 00:00:00', 0),
(121, 1, 'x26.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x34.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:04:37', 42, '2013-09-13 16:04:37', 42, '0000-00-00 00:00:00', 0),
(122, 1, 'x26.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x4.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:04:52', 42, '2013-09-13 16:04:52', 42, '0000-00-00 00:00:00', 0),
(123, 1, 'x26.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x10.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:05:10', 42, '2013-09-13 16:05:10', 42, '0000-00-00 00:00:00', 0),
(124, 1, 'x31.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x31.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:06:55', 42, '2013-09-13 16:06:55', 42, '0000-00-00 00:00:00', 0),
(125, 1, 'x31.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x47.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:07:14', 42, '2013-09-13 16:07:14', 42, '0000-00-00 00:00:00', 0),
(126, 1, 'x31.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x101.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:07:33', 42, '2013-09-13 16:07:33', 42, '0000-00-00 00:00:00', 0),
(127, 1, 'x31.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x8.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:08:48', 42, '2013-09-13 16:08:48', 42, '0000-00-00 00:00:00', 0),
(128, 1, 'x49.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x49.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:10:20', 42, '2013-09-13 16:10:20', 42, '0000-00-00 00:00:00', 0),
(129, 1, 'x49.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x103.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:10:56', 42, '2013-09-13 16:10:56', 42, '0000-00-00 00:00:00', 0),
(130, 1, 'x49.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x1019.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:11:50', 42, '2013-09-13 16:11:50', 42, '0000-00-00 00:00:00', 0),
(131, 1, 'x49.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x7.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:13:15', 42, '2013-09-13 16:13:15', 42, '0000-00-00 00:00:00', 0),
(132, 1, 'x5.jpeg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x5.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:15:11', 42, '2013-09-13 16:15:11', 42, '0000-00-00 00:00:00', 0),
(133, 1, 'x5.jpeg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x102.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:15:31', 42, '2013-09-13 16:15:31', 42, '0000-00-00 00:00:00', 0),
(134, 1, 'x52.jpeg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x52.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:17:12', 42, '2013-09-13 16:17:12', 42, '0000-00-00 00:00:00', 0),
(135, 1, 'x63.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x63.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:18:42', 42, '2013-09-18 07:02:17', 42, '0000-00-00 00:00:00', 0),
(136, 1, 'x63.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x105.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:18:57', 42, '2013-09-13 16:18:57', 42, '0000-00-00 00:00:00', 0),
(137, 1, 'x63.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x9.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:19:11', 42, '2013-09-13 16:19:11', 42, '0000-00-00 00:00:00', 0),
(138, 1, 'x63.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x44.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:19:38', 42, '2013-09-13 16:19:38', 42, '0000-00-00 00:00:00', 0),
(139, 1, 'x71.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x71.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:21:14', 42, '2013-09-13 16:21:14', 42, '0000-00-00 00:00:00', 0),
(140, 1, 'x71.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x107.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:21:30', 42, '2013-09-13 16:21:30', 42, '0000-00-00 00:00:00', 0),
(141, 1, 'x71.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x89.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:21:43', 42, '2013-09-13 16:21:43', 42, '0000-00-00 00:00:00', 0),
(142, 1, 'x71.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x18.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:22:05', 42, '2013-09-13 16:22:05', 42, '0000-00-00 00:00:00', 0),
(143, 1, 'x87.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:23:31', 42, '2013-09-13 16:24:25', 42, '0000-00-00 00:00:00', 0),
(144, 1, 'x87.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x104.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:23:51', 42, '2013-09-13 16:23:51', 42, '0000-00-00 00:00:00', 0),
(145, 1, 'x87.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x16.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:25:41', 42, '2013-09-13 16:25:41', 42, '0000-00-00 00:00:00', 0),
(146, 1, 'x87.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x76.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:26:36', 42, '2013-09-13 16:26:36', 42, '0000-00-00 00:00:00', 0),
(147, 1, 'x91.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x91.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:28:19', 42, '2013-09-18 07:01:50', 42, '0000-00-00 00:00:00', 0),
(148, 1, 'x91.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x17.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:29:11', 42, '2013-09-13 16:29:11', 42, '0000-00-00 00:00:00', 0),
(149, 1, 'x91.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x64.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:29:28', 42, '2013-09-13 16:29:28', 42, '0000-00-00 00:00:00', 0),
(150, 1, 'x91.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x74.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:29:56', 42, '2013-09-13 16:29:56', 42, '0000-00-00 00:00:00', 0),
(151, 1, 'x1052.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x1052.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:31:44', 42, '2013-09-18 07:01:40', 42, '0000-00-00 00:00:00', 0),
(152, 1, 'x1052.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x444.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:32:27', 42, '2013-09-13 16:32:27', 42, '0000-00-00 00:00:00', 0),
(153, 1, 'x1052.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x22.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:32:57', 42, '2013-09-13 16:32:57', 42, '0000-00-00 00:00:00', 0),
(154, 1, 'x1052.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x25.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-13 16:33:38', 42, '2013-09-13 16:33:38', 42, '0000-00-00 00:00:00', 0),
(155, 1, 'x12.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x12.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-15 16:33:36', 42, '2013-09-18 07:01:27', 42, '0000-00-00 00:00:00', 0),
(156, 1, 'x12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x67.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-15 16:34:27', 42, '2013-09-15 16:34:27', 42, '0000-00-00 00:00:00', 0),
(157, 1, 'x12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x62.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-15 16:35:11', 42, '2013-09-15 16:35:11', 42, '0000-00-00 00:00:00', 0),
(158, 1, 'x12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x43.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-15 16:36:28', 42, '2013-09-15 16:36:28', 42, '0000-00-00 00:00:00', 0),
(159, 1, 'x12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/x77.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-15 16:36:53', 42, '2013-09-15 16:36:53', 42, '0000-00-00 00:00:00', 0),
(160, 1, 'x12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/v8.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-15 16:37:46', 42, '2013-09-15 16:37:46', 42, '0000-00-00 00:00:00', 0),
(161, 1, 'hammer.jpg', '', 'hammer', 'image/jpeg', 'manufacturer', 'images/stories/virtuemart/manufacturer/dsc_0210.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 04:47:46', 42, '2013-09-17 04:47:46', 42, '0000-00-00 00:00:00', 0),
(162, 1, 'hammer.jpg_manufacturer', '', 'hammer', 'image/png', 'manufacturer', 'images/stories/virtuemart/manufacturer/brand1.png', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 04:50:44', 42, '2013-09-17 04:52:40', 42, '0000-00-00 00:00:00', 0),
(163, 1, 'canon2_mini1.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/cannon3.jpg', 'images/stories/virtuemart/product/resized/canon2_mini1_300x190.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-17 07:50:32', 42, '2013-09-17 07:55:50', 42, '0000-00-00 00:00:00', 0),
(164, 1, 'canon2_mini1.jpg_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/canon-eos-100d-product-image-10.jpg', 'images/stories/virtuemart/product/resized/canon-eos-100d-product-image-10_300x190.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-17 07:51:31', 42, '2013-09-18 07:01:16', 42, '0000-00-00 00:00:00', 0),
(165, 1, 'canon2_mini1.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/cannon6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 07:51:49', 42, '2013-09-17 07:51:49', 42, '0000-00-00 00:00:00', 0),
(166, 1, 'canon2_mini1.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/cannon7.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 07:52:08', 42, '2013-09-17 07:52:08', 42, '0000-00-00 00:00:00', 0),
(167, 1, 'canon2_mini1.jpg_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/cannon31.jpg', 'images/stories/virtuemart/product/resized/cannon31_300x190.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-17 07:56:00', 42, '2013-09-17 07:56:11', 42, '0000-00-00 00:00:00', 0),
(168, 1, 'pentax1.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax1.jpg', 'images/stories/virtuemart/product/resized/pentax2.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:18:46', 42, '2013-09-17 08:22:27', 42, '0000-00-00 00:00:00', 0),
(169, 1, 'pentax1.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax11.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:22:10', 42, '2013-10-04 03:06:43', 42, '0000-00-00 00:00:00', 0),
(170, 1, 'pentax1.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax19.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:23:00', 42, '2013-09-17 08:23:00', 42, '0000-00-00 00:00:00', 0),
(171, 1, 'pentax1.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax20.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:23:45', 42, '2013-09-17 08:23:45', 42, '0000-00-00 00:00:00', 0),
(172, 1, 'pentax1.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/penta18.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:23:55', 42, '2013-09-17 08:23:55', 42, '0000-00-00 00:00:00', 0),
(173, 1, 'pentax12.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax12.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:32:35', 42, '2013-09-18 07:07:34', 42, '0000-00-00 00:00:00', 0),
(174, 1, 'pentax12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:33:11', 42, '2013-09-17 08:33:11', 42, '0000-00-00 00:00:00', 0),
(175, 1, 'pentax12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax4.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:33:32', 42, '2013-09-17 08:33:32', 42, '0000-00-00 00:00:00', 0),
(176, 1, 'pentax12.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax13.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:33:58', 42, '2013-09-17 08:33:58', 42, '0000-00-00 00:00:00', 0),
(177, 1, 'pentax3.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:38:46', 42, '2013-09-18 07:07:46', 42, '0000-00-00 00:00:00', 0),
(178, 1, 'pentax3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax9.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:39:18', 42, '2013-09-17 08:39:18', 42, '0000-00-00 00:00:00', 0),
(179, 1, 'pentax3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/penta182.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:39:33', 42, '2013-09-17 08:39:33', 42, '0000-00-00 00:00:00', 0),
(180, 1, 'pentax3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax123.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:39:59', 42, '2013-09-17 08:39:59', 42, '0000-00-00 00:00:00', 0),
(181, 1, 'pentax122.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax122.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:44:53', 42, '2013-09-18 07:07:58', 42, '0000-00-00 00:00:00', 0),
(182, 1, 'pentax122.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax5.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:45:20', 42, '2013-09-17 08:45:20', 42, '0000-00-00 00:00:00', 0),
(183, 1, 'pentax122.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax14.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:45:50', 42, '2013-09-17 08:45:50', 42, '0000-00-00 00:00:00', 0),
(184, 1, 'pentax122.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax195.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:46:23', 42, '2013-09-17 08:46:23', 42, '0000-00-00 00:00:00', 0),
(185, 1, 'pentax15.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax15.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:50:26', 42, '2013-09-17 08:50:44', 42, '0000-00-00 00:00:00', 0),
(186, 1, 'pentax15.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/penta181.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:51:03', 42, '2013-09-17 08:51:03', 42, '0000-00-00 00:00:00', 0),
(187, 1, 'pentax15.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax113.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:51:29', 42, '2013-09-17 08:51:29', 42, '0000-00-00 00:00:00', 0),
(188, 1, 'pentax15.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax137.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 08:51:53', 42, '2013-09-17 08:51:53', 42, '0000-00-00 00:00:00', 0),
(189, 1, 'pentax16.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax16.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:02:08', 42, '2013-09-17 09:02:08', 42, '0000-00-00 00:00:00', 0),
(190, 1, 'pentax16.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax193.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:02:41', 42, '2013-09-17 09:02:41', 42, '0000-00-00 00:00:00', 0),
(191, 1, 'pentax16.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/penta187.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:03:09', 42, '2013-09-17 09:03:09', 42, '0000-00-00 00:00:00', 0),
(192, 1, 'pentax16.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax18.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:03:50', 42, '2013-09-17 09:03:50', 42, '0000-00-00 00:00:00', 0),
(193, 1, 'pentax22.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax22.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:11:38', 42, '2013-09-18 06:52:20', 42, '0000-00-00 00:00:00', 0),
(194, 1, 'pentax22.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax153.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:13:24', 42, '2013-09-17 09:13:24', 42, '0000-00-00 00:00:00', 0),
(195, 1, 'pentax22.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax1376.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:14:02', 42, '2013-09-17 09:14:02', 42, '0000-00-00 00:00:00', 0),
(196, 1, 'pentax22.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/penta186.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:14:29', 42, '2013-09-17 09:14:29', 42, '0000-00-00 00:00:00', 0),
(197, 1, 'pentax25.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax25.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:23:44', 42, '2013-09-18 06:52:47', 42, '0000-00-00 00:00:00', 0),
(198, 1, 'pentax25.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax112.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:24:22', 42, '2013-09-17 09:24:22', 42, '0000-00-00 00:00:00', 0),
(199, 1, 'pentax25.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax181.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:24:57', 42, '2013-09-17 09:24:57', 42, '0000-00-00 00:00:00', 0),
(200, 1, 'pentax25.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax258.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:25:27', 42, '2013-09-17 09:25:27', 42, '0000-00-00 00:00:00', 0),
(201, 1, 'pentax28.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax28.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:28:48', 42, '2013-09-18 07:07:15', 42, '0000-00-00 00:00:00', 0),
(202, 1, 'pentax28.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax145.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:29:17', 42, '2013-09-17 09:29:17', 42, '0000-00-00 00:00:00', 0),
(203, 1, 'pentax28.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax8.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:29:54', 42, '2013-09-17 09:29:54', 42, '0000-00-00 00:00:00', 0),
(204, 1, 'pentax28.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax126.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:30:21', 42, '2013-09-17 09:30:21', 42, '0000-00-00 00:00:00', 0),
(205, 1, 'pentax23.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax23.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:35:40', 42, '2013-09-18 07:07:06', 42, '0000-00-00 00:00:00', 0),
(206, 1, 'pentax23.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax164.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:36:36', 42, '2013-09-17 09:36:36', 42, '0000-00-00 00:00:00', 0),
(207, 1, 'pentax23.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax24.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:36:59', 42, '2013-09-17 09:36:59', 42, '0000-00-00 00:00:00', 0),
(208, 1, 'pentax23.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax29.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:38:00', 42, '2013-09-17 09:38:00', 42, '0000-00-00 00:00:00', 0),
(209, 1, 'pentax30.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax30.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:41:52', 42, '2013-09-18 07:06:56', 42, '0000-00-00 00:00:00', 0),
(210, 1, 'pentax30.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax226.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:42:28', 42, '2013-09-17 09:42:28', 42, '0000-00-00 00:00:00', 0),
(211, 1, 'pentax30.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax27.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:42:57', 42, '2013-09-17 09:42:57', 42, '0000-00-00 00:00:00', 0);
INSERT INTO `#__virtuemart_medias` (`virtuemart_media_id`, `virtuemart_vendor_id`, `file_title`, `file_description`, `file_meta`, `file_mimetype`, `file_type`, `file_url`, `file_url_thumb`, `file_is_product_image`, `file_is_downloadable`, `file_is_forSale`, `file_params`, `file_lang`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(212, 1, 'pentax30.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/pentax6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:43:39', 42, '2013-09-17 09:43:39', 42, '0000-00-00 00:00:00', 0),
(213, 1, 'circular_saw.jpg_product_product', '', 'circular saw', 'image/png', 'product', 'images/stories/virtuemart/product/nikkon1.png', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:46:48', 42, '2013-09-17 09:46:48', 42, '0000-00-00 00:00:00', 0),
(214, 1, 'circular_saw.jpg_product_product_product_product_product', '', 'circular saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon1.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 09:48:01', 42, '2013-09-17 09:48:01', 42, '0000-00-00 00:00:00', 0),
(215, 1, 'nikkon17.png', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/nikkon17.png', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 10:51:47', 42, '2013-09-18 01:26:43', 42, '0000-00-00 00:00:00', 0),
(216, 1, 'nikkon17.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon4.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 10:52:14', 42, '2013-09-17 10:52:14', 42, '0000-00-00 00:00:00', 0),
(217, 1, 'nikkon17.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 10:52:44', 42, '2013-09-17 10:52:44', 42, '0000-00-00 00:00:00', 0),
(218, 1, 'nikkon17.png_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon14.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 10:53:10', 42, '2013-09-18 07:04:30', 42, '0000-00-00 00:00:00', 0),
(219, 1, 'nikkon17.png_product_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon21.jpg', 'images/stories/virtuemart/product/resized/nikon21_300x190.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-17 10:53:45', 42, '2013-09-18 01:27:19', 42, '0000-00-00 00:00:00', 0),
(220, 1, 'nikon5.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon5.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:00:03', 42, '2013-09-17 11:00:03', 42, '0000-00-00 00:00:00', 0),
(221, 1, 'nikon51.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon51.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:00:04', 42, '2013-09-18 07:03:59', 42, '0000-00-00 00:00:00', 0),
(222, 1, 'nikon51.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:00:29', 42, '2013-09-17 11:00:29', 42, '0000-00-00 00:00:00', 0),
(223, 1, 'nikon51.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon11.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:00:47', 42, '2013-09-17 11:00:47', 42, '0000-00-00 00:00:00', 0),
(224, 1, 'nikon51.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon10.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:01:06', 42, '2013-09-17 11:01:06', 42, '0000-00-00 00:00:00', 0),
(225, 1, 'nikon5.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon24.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:02:41', 42, '2013-09-18 07:04:21', 42, '0000-00-00 00:00:00', 0),
(226, 1, 'nikon5.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon13.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:03:24', 42, '2013-09-17 11:03:24', 42, '0000-00-00 00:00:00', 0),
(227, 1, 'nikon5.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon19.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:04:43', 42, '2013-09-17 11:04:43', 42, '0000-00-00 00:00:00', 0),
(228, 1, 'nikon5.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon32.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:05:57', 42, '2013-09-17 11:05:57', 42, '0000-00-00 00:00:00', 0),
(229, 1, 'nikon5.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon45.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:06:34', 42, '2013-09-17 11:06:34', 42, '0000-00-00 00:00:00', 0),
(230, 1, 'nikon5.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon8.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:07:11', 42, '2013-09-17 11:07:11', 42, '0000-00-00 00:00:00', 0),
(231, 1, 'nikon106.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon106.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:10:53', 42, '2013-09-17 11:16:09', 42, '0000-00-00 00:00:00', 0),
(232, 1, 'nikon106.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon135.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:11:22', 42, '2013-09-17 11:11:22', 42, '0000-00-00 00:00:00', 0),
(233, 1, 'nikon106.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon25.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:12:04', 42, '2013-09-17 11:12:04', 42, '0000-00-00 00:00:00', 0),
(234, 1, 'nikon106.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon67.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:12:31', 42, '2013-09-17 11:12:31', 42, '0000-00-00 00:00:00', 0),
(235, 1, 'nikon254.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon254.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:16:02', 42, '2013-09-18 07:03:40', 42, '0000-00-00 00:00:00', 0),
(236, 1, 'nikon254.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon23.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:16:46', 42, '2013-09-17 11:16:46', 42, '0000-00-00 00:00:00', 0),
(237, 1, 'nikon254.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon147.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:17:13', 42, '2013-09-17 11:17:13', 42, '0000-00-00 00:00:00', 0),
(238, 1, 'nikon254.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon17.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-17 11:19:51', 42, '2013-09-17 11:19:51', 42, '0000-00-00 00:00:00', 0),
(239, 1, 'nikon138.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon138.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:30:33', 42, '2013-09-18 07:03:31', 42, '0000-00-00 00:00:00', 0),
(240, 1, 'nikon138.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon18.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:30:56', 42, '2013-09-18 01:30:56', 42, '0000-00-00 00:00:00', 0),
(241, 1, 'nikon138.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon62.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:31:07', 42, '2013-09-18 01:31:07', 42, '0000-00-00 00:00:00', 0),
(242, 1, 'nikon138.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon133.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:31:17', 42, '2013-09-18 01:31:17', 42, '0000-00-00 00:00:00', 0),
(243, 1, 'nikon66.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon66.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:35:53', 42, '2013-09-18 07:03:21', 42, '0000-00-00 00:00:00', 0),
(244, 1, 'nikon66.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon7.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:36:10', 42, '2013-09-18 01:36:10', 42, '0000-00-00 00:00:00', 0),
(245, 1, 'nikon66.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon115.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:36:20', 42, '2013-09-18 01:36:20', 42, '0000-00-00 00:00:00', 0),
(246, 1, 'nikon66.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon56.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:36:32', 42, '2013-09-18 01:36:32', 42, '0000-00-00 00:00:00', 0),
(247, 1, 'nikkon17.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon242.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 01:47:16', 42, '2013-09-18 01:47:16', 42, '0000-00-00 00:00:00', 0),
(248, 1, 'nikon28.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon28.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:03:44', 42, '2013-09-18 02:03:44', 42, '0000-00-00 00:00:00', 0),
(249, 1, 'nikon28.jpg_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon12.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:04:09', 42, '2013-09-18 02:05:24', 42, '0000-00-00 00:00:00', 0),
(250, 1, 'nikon28.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon213.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:04:26', 42, '2013-09-18 02:04:26', 42, '0000-00-00 00:00:00', 0),
(251, 1, 'nikon28.jpg_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon185.jpg', 'images/stories/virtuemart/product/resized/nikon185_300x190.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:04:34', 42, '2013-09-18 07:03:10', 42, '0000-00-00 00:00:00', 0),
(252, 1, 'nikon139.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon139.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:10:02', 42, '2013-09-18 07:03:01', 42, '0000-00-00 00:00:00', 0),
(253, 1, 'nikon139.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon20.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:10:18', 42, '2013-09-18 02:10:18', 42, '0000-00-00 00:00:00', 0),
(254, 1, 'nikon139.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon26.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:10:42', 42, '2013-09-18 02:10:42', 42, '0000-00-00 00:00:00', 0),
(255, 1, 'nikon139.jpg_product_product_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon191.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:11:15', 42, '2013-09-18 02:11:15', 42, '0000-00-00 00:00:00', 0),
(256, 1, 'nikon139.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon137.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:11:27', 42, '2013-09-18 02:11:27', 42, '0000-00-00 00:00:00', 0),
(257, 1, 'nikon139.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon231.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:11:43', 42, '2013-09-18 02:11:43', 42, '0000-00-00 00:00:00', 0),
(258, 1, 'hand_saw.jpg_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/1.jpg', 'images/stories/virtuemart/product/resized/p1.jpg', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:43:58', 42, '2013-09-18 02:47:57', 42, '0000-00-00 00:00:00', 0),
(259, 1, 'hand_saw.jpg_product_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/lumix-body.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:44:20', 42, '2013-09-18 02:44:20', 42, '0000-00-00 00:00:00', 0),
(260, 1, 'hand_saw.jpg_product_product_product_product_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p1.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:48:12', 42, '2013-09-18 09:51:28', 42, '0000-00-00 00:00:00', 0),
(261, 1, 'hand_saw.jpg_product_product_product_product_product_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p12.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:48:24', 42, '2013-09-18 02:48:24', 42, '0000-00-00 00:00:00', 0),
(262, 1, 'hand_saw.jpg_product_product_product_product_product_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p13.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:48:40', 42, '2013-09-18 02:48:40', 42, '0000-00-00 00:00:00', 0),
(263, 1, 'hand_saw.jpg_product_product_product_product_product_product_product_product', '', 'hand saw', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p7.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:48:52', 42, '2013-09-18 02:48:52', 42, '0000-00-00 00:00:00', 0),
(264, 1, 'hammer.jpg_product_product_product', '', 'hammer', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:50:32', 42, '2013-09-18 07:06:41', 42, '0000-00-00 00:00:00', 0),
(265, 1, 'hammer.jpg_product_product_product_product', '', 'hammer', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p15.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:50:47', 42, '2013-09-18 02:50:47', 42, '0000-00-00 00:00:00', 0),
(266, 1, 'hammer.jpg_product_product_product_product', '', 'hammer', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p10.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:50:59', 42, '2013-09-18 02:50:59', 42, '0000-00-00 00:00:00', 0),
(267, 1, 'hammer.jpg_product_product_product_product', '', 'hammer', 'image/png', 'product', 'images/stories/virtuemart/product/p11.png', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:51:10', 42, '2013-09-18 02:51:10', 42, '0000-00-00 00:00:00', 0),
(268, 1, 'hand_shovel.jpg_product_product_product_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p29.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:54:21', 42, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(269, 1, 'hand_shovel.jpg_product_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p8.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:54:42', 42, '2013-09-18 02:54:42', 42, '0000-00-00 00:00:00', 0),
(270, 1, 'hand_shovel.jpg_product_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p28.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:54:50', 42, '2013-09-18 02:54:50', 42, '0000-00-00 00:00:00', 0),
(271, 1, 'hand_shovel.jpg_product_product_product_product_product', '', 'hand shovel', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p20.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:55:04', 42, '2013-09-18 02:55:04', 42, '0000-00-00 00:00:00', 0),
(272, 1, 'p5.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p5.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:56:53', 42, '2013-09-18 07:05:58', 42, '0000-00-00 00:00:00', 0),
(273, 1, 'p5.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p17.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:57:16', 42, '2013-09-18 02:57:16', 42, '0000-00-00 00:00:00', 0),
(274, 1, 'p5.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p30.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:57:33', 42, '2013-09-18 02:57:33', 42, '0000-00-00 00:00:00', 0),
(275, 1, 'p5.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p18.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:57:42', 42, '2013-09-18 02:57:42', 42, '0000-00-00 00:00:00', 0),
(276, 1, 'p3.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 02:59:41', 42, '2013-09-18 07:05:47', 42, '0000-00-00 00:00:00', 0),
(277, 1, 'p3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p208.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:00:01', 42, '2013-09-18 03:00:01', 42, '0000-00-00 00:00:00', 0),
(278, 1, 'p3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:00:16', 42, '2013-09-18 03:00:16', 42, '0000-00-00 00:00:00', 0),
(279, 1, 'p3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p294.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:00:29', 42, '2013-09-18 03:00:29', 42, '0000-00-00 00:00:00', 0),
(280, 1, 'p123.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p123.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:03:07', 42, '2013-09-18 07:05:38', 42, '0000-00-00 00:00:00', 0),
(281, 1, 'p123.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p138.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:03:20', 42, '2013-09-18 03:03:20', 42, '0000-00-00 00:00:00', 0),
(282, 1, 'p123.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p27.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:03:30', 42, '2013-09-18 03:03:30', 42, '0000-00-00 00:00:00', 0),
(283, 1, 'p123.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p22.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:03:52', 42, '2013-09-18 03:03:52', 42, '0000-00-00 00:00:00', 0),
(284, 1, 'p116.png', '', '', 'image/png', 'product', 'images/stories/virtuemart/product/p116.png', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:06:46', 42, '2013-09-18 07:05:28', 42, '0000-00-00 00:00:00', 0),
(285, 1, 'p116.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p24.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:07:19', 42, '2013-09-18 03:07:19', 42, '0000-00-00 00:00:00', 0),
(286, 1, 'p116.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p25.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:07:32', 42, '2013-09-18 03:07:32', 42, '0000-00-00 00:00:00', 0),
(287, 1, 'p116.png_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p171.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:07:51', 42, '2013-09-18 03:07:51', 42, '0000-00-00 00:00:00', 0),
(288, 1, 'p4.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p4.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:09:50', 42, '2013-09-18 07:05:12', 42, '0000-00-00 00:00:00', 0),
(289, 1, 'p4.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p64.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:10:03', 42, '2013-09-18 03:10:03', 42, '0000-00-00 00:00:00', 0),
(290, 1, 'p4.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p9.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:10:13', 42, '2013-09-18 03:10:13', 42, '0000-00-00 00:00:00', 0),
(291, 1, 'p4.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p32.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:10:34', 42, '2013-09-18 03:10:34', 42, '0000-00-00 00:00:00', 0),
(292, 1, 'p88.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p88.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:12:25', 42, '2013-09-18 07:05:03', 42, '0000-00-00 00:00:00', 0),
(293, 1, 'p88.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p285.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:12:44', 42, '2013-09-18 03:12:44', 42, '0000-00-00 00:00:00', 0),
(294, 1, 'p88.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p298.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:13:12', 42, '2013-09-18 03:13:12', 42, '0000-00-00 00:00:00', 0),
(295, 1, 'p88.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p274.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:13:52', 42, '2013-09-18 03:13:52', 42, '0000-00-00 00:00:00', 0),
(296, 1, 'p107.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p107.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:16:07', 42, '2013-09-18 07:04:53', 42, '0000-00-00 00:00:00', 0),
(297, 1, 'p107.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p21.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:16:44', 42, '2013-09-18 03:16:44', 42, '0000-00-00 00:00:00', 0),
(298, 1, 'p107.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p254.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:18:08', 42, '2013-09-18 03:18:08', 42, '0000-00-00 00:00:00', 0),
(299, 1, 'p107.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/p16.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:19:14', 42, '2013-09-18 03:19:14', 42, '0000-00-00 00:00:00', 0),
(300, 1, 'f2.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f2.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:51:50', 42, '2013-10-01 03:56:29', 42, '0000-00-00 00:00:00', 0),
(301, 1, 'f2.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f18.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:52:28', 42, '2013-09-18 03:52:28', 42, '0000-00-00 00:00:00', 0),
(302, 1, 'f2.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f15.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:52:51', 42, '2013-09-18 03:52:51', 42, '0000-00-00 00:00:00', 0),
(303, 1, 'f2.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f11.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:53:31', 42, '2013-09-18 03:53:31', 42, '0000-00-00 00:00:00', 0),
(304, 1, 'f4.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f4.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:55:18', 42, '2013-09-23 09:51:35', 42, '0000-00-00 00:00:00', 0),
(305, 1, 'f4.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f5.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:55:55', 42, '2013-09-18 03:55:55', 42, '0000-00-00 00:00:00', 0),
(306, 1, 'f4.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f6.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:56:15', 42, '2013-09-18 03:56:15', 42, '0000-00-00 00:00:00', 0),
(307, 1, 'f4.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f22.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:56:53', 42, '2013-09-18 03:56:53', 42, '0000-00-00 00:00:00', 0),
(308, 1, 'f3.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f3.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 03:59:19', 42, '2013-09-18 07:00:22', 42, '0000-00-00 00:00:00', 0),
(309, 1, 'f3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f14.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:00:23', 42, '2013-09-18 04:00:23', 42, '0000-00-00 00:00:00', 0),
(310, 1, 'f3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f7.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:01:10', 42, '2013-09-18 04:01:10', 42, '0000-00-00 00:00:00', 0),
(311, 1, 'f3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f158.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:03:23', 42, '2013-09-18 04:03:23', 42, '0000-00-00 00:00:00', 0),
(312, 1, 'f3.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f19.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:03:56', 42, '2013-09-18 04:03:56', 42, '0000-00-00 00:00:00', 0),
(313, 1, 'f10.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f10.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:07:10', 42, '2013-09-18 07:00:01', 42, '0000-00-00 00:00:00', 0),
(314, 1, 'f10.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f74.jpeg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:07:27', 42, '2013-09-18 04:07:27', 42, '0000-00-00 00:00:00', 0),
(315, 1, 'f10.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f112.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:07:48', 42, '2013-09-18 04:07:48', 42, '0000-00-00 00:00:00', 0),
(316, 1, 'f10.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f21.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:08:26', 42, '2013-09-18 04:08:26', 42, '0000-00-00 00:00:00', 0),
(317, 1, 'f10.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f25.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:08:42', 42, '2013-09-18 04:08:42', 42, '0000-00-00 00:00:00', 0),
(318, 1, 'f24.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f24.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:12:07', 42, '2013-09-18 06:59:49', 42, '0000-00-00 00:00:00', 0),
(319, 1, 'f24.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f66.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:12:24', 42, '2013-09-18 04:12:24', 42, '0000-00-00 00:00:00', 0),
(320, 1, 'f24.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f225.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:12:44', 42, '2013-09-18 04:12:44', 42, '0000-00-00 00:00:00', 0),
(321, 1, 'f24.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f196.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:13:02', 42, '2013-09-18 04:13:02', 42, '0000-00-00 00:00:00', 0),
(322, 1, 'f20.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f20.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:14:50', 42, '2013-09-18 06:58:24', 42, '0000-00-00 00:00:00', 0),
(323, 1, 'f20.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f16.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:15:28', 42, '2013-09-18 04:15:28', 42, '0000-00-00 00:00:00', 0),
(324, 1, 'f20.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f29.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:15:55', 42, '2013-09-18 04:15:55', 42, '0000-00-00 00:00:00', 0),
(325, 1, 'f20.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f113.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:16:12', 42, '2013-09-18 04:16:12', 42, '0000-00-00 00:00:00', 0),
(326, 1, 'f64.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f64.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:18:05', 42, '2013-09-18 06:59:30', 42, '0000-00-00 00:00:00', 0),
(327, 1, 'f64.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f185.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:18:42', 42, '2013-09-18 04:18:42', 42, '0000-00-00 00:00:00', 0),
(328, 1, 'f64.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f13.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:19:03', 42, '2013-09-18 04:19:03', 42, '0000-00-00 00:00:00', 0),
(329, 1, 'f64.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f193.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:19:20', 42, '2013-09-18 04:19:20', 42, '0000-00-00 00:00:00', 0),
(330, 1, 'f216.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f216.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:21:28', 42, '2013-09-18 06:59:20', 42, '0000-00-00 00:00:00', 0),
(331, 1, 'f216.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f12.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:21:48', 42, '2013-09-18 04:21:48', 42, '0000-00-00 00:00:00', 0),
(332, 1, 'f216.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f68.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:22:26', 42, '2013-09-18 04:22:26', 42, '0000-00-00 00:00:00', 0),
(333, 1, 'f216.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f191.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:23:06', 42, '2013-09-18 04:23:06', 42, '0000-00-00 00:00:00', 0),
(334, 1, 'f145.jpg', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f145.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:25:05', 42, '2013-09-18 06:59:10', 42, '0000-00-00 00:00:00', 0),
(335, 1, 'f145.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f31.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:25:37', 42, '2013-09-18 04:25:37', 42, '0000-00-00 00:00:00', 0),
(336, 1, 'f145.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f151.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:26:14', 42, '2013-09-18 04:26:14', 42, '0000-00-00 00:00:00', 0),
(337, 1, 'f145.jpg_product', '', '', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f23.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:26:52', 42, '2013-09-18 04:26:52', 42, '0000-00-00 00:00:00', 0),
(338, 1, 'power_drill.jpg_product_product', '', 'power drill', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f8.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:28:00', 42, '2013-09-18 07:00:34', 42, '0000-00-00 00:00:00', 0),
(339, 1, 'power_drill.jpg_product_product_product', '', 'power drill', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f47.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:28:43', 42, '2013-09-18 04:28:43', 42, '0000-00-00 00:00:00', 0),
(340, 1, 'power_drill.jpg_product_product_product', '', 'power drill', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f161.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:29:21', 42, '2013-09-18 04:29:21', 42, '0000-00-00 00:00:00', 0),
(341, 1, 'power_drill.jpg_product_product_product', '', 'power drill', 'image/jpeg', 'product', 'images/stories/virtuemart/product/f181.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 04:30:17', 42, '2013-09-18 04:30:17', 42, '0000-00-00 00:00:00', 0),
(342, 1, 'ladder.jpg_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/nikon-l820-l820_blue_front-10647853.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 06:49:02', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(343, 1, 'ladder.jpg_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/19.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 06:49:17', 42, '2013-09-18 06:49:17', 42, '0000-00-00 00:00:00', 0),
(344, 1, 'ladder.jpg_product_product_product_product_product', '', 'ladder', 'image/jpeg', 'product', 'images/stories/virtuemart/product/cannon318.jpg', '', 0, 0, 0, '', '', 0, 1, '2013-09-18 06:49:37', 42, '2013-09-18 06:49:37', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_migration_oldtonew_ids`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_migration_oldtonew_ids` (
  `id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `cats` longblob,
  `catsxref` blob,
  `manus` longblob,
  `mfcats` blob,
  `shoppergroups` longblob,
  `products` longblob,
  `products_start` int(1) DEFAULT NULL,
  `orderstates` blob,
  `orders` longblob,
  `attributes` longblob,
  `relatedproducts` longblob,
  `orders_start` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='xref table for vm1 ids to vm2 ids' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_modules`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_modules` (
  `module_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `module_name` char(255) DEFAULT NULL,
  `module_description` varchar(21000) DEFAULT NULL,
  `module_perms` char(255) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `is_admin` enum('0','1') NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`module_id`),
  KEY `idx_module_name` (`module_name`),
  KEY `idx_module_ordering` (`ordering`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='VirtueMart Core Modules, not: Joomla modules' AUTO_INCREMENT=14 ;

INSERT INTO `#__virtuemart_modules` (`module_id`, `module_name`, `module_description`, `module_perms`, `published`, `is_admin`, `ordering`) VALUES
(1, 'product', 'Here you can administer your online catalog of products.  Categories , Products (view=product), Attributes  ,Product Types      Product Files (view=media), Inventory  , Calculation Rules ,Customer Reviews  ', 'storeadmin,admin', 1, '1', 1),
(2, 'order', 'View Order and Update Order Status:    Orders , Coupons , Revenue Report ,Shopper , Shopper Groups ', 'admin,storeadmin', 1, '1', 2),
(3, 'manufacturer', 'Manage the manufacturers of products in your store.', 'storeadmin,admin', 1, '1', 3),
(4, 'store', 'Store Configuration: Store Information, Payment Methods , Shipment, Shipment Rates', 'storeadmin,admin', 1, '1', 4),
(5, 'configuration', 'Configuration: shop configuration , currencies (view=currency), Credit Card List, Countries, userfields, order status  ', 'admin,storeadmin', 1, '1', 5),
(6, 'msgs', 'This module is unprotected an used for displaying system messages to users.  We need to have an area that does not require authorization when things go wrong.', 'none', 0, '0', 99),
(7, 'shop', 'This is the Washupito store module.  This is the demo store included with the VirtueMart distribution.', 'none', 1, '0', 99),
(8, 'store', 'Store Configuration: Store Information, Payment Methods , Shipment, Shipment Rates', 'storeadmin,admin', 1, '1', 4),
(9, 'account', 'This module allows shoppers to update their account information and view previously placed orders.', 'shopper,storeadmin,admin,demo', 1, '0', 99),
(10, 'checkout', '', 'none', 0, '0', 99),
(11, 'tools', 'Tools', 'admin', 1, '1', 8),
(13, 'zone', 'This is the zone-shipment module. Here you can manage your shipment costs according to Zones.', 'admin,storeadmin', 0, '1', 11);

DROP TABLE IF EXISTS `#__virtuemart_orders`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_orders` (
  `virtuemart_order_id` int(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_user_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `order_number` char(64) DEFAULT NULL,
  `customer_number` char(32) DEFAULT NULL,
  `order_pass` char(8) DEFAULT NULL,
  `order_total` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_salesPrice` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_billTaxAmount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_billTax` varchar(400) DEFAULT NULL,
  `order_billDiscountAmount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_discountAmount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_subtotal` decimal(15,5) DEFAULT NULL,
  `order_tax` decimal(10,5) DEFAULT NULL,
  `order_shipment` decimal(10,2) DEFAULT NULL,
  `order_shipment_tax` decimal(10,5) DEFAULT NULL,
  `order_payment` decimal(10,2) DEFAULT NULL,
  `order_payment_tax` decimal(10,5) DEFAULT NULL,
  `coupon_discount` decimal(12,2) NOT NULL DEFAULT '0.00',
  `coupon_code` char(32) DEFAULT NULL,
  `order_discount` decimal(12,2) NOT NULL DEFAULT '0.00',
  `order_currency` smallint(1) DEFAULT NULL,
  `order_status` char(1) DEFAULT NULL,
  `user_currency_id` smallint(1) DEFAULT NULL,
  `user_currency_rate` decimal(10,5) NOT NULL DEFAULT '1.00000',
  `virtuemart_paymentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `virtuemart_shipmentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `customer_note` varchar(20000) DEFAULT NULL,
  `delivery_date` varchar(200) DEFAULT NULL,
  `order_language` char(7) DEFAULT NULL,
  `ip_address` char(15) NOT NULL DEFAULT '',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_order_id`),
  KEY `idx_orders_virtuemart_user_id` (`virtuemart_user_id`),
  KEY `idx_orders_virtuemart_vendor_id` (`virtuemart_vendor_id`),
  KEY `idx_orders_order_number` (`order_number`),
  KEY `idx_orders_virtuemart_paymentmethod_id` (`virtuemart_paymentmethod_id`),
  KEY `idx_orders_virtuemart_shipmentmethod_id` (`virtuemart_shipmentmethod_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Used to store all orders' AUTO_INCREMENT=11 ;

INSERT INTO `#__virtuemart_orders` (`virtuemart_order_id`, `virtuemart_user_id`, `virtuemart_vendor_id`, `order_number`, `customer_number`, `order_pass`, `order_total`, `order_salesPrice`, `order_billTaxAmount`, `order_billTax`, `order_billDiscountAmount`, `order_discountAmount`, `order_subtotal`, `order_tax`, `order_shipment`, `order_shipment_tax`, `order_payment`, `order_payment_tax`, `coupon_discount`, `coupon_code`, `order_discount`, `order_currency`, `order_status`, `user_currency_id`, `user_currency_rate`, `virtuemart_paymentmethod_id`, `virtuemart_shipmentmethod_id`, `customer_note`, `delivery_date`, `order_language`, `ip_address`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 42, 1, 'bbae03', '21232f297a57a5a743894a0e4a801fc3', 'p_918a1', '1994.24000', '1994.24000', '346.21000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 21%","calc_value":"21.0000","result":346.21}}', '55.23000', '55.23000', '1592.80000', '346.21000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '55.23', 144, 'U', 144, '1.00000', 1, 1, 'Praesent iaculis ante non turpis adipiscing rutrum. Cras egestas enim id nibh faucibus rutrum! Phasellus pellentesque, purus suscipit elementum consectetur, est augue gravida ante,', NULL, '', '127.0.0.1', '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(2, 42, 1, 'eccd04', '21232f297a57a5a743894a0e4a801fc3', 'p_2a404', '2185.24000', '2185.24000', '379.26000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 21%","calc_value":"21.0000","result":379.26}}', '0.00000', '0.00000', '1805.98000', '379.26000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '0.00', 47, 'U', 47, '1.00000', 1, 1, 'Sed purus justo, vestibulum vel nunc non, auctor egestas nibh. Mauris vel massa at felis tempor egestas', NULL, '', '127.0.0.1', '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(3, 42, 1, '60f905', '21232f297a57a5a743894a0e4a801fc3', 'p_4db15', '48.94000', '48.94000', '8.50000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 21%","calc_value":"21.0000","result":8.5}}', '0.00000', '0.00000', '40.44000', '8.50000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '0.00', 47, 'U', 47, '1.00000', 1, 1, 'Sed purus justo, vestibulum vel nunc non, auctor egestas nibh. Mauris vel massa at felis tempor egestas', NULL, '', '127.0.0.1', '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(4, 42, 1, '12d006', '21232f297a57a5a743894a0e4a801fc3', 'p_13e2a', '45.32000', '45.32000', '7.87000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 21%","calc_value":"21.0000","result":7.87}}', '0.00000', '0.00000', '37.45000', '7.87000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '0.00', 47, 'U', 47, '1.00000', 1, 2, '', NULL, '', '127.0.0.1', '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(5, 42, 1, '4ab007', '21232f297a57a5a743894a0e4a801fc3', 'p_75bf9', '7.11000', '7.11000', '1.24000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 21%","calc_value":"21.0000","result":1.24}}', '-6.00000', '-6.00000', '11.87000', '1.24000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '-6.00', 47, 'U', 47, '1.00000', 1, 1, '', NULL, '', '127.0.0.1', '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(6, 42, 1, '39ca08', '21232f297a57a5a743894a0e4a801fc3', 'p_d04c0', '2.07000', '2.07000', '0.36000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 21%","calc_value":"21.0000","result":0.36}}', '-2.00000', '-2.00000', '3.71000', '0.36000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '-2.00', 47, 'U', 47, '1.00000', 1, 1, '', NULL, '', '127.0.0.1', '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(7, 42, 1, '289809', '21232f297a57a5a743894a0e4a801fc3', 'p_1791a', '3600.00000', '3600.00000', '600.00000', '0', '0.00000', '0.00000', '3000.00000', '600.00000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '0.00', 47, 'U', 47, '1.00000', 1, 1, 'Ut tempor ante dictum, varius risus ac, scelerisque eros. Praesent at auctor eros, ut semper metus? Suspendisse ac nisi rutrum arcu gravida tristique in ut diam.', NULL, '', '127.0.0.1', '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(8, 42, 1, '0fba010', '21232f297a57a5a743894a0e4a801fc3', 'p_9a04a', '5964.57000', '5964.57000', '965.96000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 3%","calc_value":"3.0000","result":5.96}}', '0.00000', '0.00000', '4998.61000', '965.96000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '0.00', 47, 'U', 47, '1.00000', 1, 1, '', NULL, '', '127.0.0.1', '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(9, 42, 1, '1ea9011', '21232f297a57a5a743894a0e4a801fc3', 'p_4f651', '304.97000', '304.97000', '8.88000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 3%","calc_value":"3.0000","result":8.8800000000001}}', '-2.00000', '-2.00000', '298.09000', '8.88000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '-2.00', 47, 'U', 47, '1.00000', 1, 1, '', NULL, '', '127.0.0.1', '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(10, 42, 1, '4a2d012', '21232f297a57a5a743894a0e4a801fc3', 'p_0fec4', '283.26000', '283.26000', '8.25000', '{"1":{"virtuemart_calc_id":1,"calc_name":"Tax 3%","calc_value":"3.0000","result":8.25}}', '0.00000', '0.00000', '275.01000', '8.25000', '0.00', '0.00000', '0.00', '0.00000', '0.00', NULL, '0.00', 47, 'U', 47, '1.00000', 1, 2, '', NULL, '', '127.0.0.1', '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_orderstates`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_orderstates` (
  `virtuemart_orderstate_id` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `order_status_code` char(1) NOT NULL DEFAULT '',
  `order_status_name` char(64) DEFAULT NULL,
  `order_status_description` varchar(20000) DEFAULT NULL,
  `order_stock_handle` char(1) NOT NULL DEFAULT 'A',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_orderstate_id`),
  KEY `idx_order_status_ordering` (`ordering`),
  KEY `idx_order_status_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='All available order statuses' AUTO_INCREMENT=7 ;

INSERT INTO `#__virtuemart_orderstates` (`virtuemart_orderstate_id`, `virtuemart_vendor_id`, `order_status_code`, `order_status_name`, `order_status_description`, `order_stock_handle`, `ordering`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'P', 'COM_VIRTUEMART_ORDER_STATUS_PENDING', '', 'R', 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 1, 'U', 'COM_VIRTUEMART_ORDER_STATUS_CONFIRMED_BY_SHOPPER', '', 'R', 2, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 1, 'C', 'COM_VIRTUEMART_ORDER_STATUS_CONFIRMED', '', 'R', 3, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 'X', 'COM_VIRTUEMART_ORDER_STATUS_CANCELLED', '', 'A', 4, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 1, 'R', 'COM_VIRTUEMART_ORDER_STATUS_REFUNDED', '', 'A', 5, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 1, 'S', 'COM_VIRTUEMART_ORDER_STATUS_SHIPPED', '', 'O', 6, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_order_calc_rules`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_order_calc_rules` (
  `virtuemart_order_calc_rule_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_calc_id` int(11) DEFAULT NULL,
  `virtuemart_order_id` int(11) DEFAULT NULL,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `virtuemart_order_item_id` int(11) DEFAULT NULL,
  `calc_rule_name` char(64) NOT NULL DEFAULT '' COMMENT 'Name of the rule',
  `calc_kind` char(16) NOT NULL DEFAULT '' COMMENT 'Discount/Tax/Margin/Commission',
  `calc_mathop` char(16) NOT NULL DEFAULT '' COMMENT 'Discount/Tax/Margin/Commission',
  `calc_amount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `calc_result` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `calc_value` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `calc_currency` smallint(1) DEFAULT NULL,
  `calc_params` varchar(18000) DEFAULT NULL,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_order_calc_rule_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores all calculation rules which are part of an order' AUTO_INCREMENT=46 ;

INSERT INTO `#__virtuemart_order_calc_rules` (`virtuemart_order_calc_rule_id`, `virtuemart_calc_id`, `virtuemart_order_id`, `virtuemart_vendor_id`, `virtuemart_order_item_id`, `calc_rule_name`, `calc_kind`, `calc_mathop`, `calc_amount`, `calc_result`, `calc_value`, `calc_currency`, `calc_params`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 1, 1, 1, 'Tax 21%', 'VatTax', '+%', '10.50000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(2, 1, 1, 1, 2, 'Tax 21%', 'VatTax', '+%', '0.84000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(3, 1, 1, 1, 3, 'Tax 21%', 'VatTax', '+%', '0.84000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(4, 1, 1, 1, 4, 'Tax 21%', 'VatTax', '+%', '10.50000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(5, 1, 1, 1, 5, 'Tax 21%', 'VatTax', '+%', '5.25000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(6, 1, 1, 1, 6, 'Tax 21%', 'VatTax', '+%', '8.40000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(7, 1, 1, 1, 7, 'Tax 21%', 'VatTax', '+%', '13.36000', '346.21000', '21.00000', 47, NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(8, 1, 1, 1, NULL, 'Tax 21%', 'payment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(9, 1, 1, 1, NULL, 'Tax 21%', 'shipment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(10, 1, 2, 1, 8, 'Tax 21%', 'VatTax', '+%', '189.63000', '379.26000', '21.00000', 47, NULL, '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(11, 1, 2, 1, NULL, 'Tax 21%', 'payment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(12, 1, 2, 1, NULL, 'Tax 21%', 'shipment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(13, 1, 3, 1, 9, 'Tax 21%', 'VatTax', '+%', '7.87000', '8.50000', '21.00000', 47, NULL, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(14, 1, 3, 1, 10, 'Tax 21%', 'VatTax', '+%', '0.63000', '8.50000', '21.00000', 47, NULL, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(15, 1, 3, 1, NULL, 'Tax 21%', 'payment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(16, 1, 3, 1, NULL, 'Tax 21%', 'shipment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(17, 1, 4, 1, 11, 'Tax 21%', 'VatTax', '+%', '7.87000', '7.87000', '21.00000', 47, NULL, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(18, 1, 4, 1, NULL, 'Tax 21%', 'payment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(19, 1, 4, 1, NULL, 'Tax 21%', 'shipment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(20, 1, 5, 1, 12, 'Tax 21%', 'VatTax', '+%', '0.36000', '1.24000', '21.00000', 47, NULL, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(21, 2, 5, 1, 12, 'Discount for all Hand Tools', 'DATax', '-', '0.00000', '0.00000', '2.00000', 47, NULL, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(22, 1, 5, 1, 13, 'Tax 21%', 'VatTax', '+%', '0.44000', '1.24000', '21.00000', 47, NULL, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(23, 2, 5, 1, 13, 'Discount for all Hand Tools', 'DATax', '-', '0.00000', '0.00000', '2.00000', 47, NULL, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(24, 1, 5, 1, NULL, 'Tax 21%', 'payment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(25, 1, 5, 1, NULL, 'Tax 21%', 'shipment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(26, 1, 6, 1, 14, 'Tax 21%', 'VatTax', '+%', '0.36000', '0.36000', '21.00000', 47, NULL, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(27, 2, 6, 1, 14, 'Discount for all Hand Tools', 'DATax', '-', '0.00000', '0.00000', '2.00000', 47, NULL, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(28, 1, 6, 1, NULL, 'Tax 21%', 'payment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(29, 1, 6, 1, NULL, 'Tax 21%', 'shipment', '+%', '0.00000', '0.00000', '21.00000', 47, '', '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(30, 3, 7, 1, 15, 'Duty for Powertools', 'Tax', '+%', '0.00000', '0.00000', '20.00000', 47, NULL, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(31, 0, 7, 1, NULL, '', 'payment', '', '0.00000', '0.00000', '0.00000', 0, '', '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(32, 0, 7, 1, NULL, '', 'shipment', '', '0.00000', '0.00000', '0.00000', 0, '', '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(33, 3, 8, 1, 16, 'Duty for Powertools', 'Tax', '+%', '0.00000', '0.00000', '20.00000', 47, NULL, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(34, 3, 8, 1, 17, 'Duty for Powertools', 'Tax', '+%', '0.00000', '0.00000', '20.00000', 47, NULL, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(35, 3, 8, 1, 18, 'Duty for Powertools', 'Tax', '+%', '0.00000', '0.00000', '20.00000', 47, NULL, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(36, 1, 8, 1, 18, 'Tax 3%', 'VatTax', '+%', '5.96000', '5.96000', '3.00000', 47, '', '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(37, 1, 8, 1, NULL, 'Tax 3%', 'payment', '+%', '0.00000', '0.00000', '3.00000', 47, '', '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(38, 1, 8, 1, NULL, 'Tax 3%', 'shipment', '+%', '0.00000', '0.00000', '3.00000', 47, '', '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(39, 1, 9, 1, 19, 'Tax 3%', 'VatTax', '+%', '8.88000', '8.88000', '3.00000', 47, '', '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(40, 2, 9, 1, 19, 'Discount for all Hand Tools', 'DATax', '-', '0.00000', '0.00000', '2.00000', 47, NULL, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(41, 1, 9, 1, NULL, 'Tax 3%', 'payment', '+%', '0.00000', '0.00000', '3.00000', 47, '', '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(42, 1, 9, 1, NULL, 'Tax 3%', 'shipment', '+%', '0.00000', '0.00000', '3.00000', 47, '', '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(43, 1, 10, 1, 20, 'Tax 3%', 'VatTax', '+%', '8.25000', '8.25000', '3.00000', 47, '', '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0),
(44, 1, 10, 1, NULL, 'Tax 3%', 'payment', '+%', '0.00000', '0.00000', '3.00000', 47, '', '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0),
(45, 1, 10, 1, NULL, 'Tax 3%', 'shipment', '+%', '0.00000', '0.00000', '3.00000', 47, '', '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_order_histories`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_order_histories` (
  `virtuemart_order_history_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_order_id` int(1) unsigned NOT NULL DEFAULT '0',
  `order_status_code` char(1) NOT NULL DEFAULT '0',
  `customer_notified` tinyint(1) NOT NULL DEFAULT '0',
  `comments` varchar(21000) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_order_history_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores all actions and changes that occur to an order' AUTO_INCREMENT=21 ;

INSERT INTO `#__virtuemart_order_histories` (`virtuemart_order_history_id`, `virtuemart_order_id`, `order_status_code`, `customer_notified`, `comments`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'P', 0, '', 1, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(2, 1, 'U', 1, '', 1, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(3, 2, 'P', 0, '', 1, '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(4, 2, 'U', 1, '', 1, '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(5, 3, 'P', 0, '', 1, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(6, 3, 'U', 1, '', 1, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(7, 4, 'P', 0, '', 1, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(8, 4, 'U', 1, '', 1, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(9, 5, 'P', 0, '', 1, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(10, 5, 'U', 1, '', 1, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(11, 6, 'P', 0, '', 1, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(12, 6, 'U', 1, '', 1, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(13, 7, 'P', 0, '', 1, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(14, 7, 'U', 1, '', 1, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(15, 8, 'P', 0, '', 1, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(16, 8, 'U', 1, '', 1, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(17, 9, 'P', 0, '', 1, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(18, 9, 'U', 1, '', 1, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(19, 10, 'P', 0, '', 1, '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0),
(20, 10, 'U', 1, '', 1, '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_order_items`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_order_items` (
  `delivery_date` varchar(200) DEFAULT NULL,
  `product_discountedPriceWithoutTax` decimal(15,5) DEFAULT NULL,
  `virtuemart_order_item_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_order_id` int(11) DEFAULT NULL,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `virtuemart_product_id` int(11) DEFAULT NULL,
  `order_item_sku` char(64) NOT NULL DEFAULT '',
  `order_item_name` char(255) NOT NULL DEFAULT '',
  `product_quantity` int(11) DEFAULT NULL,
  `product_item_price` decimal(15,5) DEFAULT NULL,
  `product_priceWithoutTax` decimal(15,5) DEFAULT NULL,
  `product_tax` decimal(15,5) DEFAULT NULL,
  `product_basePriceWithTax` decimal(15,5) DEFAULT NULL,
  `product_final_price` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `product_subtotal_discount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `product_subtotal_with_tax` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `order_item_currency` int(11) DEFAULT NULL,
  `order_status` char(1) DEFAULT NULL,
  `product_attribute` text,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_order_item_id`),
  KEY `virtuemart_product_id` (`virtuemart_product_id`),
  KEY `idx_order_item_virtuemart_order_id` (`virtuemart_order_id`),
  KEY `idx_order_item_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores all items (products) which are part of an order' AUTO_INCREMENT=21 ;

INSERT INTO `#__virtuemart_order_items` (`delivery_date`, `product_discountedPriceWithoutTax`, `virtuemart_order_item_id`, `virtuemart_order_id`, `virtuemart_vendor_id`, `virtuemart_product_id`, `order_item_sku`, `order_item_name`, `product_quantity`, `product_item_price`, `product_priceWithoutTax`, `product_tax`, `product_basePriceWithTax`, `product_final_price`, `product_subtotal_discount`, `product_subtotal_with_tax`, `order_item_currency`, `order_status`, `product_attribute`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(NULL, NULL, 1, 1, 1, 14, 'L01', 'Metal Ladder', 4, '49.99000', '49.99000', '10.50000', '60.49000', '60.49000', '0.00000', '241.96000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 2, 1, 1, 16, 'L03', 'Plastic Ladder', 21, '3.99000', '3.99000', '0.84000', '4.83000', '4.83000', '0.00000', '101.43000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 3, 1, 1, 21, 'L03', 'Plastic Ladder', 9, '3.99000', '3.99000', '0.84000', '4.83000', '4.83000', '0.00000', '43.47000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 4, 1, 1, 19, 'L01', 'Metal Ladder', 20, '49.99000', '49.99000', '10.50000', '60.49000', '60.49000', '0.00000', '1209.80000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 5, 1, 1, 3, 'G03', 'Shovel', 1, '24.99000', '24.99000', '5.25000', '30.24000', '30.24000', '0.00000', '30.24000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 6, 1, 1, 17, 'G02', 'Ladder (Pattern)', 6, '39.99000', '39.99000', '8.40000', '48.39000', '48.39000', '0.00000', '290.34000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 7, 1, 1, 4, 'G04', 'Smaller Shovel', 1, '17.99000', '8.41000', '13.36000', '21.77000', '77.00000', '55.23000', '77.00000', NULL, 'U', NULL, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 8, 2, 1, 16, 'L03', 'Plastic Ladder 2', 2, '902.98944', '902.99000', '189.63000', '1092.62000', '1092.62000', '0.00000', '2185.24000', NULL, 'U', '{"67":" <span class=\\"costumTitle\\">Color<\\/span><span class=\\"costumValue\\" >Red<\\/span>"}', '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 9, 3, 1, 14, 'L01', 'Metal Ladder', 1, '37.45411', '37.45000', '7.87000', '45.32000', '45.32000', '0.00000', '45.32000', NULL, 'U', NULL, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 10, 3, 1, 21, 'L03', 'Plastic Ladder', 1, '2.98944', '2.99000', '0.63000', '3.62000', '3.62000', '0.00000', '3.62000', NULL, 'U', NULL, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 11, 4, 1, 19, 'L01', 'Metal Ladder', 1, '37.45411', '37.45000', '7.87000', '45.32000', '45.32000', '0.00000', '45.32000', NULL, 'U', NULL, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 12, 5, 1, 1, 'G01', 'Hand Shovel', 1, '3.36405', '3.71000', '0.36000', '4.07000', '2.07000', '-2.00000', '2.07000', NULL, 'U', NULL, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 13, 5, 1, 6, 'H02', 'Lorem ipsum dolor', 2, '3.73867', '4.08000', '0.44000', '4.52000', '2.52000', '-4.00000', '5.04000', NULL, 'U', NULL, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 14, 6, 1, 1, 'G01', 'Hand Shovel', 1, '3.36405', '3.71000', '0.36000', '4.07000', '2.07000', '-2.00000', '2.07000', NULL, 'U', NULL, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 15, 7, 1, 16, 'L03', 'Plastic Ladder 2', 3, '1000.00000', '1000.00000', '200.00000', '1200.00000', '1200.00000', '0.00000', '3600.00000', NULL, 'U', NULL, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 16, 8, 1, 16, 'L03', 'Plastic Ladder 2', 1, '1000.00000', '1000.00000', '200.00000', '1200.00000', '1200.00000', '0.00000', '1200.00000', NULL, 'U', NULL, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 17, 8, 1, 16, 'L03', 'Plastic Ladder 2', 2, '1900.00000', '1900.00000', '380.00000', '2280.00000', '2280.00000', '0.00000', '4560.00000', NULL, 'U', '{"67":" <span class=\\"costumTitle\\">Color<\\/span><span class=\\"costumValue\\" >Red<\\/span>"}', '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(NULL, NULL, 18, 8, 1, 8, 'P02', 'Lorem ipsum dolor', 1, '165.50536', '198.61000', '5.96000', '204.57000', '204.57000', '0.00000', '204.57000', NULL, 'U', NULL, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(NULL, '296.09000', 19, 9, 1, 1, 'PN003', 'Amet lectus pellentesque', 1, '298.03036', '298.09000', '8.88000', '306.97000', '304.97000', '-2.00000', '304.97000', NULL, 'U', NULL, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(NULL, '275.01000', 20, 10, 1, 35, 'P003', ' Nullam tortor risus', 1, '275.01000', '275.01000', '8.25000', '283.26000', '283.26000', '0.00000', '283.26000', NULL, 'U', NULL, '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_order_userinfos`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_order_userinfos` (
  `virtuemart_order_userinfo_id` int(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_order_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_user_id` int(1) unsigned NOT NULL DEFAULT '0',
  `address_type` char(2) DEFAULT NULL,
  `address_type_name` char(32) DEFAULT NULL,
  `company` char(64) DEFAULT NULL,
  `title` char(32) DEFAULT NULL,
  `last_name` char(48) DEFAULT NULL,
  `first_name` char(48) DEFAULT NULL,
  `middle_name` char(48) DEFAULT NULL,
  `phone_1` char(32) DEFAULT NULL,
  `phone_2` char(32) DEFAULT NULL,
  `fax` char(32) DEFAULT NULL,
  `address_1` char(64) NOT NULL DEFAULT '',
  `address_2` char(64) DEFAULT NULL,
  `city` char(64) NOT NULL DEFAULT '',
  `virtuemart_state_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_country_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `zip` char(16) NOT NULL DEFAULT '',
  `email` char(128) DEFAULT NULL,
  `agreed` tinyint(1) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_order_userinfo_id`),
  KEY `i_virtuemart_order_id` (`virtuemart_order_id`),
  KEY `i_virtuemart_user_id` (`virtuemart_user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores the BillTo and ShipTo Information at order time' AUTO_INCREMENT=11 ;

INSERT INTO `#__virtuemart_order_userinfos` (`virtuemart_order_userinfo_id`, `virtuemart_order_id`, `virtuemart_user_id`, `address_type`, `address_type_name`, `company`, `title`, `last_name`, `first_name`, `middle_name`, `phone_1`, `phone_2`, `fax`, `address_1`, `address_2`, `city`, `virtuemart_state_id`, `virtuemart_country_id`, `zip`, `email`, `agreed`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(2, 2, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(3, 3, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(4, 4, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(5, 5, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(6, 6, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(7, 7, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(8, 8, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 0, 195, '055555', 'contact@ytcvn.com', 0, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(9, 9, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 333, 195, '055555', 'admin@localhost.com', 0, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(10, 10, 42, 'BT', NULL, 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', NULL, NULL, 'vendorra road 8', NULL, 'Canangra', 333, 195, '055555', 'admin@localhost.com', 0, '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_paymentmethods`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_paymentmethods` (
  `virtuemart_paymentmethod_id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `payment_jplugin_id` int(11) NOT NULL DEFAULT '0',
  `payment_element` char(50) NOT NULL DEFAULT '',
  `payment_params` varchar(19000) DEFAULT NULL,
  `shared` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'valide for all vendors?',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_paymentmethod_id`),
  KEY `idx_payment_jplugin_id` (`payment_jplugin_id`),
  KEY `idx_payment_method_ordering` (`ordering`),
  KEY `idx_payment_element` (`payment_element`,`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='The payment methods of your store' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_paymentmethods` (`virtuemart_paymentmethod_id`, `virtuemart_vendor_id`, `payment_jplugin_id`, `payment_element`, `payment_params`, `shared`, `ordering`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 10142, 'standard', 'payment_logos=""|countries=""|payment_currency="0"|status_pending="U"|send_invoice_on_order_null="1"|min_amount=""|max_amount=""|cost_per_transaction=""|cost_percent_total=""|tax_id="0"|payment_info=""|', 0, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-06 04:07:27', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_paymentmethods_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_paymentmethods_en_gb` (
  `virtuemart_paymentmethod_id` int(1) unsigned NOT NULL,
  `payment_name` char(180) NOT NULL DEFAULT '',
  `payment_desc` varchar(19000) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_paymentmethod_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_paymentmethods_en_gb` (`virtuemart_paymentmethod_id`, `payment_name`, `payment_desc`, `slug`) VALUES
(1, 'VM - Payment Standard', 'VM - Payment Standard', 'vm-payment-standard');

DROP TABLE IF EXISTS `#__virtuemart_paymentmethod_shoppergroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_paymentmethod_shoppergroups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_paymentmethod_id` mediumint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_shoppergroup_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_paymentmethod_id` (`virtuemart_paymentmethod_id`,`virtuemart_shoppergroup_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='xref table for paymentmethods to shoppergroup' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_payment_plg_standard`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_payment_plg_standard` (
  `id` int(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_order_id` int(1) unsigned DEFAULT NULL,
  `order_number` char(64) DEFAULT NULL,
  `virtuemart_paymentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `payment_name` varchar(5000) DEFAULT NULL,
  `payment_order_total` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `payment_currency` char(3) DEFAULT NULL,
  `cost_per_transaction` decimal(10,2) DEFAULT NULL,
  `cost_percent_total` decimal(10,2) DEFAULT NULL,
  `tax_id` smallint(1) DEFAULT NULL,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Payment Standard Table' AUTO_INCREMENT=11 ;

INSERT INTO `#__virtuemart_payment_plg_standard` (`id`, `virtuemart_order_id`, `order_number`, `virtuemart_paymentmethod_id`, `payment_name`, `payment_order_total`, `payment_currency`, `cost_per_transaction`, `cost_percent_total`, `tax_id`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'bbae03', 1, '<span class="vmpayment_name">Cash on delivery</span><br />', '1994.24000', 'USD', '0.00', '0.00', 0, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(2, 2, 'eccd04', 1, '<span class="vmpayment_name">Cash on delivery</span><br />', '2185.24000', 'EUR', '0.00', '0.00', 0, '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(3, 3, '60f905', 1, '<span class="vmpayment_name">Cash on delivery</span><br />', '48.94000', 'EUR', '0.00', '0.00', 0, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(4, 4, '12d006', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '45.32000', 'EUR', '0.00', '0.00', 0, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(5, 5, '4ab007', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '7.11000', 'EUR', '0.00', '0.00', 0, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(6, 6, '39ca08', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '2.07000', 'EUR', '0.00', '0.00', 0, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(7, 7, '289809', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '3600.00000', 'EUR', '0.00', '0.00', 0, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(8, 8, '0fba010', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '5964.57000', 'EUR', '0.00', '0.00', 0, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(9, 9, '1ea9011', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '304.97000', 'EUR', '0.00', '0.00', 0, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(10, 10, '4a2d012', 1, '<span class="vmpayment_name">VM - Payment Standard</span><span class="vmpayment_description">VM - Payment Standard</span><br />', '283.26000', 'EUR', '0.00', '0.00', 0, '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_permgroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_permgroups` (
  `virtuemart_permgroup_id` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `group_name` char(128) DEFAULT NULL,
  `group_level` int(11) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_permgroup_id`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Holds all the user groups' AUTO_INCREMENT=5 ;

INSERT INTO `#__virtuemart_permgroups` (`virtuemart_permgroup_id`, `virtuemart_vendor_id`, `group_name`, `group_level`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'admin', 0, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 1, 'storeadmin', 250, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 1, 'shopper', 500, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 'demo', 750, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_products`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_products` (
  `virtuemart_product_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `product_parent_id` int(1) unsigned NOT NULL DEFAULT '0',
  `product_sku` char(64) DEFAULT NULL,
  `product_weight` decimal(10,4) DEFAULT NULL,
  `product_weight_uom` char(7) DEFAULT NULL,
  `product_length` decimal(10,4) DEFAULT NULL,
  `product_width` decimal(10,4) DEFAULT NULL,
  `product_height` decimal(10,4) DEFAULT NULL,
  `product_lwh_uom` char(7) DEFAULT NULL,
  `product_url` char(255) DEFAULT NULL,
  `product_in_stock` int(1) NOT NULL DEFAULT '0',
  `product_ordered` int(1) NOT NULL DEFAULT '0',
  `low_stock_notification` int(1) unsigned NOT NULL DEFAULT '0',
  `product_available_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `product_availability` char(32) DEFAULT NULL,
  `product_special` tinyint(1) DEFAULT NULL,
  `product_sales` int(1) unsigned NOT NULL DEFAULT '0',
  `product_unit` varchar(8) DEFAULT NULL,
  `product_packaging` decimal(8,4) unsigned DEFAULT NULL,
  `product_params` varchar(2000) DEFAULT NULL,
  `hits` int(11) unsigned DEFAULT NULL,
  `intnotes` varchar(18000) DEFAULT NULL,
  `metarobot` varchar(400) DEFAULT NULL,
  `metaauthor` varchar(400) DEFAULT NULL,
  `layout` char(16) DEFAULT NULL,
  `published` tinyint(1) DEFAULT NULL,
  `pordering` mediumint(2) unsigned NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_product_id`),
  KEY `idx_product_virtuemart_vendor_id` (`virtuemart_vendor_id`),
  KEY `idx_product_product_parent_id` (`product_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='All products are stored here.' AUTO_INCREMENT=69 ;

INSERT INTO `#__virtuemart_products` (`virtuemart_product_id`, `virtuemart_vendor_id`, `product_parent_id`, `product_sku`, `product_weight`, `product_weight_uom`, `product_length`, `product_width`, `product_height`, `product_lwh_uom`, `product_url`, `product_in_stock`, `product_ordered`, `low_stock_notification`, `product_available_date`, `product_availability`, `product_special`, `product_sales`, `product_unit`, `product_packaging`, `product_params`, `hits`, `intnotes`, `metarobot`, `metaauthor`, `layout`, `published`, `pordering`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 0, 'PN003', '1.2000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 10, 3, 5, '2010-02-21 00:00:00', '48h.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-26 10:36:01', 0, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(2, 1, 0, 'G02', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 76, 0, 5, '2010-02-21 00:00:00', '3-5d.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 0, 0, '2012-10-25 10:36:01', 0, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(23, 1, 0, 'N232321', NULL, 'KG', NULL, NULL, NULL, 'M', '', 5, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:04:20', 42, '2013-09-13 16:05:10', 42, '0000-00-00 00:00:00', 0),
(4, 1, 0, 'G04', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 98, 1, 5, '2010-02-21 00:00:00', 'on-order.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-25 10:36:01', 0, '2013-09-13 09:38:47', 42, '0000-00-00 00:00:00', 0),
(5, 1, 0, 'PN001', '3.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 32, 0, 5, '2010-02-21 00:00:00', '1-4w.gif', 1, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-22 10:36:01', 0, '2013-09-18 09:51:28', 42, '0000-00-00 00:00:00', 0),
(6, 1, 0, 'PN002', '0.9000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 500, 2, 5, '2011-12-21 00:00:00', '24h.gif', 1, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-26 10:36:01', 0, '2013-09-18 07:06:41', 42, '0000-00-00 00:00:00', 0),
(7, 1, 0, 'P01', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 45, 0, 5, '2013-08-31 00:00:00', '', 1, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box="10"|', 0, '', '', '', '0', 1, 0, '2012-10-22 10:36:01', 0, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0),
(8, 1, 0, 'NK0010', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 33, 1, 5, '2010-12-21 00:00:00', '3-5d.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-23 10:36:01', 0, '2013-09-18 07:04:41', 42, '0000-00-00 00:00:00', 0),
(9, 1, 0, 'P03', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 3, 0, 5, '2011-07-21 00:00:00', '2-3d.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-24 10:36:01', 0, '2013-09-18 07:00:34', 42, '0000-00-00 00:00:00', 0),
(10, 1, 0, 'P04', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 2, 0, 5, '2010-12-21 00:00:00', '1-2m.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '0000-00-00 00:00:00', 0, '2012-10-28 17:55:56', 627, '0000-00-00 00:00:00', 0),
(11, 1, 1, 'G01-01', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 0, 0, 5, '0000-00-00 00:00:00', '', 0, 0, '', '0.0000', 'min_order_level=null|max_order_level=null|step_order_level=null|product_box=null|', 0, '', '', '', '', 0, 0, '2012-10-22 10:36:01', 0, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(12, 1, 1, 'G01-02', '10.0000', '', '0.0000', '0.0000', '0.0000', '', '', 0, 0, 5, '0000-00-00 00:00:00', '', 0, 0, '', '0.0000', 'min_order_level=null|max_order_level=null|step_order_level=null|product_box=null|', 0, '', '', '', '', 0, 0, '2012-10-26 09:36:01', 0, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(13, 1, 1, 'G01-03', '10.0000', '', '0.0000', '0.0000', '0.0000', '', '', 0, 0, 5, '0000-00-00 00:00:00', '', 0, 0, '', '0.0000', 'min_order_level=null|max_order_level=null|step_order_level=null|product_box=null|', 0, '', '', '', '', 0, 0, '2012-10-25 10:36:01', 0, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(14, 1, 2, 'L01', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 22, 5, 5, '2011-12-21 00:00:00', '', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-25 10:36:01', 0, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(15, 1, 2, 'L02', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 0, 0, 5, '0000-00-00 00:00:00', '', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', 0, '', '', '', '0', 1, 0, '2012-10-25 10:36:01', 0, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(16, 1, 2, 'L03', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 50, 8, 5, '2013-09-30 00:00:00', '', 1, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box="10"|', 0, '', '', '', '0', 1, 0, '2012-10-25 10:36:01', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0),
(17, 1, 0, 'G02', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 76, 6, 5, '2010-02-21 00:00:00', '3-5d.gif', 1, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:45:22', 42, '0000-00-00 00:00:00', 0),
(18, 1, 0, 'G04', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 98, 0, 5, '2010-02-21 00:00:00', 'on-order.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-08-24 01:54:03', 42, '2013-09-20 01:57:22', 42, '0000-00-00 00:00:00', 0),
(19, 1, 2, 'L01', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 22, 21, 5, '2011-12-21 00:00:00', '3-5d.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(20, 1, 2, 'L02', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 0, 0, 5, '2013-09-26 00:00:00', '', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:50:20', 42, '0000-00-00 00:00:00', 0),
(21, 1, 2, 'L03', '10.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 10, 10, 5, '2013-09-28 00:00:00', '', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(22, 1, 0, 'G03', '0.0000', 'KG', '0.0000', '0.0000', '0.0000', 'M', '', 32, 0, 5, '2010-02-21 00:00:00', '7d.gif', 0, 0, 'KG', '0.0000', 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:44:33', 42, '0000-00-00 00:00:00', 0),
(24, 1, 0, 'C33223', NULL, 'KG', NULL, NULL, NULL, 'M', '', 6, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:06:55', 42, '2013-09-13 16:08:48', 42, '0000-00-00 00:00:00', 0),
(25, 1, 0, 'K32244', NULL, 'KG', NULL, NULL, NULL, 'M', '', 8, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:10:20', 42, '2013-09-13 16:13:15', 42, '0000-00-00 00:00:00', 0),
(26, 1, 0, 'H3222322', NULL, 'KG', NULL, NULL, NULL, 'M', '', 7, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:15:11', 42, '2013-09-18 07:02:17', 42, '0000-00-00 00:00:00', 0),
(27, 1, 0, 'R5677889', NULL, 'KG', NULL, NULL, NULL, 'M', '', 8, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:21:14', 42, '2013-09-13 16:22:05', 42, '0000-00-00 00:00:00', 0),
(28, 1, 0, 'V76888877', NULL, 'KG', NULL, NULL, NULL, 'M', '', 8, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:23:31', 42, '2013-09-13 16:26:36', 42, '0000-00-00 00:00:00', 0),
(29, 1, 0, 'R8776666', NULL, 'KG', NULL, NULL, NULL, 'M', '', 9, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:28:19', 42, '2013-09-18 07:01:50', 42, '0000-00-00 00:00:00', 0),
(30, 1, 0, 'X33245', NULL, 'KG', NULL, NULL, NULL, 'M', '', 8, 0, 0, '2013-09-13 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-13 16:31:44', 42, '2013-09-18 07:01:40', 42, '0000-00-00 00:00:00', 0),
(31, 1, 0, 'N223311', NULL, 'KG', NULL, NULL, NULL, 'M', '', 4, 0, 0, '2013-09-15 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-15 16:33:36', 42, '2013-09-18 07:01:27', 42, '0000-00-00 00:00:00', 0),
(32, 1, 0, 'P02', '2.0000', 'G', NULL, NULL, NULL, 'M', '', 30, 0, 3, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 07:50:32', 42, '2013-09-18 07:01:16', 42, '0000-00-00 00:00:00', 0),
(33, 1, 0, 'P001', '5000.0000', 'G', NULL, NULL, NULL, 'M', '', 45, 0, 2, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 08:18:46', 42, '2013-10-04 03:06:43', 42, '0000-00-00 00:00:00', 0),
(34, 1, 0, 'P002', '4500.0000', 'G', NULL, NULL, NULL, 'M', '', 20, 0, 1, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 08:32:35', 42, '2013-09-18 07:07:34', 42, '0000-00-00 00:00:00', 0),
(35, 1, 0, 'P003', '6000.0000', 'G', NULL, NULL, NULL, 'M', '', 30, 1, 3, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 08:38:46', 42, '2013-09-18 07:07:46', 42, '0000-00-00 00:00:00', 0),
(36, 1, 0, 'P004', '5000.0000', 'G', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 08:44:53', 42, '2013-09-18 07:07:58', 42, '0000-00-00 00:00:00', 0),
(37, 1, 0, 'P005', '3500.0000', 'G', NULL, NULL, NULL, 'M', '', 40, 0, 4, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 08:50:26', 42, '2013-09-17 08:51:53', 42, '0000-00-00 00:00:00', 0),
(38, 1, 0, 'P006', '7000.0000', 'G', NULL, NULL, NULL, 'M', '', 30, 0, 3, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 09:02:08', 42, '2013-09-17 09:03:50', 42, '0000-00-00 00:00:00', 0),
(39, 1, 0, 'P007', '4600.0000', 'G', NULL, NULL, NULL, 'M', '', 60, 0, 3, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 09:11:38', 42, '2013-09-18 06:52:20', 42, '0000-00-00 00:00:00', 0),
(40, 1, 0, 'P007', '4500.0000', 'G', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 09:23:44', 42, '2013-09-18 06:52:47', 42, '0000-00-00 00:00:00', 0),
(41, 1, 0, 'P008', '3000.0000', 'G', NULL, NULL, NULL, 'M', '', 40, 0, 4, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 09:28:48', 42, '2013-09-18 07:07:15', 42, '0000-00-00 00:00:00', 0),
(42, 1, 0, 'P009', '4000.0000', 'G', NULL, NULL, NULL, 'M', '', 30, 0, 3, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 09:35:40', 42, '2013-09-18 07:07:06', 42, '0000-00-00 00:00:00', 0),
(43, 1, 0, 'P0010', '3500.0000', 'G', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 09:41:52', 42, '2013-09-18 07:06:56', 42, '0000-00-00 00:00:00', 0),
(44, 1, 0, 'NK001', '3000.0000', 'G', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 10:51:47', 42, '2013-09-18 07:04:30', 42, '0000-00-00 00:00:00', 0),
(45, 1, 0, 'NK002', '1.0050', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 11:00:03', 42, '2013-09-18 07:04:21', 42, '0000-00-00 00:00:00', 0),
(46, 1, 0, 'NK003', '1.0050', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 11:00:04', 42, '2013-09-18 07:03:59', 42, '0000-00-00 00:00:00', 0),
(47, 1, 0, 'NK005', '0.7000', 'KG', NULL, NULL, NULL, 'M', '', 40, 0, 2, '2013-09-17 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 11:10:53', 42, '2013-09-17 11:16:09', 42, '0000-00-00 00:00:00', 0),
(48, 1, 0, 'NK006', '1.2000', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-17 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-17 11:16:02', 42, '2013-09-18 07:03:40', 42, '0000-00-00 00:00:00', 0),
(49, 1, 0, 'NK007', '1.3000', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 01:30:33', 42, '2013-09-18 07:03:31', 42, '0000-00-00 00:00:00', 0),
(50, 1, 0, 'NK008', '1.8000', 'KG', NULL, NULL, NULL, 'M', '', 40, 0, 1, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 01:35:53', 42, '2013-09-18 07:03:21', 42, '0000-00-00 00:00:00', 0),
(51, 1, 0, 'NK009', '2.0000', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 02:03:44', 42, '2013-09-18 07:03:10', 42, '0000-00-00 00:00:00', 0),
(52, 1, 0, 'NK0011', '0.7200', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 02:10:02', 42, '2013-09-18 07:03:01', 42, '0000-00-00 00:00:00', 0),
(53, 1, 0, 'PN004', '1.3002', 'KG', NULL, NULL, NULL, 'M', '', 35, 0, 2, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 02:56:53', 42, '2013-09-18 07:05:58', 42, '0000-00-00 00:00:00', 0),
(54, 1, 0, 'PN005', '2.8030', 'KG', NULL, NULL, NULL, 'M', '', 20, 0, 1, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 02:59:41', 42, '2013-09-18 07:05:47', 42, '0000-00-00 00:00:00', 0),
(55, 1, 0, 'PN006', '2.0100', 'KG', NULL, NULL, NULL, 'M', '', 55, 0, 5, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:03:07', 42, '2013-09-18 07:05:38', 42, '0000-00-00 00:00:00', 0),
(56, 1, 0, 'PN007', '1.4600', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 5, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:06:46', 42, '2013-09-18 07:05:28', 42, '0000-00-00 00:00:00', 0),
(57, 1, 0, 'PN008', '5.0055', 'KG', NULL, NULL, NULL, 'M', '', 40, 0, 2, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:09:50', 42, '2013-09-18 07:05:12', 42, '0000-00-00 00:00:00', 0),
(58, 1, 0, 'PN009', '7.0030', 'KG', NULL, NULL, NULL, 'M', '', 20, 0, 1, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:12:25', 42, '2013-09-18 07:05:03', 42, '0000-00-00 00:00:00', 0),
(59, 1, 0, 'PN0010', '1.3000', 'KG', NULL, NULL, NULL, 'M', '', 89, 0, 3, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:16:07', 42, '2013-09-18 07:04:53', 42, '0000-00-00 00:00:00', 0),
(60, 1, 0, 'FL001', '0.8900', 'KG', NULL, NULL, NULL, 'M', '', 50, 0, 4, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:51:50', 42, '2013-10-01 03:56:29', 42, '0000-00-00 00:00:00', 0),
(61, 1, 0, 'FL002', '2.0020', 'KG', NULL, NULL, NULL, 'M', '', 30, 0, 1, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:55:18', 42, '2013-09-23 09:51:35', 42, '0000-00-00 00:00:00', 0),
(62, 1, 0, 'FL003', '1.6600', 'KG', NULL, NULL, NULL, 'M', '', 25, 0, 1, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 03:59:19', 42, '2013-09-18 07:00:22', 42, '0000-00-00 00:00:00', 0),
(63, 1, 0, 'FL004', '1.0010', 'KG', NULL, NULL, NULL, 'M', '', 70, 0, 5, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 04:07:10', 42, '2013-09-18 07:00:01', 42, '0000-00-00 00:00:00', 0),
(64, 1, 0, 'FL005', '2.2260', 'KG', NULL, NULL, NULL, 'M', '', 20, 0, 1, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 04:12:07', 42, '2013-09-18 06:59:49', 42, '0000-00-00 00:00:00', 0),
(65, 1, 0, 'FL006', '0.8900', 'KG', NULL, NULL, NULL, 'M', '', 80, 0, 5, '2013-09-18 00:00:00', '', 0, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 04:14:50', 42, '2013-09-18 06:58:24', 42, '0000-00-00 00:00:00', 0),
(66, 1, 0, 'FL007', '3.6600', 'KG', NULL, NULL, NULL, 'M', '', 10, 0, 1, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 04:18:05', 42, '2013-09-18 06:59:30', 42, '0000-00-00 00:00:00', 0),
(67, 1, 0, 'FL008', '1.3300', 'KG', NULL, NULL, NULL, 'M', '', 60, 0, 1, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 04:21:28', 42, '2013-09-18 06:59:20', 42, '0000-00-00 00:00:00', 0),
(68, 1, 0, 'FL009', '0.5000', 'KG', NULL, NULL, NULL, 'M', '', 100, 0, 5, '2013-09-18 00:00:00', '', 1, 0, 'KG', NULL, 'min_order_level=""|max_order_level=""|step_order_level=""|product_box=""|', NULL, '', '', '', '0', 1, 0, '2013-09-18 04:25:05', 42, '2013-09-18 06:59:10', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_products_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_products_en_gb` (
  `virtuemart_product_id` int(1) unsigned NOT NULL,
  `product_s_desc` varchar(2000) NOT NULL DEFAULT '',
  `product_desc` varchar(18400) NOT NULL DEFAULT '',
  `product_name` char(180) NOT NULL DEFAULT '',
  `metadesc` varchar(400) NOT NULL DEFAULT '',
  `metakey` varchar(400) NOT NULL DEFAULT '',
  `customtitle` char(255) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_product_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_products_en_gb` (`virtuemart_product_id`, `product_s_desc`, `product_desc`, `product_name`, `metadesc`, `metakey`, `customtitle`, `slug`) VALUES
(1, '<p>Usce iaculis, massa ac ultricies ultrices, leo dui pulvinar ipsum, id sagittis massa urna in velit.\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Mauris est molestie nulla</li>\r\n<li>Id sagittis massa urna in velit</li>\r\n<li>Nulla et molestie cursus</li>\r\n</ul>', '<p>Tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<ul>\r\n<li>Kin egestas felis purus ac magna massa</li>\r\n<li>Ac pulvinar fringilla, turpis velit vulputate augue</li>\r\n<li>Facilisis risus non mauris placerat</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n</ul>', 'Amet lectus pellentesque', '', '', '', 'amet-lectus-pellentesque'),
(2, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', ' Etiam non est lacus', '', '', '', 'etiam-non-est-lacus'),
(4, 'Product with Text input Plugin Custom field', 'This shovel is smaller but you''ll be able to dig real quick.<ul><li>Hand crafted handle with maximum grip torque</li><li>Titanium tipped shovel platter</li><li>Half degree offset for less accidents</li><li>Includes HowTo Video narrated by Bob Costas</li></ul>', 'Smaller Shovel', '', '', '', 'smaller-shovel'),
(5, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. \r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Bare dui vulputate vel', '', '', '', 'bare-dui-vulputate-vel'),
(6, '<p>Mauris ornare enim sapien et molestie cursus. Nulla et molestie cursus. Sed ut pellentesque imperdiet..\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Integer facilisis risus non mauris</li>\r\n<li>Mauris ornare enim a imperdiet </li>\r\n<li>Nullam consectetur felis at</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Lorem ipsum dolor', '', '', '', 'lorem-ipsum-dolor-2013-09-18'),
(53, '<p>Sed pellentesque sapien et molestie cursus. Nulla facilisi. Sed ut pellentesque aliquam mauris orci a dui ...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Proin blandit metus gravida</li>\r\n<li>In arcu risus feugiat sit ame</li>\r\n<li>Maecenas suscipit scelerisque tellus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Cum sociis natoque', '', '', '', 'cum-sociis-natoque'),
(7, '<p>Quis volutpat orci purus sagittis massa.Proin sem orci, tincidunt ut adipiscing non...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Fusce euismod consequat ante</li>\r\n<li>Lorem ipsum dolor sit met</li>\r\n<li>Consectetuer adipiscing elitelue </li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Gaten mazo pika', '', '', '', 'chain-saw'),
(8, '<p>Quis volutpat orci purus sagittis massa.Proin sem orci, tincidunt ut adipiscing non...</p><ul class="yt-list type-check"><li>Fusce euismod consequat ante</li><li>Lorem ipsum dolor sit met</li><li>Consectetuer adipiscing elitelue </li></ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Lorem ipsum dolor', '', '', '', 'lorem-ipsum-dolor'),
(9, '<p>\r\nQuis volutpat orci purus sagittis massa.Proin sem orci, tincidunt ut adipiscing non...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Fusce euismod consequat ante</li>\r\n<li>Lorem ipsum dolor sit met</li>\r\n<li>Consectetuer adipiscing elitelue </li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Suspendisse sodales est', '', '', '', 'suspendisse-sodales-est'),
(10, 'Blast away that paint job from the past.  Use this power sander to really show them you mean business.', '<ul><li>Lever activated paper clamps for simple sandpaper changes</li><li>Dust sealed rocker switch extends product life and keeps dust out of motor</li><li>Flush sands on three sides to get into corners</li><li>Front handle for extra control</li><li>Dust extraction port for cleaner work environment</li></ul>', 'Power Sander', '', '', '', 'power-sander'),
(11, '', '', 'Hand Shovel cheap', '', '', '', 'hand-shovel-cheap'),
(12, '', '', 'Hand Shovel enforced', '', '', '', 'hand-shovel-enforced'),
(13, '', '', 'Hand Shovel heavy duty', '', '', '', 'hand-shovel-heavy-duty'),
(14, '', '', 'Metal Ladder', '', '', '', 'metal-ladder'),
(15, '', '<p>Loft ladders provide a safe and convenient solution to loft access and are quick and simple to install.</p>', 'Wooden Ladder', '', '', '', 'wooden-ladder'),
(16, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Aliquam sed tortor turpis? Proin libero ante, tincidunt vel placerat vel, molestie eu turpis. Quisque congue purus id nulla viverra; vitae ultricies magna scelerisque. Vivamus porta, justo sed ultricies pellentesque, mauris ipsum sagittis ante, euismod consectetur leo nisl at tellus. Phasellus ultricies, tellus quis porta commodo, magna tellus adipiscing dui, quis venenatis tellus est sit amet leo! Integer ut aliquam ligula, sit amet commodo nisi! Sed nulla ipsum, sollicitudin vitae purus eget; gravida sollicitudin risus. Mauris scelerisque, ligula non luctus laoreet, diam augue lacinia purus, sed volutpat nulla felis eu risus. Fusce auctor faucibus elit et feugiat. Praesent et semper sem. Phasellus sapien nulla, malesuada eu vehicula quis, adipiscing vel diam.</p>', 'Sed eleifend', '', '', '', 'sed-eleifend'),
(17, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', ' Etiam non est', '', '', '', 'etiam-non-est'),
(18, '<p>Donec accumsan tempus vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Aliquam vel lacus', '', '', '', 'aliquam-vel-lacus'),
(19, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>A really long ladder to reach high places.</p><ul><li>Hand crafted handle with maximum grip torque</li><li>Titanium tipped shovel platter</li><li>Half degree offset for less accidents</li><li>Includes HowTo Video narrated by Bob Costas</li></ul><p><strong>Example of a parent product used as pattern. The child products are added using the button "Child product" button from the product list. <br /><strong>For the child products, fields not filled in are taken from the parent. Fields that are changed are displayed.</strong><br /></strong></p>', 'Metal Ladder', '', '', '', 'metal-ladder-14'),
(20, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Donec accumsan tempus', '', '', '', 'donec-accumsan-tempus'),
(21, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Plastic Ladder', '', '', '', 'plastic-ladder-16'),
(22, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Pellentesque dolor', '', '', '', 'pellentesque-dolor'),
(23, 'Mauris nec neque sit amet sapien sagittis egestas. Morbi arcu leo, ornare eu vehicula sed, pharetra id lacus. Aliquam ipsum velit, pellentesque ac cursus eget, malesuada quis tortor. Aliquam erat volutpat. Phasellus vestibulum enim id lectus imperdiet eleifend. Curabitur interdum lacus at lectus ultrices, et mollis dui blandit. Vivamus suscipit tellus viverra sapien gravida, ut pharetra est accumsan. Sed mollis nisl vel mauris condimentum, ac facilisis nisl euismod. Curabitur egestas, dui id accumsan malesuada, nisi elit sagittis arcu, non adipiscing augue odio in dui. Nulla vel elit dictum, dapibus metus in, cursus odio. \r\nVestibulum dolor mauris, mollis ac mi vitae, semper accumsan sem. Integer quis elementum massa, eget tristique arcu. Ut aliquam velit et massa venenatis interdum.', 'Mauris nec neque sit amet sapien sagittis egestas. Morbi arcu leo, ornare eu vehicula sed, pharetra id lacus. Aliquam ipsum velit, pellentesque ac cursus eget, malesuada quis tortor. Aliquam erat volutpat. Phasellus vestibulum enim id lectus imperdiet eleifend. Curabitur interdum lacus at lectus ultrices, et mollis dui blandit. \r\nVivamus suscipit tellus viverra sapien gravida, ut pharetra est accumsan. Sed mollis nisl vel mauris condimentum, ac facilisis nisl euismod. Curabitur egestas, dui id accumsan malesuada, nisi elit sagittis arcu, non adipiscing augue odio in dui. Nulla vel elit dictum, dapibus metus in, cursus odio. Vestibulum dolor mauris, mollis ac mi vitae, semper accumsan sem. Integer quis elementum massa, eget tristique arcu. Ut aliquam velit et massa venenatis interdum.', 'Nare tima kite', '', '', '', 'nare-tima-kite'),
(24, 'Vivamus et purus aliquam justo blandit pulvinar. Fusce lacinia orci et condimentum tempor. Aliquam erat volutpat. Maecenas laoreet ut magna sit amet pellentesque. Maecenas posuere turpis vel magna consectetur, ac ornare urna scelerisque. \r\n\r\nIn ut viverra est, et bibendum augue. Curabitur semper nulla est, vel scelerisque mauris tincidunt a. Nam ut dapibus nulla. Proin mollis facilisis diam, at semper felis lacinia nec. Cras tincidunt urna et mi luctus, at porttitor nunc adipiscing. Integer lacinia augue a sagittis elementum. Nunc quis fringilla tortor, quis dapibus tortor. Vivamus tempor orci et lacus sagittis, non rhoncus nisi luctus.', 'Vivamus et purus aliquam justo blandit pulvinar. Fusce lacinia orci et condimentum tempor. Aliquam erat volutpat. Maecenas laoreet ut magna sit amet pellentesque. Maecenas posuere turpis vel magna consectetur, ac ornare urna scelerisque. \r\n\r\nIn ut viverra est, et bibendum augue. Curabitur semper nulla est, vel scelerisque mauris tincidunt a. Nam ut dapibus nulla. Proin mollis facilisis diam, at semper felis lacinia nec. Cras tincidunt urna et mi luctus, at porttitor nunc adipiscing. Integer lacinia augue a sagittis elementum. Nunc quis fringilla tortor, quis dapibus tortor. Vivamus tempor orci et lacus sagittis, non rhoncus nisi luctus.', 'Xare pila maki', '', '', '', 'xare-pila-maki'),
(25, 'In placerat lacus sit amet arcu ultricies laoreet. Interdum et malesuada fames ac ante ipsum primis in faucibus. Ut congue odio vitae dignissim pharetra. \r\n\r\nMaecenas nec lorem pulvinar, tempus lorem id, gravida est. Proin et nulla id turpis euismod adipiscing. Phasellus eu nisi ullamcorper, sagittis dolor non, scelerisque ligula. Sed quis ante massa. Mauris tristique laoreet iaculis. Donec aliquet nec tellus non molestie', 'In placerat lacus sit amet arcu ultricies laoreet. Interdum et malesuada fames ac ante ipsum primis in faucibus. Ut congue odio vitae dignissim pharetra. \r\n\r\nMaecenas nec lorem pulvinar, tempus lorem id, gravida est. Proin et nulla id turpis euismod adipiscing. Phasellus eu nisi ullamcorper, sagittis dolor non, scelerisque ligula. Sed quis ante massa. Mauris tristique laoreet iaculis. Donec aliquet nec tellus non molestie', 'Suma bazo jenta', '', '', '', 'suma-bazo-jenta'),
(26, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor.\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Hite face viza', '', '', '', 'hite-face-viza'),
(27, 'Fusce lacinia orci et condimentum tempor. Aliquam erat volutpat. Maecenas laoreet ut magna sit amet pellentesque. Maecenas posuere turpis vel magna consectetur, ac ornare urna scelerisque. In ut viverra est, et bibendum augue. Curabitur semper nulla est, vel scelerisque mauris tincidunt a. Nam ut dapibus nulla. Proin mollis facilisis diam, at semper felis lacinia nec. Cras tincidunt urna et mi luctus, at porttitor nunc adipiscing. \r\n\r\nInteger lacinia augue a sagittis elementum. Nunc quis fringilla tortor, quis dapibus tortor. Vivamus tempor orci et lacus sagittis, non rhoncus nisi luctus.', 'Fusce lacinia orci et condimentum tempor. Aliquam erat volutpat. Maecenas laoreet ut magna sit amet pellentesque. Maecenas posuere turpis vel magna consectetur, ac ornare urna scelerisque. In ut viverra est, et bibendum augue. Curabitur semper nulla est, vel scelerisque mauris tincidunt a. Nam ut dapibus nulla. Proin mollis facilisis diam, at semper felis lacinia nec. Cras tincidunt urna et mi luctus, at porttitor nunc adipiscing. \r\n\r\nInteger lacinia augue a sagittis elementum. Nunc quis fringilla tortor, quis dapibus tortor. Vivamus tempor orci et lacus sagittis, non rhoncus nisi luctus.', 'Ruma polas jaten', '', '', '', 'ruma-polas-jaten'),
(28, 'Quisque vitae urna vel ipsum egestas sodales quis sed libero. Praesent pellentesque eget diam aliquet fermentum. Pellentesque vitae bibendum sem. Mauris tempor magna non quam placerat dictum. In iaculis metus a dui placerat dignissim. Cras rhoncus nulla ut porttitor tincidunt. \r\n\r\nInteger a hendrerit erat. Integer a dictum sem. Proin urna neque, pharetra eu tellus vitae, consectetur vehicula urna. Pellentesque eget metus tellus. Morbi vulputate elementum ipsum. Phasellus mi dui, iaculis et consequat vel, rutrum vitae erat. Nullam convallis auctor ipsum elementum eleifend. Proin commodo eros a nulla elementum cursus. Suspendisse quis fermentum turpis', 'Quisque vitae urna vel ipsum egestas sodales quis sed libero. Praesent pellentesque eget diam aliquet fermentum. Pellentesque vitae bibendum sem. Mauris tempor magna non quam placerat dictum. In iaculis metus a dui placerat dignissim. Cras rhoncus nulla ut porttitor tincidunt. \r\n\r\nInteger a hendrerit erat. Integer a dictum sem. Proin urna neque, pharetra eu tellus vitae, consectetur vehicula urna. Pellentesque eget metus tellus. Morbi vulputate elementum ipsum. Phasellus mi dui, iaculis et consequat vel, rutrum vitae erat. Nullam convallis auctor ipsum elementum eleifend. Proin commodo eros a nulla elementum cursus. Suspendisse quis fermentum turpis', 'Pote hazu jetan', '', '', '', 'pote-hazu-jetan'),
(29, 'Nunc aliquam odio a lacus aliquet, nec vulputate sapien viverra. Nunc quis massa ut ligula hendrerit vulputate in non sapien. Maecenas porta blandit tristique. Fusce bibendum lectus sit amet condimentum aliquam. \r\n\r\nPhasellus rutrum nisl massa, at egestas libero suscipit mattis. Fusce lobortis convallis ante quis fermentum. Integer laoreet ante ac placerat ultrices. Curabitur sit amet orci vehicula, fringilla purus sit amet, tincidunt quam. Proin consequat ligula quis ante semper, eget pharetra enim varius.', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Ruta sute mopas', '', '', '', 'ruta-sute-mopas'),
(30, 'Pellentesque vitae bibendum sem. Mauris tempor magna non quam placerat dictum. In iaculis metus a dui placerat dignissim. Cras rhoncus nulla ut porttitor tincidunt. Integer a hendrerit erat. \r\n\r\nInteger a dictum sem. Proin urna neque, pharetra eu tellus vitae, consectetur vehicula urna. Pellentesque eget metus tellus. Morbi vulputate elementum ipsum. Phasellus mi dui, iaculis et consequat vel, rutrum vitae erat. Nullam convallis auctor ipsum elementum eleifend. Proin commodo eros a nulla elementum cursus. Suspendisse quis fermentum turpis, non dignissim arcu.', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Xare late kites', '', '', '', 'xare-late-kites'),
(31, '<p>Quis volutpat orci purus sagittis massa.Proin sem orci, tincidunt ut adipiscing non...\r\n</p><ul class="yt-list type-check"><li>Fusce euismod consequat ante</li><li>Lorem ipsum dolor sit met</li><li>Consectetuer adipiscing elitelue </li></ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Nure pola katen', '', '', '', 'nure-pola-katen'),
(32, '<p>Curabitur cursus ac eros a ultricies. Nulla vitae ligula facilisis, sagittis justo in, congue lectus....\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Cras quis libero hendrerit</li>\r\n<li>Quisque iaculis metus felis</li>\r\n<li>Aliquam erat volutpat </li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Phasellus nulla odio', '', '', '', 'phasellus-nulla-odio'),
(33, '<p> Maecenas vestibulum nulla eget urna blandit, quis mattis nulla feugiat. Sed pulvinar leo ...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Nam pulvinar cursus felis </li>\r\n<li>Vestibulum nec feugiat risus</li>\r\n<li>Sed dapibus mi pretium libero</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Aenean id felis quis', '', '', '', 'aenean-id-felis-quis'),
(52, '<p>Phasellus blandit ante sit amet velit sollicitudin egestas. Suspendisse potenti...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Donec dignissim vel diam quis</li>\r\n<li>Etiam sed neque ac elit posuere</li>\r\n<li>Nunc bibendum metus eros</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Kisi libero tristique libero', '', '', '', 'kisi-libero-tristique-libero'),
(34, '<p>Aenean id felis quis dolor fringilla laoreet eu a ligula. Nam pulvinar cursus felis eget vulputate...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Curabitur fermentum neque et </li>\r\n<li>Interdum et malesuada fames </li>\r\n<li>Nam blandit risus ut nunc</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Curabitur fermentum neque', '', '', '', 'curabitur-fermentum-neque'),
(35, '<p>Cras commodo tellus mauris, eu fringilla neque malesuada sed. Aenean interdum pretium pulvinar...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Vestibulum nec feugiat risus</li>\r\n<li>Donec rhoncus placerat lorem</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', ' Nullam tortor risus', '', '', '', 'nullam-tortor-risus'),
(36, '<p>urabitur cursus ac eros a ultricies. Nulla vitae ligula facilisis, sagittis justo in...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Nulla fermentum nunc a nibh </li>\r\n<li>Vestibulum nec feugiat risus</li>\r\n<li>Donec rhoncus placerat lorem</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Duis vulputate leo quis', '', '', '', 'duis-vulputate-leo-quis'),
(37, '<p>Morbi lectus felis, molestie a aliquam ac, volutpat eu odio. Praesent non lacinia magna...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Cras commodo tellus mauris</li>\r\n<li>Aenean interdum pretium pulvinar</li>\r\n<li>Nunc nec leo in nibh rutrum</li>\r\n</ul>', '<p>Maecenas vestibulum nulla eget urna blandi.</p>\r\n<ul>\r\n<li>Proin feugiat, orci non pellentesque fringilla</li>\r\n<li>Mauris commodo nisl id mi porttitor</li>\r\n<li>Quisque tortor dui, ultricies quis erat nec</li>\r\n<li>Sed pulvinar leo a eros mollis vehicula</li>\r\n</ul>', 'Fusce ac nisl elit', '', '', '', 'fusce-ac-nisl-elit'),
(38, '<p>Sed augue lorem, porta quis cursus vel, semper vitae metus. Aenean eget sapien lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Class aptent taciti sociosqu ad</li>\r\n<li>Nullam vitae libero sed lorem</li>\r\n<li>Duis vulputate leo quis consequat</li>\r\n</ul>', '<p>Sed tincidunt auctor tellus eu eleifend.</p>\r\n<ul>\r\n<li>Phasellus eget porta urna</li>\r\n<li>Aliquam erat volutpat</li>\r\n<li>Sed cursus tellus sapien</li>\r\n<li>ras auctor, augue eget bibendum vulputate</li>\r\n</ul>', 'Etiam eu rhoncus leo', '', '', '', 'etiam-eu-rhoncus-leo'),
(39, '<p>Etiam interdum hendrerit enim, tempus eleifend lorem malesuada sit amet  ultrices iaculis...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Nulla sit amet lorem sit amet</li>\r\n<li>Etiam cursus leo venenatis</li>\r\n<li>Maecenas ut eleifend lorem</li>\r\n</ul>', '<p>Duis mollis dolor est, a aliquam libero.</p>\r\n<ul>\r\n<li>Nullam sollicitudin est ut justo ultricies, ac porta erat</li>\r\n<li>Vestibulum non ultricies dui, et dignissim nisl.</li>\r\n<li>Nam malesuada enim eget mollis lacinia</li>\r\n<li>Pellentesque tristique nec mauris sed</li>\r\n</ul>', ' Mauris facilisis eros', '', '', '', 'vivamus-nec-enim'),
(40, '<p>am placerat magna eu tellus vestibulum, id euismod dolor fringilla. Curabitur feugiat lacinia...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Curabitur aliquam egestas neque</li>\r\n<li>Lorem ipsum dolor sit met</li>\r\n<li>Duis nec scelerisque eros</li>\r\n</ul>', '<p>Vivamus interdum ante id orci sagittis.</p>\r\n<ul>\r\n<li>Proin bibendum, mi id egestas pulvinar</li>\r\n<li>Ut ultrices lorem quis nisi aliquam, congue bibendum</li>\r\n<li>Nunc sagittis dui at velit egestas, quis blandit</li>\r\n<li>Vivamus facilisis egestas tempus</li>\r\n</ul>', 'Suspendisse mollis risus', '', '', '', 'suspendisse-mollis-risus'),
(41, '<p>Vestibulum condimentum lorem mauris, at porta dui mattis nec. Donec sed ultrices dui...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Nam adipiscing accumsan eros</li>\r\n<li>Suspendisse mollis risus augue</li>\r\n<li>Duis nec scelerisque eros</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Vivamus nec enim neque', '', '', '', 'vivamus-nec-enim-neque-2013-09-17'),
(42, '<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Duis orci at ...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Curabitur elementum eros augue</li>\r\n<li>Donec euismod lacinia quam</li>\r\n<li>Etiam cursus elit vitae leo venenatis</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Maecenas ut eleifend lorem', '', '', '', 'maecenas-ut-eleifend-lorem'),
(43, '<p>Proin bibendum, mi id egestas pulvinar, tellus urna laoreet diam, ac vehicula mauris orci quis felis...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Ut ultrices lorem quis nisi aliquam</li>\r\n<li>Nunc sagittis dui at velit egestas</li>\r\n<li>Vivamus facilisis egestas tempus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Quisque cursus orci sed', '', '', '', 'quisque-cursus-orci-sed'),
(44, '<p>Morbi lectus felis, molestie a aliquam ac, volutpat eu odio. Praesent non lacinia magna...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Curabitur fermentum neque</li>\r\n<li>Nam pulvinar cursus felis</li>\r\n<li>Suspendisse eget imperdiet orci</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Aenean id felis quis dolor', '', '', '', 'aenean-id-felis-quis-dolor'),
(45, '<p>Maecenas vestibulum nulla eget urna blandit, quis mattis nulla feugiat. Sed pulvinar vehicula...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Nam blandit risus ut nunc tincidunt</li>\r\n<li>Cras commodo tellus mauris</li>\r\n<li>Quisque tortor dui ultricies</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Cras sagittis lorem', '', '', '', 'curabitur-fermentum-neque-2013-09-17'),
(47, '<p>Aliquam dapibus porta eleifend. Nulla fermentum nunc a nibh accumsan, id ultricies libero hendrerit...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis ac convallis turpis</li>\r\n<li>Lorem ipsum dolor sit met</li>\r\n<li>Fusce ac pharetra metus</li>\r\n</ul>', '<p>Praesent pretium auctor augue.</p>\r\n<ul>\r\n<li>Nunc nec leo in nibh rutrum semper</li>\r\n<li>Vestibulum varius sem et accumsan aliquet</li>\r\n<li>In hac habitasse platea dictumst</li>\r\n<li>Cras vel nisl ut felis rutrum porttitor</li>\r\n</ul>', 'Fusce ac pharetra metus', '', '', '', 'fusce-ac-pharetra-metus'),
(46, '<p>Maecenas vestibulum nulla eget urna blandit, quis mattis nulla feugiat. Sed pulvinar vehicula...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Nam blandit risus ut nunc tincidunt</li>\r\n<li>Cras commodo tellus mauris</li>\r\n<li>Quisque tortor dui ultricies</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Donec rhoncus placerat', '', '', '', 'c-1'),
(48, '<p>Mauris vestibulum faucibus urna, eu lobortis nisi sollicitudin non. Quisque iaculis...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Cras quis libero hendrerit</li>\r\n<li>Aliquam erat volutpat</li>\r\n<li>Quisque iaculis metus felis</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Integer vulputate gravida', '', '', '', 'integer-vulputate-gravida'),
(49, '<p>Morbi lectus felis, molestie a aliquam ac, volutpat eu odio. Praesent non lacinia magna...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Curabitur fermentum neque</li>\r\n<li>Nam pulvinar cursus felis</li>\r\n<li>Suspendisse eget imperdiet orci</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Dictum vel nulla gravida', '', '', '', 'dictum-vel-nulla-gravida'),
(50, '<p>Duis sagittis, leo vitae vulputate iaculis, lectus massa tincidunt orci, a euismod nulla...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Imperdiet massa turpis ac justo</li>\r\n<li>Nim non suscipit eleifend</li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Turpis velit vulputate augue', '', '', '', 'turpis-velit-vulputate-augue'),
(51, '<p>Sed pellentesque sapien et molestie cursus. Nulla facilisi. Sed ut pellentesque ipsum...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Metus et blandit sollicitudin</li>\r\n<li>Cras ac eros tempor risus elementum</li>\r\n<li>Turpis velit vulputate augue</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Tristique senectus et netus et', '', '', '', 'tristique-senectus-et-netus-et'),
(54, '<p>Phasellus blandit ante sit amet velit sollicitudin egestas. Suspendisse potenti...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Donec dignissim vel diam quis</li>\r\n<li>Etiam sed neque ac elit posuere</li>\r\n<li>Nunc bibendum metus eros</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Dras sit amet mi nec', '', '', '', 'dras-sit-amet-mi-nec'),
(55, '<p>Sed pellentesque sapien et molestie cursus. Nulla facilisi. Sed ut pellentesque ipsum...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Metus et blandit sollicitudin</li>\r\n<li>Cras ac eros tempor risus elementum</li>\r\n<li>Turpis velit vulputate augue</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Bras euismod sagittis sed', '', '', '', 'bras-euismod-sagittis-sed'),
(56, '<p>Usce iaculis, massa ac ultricies ultrices, leo dui pulvinar ipsum, id sagittis massa urna in velit. Ut bibendum mauris lacus...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Mauris est molestie nulla</li>\r\n<li>Id sagittis massa urna in velit</li>\r\n<li>Nulla et molestie cursus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Innec urna sit amet dui', '', '', '', 'innec-urna-sit-amet-dui'),
(57, '<p>Sed pellentesque sapien et molestie cursus. Nulla facilisi. Sed ut pellentesque ipsum...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Metus et blandit sollicitudin</li>\r\n<li>Cras ac eros tempor risus elementum</li>\r\n<li>Turpis velit vulputate augue</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Ectus in nibh adipiscing', '', '', '', 'ectus-in-nibh-adipiscing'),
(58, '<p>Usce iaculis, massa ac ultricies ultrices, leo dui pulvinar ipsum, id sagittis massa urna in velit. Ut bibendum mauris lacus...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Mauris est molestie nulla</li>\r\n<li>Id sagittis massa urna in velit</li>\r\n<li>Nulla et molestie cursus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Vel malesuada lectus', '', '', '', 'vel-malesuada-lectus'),
(59, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Fringilla facilisis dignissim', '', '', '', 'fringilla-facilisis-dignissim'),
(60, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>testVestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.</p>\r\n<p>Pellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.</p>', 'Aen non purus sit amet', '', '', '', 'aen-non-purus-sit-amet');
INSERT INTO `#__virtuemart_products_en_gb` (`virtuemart_product_id`, `product_s_desc`, `product_desc`, `product_name`, `metadesc`, `metakey`, `customtitle`, `slug`) VALUES
(61, '<p>Sed pellentesque sapien et molestie cursus. Nulla facilisi. Sed ut pellentesque aliquam mauris orci ...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Proin blandit metus gravida</li>\r\n<li>In arcu risus feugiat sit ame</li>\r\n<li>Maecenas suscipit scelerisque tellus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.</p>\r\n<p>Pellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.</p>', 'Consequat at nisl', '', '', '', 'consequat-at-nisl'),
(62, '<p>Usce iaculis, massa ac ultricies ultrices, leo dui pulvinar ipsum, id sagittis massa urna in velit. Ut bibendum mauris lacus...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Mauris est molestie nulla</li>\r\n<li>Id sagittis massa urna in velit</li>\r\n<li>Nulla et molestie cursus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Maecenas tellus velit vel', '', '', '', 'maecenas-tellus-velit-vel'),
(63, '<p>Phasellus blandit ante sit amet velit sollicitudin egestas. Suspendisse potenti...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Donec dignissim vel diam quis</li>\r\n<li>Etiam sed neque ac elit posuere</li>\r\n<li>Nunc bibendum metus eros</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Varius libero arcu', '', '', '', 'varius-libero-arcu'),
(64, '<p>Usce iaculis, massa ac ultricies ultrices, leo dui pulvinar ipsum, id sagittis massa urna in velit. Ut bibendum mauris lacus...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Mauris est molestie nulla</li>\r\n<li>Id sagittis massa urna in velit</li>\r\n<li>Nulla et molestie cursus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Dictum euismod orci', '', '', '', 'dictum-euismod-orci'),
(65, '<p>Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. Cras sagittis lorem...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Duis molestie felis ac pellentesque</li>\r\n<li>Sed pellentesque sapien et </li>\r\n<li>Mauris est molestie nulla</li>\r\n</ul>', '<p>Donec accumsan tempus arcu, et sollicitudin mauris imperdiet in. Sed eleifend, enim non condimentum tempus, sapien velit fringilla nulla, id vulputate velit massa nec odio. .</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Nisl auctor condimentum', '', '', '', 'nisl-auctor-condimentum'),
(66, '<p>Sed pellentesque sapien et molestie cursus. Nulla facilisi. Sed ut pellentesque ipsum...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Metus et blandit sollicitudin</li>\r\n<li>Cras ac eros tempor risus elementum</li>\r\n<li>Turpis velit vulputate augue</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Magna dictum ut', '', '', '', 'magna-dictum-ut'),
(67, '<p>Mauris ornare enim sapien et molestie cursus. Nulla et molestie cursus. Sed ut pellentesque imperdiet..\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Integer facilisis risus non mauris</li>\r\n<li>Mauris ornare enim a imperdiet </li>\r\n<li>Nullam consectetur felis at</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Sodales vitae aliquet et', '', '', '', 'sodales-vitae-aliquet-et'),
(68, '<p>Usce iaculis, massa ac ultricies ultrices, leo dui pulvinar ipsum, id sagittis massa urna in velit. Ut bibendum mauris lacus...\r\n</p>\r\n<ul class="yt-list type-check">\r\n<li>Mauris est molestie nulla</li>\r\n<li>Id sagittis massa urna in velit</li>\r\n<li>Nulla et molestie cursus</li>\r\n</ul>', '<p>Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio. Nullam scelerisque diam eu lectus pellentesque, ut tristique mi semper.\r\n</p>\r\n<p>\r\nPellentesque dolor felis, laoreet id vulputate quis, rutrum sit amet arcu. Suspendisse vel lacinia quam, in condimentum magna. Sed fermentum hendrerit sagittis? Sed semper a justo sed sodales. Etiam non est lacus. Donec id ante volutpat; fermentum sem id, volutpat lacus. Nullam et nunc sit amet risus sodales lobortis! Aliquam vel lacus quam.\r\n</p>', 'Fusce sit amet lectus', '', '', '', 'fusce-sit-amet-lectus');

DROP TABLE IF EXISTS `#__virtuemart_product_categories`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_category_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`virtuemart_category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Maps Products to Categories' AUTO_INCREMENT=64 ;

INSERT INTO `#__virtuemart_product_categories` (`id`, `virtuemart_product_id`, `virtuemart_category_id`, `ordering`) VALUES
(1, 1, 1, 0),
(2, 2, 3, 0),
(19, 23, 4, 0),
(4, 4, 3, 0),
(5, 5, 1, 0),
(6, 6, 1, 0),
(7, 7, 4, 0),
(8, 8, 2, 0),
(9, 9, 5, 0),
(10, 14, 3, 0),
(11, 15, 3, 0),
(12, 16, 3, 0),
(13, 17, 3, 0),
(14, 18, 3, 0),
(15, 19, 3, 0),
(16, 20, 3, 0),
(17, 21, 3, 0),
(18, 22, 3, 0),
(20, 24, 4, 0),
(21, 25, 4, 0),
(22, 26, 4, 0),
(23, 27, 4, 0),
(24, 29, 4, 0),
(25, 30, 4, 0),
(26, 31, 4, 0),
(27, 32, 4, 0),
(28, 33, 6, 0),
(29, 34, 6, 0),
(30, 35, 6, 0),
(31, 36, 6, 0),
(32, 37, 6, 0),
(33, 38, 6, 0),
(34, 39, 6, 0),
(35, 40, 6, 0),
(36, 41, 6, 0),
(37, 42, 6, 0),
(38, 43, 6, 0),
(39, 44, 2, 0),
(40, 45, 2, 0),
(41, 46, 2, 0),
(42, 47, 2, 0),
(43, 48, 2, 0),
(44, 49, 2, 0),
(45, 50, 2, 0),
(46, 51, 2, 0),
(47, 52, 2, 0),
(48, 53, 1, 0),
(49, 54, 1, 0),
(50, 55, 1, 0),
(51, 56, 1, 0),
(52, 57, 1, 0),
(53, 58, 1, 0),
(54, 59, 1, 0),
(55, 60, 5, 0),
(56, 61, 5, 0),
(57, 62, 5, 0),
(58, 63, 5, 0),
(59, 64, 5, 0),
(60, 65, 5, 0),
(61, 66, 5, 0),
(62, 67, 5, 0),
(63, 68, 5, 0);

DROP TABLE IF EXISTS `#__virtuemart_product_customfields`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_customfields` (
  `virtuemart_customfield_id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'field id',
  `virtuemart_product_id` int(11) NOT NULL DEFAULT '0',
  `virtuemart_custom_id` int(11) NOT NULL DEFAULT '1' COMMENT 'custom group id',
  `custom_value` varchar(8000) DEFAULT NULL COMMENT 'field value',
  `custom_price` decimal(15,5) DEFAULT NULL COMMENT 'price',
  `custom_param` varchar(12800) DEFAULT NULL COMMENT 'Param for Plugins',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(1) unsigned NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(1) unsigned NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_customfield_id`),
  KEY `idx_virtuemart_product_id` (`virtuemart_product_id`),
  KEY `idx_virtuemart_custom_id` (`virtuemart_custom_id`),
  KEY `idx_custom_value` (`custom_value`(333))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='custom fields' AUTO_INCREMENT=93 ;

INSERT INTO `#__virtuemart_product_customfields` (`virtuemart_customfield_id`, `virtuemart_product_id`, `virtuemart_custom_id`, `custom_value`, `custom_price`, `custom_param`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`, `ordering`) VALUES
(83, 16, 1, '34', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 0),
(22, 5, 1, '7', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 09:51:28', 42, '0000-00-00 00:00:00', 0, 0),
(59, 7, 1, '13', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0, 0),
(58, 7, 1, '11', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0, 0),
(57, 7, 1, '1', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0, 0),
(74, 16, 1, '1', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 1),
(75, 16, 1, '5', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 2),
(89, 16, 23, 'f/1.8 Carl Zeiss® Vario-Sonnar T* lens with 3.6x zoom', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 2),
(81, 7, 1, '7', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0, 0),
(76, 21, 1, '10', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 06:44:08', 42, '0000-00-00 00:00:00', 0, 0),
(77, 21, 1, '16', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 06:44:08', 42, '0000-00-00 00:00:00', 0, 0),
(78, 21, 1, '7', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 06:44:08', 42, '0000-00-00 00:00:00', 0, 0),
(79, 21, 1, '14', NULL, '', 0, '0000-00-00 00:00:00', 0, '2013-09-18 06:44:08', 42, '0000-00-00 00:00:00', 0, 0),
(85, 16, 1, '7', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 3),
(87, 16, 24, '16MP', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 1),
(91, 16, 22, 'Red', '20.00000', '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 0),
(92, 16, 26, 'Connectivity to smartphones via Wi-Fi® or NFC', NULL, '', 0, '0000-00-00 00:00:00', 0, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0, 3);

DROP TABLE IF EXISTS `#__virtuemart_product_manufacturers`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_manufacturers` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(11) DEFAULT NULL,
  `virtuemart_manufacturer_id` smallint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`virtuemart_manufacturer_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Maps a product to a manufacturer' AUTO_INCREMENT=68 ;

INSERT INTO `#__virtuemart_product_manufacturers` (`id`, `virtuemart_product_id`, `virtuemart_manufacturer_id`) VALUES
(1, 1, 1),
(2, 2, 1),
(23, 23, 1),
(4, 4, 1),
(5, 5, 1),
(6, 6, 1),
(7, 7, 1),
(8, 8, 1),
(9, 9, 1),
(10, 10, 1),
(11, 11, 1),
(12, 12, 1),
(13, 13, 1),
(14, 14, 1),
(15, 15, 1),
(17, 17, 1),
(18, 18, 1),
(19, 19, 1),
(20, 20, 1),
(21, 21, 1),
(22, 22, 1),
(24, 24, 1),
(25, 25, 1),
(26, 26, 1),
(27, 27, 1),
(28, 28, 1),
(29, 29, 1),
(30, 30, 1),
(31, 31, 1),
(32, 33, 1),
(33, 34, 1),
(34, 35, 1),
(35, 36, 1),
(36, 37, 1),
(37, 38, 1),
(38, 39, 1),
(39, 40, 1),
(40, 41, 1),
(41, 42, 1),
(42, 43, 1),
(43, 44, 1),
(44, 45, 1),
(45, 46, 1),
(46, 47, 1),
(47, 48, 1),
(48, 49, 1),
(49, 50, 1),
(50, 51, 1),
(51, 52, 1),
(52, 53, 1),
(53, 54, 1),
(54, 55, 1),
(55, 56, 1),
(56, 57, 1),
(57, 58, 1),
(58, 59, 1),
(59, 60, 1),
(60, 61, 1),
(61, 62, 1),
(62, 63, 1),
(63, 64, 1),
(64, 65, 1),
(65, 66, 1),
(66, 67, 1),
(67, 68, 1);

DROP TABLE IF EXISTS `#__virtuemart_product_medias`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_medias` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_media_id` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`virtuemart_media_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=324 ;

INSERT INTO `#__virtuemart_product_medias` (`id`, `virtuemart_product_id`, `virtuemart_media_id`, `ordering`) VALUES
(59, 17, 78, 3),
(82, 4, 101, 2),
(245, 6, 266, 3),
(102, 23, 121, 2),
(248, 1, 269, 2),
(239, 5, 260, 1),
(318, 9, 339, 2),
(100, 7, 119, 4),
(322, 2, 343, 2),
(10, 10, 5, 0),
(193, 8, 214, 4),
(62, 18, 81, 2),
(67, 19, 86, 3),
(70, 20, 89, 2),
(75, 21, 94, 3),
(79, 22, 98, 3),
(66, 19, 85, 2),
(58, 17, 77, 2),
(89, 15, 108, 1),
(74, 21, 93, 2),
(47, 8, 66, 1),
(78, 22, 97, 2),
(101, 23, 120, 1),
(48, 8, 67, 3),
(96, 16, 115, 4),
(95, 16, 114, 3),
(99, 7, 118, 3),
(98, 7, 117, 2),
(97, 7, 116, 1),
(94, 16, 113, 2),
(244, 6, 265, 2),
(87, 14, 106, 3),
(88, 14, 107, 4),
(86, 14, 105, 2),
(93, 16, 112, 1),
(57, 17, 76, 1),
(60, 17, 79, 4),
(61, 18, 80, 1),
(63, 18, 82, 3),
(64, 18, 83, 4),
(65, 19, 84, 1),
(68, 19, 87, 4),
(69, 20, 88, 1),
(71, 20, 90, 3),
(72, 20, 91, 4),
(73, 21, 92, 1),
(76, 21, 95, 4),
(77, 22, 96, 1),
(80, 22, 99, 4),
(81, 4, 100, 1),
(83, 4, 102, 3),
(84, 4, 103, 4),
(85, 14, 104, 1),
(90, 15, 109, 2),
(91, 15, 110, 3),
(92, 15, 111, 4),
(103, 23, 122, 3),
(104, 23, 123, 4),
(105, 24, 124, 1),
(106, 24, 125, 2),
(107, 24, 126, 3),
(108, 24, 127, 4),
(109, 25, 128, 1),
(110, 25, 129, 2),
(111, 25, 130, 3),
(112, 25, 131, 4),
(117, 26, 136, 2),
(116, 26, 135, 1),
(118, 26, 137, 3),
(119, 26, 138, 4),
(120, 27, 139, 1),
(121, 27, 140, 2),
(122, 27, 141, 3),
(123, 27, 142, 4),
(124, 28, 143, 1),
(125, 28, 144, 2),
(126, 28, 145, 3),
(127, 28, 146, 4),
(128, 29, 147, 1),
(129, 29, 148, 2),
(130, 29, 149, 3),
(131, 29, 150, 4),
(132, 30, 151, 1),
(133, 30, 152, 2),
(134, 30, 153, 3),
(135, 30, 154, 4),
(136, 31, 155, 1),
(141, 31, 160, 4),
(140, 31, 159, 3),
(139, 31, 158, 2),
(146, 32, 167, 4),
(143, 32, 164, 1),
(144, 32, 165, 2),
(145, 32, 166, 3),
(149, 33, 170, 2),
(148, 33, 169, 1),
(150, 33, 171, 3),
(151, 33, 172, 4),
(152, 34, 173, 1),
(153, 34, 174, 2),
(154, 34, 175, 3),
(155, 34, 176, 4),
(156, 35, 177, 1),
(157, 35, 178, 2),
(158, 35, 179, 3),
(159, 35, 180, 4),
(160, 36, 181, 1),
(161, 36, 182, 2),
(162, 36, 183, 3),
(163, 36, 184, 4),
(164, 37, 185, 1),
(165, 37, 186, 2),
(166, 37, 187, 3),
(167, 37, 188, 4),
(168, 38, 189, 1),
(169, 38, 190, 2),
(170, 38, 191, 3),
(171, 38, 192, 4),
(172, 39, 193, 1),
(173, 39, 194, 2),
(174, 39, 195, 3),
(175, 39, 196, 4),
(176, 40, 197, 1),
(177, 40, 198, 2),
(178, 40, 199, 3),
(179, 40, 200, 4),
(180, 41, 201, 1),
(181, 41, 202, 2),
(182, 41, 203, 3),
(183, 41, 204, 4),
(184, 42, 205, 1),
(185, 42, 206, 2),
(186, 42, 207, 3),
(187, 42, 208, 4),
(188, 43, 209, 1),
(189, 43, 210, 2),
(190, 43, 211, 3),
(191, 43, 212, 4),
(192, 8, 213, 2),
(227, 51, 248, 3),
(198, 44, 219, 4),
(196, 44, 217, 2),
(197, 44, 218, 1),
(205, 45, 226, 2),
(200, 46, 221, 1),
(201, 46, 222, 2),
(202, 46, 223, 3),
(203, 46, 224, 4),
(204, 45, 225, 1),
(210, 47, 231, 1),
(207, 45, 228, 3),
(209, 45, 230, 4),
(211, 47, 232, 2),
(212, 47, 233, 3),
(213, 47, 234, 4),
(214, 48, 235, 1),
(215, 48, 236, 2),
(216, 48, 237, 3),
(217, 48, 238, 4),
(218, 49, 239, 1),
(219, 49, 240, 2),
(220, 49, 241, 3),
(221, 49, 242, 4),
(222, 50, 243, 1),
(223, 50, 244, 2),
(224, 50, 245, 3),
(225, 50, 246, 4),
(226, 44, 247, 3),
(228, 51, 249, 2),
(229, 51, 250, 4),
(230, 51, 251, 1),
(231, 52, 252, 1),
(232, 52, 253, 2),
(235, 52, 256, 4),
(240, 5, 261, 2),
(236, 52, 257, 3),
(241, 5, 262, 3),
(242, 5, 263, 4),
(243, 6, 264, 1),
(246, 6, 267, 4),
(247, 1, 268, 1),
(249, 1, 270, 3),
(250, 1, 271, 4),
(251, 53, 272, 1),
(252, 53, 273, 2),
(253, 53, 274, 3),
(254, 53, 275, 4),
(255, 54, 276, 1),
(256, 54, 277, 2),
(257, 54, 278, 3),
(258, 54, 279, 4),
(259, 55, 280, 1),
(260, 55, 281, 2),
(261, 55, 282, 3),
(262, 55, 283, 4),
(263, 56, 284, 1),
(264, 56, 285, 2),
(265, 56, 286, 3),
(266, 56, 287, 4),
(267, 57, 288, 1),
(268, 57, 289, 2),
(269, 57, 290, 3),
(270, 57, 291, 4),
(271, 58, 292, 1),
(272, 58, 293, 2),
(273, 58, 294, 3),
(274, 58, 295, 4),
(275, 59, 296, 1),
(276, 59, 297, 2),
(277, 59, 298, 3),
(278, 59, 299, 4),
(279, 60, 300, 1),
(280, 60, 301, 2),
(281, 60, 302, 3),
(282, 60, 303, 4),
(283, 61, 304, 1),
(284, 61, 305, 2),
(285, 61, 306, 3),
(286, 61, 307, 4),
(287, 62, 308, 1),
(288, 62, 309, 2),
(291, 62, 312, 4),
(290, 62, 311, 3),
(292, 63, 313, 1),
(296, 63, 317, 4),
(294, 63, 315, 3),
(295, 63, 316, 2),
(297, 64, 318, 1),
(298, 64, 319, 2),
(299, 64, 320, 3),
(300, 64, 321, 4),
(301, 65, 322, 1),
(302, 65, 323, 2),
(303, 65, 324, 3),
(304, 65, 325, 4),
(305, 66, 326, 1),
(306, 66, 327, 2),
(307, 66, 328, 3),
(308, 66, 329, 4),
(309, 67, 330, 1),
(310, 67, 331, 2),
(311, 67, 332, 3),
(312, 67, 333, 4),
(313, 68, 334, 1),
(314, 68, 335, 2),
(315, 68, 336, 3),
(316, 68, 337, 4),
(317, 9, 338, 1),
(319, 9, 340, 3),
(320, 9, 341, 4),
(321, 2, 342, 1),
(323, 2, 344, 3);

DROP TABLE IF EXISTS `#__virtuemart_product_prices`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_prices` (
  `virtuemart_product_price_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_shoppergroup_id` int(11) DEFAULT NULL,
  `product_price` decimal(15,5) DEFAULT NULL,
  `override` tinyint(1) DEFAULT NULL,
  `product_override_price` decimal(15,5) DEFAULT NULL,
  `product_tax_id` int(11) DEFAULT NULL,
  `product_discount_id` int(11) DEFAULT NULL,
  `product_currency` smallint(1) DEFAULT NULL,
  `product_price_publish_up` datetime DEFAULT NULL,
  `product_price_publish_down` datetime DEFAULT NULL,
  `price_quantity_start` int(11) unsigned DEFAULT NULL,
  `price_quantity_end` int(11) unsigned DEFAULT NULL,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_product_price_id`),
  KEY `idx_product_price_product_id` (`virtuemart_product_id`),
  KEY `idx_product_price_virtuemart_shoppergroup_id` (`virtuemart_shoppergroup_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Holds price records for a product' AUTO_INCREMENT=69 ;

INSERT INTO `#__virtuemart_product_prices` (`virtuemart_product_price_id`, `virtuemart_product_id`, `virtuemart_shoppergroup_id`, `product_price`, `override`, `product_override_price`, `product_tax_id`, `product_discount_id`, `product_currency`, `product_price_publish_up`, `product_price_publish_down`, `price_quantity_start`, `price_quantity_end`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 5, 0, '240.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:03:22', 42, '2013-09-18 09:51:28', 42, '0000-00-00 00:00:00', 0),
(2, 1, 0, '402.49000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:03:34', 42, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(3, 2, 0, '39.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:02:10', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(23, 23, 0, '54.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:04:20', 42, '2013-09-13 16:05:10', 42, '0000-00-00 00:00:00', 0),
(5, 4, 0, '17.99000', 1, '77.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:02:23', 42, '2013-09-13 09:38:47', 42, '0000-00-00 00:00:00', 0),
(6, 6, 0, '403.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 100, '2013-08-23 07:03:09', 42, '2013-09-18 07:06:41', 42, '0000-00-00 00:00:00', 0),
(7, 7, 0, '149.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:01:32', 42, '2013-09-18 07:02:44', 42, '0000-00-00 00:00:00', 0),
(8, 8, 0, '220.90000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:00:45', 42, '2013-09-18 07:04:41', 42, '0000-00-00 00:00:00', 0),
(9, 9, 0, '480.12000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:01:51', 42, '2013-09-18 07:00:34', 42, '0000-00-00 00:00:00', 0),
(10, 10, NULL, '74.99000', 0, '0.00000', NULL, NULL, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 11, NULL, '2.99000', 0, '0.00000', NULL, NULL, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:03:34', 42, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(12, 12, NULL, '14.99000', 0, '0.00000', NULL, NULL, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:03:34', 42, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(13, 13, NULL, '79.99000', 0, '0.00000', NULL, NULL, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:03:34', 42, '2013-09-18 06:38:02', 42, '0000-00-00 00:00:00', 0),
(14, 14, 0, '49.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:02:10', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(15, 15, 0, '59.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:02:10', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(16, 16, 0, '749.00000', 0, '0.00000', 1, -1, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-23 07:02:10', 42, '2014-02-21 02:43:33', 42, '0000-00-00 00:00:00', 0),
(17, 17, 0, '39.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:45:22', 42, '0000-00-00 00:00:00', 0),
(18, 18, 0, '17.99000', 1, '77.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-24 01:54:03', 42, '2013-09-20 01:57:22', 42, '0000-00-00 00:00:00', 0),
(19, 19, 0, '49.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(20, 20, 0, '59.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:50:20', 42, '0000-00-00 00:00:00', 0),
(21, 21, 0, '3.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:49:44', 42, '0000-00-00 00:00:00', 0),
(22, 22, 0, '24.99000', 0, '0.00000', 0, 0, 144, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-08-24 01:54:03', 42, '2013-09-18 06:44:33', 42, '0000-00-00 00:00:00', 0),
(24, 24, 0, '67.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:06:55', 42, '2013-09-13 16:08:48', 42, '0000-00-00 00:00:00', 0),
(25, 25, 0, '76.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:10:20', 42, '2013-09-13 16:13:15', 42, '0000-00-00 00:00:00', 0),
(26, 26, 0, '88.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:15:11', 42, '2013-09-18 07:02:17', 42, '0000-00-00 00:00:00', 0),
(27, 27, 0, '76.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:21:14', 42, '2013-09-13 16:22:05', 42, '0000-00-00 00:00:00', 0),
(28, 28, 0, '82.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:23:31', 42, '2013-09-13 16:26:36', 42, '0000-00-00 00:00:00', 0),
(29, 29, 0, '35.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:28:19', 42, '2013-09-18 07:01:50', 42, '0000-00-00 00:00:00', 0),
(30, 30, 0, '36.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-13 16:31:44', 42, '2013-09-18 07:01:40', 42, '0000-00-00 00:00:00', 0),
(31, 31, 0, '42.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-15 16:33:36', 42, '2013-09-18 07:01:27', 42, '0000-00-00 00:00:00', 0),
(32, 32, 0, '249.89000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 07:50:32', 42, '2013-09-18 07:01:16', 42, '0000-00-00 00:00:00', 0),
(33, 33, 0, '309.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 08:18:46', 42, '2013-10-04 03:06:43', 42, '0000-00-00 00:00:00', 0),
(34, 34, 0, '189.75000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 08:32:35', 42, '2013-09-18 07:07:34', 42, '0000-00-00 00:00:00', 0),
(35, 35, 0, '275.01000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 08:38:46', 42, '2013-09-18 07:07:46', 42, '0000-00-00 00:00:00', 0),
(36, 36, 0, '168.46000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 08:44:53', 42, '2013-09-18 07:07:58', 42, '0000-00-00 00:00:00', 0),
(37, 37, 0, '89.03500', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 08:50:26', 42, '2013-09-17 08:51:53', 42, '0000-00-00 00:00:00', 0),
(38, 38, 0, '350.78000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 09:02:08', 42, '2013-09-17 09:03:50', 42, '0000-00-00 00:00:00', 0),
(39, 39, 0, '275.08000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 09:11:38', 42, '2013-09-18 06:52:20', 42, '0000-00-00 00:00:00', 0),
(40, 40, 0, '400.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 09:23:44', 42, '2013-09-18 06:52:47', 42, '0000-00-00 00:00:00', 0),
(41, 41, 0, '325.02000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 09:28:48', 42, '2013-09-18 07:07:15', 42, '0000-00-00 00:00:00', 0),
(42, 42, 0, '400.56000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 09:35:40', 42, '2013-09-18 07:07:06', 42, '0000-00-00 00:00:00', 0),
(43, 43, 0, '600.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 09:41:52', 42, '2013-09-18 07:06:56', 42, '0000-00-00 00:00:00', 0),
(44, 44, 0, '369.00100', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 10:51:47', 42, '2013-09-18 07:04:30', 42, '0000-00-00 00:00:00', 0),
(45, 45, 0, '250.99000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 11:00:03', 42, '2013-09-18 07:04:21', 42, '0000-00-00 00:00:00', 0),
(46, 46, 0, '250.99000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 11:00:04', 42, '2013-09-18 07:03:59', 42, '0000-00-00 00:00:00', 0),
(47, 47, 0, '300.00100', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 11:10:53', 42, '2013-09-17 11:16:09', 42, '0000-00-00 00:00:00', 0),
(48, 48, 0, '250.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-17 11:16:02', 42, '2013-09-18 07:03:40', 42, '0000-00-00 00:00:00', 0),
(49, 49, 0, '150.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 01:30:33', 42, '2013-09-18 07:03:31', 42, '0000-00-00 00:00:00', 0),
(50, 50, 0, '238.02200', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 01:35:53', 42, '2013-09-18 07:03:21', 42, '0000-00-00 00:00:00', 0),
(51, 51, 0, '301.00200', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 02:03:44', 42, '2013-09-18 07:03:10', 42, '0000-00-00 00:00:00', 0),
(52, 52, 0, '189.89000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 02:10:02', 42, '2013-09-18 07:03:01', 42, '0000-00-00 00:00:00', 0),
(53, 53, 0, '145.02300', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 02:56:53', 42, '2013-09-18 07:05:58', 42, '0000-00-00 00:00:00', 0),
(54, 54, 0, '255.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 02:59:41', 42, '2013-09-18 07:05:47', 42, '0000-00-00 00:00:00', 0),
(55, 55, 0, '289.01000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:03:07', 42, '2013-09-18 07:05:38', 42, '0000-00-00 00:00:00', 0),
(56, 56, 0, '130.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:06:46', 42, '2013-09-18 07:05:28', 42, '0000-00-00 00:00:00', 0),
(57, 58, 0, '500.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:12:25', 42, '2013-09-18 07:05:03', 42, '0000-00-00 00:00:00', 0),
(58, 59, 0, '145.08900', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:16:07', 42, '2013-09-18 07:04:53', 42, '0000-00-00 00:00:00', 0),
(59, 60, 0, '89.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:51:50', 42, '2013-10-01 03:56:29', 42, '0000-00-00 00:00:00', 0),
(60, 61, 0, '230.22000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:55:18', 42, '2013-09-23 09:51:35', 42, '0000-00-00 00:00:00', 0),
(61, 62, 0, '189.00200', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 03:59:19', 42, '2013-09-18 07:00:22', 42, '0000-00-00 00:00:00', 0),
(62, 63, 0, '145.00100', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 04:07:10', 42, '2013-09-18 07:00:01', 42, '0000-00-00 00:00:00', 0),
(63, 64, 0, '226.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 04:12:07', 42, '2013-09-18 06:59:49', 42, '0000-00-00 00:00:00', 0),
(64, 65, 0, '155.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 04:14:50', 42, '2013-09-18 06:58:24', 42, '0000-00-00 00:00:00', 0),
(65, 66, 0, '501.23000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 04:18:05', 42, '2013-09-18 06:59:30', 42, '0000-00-00 00:00:00', 0),
(66, 67, 0, '200.22000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 04:21:28', 42, '2013-09-18 06:59:20', 42, '0000-00-00 00:00:00', 0),
(67, 68, 0, '80.00000', 0, '0.00000', 0, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 04:25:05', 42, '2013-09-18 06:59:10', 42, '0000-00-00 00:00:00', 0),
(68, 57, 0, '350.00000', 0, '0.00000', -1, 0, 47, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 0, '2013-09-18 06:35:57', 42, '2013-09-18 07:05:12', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_product_relations`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_relations` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `related_products` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`related_products`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_product_shoppergroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_product_shoppergroups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_shoppergroup_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`virtuemart_shoppergroup_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Maps Products to Categories' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_product_shoppergroups` (`id`, `virtuemart_product_id`, `virtuemart_shoppergroup_id`) VALUES
(1, 17, 3);

DROP TABLE IF EXISTS `#__virtuemart_ratings`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_ratings` (
  `virtuemart_rating_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `rates` int(11) NOT NULL DEFAULT '0',
  `ratingcount` int(1) unsigned NOT NULL DEFAULT '0',
  `rating` decimal(10,1) NOT NULL DEFAULT '0.0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_rating_id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`virtuemart_rating_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores all ratings for a product' AUTO_INCREMENT=16 ;

INSERT INTO `#__virtuemart_ratings` (`virtuemart_rating_id`, `virtuemart_product_id`, `rates`, `ratingcount`, `rating`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`) VALUES
(1, 7, 5, 1, '5.0', 1, '2012-10-26 10:28:32', 627, '2012-10-26 10:29:16', 627),
(2, 6, 5, 1, '5.0', 1, '2013-08-23 07:53:58', 42, '2013-08-23 07:53:58', 42),
(3, 21, 5, 1, '5.0', 1, '2013-08-24 02:42:07', 42, '2013-08-24 02:42:07', 42),
(4, 8, 5, 1, '5.0', 1, '2013-09-07 01:31:12', 42, '2013-09-07 01:31:12', 42),
(5, 16, 4, 2, '2.0', 1, '2013-09-10 03:46:28', 44, '2013-09-10 04:12:46', 42),
(6, 39, 3, 1, '3.0', 1, '2013-09-18 07:12:39', 42, '2013-09-18 07:13:23', 42),
(7, 35, 5, 1, '5.0', 1, '2013-09-18 07:18:08', 42, '2013-09-18 07:18:08', 42),
(8, 60, 3, 1, '3.0', 1, '2013-09-18 07:41:21', 42, '2013-09-18 07:41:52', 42),
(9, 33, 4, 1, '4.0', 1, '2013-09-18 07:42:15', 42, '2013-09-18 07:44:31', 42),
(10, 44, 4, 1, '4.0', 1, '2013-09-18 07:42:38', 42, '2013-09-18 07:44:10', 42),
(11, 18, 4, 1, '4.0', 1, '2013-09-18 07:43:07', 42, '2013-09-18 07:43:37', 42),
(12, 1, 4, 1, '4.0', 1, '2013-09-23 06:39:45', 42, '2013-09-23 06:41:43', 42),
(13, 20, 4, 1, '4.0', 1, '2013-09-23 06:41:33', 42, '2013-09-23 06:41:33', 42),
(14, 61, 3, 1, '3.0', 1, '2013-09-23 06:42:49', 42, '2013-09-23 06:42:49', 42),
(15, 5, 1, 1, '1.0', 0, '2013-09-23 10:02:42', 42, '2013-09-23 10:02:42', 42);

DROP TABLE IF EXISTS `#__virtuemart_rating_reviews`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_rating_reviews` (
  `virtuemart_rating_review_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `comment` varchar(18000) DEFAULT NULL,
  `review_ok` tinyint(1) NOT NULL DEFAULT '0',
  `review_rates` int(1) unsigned NOT NULL DEFAULT '0',
  `review_ratingcount` int(1) unsigned NOT NULL DEFAULT '0',
  `review_rating` decimal(10,2) NOT NULL DEFAULT '0.00',
  `review_editable` tinyint(1) NOT NULL DEFAULT '1',
  `lastip` char(50) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_rating_review_id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`created_by`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

INSERT INTO `#__virtuemart_rating_reviews` (`virtuemart_rating_review_id`, `virtuemart_product_id`, `comment`, `review_ok`, `review_rates`, `review_ratingcount`, `review_rating`, `review_editable`, `lastip`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 7, 'I just purchased this saw to cut up some tree branches that fell into my yard. I am so happy, it is light weight enough for me (a lady) to use.', 0, 10, 2, '5.00', 0, '::1', 1, '2012-10-26 10:28:32', 627, '2012-10-26 10:29:16', 627, '0000-00-00 00:00:00', 0),
(2, 6, 'Aenean vulputate condimentum risus sed mattis! Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent luctus tortor sollicitudin commodo convallis', 0, 5, 1, '5.00', 0, '127.0.0.1', 0, '2013-08-23 07:53:58', 42, '2013-08-23 07:53:58', 42, '0000-00-00 00:00:00', 0),
(3, 21, 'Praesent sodales lectus eget tortor tristique, id mollis sem lobortis. Etiam sit amet pellentesque dui. Pellentesque vitae lectus in dui pellentesque pretium in in justo', 0, 5, 1, '5.00', 0, '127.0.0.1', 0, '2013-08-24 02:42:07', 42, '2013-08-24 02:42:07', 42, '0000-00-00 00:00:00', 0),
(4, 8, 'Nulla dictum justo ipsum, ut tempor elit sagittis ac. Fusce nibh odio, pellentesque id elit ut, rutrum lobortis dolor.', 0, 5, 1, '5.00', 0, '127.0.0.1', 0, '2013-09-07 01:31:12', 42, '2013-09-07 01:31:12', 42, '0000-00-00 00:00:00', 0),
(5, 16, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. In non ipsum at mauris fringilla adipiscing. Sed lacus libero, lobortis vitae est eu, facilisis lobortis tellus. Sed aliquam molestie urna, eget ornare augue suscipit id. Nam vulputate pellentesque convallis. Morbi volutpat ac ipsum id egestas. ', 0, 8, 2, '4.00', 0, '127.0.0.1', 1, '2013-09-10 03:46:28', 42, '2013-09-10 03:49:20', 42, '0000-00-00 00:00:00', 0),
(6, 16, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. In non ipsum at mauris fringilla adipiscing. Sed lacus libero, lobortis vitae est eu, facilisis lobortis tellus. Sed aliquam molestie urna, eget ornare augue suscipit id. Nam vulputate pellentesque convallis. Morbi volutpat ac ipsum id egestas.', 0, 7, 3, '2.33', 0, '127.0.0.1', 1, '2013-09-10 04:05:30', 44, '2013-09-10 04:12:46', 42, '0000-00-00 00:00:00', 0),
(7, 39, 'Morbi consequat dolor eget erat imperdiet; eget viverra orci euismod? Nam dignissim magna non velit scelerisque rutrum.', 0, 8, 2, '4.00', 0, '127.0.0.1', 1, '2013-09-18 07:12:39', 42, '2013-09-18 07:13:23', 42, '0000-00-00 00:00:00', 0),
(8, 35, 'Vestibulum aliquam, ligula a bibendum tempus, risus leo dapibus velit, quis suscipit neque orci ut odio.', 0, 5, 1, '5.00', 0, '127.0.0.1', 1, '2013-09-18 07:18:08', 42, '2013-09-18 07:18:08', 42, '0000-00-00 00:00:00', 0),
(9, 60, 'Nam faucibus dolor eros, at tempor nunc posuere eget. Integer vitae massa nisi. Nullam ac pellentesque tellus. Proin a imperdiet purus. Fusce quis magna at magna pretium cursus.', 0, 8, 2, '4.00', 0, '127.0.0.1', 1, '2013-09-18 07:41:21', 42, '2013-09-18 07:41:52', 42, '0000-00-00 00:00:00', 0),
(10, 33, 'Nam faucibus dolor eros, at tempor nunc posuere eget. Integer vitae massa nisi. Nullam ac pellentesque tellus. Proin a imperdiet purus. Fusce quis magna at magna pretium cursus.', 0, 9, 2, '4.50', 0, '127.0.0.1', 1, '2013-09-18 07:42:15', 42, '2013-09-18 07:44:31', 42, '0000-00-00 00:00:00', 0),
(11, 44, 'Nam faucibus dolor eros, at tempor nunc posuere eget. Integer vitae massa nisi. Nullam ac pellentesque tellus. Proin a imperdiet purus. Fusce quis magna at magna pretium cursus.', 0, 9, 2, '4.50', 0, '127.0.0.1', 1, '2013-09-18 07:42:38', 42, '2013-09-18 07:44:10', 42, '0000-00-00 00:00:00', 0),
(12, 18, 'Nam faucibus dolor eros, at tempor nunc posuere eget. Integer vitae massa nisi. Nullam ac pellentesque tellus. Proin a imperdiet purus. Fusce quis magna at magna pretium cursus.', 0, 9, 2, '4.50', 0, '127.0.0.1', 1, '2013-09-18 07:43:07', 42, '2013-09-18 07:43:37', 42, '0000-00-00 00:00:00', 0),
(13, 1, 'Fusce et iaculis eros, eget blandit libero! Etiam nec tincidunt risus! Donec magna sem, imperdiet vitae ornare id, ornare in nulla. Duis arcu neque, lobortis accumsan vulputate quis, viverra eu risus', 0, 4, 2, '2.00', 0, '127.0.0.1', 1, '2013-09-23 06:39:45', 42, '2013-09-23 06:41:43', 42, '0000-00-00 00:00:00', 0),
(14, 20, 'Quisque mi velit, ultricies eu purus ac, laoreet rhoncus risus. Mauris lacus augue, sollicitudin at erat in, sagittis sodales ligula. Cras congue sed turpis ut mollis. Sed ut bibendum dolor. Fusce ullamcorper sed neque vel luctus. Pellentesque tincidunt urna eget ', 0, 4, 1, '4.00', 0, '127.0.0.1', 0, '2013-09-23 06:41:33', 42, '2013-09-23 06:41:33', 42, '0000-00-00 00:00:00', 0),
(15, 61, 'Quisque mi velit, ultricies eu purus ac, laoreet rhoncus risus. Mauris lacus augue, sollicitudin at erat in, sagittis sodales ligula. Cras congue sed turpis ut mollis. Sed ut bibendum dolor. Fusce ullamcorper sed neque vel luctus. Pellentesque tincidunt urna eget ', 0, 3, 1, '3.00', 0, '127.0.0.1', 0, '2013-09-23 06:42:49', 42, '2013-09-23 06:42:49', 42, '0000-00-00 00:00:00', 0),
(16, 5, 'Velit vulputate augue, vitae aliquam mauris orci a dui. Mauris ornare enim a imperdiet tempor. <br />\r\n<br />\r\n    Duis molestie felis ac pellentesque<br />\r\n    Sed pellentesque sapien et<br />\r\n    Mauris est molestie nulla<br />\r\n', 0, 1, 1, '1.00', 0, '192.168.1.98', 0, '2013-09-23 10:02:42', 42, '2013-09-23 10:02:42', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_rating_votes`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_rating_votes` (
  `virtuemart_rating_vote_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `vote` int(11) NOT NULL DEFAULT '0',
  `lastip` char(50) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_rating_vote_id`),
  UNIQUE KEY `i_virtuemart_product_id` (`virtuemart_product_id`,`created_by`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores all ratings for a product' AUTO_INCREMENT=17 ;

INSERT INTO `#__virtuemart_rating_votes` (`virtuemart_rating_vote_id`, `virtuemart_product_id`, `vote`, `lastip`, `created_on`, `created_by`, `modified_on`, `modified_by`) VALUES
(1, 7, 5, '::1', '2012-10-26 10:28:32', 627, '2012-10-26 10:29:16', 627),
(2, 6, 5, '127.0.0.1', '2013-08-23 07:53:58', 42, '2013-08-23 07:53:58', 42),
(3, 21, 5, '127.0.0.1', '2013-08-24 02:42:07', 42, '2013-08-24 02:42:07', 42),
(4, 8, 5, '127.0.0.1', '2013-09-07 01:31:12', 42, '2013-09-07 01:31:12', 42),
(5, 16, 3, '127.0.0.1', '2013-09-10 03:46:28', 42, '2013-09-10 03:49:20', 42),
(6, 16, 1, '127.0.0.1', '2013-09-10 04:05:30', 44, '2013-09-10 04:12:46', 42),
(7, 39, 3, '127.0.0.1', '2013-09-18 07:12:39', 42, '2013-09-18 07:13:23', 42),
(8, 35, 5, '127.0.0.1', '2013-09-18 07:18:08', 42, '2013-09-18 07:18:08', 42),
(9, 60, 3, '127.0.0.1', '2013-09-18 07:41:21', 42, '2013-09-18 07:41:52', 42),
(10, 33, 4, '127.0.0.1', '2013-09-18 07:42:15', 42, '2013-09-18 07:44:31', 42),
(11, 44, 4, '127.0.0.1', '2013-09-18 07:42:38', 42, '2013-09-18 07:44:10', 42),
(12, 18, 4, '127.0.0.1', '2013-09-18 07:43:07', 42, '2013-09-18 07:43:37', 42),
(13, 1, 4, '127.0.0.1', '2013-09-23 06:39:45', 42, '2013-09-23 06:41:43', 42),
(14, 20, 4, '127.0.0.1', '2013-09-23 06:41:33', 42, '2013-09-23 06:41:33', 42),
(15, 61, 3, '127.0.0.1', '2013-09-23 06:42:49', 42, '2013-09-23 06:42:49', 42),
(16, 5, 1, '192.168.1.98', '2013-09-23 10:02:42', 42, '2013-09-23 10:02:42', 42);

DROP TABLE IF EXISTS `#__virtuemart_shipmentmethods`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_shipmentmethods` (
  `virtuemart_shipmentmethod_id` mediumint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `shipment_jplugin_id` int(11) NOT NULL DEFAULT '0',
  `shipment_element` char(50) NOT NULL DEFAULT '',
  `shipment_params` varchar(19000) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_shipmentmethod_id`),
  KEY `idx_shipment_jplugin_id` (`shipment_jplugin_id`),
  KEY `idx_shipment_method_ordering` (`ordering`),
  KEY `idx_shipment_element` (`shipment_element`,`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Shipment created from the shipment plugins' AUTO_INCREMENT=3 ;

INSERT INTO `#__virtuemart_shipmentmethods` (`virtuemart_shipmentmethod_id`, `virtuemart_vendor_id`, `shipment_jplugin_id`, `shipment_element`, `shipment_params`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 10157, 'weight_countries', 'shipment_logos=""|countries=""|zip_start=""|zip_stop=""|weight_start=""|weight_stop=""|weight_unit="KG"|nbproducts_start=0|nbproducts_stop=0|orderamount_start=""|orderamount_stop=""|cost="0"|package_fee=""|tax_id="0"|free_shipment=""|', 0, 0, 1, '0000-00-00 00:00:00', 0, '2013-09-06 04:09:25', 42, '0000-00-00 00:00:00', 0),
(2, 1, 10157, 'weight_countries', 'shipment_logos=""|countries=""|zip_start=""|zip_stop=""|weight_start=""|weight_stop=""|weight_unit=""|nbproducts_start=0|nbproducts_stop=0|orderamount_start=""|orderamount_stop=""|cost=""|package_fee=""|tax_id=""|free_shipment=""|', 0, 0, 1, '2013-09-06 04:06:48', 42, '2013-09-06 04:06:48', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_shipmentmethods_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_shipmentmethods_en_gb` (
  `virtuemart_shipmentmethod_id` int(1) unsigned NOT NULL,
  `shipment_name` char(180) NOT NULL DEFAULT '',
  `shipment_desc` varchar(19000) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_shipmentmethod_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_shipmentmethods_en_gb` (`virtuemart_shipmentmethod_id`, `shipment_name`, `shipment_desc`, `slug`) VALUES
(1, 'USA First Class (3-14 days)', 'Delivery time estimated from 3-14 days. Cras placerat. (0,00 €)', 'usa-first-class-3-14-days'),
(2, 'USA Free Mail (1-7 weeks)', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam ligula lectus, condimentum ac imperdiet quis, pellentesque eget arcu. Pellentesque sit. (0,00 €)', 'usa-free-mail-1-7-weeks');

DROP TABLE IF EXISTS `#__virtuemart_shipmentmethod_shoppergroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_shipmentmethod_shoppergroups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_shipmentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `virtuemart_shoppergroup_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_shipmentmethod_id` (`virtuemart_shipmentmethod_id`,`virtuemart_shoppergroup_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='xref table for shipment to shoppergroup' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_shipment_plg_weight_countries`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_shipment_plg_weight_countries` (
  `id` int(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_order_id` int(11) unsigned DEFAULT NULL,
  `order_number` char(32) DEFAULT NULL,
  `virtuemart_shipmentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `shipment_name` varchar(5000) DEFAULT NULL,
  `order_weight` decimal(10,4) DEFAULT NULL,
  `shipment_weight_unit` char(3) DEFAULT 'KG',
  `shipment_cost` decimal(10,2) DEFAULT NULL,
  `shipment_package_fee` decimal(10,2) DEFAULT NULL,
  `tax_id` smallint(1) DEFAULT NULL,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Shipment Weight Countries Table' AUTO_INCREMENT=11 ;

INSERT INTO `#__virtuemart_shipment_plg_weight_countries` (`id`, `virtuemart_order_id`, `order_number`, `virtuemart_shipmentmethod_id`, `shipment_name`, `order_weight`, `shipment_weight_unit`, `shipment_cost`, `shipment_package_fee`, `tax_id`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 'bbae03', 1, '<span class="vmshipment_name">Self pick-up</span>', '610.0000', 'KG', '0.00', '0.00', 0, '2013-08-26 04:20:44', 42, '2013-08-26 04:20:44', 42, '0000-00-00 00:00:00', 0),
(2, 2, 'eccd04', 1, '<span class="vmshipment_name">Self pick-up</span>', '20.0000', 'KG', '0.00', '0.00', 0, '2013-09-06 03:49:30', 42, '2013-09-06 03:49:30', 42, '0000-00-00 00:00:00', 0),
(3, 3, '60f905', 1, '<span class="vmshipment_name">Self pick-up</span>', '20.0000', 'KG', '0.00', '0.00', 0, '2013-09-06 03:55:10', 42, '2013-09-06 03:55:10', 42, '0000-00-00 00:00:00', 0),
(4, 4, '12d006', 2, '<span class="vmshipment_name">USA Free Mail (1-7 weeks)</span><span class="vmshipment_description">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam ligula lectus, condimentum ac imperdiet quis, pellentesque eget arcu. Pellentesque sit. (0,00 €)</span>', '10.0000', '', '0.00', '0.00', 0, '2013-09-06 04:18:16', 42, '2013-09-06 04:18:16', 42, '0000-00-00 00:00:00', 0),
(5, 5, '4ab007', 1, '<span class="vmshipment_name">USA First Class (3-14 days)</span><span class="vmshipment_description">Delivery time estimated from 3-14 days. Cras placerat. (0,00 €)</span>', '3.0000', 'KG', '0.00', '0.00', 0, '2013-09-06 04:21:21', 42, '2013-09-06 04:21:21', 42, '0000-00-00 00:00:00', 0),
(6, 6, '39ca08', 1, '<span class="vmshipment_name">USA First Class (3-14 days)</span><span class="vmshipment_description">Delivery time estimated from 3-14 days. Cras placerat. (0,00 €)</span>', '1.2000', 'KG', '0.00', '0.00', 0, '2013-09-06 04:29:07', 42, '2013-09-06 04:29:07', 42, '0000-00-00 00:00:00', 0),
(7, 7, '289809', 1, '<span class="vmshipment_name">USA First Class (3-14 days)</span><span class="vmshipment_description">Delivery time estimated from 3-14 days. Cras placerat. (0,00 €)</span>', '30.0000', 'KG', '0.00', '0.00', 0, '2013-09-13 03:05:04', 42, '2013-09-13 03:05:04', 42, '0000-00-00 00:00:00', 0),
(8, 8, '0fba010', 1, '<span class="vmshipment_name">USA First Class (3-14 days)</span><span class="vmshipment_description">Delivery time estimated from 3-14 days. Cras placerat. (0,00 €)</span>', '40.0000', 'KG', '0.00', '0.00', 0, '2013-09-13 03:38:53', 42, '2013-09-13 03:38:53', 42, '0000-00-00 00:00:00', 0),
(9, 9, '1ea9011', 1, '<span class="vmshipment_name">USA First Class (3-14 days)</span><span class="vmshipment_description">Delivery time estimated from 3-14 days. Cras placerat. (0,00 €)</span>', '1.2000', 'KG', '0.00', '0.00', 0, '2013-10-07 02:27:45', 42, '2013-10-07 02:27:45', 42, '0000-00-00 00:00:00', 0),
(10, 10, '4a2d012', 2, '<span class="vmshipment_name">USA Free Mail (1-7 weeks)</span><span class="vmshipment_description">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam ligula lectus, condimentum ac imperdiet quis, pellentesque eget arcu. Pellentesque sit. (0,00 €)</span>', '6.0000', '', '0.00', '0.00', 0, '2014-06-10 06:38:31', 42, '2014-06-10 06:38:31', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_shoppergroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_shoppergroups` (
  `virtuemart_shoppergroup_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(11) NOT NULL DEFAULT '1',
  `shopper_group_name` char(32) DEFAULT NULL,
  `shopper_group_desc` char(128) DEFAULT NULL,
  `custom_price_display` tinyint(1) NOT NULL DEFAULT '0',
  `price_display` blob,
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_shoppergroup_id`),
  KEY `idx_shopper_group_virtuemart_vendor_id` (`virtuemart_vendor_id`),
  KEY `idx_shopper_group_name` (`shopper_group_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Shopper Groups that users can be assigned to' AUTO_INCREMENT=5 ;

INSERT INTO `#__virtuemart_shoppergroups` (`virtuemart_shoppergroup_id`, `virtuemart_vendor_id`, `shopper_group_name`, `shopper_group_desc`, `custom_price_display`, `price_display`, `default`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(2, 1, '-default-', 'This is the default shopper group.', 0, NULL, 1, 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(1, 1, '-anonymous-', 'Shopper group for anonymous shoppers', 0, NULL, 2, 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 1, 'Gold Level', 'Gold Level Shoppers.', 0, NULL, 0, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 'Wholesale', 'Shoppers that can buy at wholesale.', 0, NULL, 0, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_states`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_states` (
  `virtuemart_state_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `virtuemart_country_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `virtuemart_worldzone_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `state_name` char(64) DEFAULT NULL,
  `state_3_code` char(3) DEFAULT NULL,
  `state_2_code` char(2) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_state_id`),
  UNIQUE KEY `idx_state_3_code` (`virtuemart_country_id`,`state_3_code`),
  UNIQUE KEY `idx_state_2_code` (`virtuemart_country_id`,`state_2_code`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`),
  KEY `i_virtuemart_country_id` (`virtuemart_country_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='States that are assigned to a country' AUTO_INCREMENT=730 ;

INSERT INTO `#__virtuemart_states` (`virtuemart_state_id`, `virtuemart_vendor_id`, `virtuemart_country_id`, `virtuemart_worldzone_id`, `state_name`, `state_3_code`, `state_2_code`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 1, 223, 0, 'Alabama', 'ALA', 'AL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 1, 223, 0, 'Alaska', 'ALK', 'AK', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 1, 223, 0, 'Arizona', 'ARZ', 'AZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 1, 223, 0, 'Arkansas', 'ARK', 'AR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 1, 223, 0, 'California', 'CAL', 'CA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 1, 223, 0, 'Colorado', 'COL', 'CO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 1, 223, 0, 'Connecticut', 'CCT', 'CT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 1, 223, 0, 'Delaware', 'DEL', 'DE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 1, 223, 0, 'District Of Columbia', 'DOC', 'DC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 1, 223, 0, 'Florida', 'FLO', 'FL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 1, 223, 0, 'Georgia', 'GEA', 'GA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 1, 223, 0, 'Hawaii', 'HWI', 'HI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 1, 223, 0, 'Idaho', 'IDA', 'ID', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 1, 223, 0, 'Illinois', 'ILL', 'IL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 1, 223, 0, 'Indiana', 'IND', 'IN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 1, 223, 0, 'Iowa', 'IOA', 'IA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 1, 223, 0, 'Kansas', 'KAS', 'KS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 1, 223, 0, 'Kentucky', 'KTY', 'KY', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 1, 223, 0, 'Louisiana', 'LOA', 'LA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(20, 1, 223, 0, 'Maine', 'MAI', 'ME', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(21, 1, 223, 0, 'Maryland', 'MLD', 'MD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 1, 223, 0, 'Massachusetts', 'MSA', 'MA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(23, 1, 223, 0, 'Michigan', 'MIC', 'MI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(24, 1, 223, 0, 'Minnesota', 'MIN', 'MN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(25, 1, 223, 0, 'Mississippi', 'MIS', 'MS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(26, 1, 223, 0, 'Missouri', 'MIO', 'MO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(27, 1, 223, 0, 'Montana', 'MOT', 'MT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(28, 1, 223, 0, 'Nebraska', 'NEB', 'NE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(29, 1, 223, 0, 'Nevada', 'NEV', 'NV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(30, 1, 223, 0, 'New Hampshire', 'NEH', 'NH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(31, 1, 223, 0, 'New Jersey', 'NEJ', 'NJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(32, 1, 223, 0, 'New Mexico', 'NEM', 'NM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(33, 1, 223, 0, 'New York', 'NEY', 'NY', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(34, 1, 223, 0, 'North Carolina', 'NOC', 'NC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(35, 1, 223, 0, 'North Dakota', 'NOD', 'ND', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(36, 1, 223, 0, 'Ohio', 'OHI', 'OH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(37, 1, 223, 0, 'Oklahoma', 'OKL', 'OK', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(38, 1, 223, 0, 'Oregon', 'ORN', 'OR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(39, 1, 223, 0, 'Pennsylvania', 'PEA', 'PA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(40, 1, 223, 0, 'Rhode Island', 'RHI', 'RI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(41, 1, 223, 0, 'South Carolina', 'SOC', 'SC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(42, 1, 223, 0, 'South Dakota', 'SOD', 'SD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(43, 1, 223, 0, 'Tennessee', 'TEN', 'TN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(44, 1, 223, 0, 'Texas', 'TXS', 'TX', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(45, 1, 223, 0, 'Utah', 'UTA', 'UT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(46, 1, 223, 0, 'Vermont', 'VMT', 'VT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(47, 1, 223, 0, 'Virginia', 'VIA', 'VA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(48, 1, 223, 0, 'Washington', 'WAS', 'WA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(49, 1, 223, 0, 'West Virginia', 'WEV', 'WV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(50, 1, 223, 0, 'Wisconsin', 'WIS', 'WI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(51, 1, 223, 0, 'Wyoming', 'WYO', 'WY', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(52, 1, 38, 0, 'Alberta', 'ALB', 'AB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(53, 1, 38, 0, 'British Columbia', 'BRC', 'BC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(54, 1, 38, 0, 'Manitoba', 'MAB', 'MB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(55, 1, 38, 0, 'New Brunswick', 'NEB', 'NB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(56, 1, 38, 0, 'Newfoundland and Labrador', 'NFL', 'NL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(57, 1, 38, 0, 'Northwest Territories', 'NWT', 'NT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(58, 1, 38, 0, 'Nova Scotia', 'NOS', 'NS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(59, 1, 38, 0, 'Nunavut', 'NUT', 'NU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(60, 1, 38, 0, 'Ontario', 'ONT', 'ON', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(61, 1, 38, 0, 'Prince Edward Island', 'PEI', 'PE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(62, 1, 38, 0, 'Quebec', 'QEC', 'QC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(63, 1, 38, 0, 'Saskatchewan', 'SAK', 'SK', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(64, 1, 38, 0, 'Yukon', 'YUT', 'YT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(65, 1, 222, 0, 'England', 'ENG', 'EN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(66, 1, 222, 0, 'Northern Ireland', 'NOI', 'NI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(67, 1, 222, 0, 'Scotland', 'SCO', 'SD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(68, 1, 222, 0, 'Wales', 'WLS', 'WS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(69, 1, 13, 0, 'Australian Capital Territory', 'ACT', 'AC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(70, 1, 13, 0, 'New South Wales', 'NSW', 'NS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(71, 1, 13, 0, 'Northern Territory', 'NOT', 'NT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(72, 1, 13, 0, 'Queensland', 'QLD', 'QL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(73, 1, 13, 0, 'South Australia', 'SOA', 'SA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(74, 1, 13, 0, 'Tasmania', 'TAS', 'TS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(75, 1, 13, 0, 'Victoria', 'VIC', 'VI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(76, 1, 13, 0, 'Western Australia', 'WEA', 'WA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(77, 1, 138, 0, 'Aguascalientes', 'AGS', 'AG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(78, 1, 138, 0, 'Baja California Norte', 'BCN', 'BN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(79, 1, 138, 0, 'Baja California Sur', 'BCS', 'BS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(80, 1, 138, 0, 'Campeche', 'CAM', 'CA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(81, 1, 138, 0, 'Chiapas', 'CHI', 'CS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(82, 1, 138, 0, 'Chihuahua', 'CHA', 'CH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(83, 1, 138, 0, 'Coahuila', 'COA', 'CO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(84, 1, 138, 0, 'Colima', 'COL', 'CM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(85, 1, 138, 0, 'Distrito Federal', 'DFM', 'DF', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(86, 1, 138, 0, 'Durango', 'DGO', 'DO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(87, 1, 138, 0, 'Guanajuato', 'GTO', 'GO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(88, 1, 138, 0, 'Guerrero', 'GRO', 'GU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(89, 1, 138, 0, 'Hidalgo', 'HGO', 'HI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(90, 1, 138, 0, 'Jalisco', 'JAL', 'JA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(91, 1, 138, 0, 'M', 'EDM', 'EM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(92, 1, 138, 0, 'Michoac', 'MCN', 'MI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(93, 1, 138, 0, 'Morelos', 'MOR', 'MO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(94, 1, 138, 0, 'Nayarit', 'NAY', 'NY', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(95, 1, 138, 0, 'Nuevo Le', 'NUL', 'NL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(96, 1, 138, 0, 'Oaxaca', 'OAX', 'OA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(97, 1, 138, 0, 'Puebla', 'PUE', 'PU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(98, 1, 138, 0, 'Quer', 'QRO', 'QU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(99, 1, 138, 0, 'Quintana Roo', 'QUR', 'QR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(100, 1, 138, 0, 'San Luis Potos', 'SLP', 'SP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(101, 1, 138, 0, 'Sinaloa', 'SIN', 'SI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(102, 1, 138, 0, 'Sonora', 'SON', 'SO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(103, 1, 138, 0, 'Tabasco', 'TAB', 'TA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(104, 1, 138, 0, 'Tamaulipas', 'TAM', 'TM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(105, 1, 138, 0, 'Tlaxcala', 'TLX', 'TX', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(106, 1, 138, 0, 'Veracruz', 'VER', 'VZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(107, 1, 138, 0, 'Yucat', 'YUC', 'YU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(108, 1, 138, 0, 'Zacatecas', 'ZAC', 'ZA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(109, 1, 30, 0, 'Acre', 'ACR', 'AC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(110, 1, 30, 0, 'Alagoas', 'ALG', 'AL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(111, 1, 30, 0, 'Amapá', 'AMP', 'AP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(112, 1, 30, 0, 'Amazonas', 'AMZ', 'AM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(113, 1, 30, 0, 'Bahía', 'BAH', 'BA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(114, 1, 30, 0, 'Ceará', 'CEA', 'CE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(115, 1, 30, 0, 'Distrito Federal', 'DFB', 'DF', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(116, 1, 30, 0, 'Espírito Santo', 'ESS', 'ES', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(117, 1, 30, 0, 'Goiás', 'GOI', 'GO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(118, 1, 30, 0, 'Maranhão', 'MAR', 'MA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(119, 1, 30, 0, 'Mato Grosso', 'MAT', 'MT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(120, 1, 30, 0, 'Mato Grosso do Sul', 'MGS', 'MS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(121, 1, 30, 0, 'Minas Gerais', 'MIG', 'MG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(122, 1, 30, 0, 'Paraná', 'PAR', 'PR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(123, 1, 30, 0, 'Paraíba', 'PRB', 'PB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(124, 1, 30, 0, 'Pará', 'PAB', 'PA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(125, 1, 30, 0, 'Pernambuco', 'PER', 'PE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(126, 1, 30, 0, 'Piauí', 'PIA', 'PI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(127, 1, 30, 0, 'Rio Grande do Norte', 'RGN', 'RN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(128, 1, 30, 0, 'Rio Grande do Sul', 'RGS', 'RS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(129, 1, 30, 0, 'Rio de Janeiro', 'RDJ', 'RJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(130, 1, 30, 0, 'Rondônia', 'RON', 'RO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(131, 1, 30, 0, 'Roraima', 'ROR', 'RR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(132, 1, 30, 0, 'Santa Catarina', 'SAC', 'SC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(133, 1, 30, 0, 'Sergipe', 'SER', 'SE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(134, 1, 30, 0, 'São Paulo', 'SAP', 'SP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(135, 1, 30, 0, 'Tocantins', 'TOC', 'TO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(136, 1, 44, 0, 'Anhui', 'ANH', '34', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(137, 1, 44, 0, 'Beijing', 'BEI', '11', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(138, 1, 44, 0, 'Chongqing', 'CHO', '50', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(139, 1, 44, 0, 'Fujian', 'FUJ', '35', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(140, 1, 44, 0, 'Gansu', 'GAN', '62', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(141, 1, 44, 0, 'Guangdong', 'GUA', '44', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(142, 1, 44, 0, 'Guangxi Zhuang', 'GUZ', '45', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(143, 1, 44, 0, 'Guizhou', 'GUI', '52', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(144, 1, 44, 0, 'Hainan', 'HAI', '46', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(145, 1, 44, 0, 'Hebei', 'HEB', '13', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(146, 1, 44, 0, 'Heilongjiang', 'HEI', '23', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(147, 1, 44, 0, 'Henan', 'HEN', '41', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(148, 1, 44, 0, 'Hubei', 'HUB', '42', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(149, 1, 44, 0, 'Hunan', 'HUN', '43', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(150, 1, 44, 0, 'Jiangsu', 'JIA', '32', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(151, 1, 44, 0, 'Jiangxi', 'JIX', '36', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(152, 1, 44, 0, 'Jilin', 'JIL', '22', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(153, 1, 44, 0, 'Liaoning', 'LIA', '21', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(154, 1, 44, 0, 'Nei Mongol', 'NML', '15', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(155, 1, 44, 0, 'Ningxia Hui', 'NIH', '64', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(156, 1, 44, 0, 'Qinghai', 'QIN', '63', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(157, 1, 44, 0, 'Shandong', 'SNG', '37', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(158, 1, 44, 0, 'Shanghai', 'SHH', '31', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(159, 1, 44, 0, 'Shaanxi', 'SHX', '61', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(160, 1, 44, 0, 'Sichuan', 'SIC', '51', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(161, 1, 44, 0, 'Tianjin', 'TIA', '12', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(162, 1, 44, 0, 'Xinjiang Uygur', 'XIU', '65', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(163, 1, 44, 0, 'Xizang', 'XIZ', '54', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(164, 1, 44, 0, 'Yunnan', 'YUN', '53', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(165, 1, 44, 0, 'Zhejiang', 'ZHE', '33', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(166, 1, 104, 0, 'Israel', 'ISL', 'IL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(167, 1, 104, 0, 'Gaza Strip', 'GZS', 'GZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(168, 1, 104, 0, 'West Bank', 'WBK', 'WB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(169, 1, 151, 0, 'St. Maarten', 'STM', 'SM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(170, 1, 151, 0, 'Bonaire', 'BNR', 'BN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(171, 1, 151, 0, 'Curacao', 'CUR', 'CR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(172, 1, 175, 0, 'Alba', 'ABA', 'AB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(173, 1, 175, 0, 'Arad', 'ARD', 'AR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(174, 1, 175, 0, 'Arges', 'ARG', 'AG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(175, 1, 175, 0, 'Bacau', 'BAC', 'BC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(176, 1, 175, 0, 'Bihor', 'BIH', 'BH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(177, 1, 175, 0, 'Bistrita-Nasaud', 'BIS', 'BN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(178, 1, 175, 0, 'Botosani', 'BOT', 'BT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(179, 1, 175, 0, 'Braila', 'BRL', 'BR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(180, 1, 175, 0, 'Brasov', 'BRA', 'BV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(181, 1, 175, 0, 'Bucuresti', 'BUC', 'B', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(182, 1, 175, 0, 'Buzau', 'BUZ', 'BZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(183, 1, 175, 0, 'Calarasi', 'CAL', 'CL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(184, 1, 175, 0, 'Caras Severin', 'CRS', 'CS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(185, 1, 175, 0, 'Cluj', 'CLJ', 'CJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(186, 1, 175, 0, 'Constanta', 'CST', 'CT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(187, 1, 175, 0, 'Covasna', 'COV', 'CV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(188, 1, 175, 0, 'Dambovita', 'DAM', 'DB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(189, 1, 175, 0, 'Dolj', 'DLJ', 'DJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(190, 1, 175, 0, 'Galati', 'GAL', 'GL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(191, 1, 175, 0, 'Giurgiu', 'GIU', 'GR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(192, 1, 175, 0, 'Gorj', 'GOR', 'GJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(193, 1, 175, 0, 'Hargita', 'HRG', 'HR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(194, 1, 175, 0, 'Hunedoara', 'HUN', 'HD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(195, 1, 175, 0, 'Ialomita', 'IAL', 'IL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(196, 1, 175, 0, 'Iasi', 'IAS', 'IS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(197, 1, 175, 0, 'Ilfov', 'ILF', 'IF', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(198, 1, 175, 0, 'Maramures', 'MAR', 'MM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(199, 1, 175, 0, 'Mehedinti', 'MEH', 'MH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(200, 1, 175, 0, 'Mures', 'MUR', 'MS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(201, 1, 175, 0, 'Neamt', 'NEM', 'NT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(202, 1, 175, 0, 'Olt', 'OLT', 'OT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(203, 1, 175, 0, 'Prahova', 'PRA', 'PH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(204, 1, 175, 0, 'Salaj', 'SAL', 'SJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(205, 1, 175, 0, 'Satu Mare', 'SAT', 'SM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(206, 1, 175, 0, 'Sibiu', 'SIB', 'SB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(207, 1, 175, 0, 'Suceava', 'SUC', 'SV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(208, 1, 175, 0, 'Teleorman', 'TEL', 'TR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(209, 1, 175, 0, 'Timis', 'TIM', 'TM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(210, 1, 175, 0, 'Tulcea', 'TUL', 'TL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(211, 1, 175, 0, 'Valcea', 'VAL', 'VL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(212, 1, 175, 0, 'Vaslui', 'VAS', 'VS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(213, 1, 175, 0, 'Vrancea', 'VRA', 'VN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(214, 1, 105, 0, 'Agrigento', 'AGR', 'AG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(215, 1, 105, 0, 'Alessandria', 'ALE', 'AL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(216, 1, 105, 0, 'Ancona', 'ANC', 'AN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(217, 1, 105, 0, 'Aosta', 'AOS', 'AO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(218, 1, 105, 0, 'Arezzo', 'ARE', 'AR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(219, 1, 105, 0, 'Ascoli Piceno', 'API', 'AP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(220, 1, 105, 0, 'Asti', 'AST', 'AT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(221, 1, 105, 0, 'Avellino', 'AVE', 'AV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(222, 1, 105, 0, 'Bari', 'BAR', 'BA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(223, 1, 105, 0, 'Belluno', 'BEL', 'BL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(224, 1, 105, 0, 'Benevento', 'BEN', 'BN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(225, 1, 105, 0, 'Bergamo', 'BEG', 'BG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(226, 1, 105, 0, 'Biella', 'BIE', 'BI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(227, 1, 105, 0, 'Bologna', 'BOL', 'BO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(228, 1, 105, 0, 'Bolzano', 'BOZ', 'BZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(229, 1, 105, 0, 'Brescia', 'BRE', 'BS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(230, 1, 105, 0, 'Brindisi', 'BRI', 'BR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(231, 1, 105, 0, 'Cagliari', 'CAG', 'CA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(232, 1, 105, 0, 'Caltanissetta', 'CAL', 'CL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(233, 1, 105, 0, 'Campobasso', 'CBO', 'CB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(234, 1, 105, 0, 'Carbonia-Iglesias', 'CAR', 'CI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(235, 1, 105, 0, 'Caserta', 'CAS', 'CE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(236, 1, 105, 0, 'Catania', 'CAT', 'CT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(237, 1, 105, 0, 'Catanzaro', 'CTZ', 'CZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(238, 1, 105, 0, 'Chieti', 'CHI', 'CH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(239, 1, 105, 0, 'Como', 'COM', 'CO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(240, 1, 105, 0, 'Cosenza', 'COS', 'CS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(241, 1, 105, 0, 'Cremona', 'CRE', 'CR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(242, 1, 105, 0, 'Crotone', 'CRO', 'KR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(243, 1, 105, 0, 'Cuneo', 'CUN', 'CN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(244, 1, 105, 0, 'Enna', 'ENN', 'EN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(245, 1, 105, 0, 'Ferrara', 'FER', 'FE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(246, 1, 105, 0, 'Firenze', 'FIR', 'FI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(247, 1, 105, 0, 'Foggia', 'FOG', 'FG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(248, 1, 105, 0, 'Forli-Cesena', 'FOC', 'FC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(249, 1, 105, 0, 'Frosinone', 'FRO', 'FR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(250, 1, 105, 0, 'Genova', 'GEN', 'GE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(251, 1, 105, 0, 'Gorizia', 'GOR', 'GO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(252, 1, 105, 0, 'Grosseto', 'GRO', 'GR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(253, 1, 105, 0, 'Imperia', 'IMP', 'IM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(254, 1, 105, 0, 'Isernia', 'ISE', 'IS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(255, 1, 105, 0, 'L''Aquila', 'AQU', 'AQ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(256, 1, 105, 0, 'La Spezia', 'LAS', 'SP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(257, 1, 105, 0, 'Latina', 'LAT', 'LT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(258, 1, 105, 0, 'Lecce', 'LEC', 'LE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(259, 1, 105, 0, 'Lecco', 'LCC', 'LC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(260, 1, 105, 0, 'Livorno', 'LIV', 'LI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(261, 1, 105, 0, 'Lodi', 'LOD', 'LO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(262, 1, 105, 0, 'Lucca', 'LUC', 'LU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(263, 1, 105, 0, 'Macerata', 'MAC', 'MC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(264, 1, 105, 0, 'Mantova', 'MAN', 'MN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(265, 1, 105, 0, 'Massa-Carrara', 'MAS', 'MS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(266, 1, 105, 0, 'Matera', 'MAA', 'MT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(267, 1, 105, 0, 'Medio Campidano', 'MED', 'VS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(268, 1, 105, 0, 'Messina', 'MES', 'ME', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(269, 1, 105, 0, 'Milano', 'MIL', 'MI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(270, 1, 105, 0, 'Modena', 'MOD', 'MO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(271, 1, 105, 0, 'Napoli', 'NAP', 'NA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(272, 1, 105, 0, 'Novara', 'NOV', 'NO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(273, 1, 105, 0, 'Nuoro', 'NUR', 'NU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(274, 1, 105, 0, 'Ogliastra', 'OGL', 'OG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(275, 1, 105, 0, 'Olbia-Tempio', 'OLB', 'OT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(276, 1, 105, 0, 'Oristano', 'ORI', 'OR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(277, 1, 105, 0, 'Padova', 'PDA', 'PD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(278, 1, 105, 0, 'Palermo', 'PAL', 'PA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(279, 1, 105, 0, 'Parma', 'PAA', 'PR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(280, 1, 105, 0, 'Pavia', 'PAV', 'PV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(281, 1, 105, 0, 'Perugia', 'PER', 'PG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(282, 1, 105, 0, 'Pesaro e Urbino', 'PES', 'PU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(283, 1, 105, 0, 'Pescara', 'PSC', 'PE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(284, 1, 105, 0, 'Piacenza', 'PIA', 'PC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(285, 1, 105, 0, 'Pisa', 'PIS', 'PI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(286, 1, 105, 0, 'Pistoia', 'PIT', 'PT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(287, 1, 105, 0, 'Pordenone', 'POR', 'PN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(288, 1, 105, 0, 'Potenza', 'PTZ', 'PZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(289, 1, 105, 0, 'Prato', 'PRA', 'PO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(290, 1, 105, 0, 'Ragusa', 'RAG', 'RG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(291, 1, 105, 0, 'Ravenna', 'RAV', 'RA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(292, 1, 105, 0, 'Reggio Calabria', 'REG', 'RC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(293, 1, 105, 0, 'Reggio Emilia', 'REE', 'RE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(294, 1, 105, 0, 'Rieti', 'RIE', 'RI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(295, 1, 105, 0, 'Rimini', 'RIM', 'RN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(296, 1, 105, 0, 'Roma', 'ROM', 'RM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(297, 1, 105, 0, 'Rovigo', 'ROV', 'RO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(298, 1, 105, 0, 'Salerno', 'SAL', 'SA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(299, 1, 105, 0, 'Sassari', 'SAS', 'SS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(300, 1, 105, 0, 'Savona', 'SAV', 'SV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(301, 1, 105, 0, 'Siena', 'SIE', 'SI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(302, 1, 105, 0, 'Siracusa', 'SIR', 'SR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(303, 1, 105, 0, 'Sondrio', 'SOO', 'SO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(304, 1, 105, 0, 'Taranto', 'TAR', 'TA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(305, 1, 105, 0, 'Teramo', 'TER', 'TE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(306, 1, 105, 0, 'Terni', 'TRN', 'TR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(307, 1, 105, 0, 'Torino', 'TOR', 'TO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(308, 1, 105, 0, 'Trapani', 'TRA', 'TP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(309, 1, 105, 0, 'Trento', 'TRE', 'TN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(310, 1, 105, 0, 'Treviso', 'TRV', 'TV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(311, 1, 105, 0, 'Trieste', 'TRI', 'TS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(312, 1, 105, 0, 'Udine', 'UDI', 'UD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(313, 1, 105, 0, 'Varese', 'VAR', 'VA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(314, 1, 105, 0, 'Venezia', 'VEN', 'VE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(315, 1, 105, 0, 'Verbano Cusio Ossola', 'VCO', 'VB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(316, 1, 105, 0, 'Vercelli', 'VER', 'VC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(317, 1, 105, 0, 'Verona', 'VRN', 'VR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(318, 1, 105, 0, 'Vibo Valenzia', 'VIV', 'VV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(319, 1, 105, 0, 'Vicenza', 'VII', 'VI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(320, 1, 105, 0, 'Viterbo', 'VIT', 'VT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(321, 1, 195, 0, 'A Coru', 'ACO', '15', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(322, 1, 195, 0, 'Alava', 'ALA', '01', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(323, 1, 195, 0, 'Albacete', 'ALB', '02', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(324, 1, 195, 0, 'Alicante', 'ALI', '03', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(325, 1, 195, 0, 'Almeria', 'ALM', '04', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(326, 1, 195, 0, 'Asturias', 'AST', '33', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(327, 1, 195, 0, 'Avila', 'AVI', '05', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(328, 1, 195, 0, 'Badajoz', 'BAD', '06', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(329, 1, 195, 0, 'Baleares', 'BAL', '07', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(330, 1, 195, 0, 'Barcelona', 'BAR', '08', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(331, 1, 195, 0, 'Burgos', 'BUR', '09', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(332, 1, 195, 0, 'Caceres', 'CAC', '10', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(333, 1, 195, 0, 'Cadiz', 'CAD', '11', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(334, 1, 195, 0, 'Cantabria', 'CAN', '39', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(335, 1, 195, 0, 'Castellon', 'CAS', '12', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(336, 1, 195, 0, 'Ceuta', 'CEU', '51', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(337, 1, 195, 0, 'Ciudad Real', 'CIU', '13', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(338, 1, 195, 0, 'Cordoba', 'COR', '14', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(339, 1, 195, 0, 'Cuenca', 'CUE', '16', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(340, 1, 195, 0, 'Girona', 'GIR', '17', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(341, 1, 195, 0, 'Granada', 'GRA', '18', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(342, 1, 195, 0, 'Guadalajara', 'GUA', '19', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(343, 1, 195, 0, 'Guipuzcoa', 'GUI', '20', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(344, 1, 195, 0, 'Huelva', 'HUL', '21', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(345, 1, 195, 0, 'Huesca', 'HUS', '22', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(346, 1, 195, 0, 'Jaen', 'JAE', '23', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(347, 1, 195, 0, 'La Rioja', 'LRI', '26', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(348, 1, 195, 0, 'Las Palmas', 'LPA', '35', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(349, 1, 195, 0, 'Leon', 'LEO', '24', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(350, 1, 195, 0, 'Lleida', 'LLE', '25', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(351, 1, 195, 0, 'Lugo', 'LUG', '27', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(352, 1, 195, 0, 'Madrid', 'MAD', '28', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(353, 1, 195, 0, 'Malaga', 'MAL', '29', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(354, 1, 195, 0, 'Melilla', 'MEL', '52', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(355, 1, 195, 0, 'Murcia', 'MUR', '30', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(356, 1, 195, 0, 'Navarra', 'NAV', '31', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(357, 1, 195, 0, 'Ourense', 'OUR', '32', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(358, 1, 195, 0, 'Palencia', 'PAL', '34', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(359, 1, 195, 0, 'Pontevedra', 'PON', '36', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(360, 1, 195, 0, 'Salamanca', 'SAL', '37', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(361, 1, 195, 0, 'Santa Cruz de Tenerife', 'SCT', '38', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(362, 1, 195, 0, 'Segovia', 'SEG', '40', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(363, 1, 195, 0, 'Sevilla', 'SEV', '41', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(364, 1, 195, 0, 'Soria', 'SOR', '42', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(365, 1, 195, 0, 'Tarragona', 'TAR', '43', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(366, 1, 195, 0, 'Teruel', 'TER', '44', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(367, 1, 195, 0, 'Toledo', 'TOL', '45', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(368, 1, 195, 0, 'Valencia', 'VAL', '46', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(369, 1, 195, 0, 'Valladolid', 'VLL', '47', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(370, 1, 195, 0, 'Vizcaya', 'VIZ', '48', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(371, 1, 195, 0, 'Zamora', 'ZAM', '49', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(372, 1, 195, 0, 'Zaragoza', 'ZAR', '50', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(373, 1, 10, 0, 'Buenos Aires', 'BAS', 'BA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(374, 1, 10, 0, 'Ciudad Autonoma De Buenos Aires', 'CBA', 'CB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(375, 1, 10, 0, 'Catamarca', 'CAT', 'CA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(376, 1, 10, 0, 'Chaco', 'CHO', 'CH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(377, 1, 10, 0, 'Chubut', 'CTT', 'CT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(378, 1, 10, 0, 'Cordoba', 'COD', 'CO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(379, 1, 10, 0, 'Corrientes', 'CRI', 'CR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(380, 1, 10, 0, 'Entre Rios', 'ERS', 'ER', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(381, 1, 10, 0, 'Formosa', 'FRM', 'FR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(382, 1, 10, 0, 'Jujuy', 'JUJ', 'JU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(383, 1, 10, 0, 'La Pampa', 'LPM', 'LP', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(384, 1, 10, 0, 'La Rioja', 'LRI', 'LR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(385, 1, 10, 0, 'Mendoza', 'MED', 'ME', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(386, 1, 10, 0, 'Misiones', 'MIS', 'MI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(387, 1, 10, 0, 'Neuquen', 'NQU', 'NQ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(388, 1, 10, 0, 'Rio Negro', 'RNG', 'RN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(389, 1, 10, 0, 'Salta', 'SAL', 'SA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);
INSERT INTO `#__virtuemart_states` (`virtuemart_state_id`, `virtuemart_vendor_id`, `virtuemart_country_id`, `virtuemart_worldzone_id`, `state_name`, `state_3_code`, `state_2_code`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(390, 1, 10, 0, 'San Juan', 'SJN', 'SJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(391, 1, 10, 0, 'San Luis', 'SLU', 'SL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(392, 1, 10, 0, 'Santa Cruz', 'SCZ', 'SC', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(393, 1, 10, 0, 'Santa Fe', 'SFE', 'SF', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(394, 1, 10, 0, 'Santiago Del Estero', 'SEN', 'SE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(395, 1, 10, 0, 'Tierra Del Fuego', 'TFE', 'TF', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(396, 1, 10, 0, 'Tucuman', 'TUC', 'TU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(397, 1, 11, 0, 'Aragatsotn', 'ARG', 'AG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(398, 1, 11, 0, 'Ararat', 'ARR', 'AR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(399, 1, 11, 0, 'Armavir', 'ARM', 'AV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(400, 1, 11, 0, 'Gegharkunik', 'GEG', 'GR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(401, 1, 11, 0, 'Kotayk', 'KOT', 'KT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(402, 1, 11, 0, 'Lori', 'LOR', 'LO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(403, 1, 11, 0, 'Shirak', 'SHI', 'SH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(404, 1, 11, 0, 'Syunik', 'SYU', 'SU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(405, 1, 11, 0, 'Tavush', 'TAV', 'TV', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(406, 1, 11, 0, 'Vayots-Dzor', 'VAD', 'VD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(407, 1, 11, 0, 'Yerevan', 'YER', 'ER', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(408, 1, 99, 0, 'Andaman & Nicobar Islands', 'ANI', 'AI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(409, 1, 99, 0, 'Andhra Pradesh', 'AND', 'AN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(410, 1, 99, 0, 'Arunachal Pradesh', 'ARU', 'AR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(411, 1, 99, 0, 'Assam', 'ASS', 'AS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(412, 1, 99, 0, 'Bihar', 'BIH', 'BI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(413, 1, 99, 0, 'Chandigarh', 'CHA', 'CA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(414, 1, 99, 0, 'Chhatisgarh', 'CHH', 'CH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(415, 1, 99, 0, 'Dadra & Nagar Haveli', 'DAD', 'DD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(416, 1, 99, 0, 'Daman & Diu', 'DAM', 'DA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(417, 1, 99, 0, 'Delhi', 'DEL', 'DE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(418, 1, 99, 0, 'Goa', 'GOA', 'GO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(419, 1, 99, 0, 'Gujarat', 'GUJ', 'GU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(420, 1, 99, 0, 'Haryana', 'HAR', 'HA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(421, 1, 99, 0, 'Himachal Pradesh', 'HIM', 'HI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(422, 1, 99, 0, 'Jammu & Kashmir', 'JAM', 'JA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(423, 1, 99, 0, 'Jharkhand', 'JHA', 'JH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(424, 1, 99, 0, 'Karnataka', 'KAR', 'KA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(425, 1, 99, 0, 'Kerala', 'KER', 'KE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(426, 1, 99, 0, 'Lakshadweep', 'LAK', 'LA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(427, 1, 99, 0, 'Madhya Pradesh', 'MAD', 'MD', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(428, 1, 99, 0, 'Maharashtra', 'MAH', 'MH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(429, 1, 99, 0, 'Manipur', 'MAN', 'MN', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(430, 1, 99, 0, 'Meghalaya', 'MEG', 'ME', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(431, 1, 99, 0, 'Mizoram', 'MIZ', 'MI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(432, 1, 99, 0, 'Nagaland', 'NAG', 'NA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(433, 1, 99, 0, 'Orissa', 'ORI', 'OR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(434, 1, 99, 0, 'Pondicherry', 'PON', 'PO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(435, 1, 99, 0, 'Punjab', 'PUN', 'PU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(436, 1, 99, 0, 'Rajasthan', 'RAJ', 'RA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(437, 1, 99, 0, 'Sikkim', 'SIK', 'SI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(438, 1, 99, 0, 'Tamil Nadu', 'TAM', 'TA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(439, 1, 99, 0, 'Tripura', 'TRI', 'TR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(440, 1, 99, 0, 'Uttaranchal', 'UAR', 'UA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(441, 1, 99, 0, 'Uttar Pradesh', 'UTT', 'UT', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(442, 1, 99, 0, 'West Bengal', 'WES', 'WE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(443, 1, 101, 0, 'Ahmadi va Kohkiluyeh', 'BOK', 'BO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(444, 1, 101, 0, 'Ardabil', 'ARD', 'AR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(445, 1, 101, 0, 'Azarbayjan-e Gharbi', 'AZG', 'AG', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(446, 1, 101, 0, 'Azarbayjan-e Sharqi', 'AZS', 'AS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(447, 1, 101, 0, 'Bushehr', 'BUS', 'BU', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(448, 1, 101, 0, 'Chaharmahal va Bakhtiari', 'CMB', 'CM', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(449, 1, 101, 0, 'Esfahan', 'ESF', 'ES', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(450, 1, 101, 0, 'Fars', 'FAR', 'FA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(451, 1, 101, 0, 'Gilan', 'GIL', 'GI', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(452, 1, 101, 0, 'Gorgan', 'GOR', 'GO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(453, 1, 101, 0, 'Hamadan', 'HAM', 'HA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(454, 1, 101, 0, 'Hormozgan', 'HOR', 'HO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(455, 1, 101, 0, 'Ilam', 'ILA', 'IL', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(456, 1, 101, 0, 'Kerman', 'KER', 'KE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(457, 1, 101, 0, 'Kermanshah', 'BAK', 'BA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(458, 1, 101, 0, 'Khorasan-e Junoubi', 'KHJ', 'KJ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(459, 1, 101, 0, 'Khorasan-e Razavi', 'KHR', 'KR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(460, 1, 101, 0, 'Khorasan-e Shomali', 'KHS', 'KS', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(461, 1, 101, 0, 'Khuzestan', 'KHU', 'KH', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(462, 1, 101, 0, 'Kordestan', 'KOR', 'KO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(463, 1, 101, 0, 'Lorestan', 'LOR', 'LO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(464, 1, 101, 0, 'Markazi', 'MAR', 'MR', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(465, 1, 101, 0, 'Mazandaran', 'MAZ', 'MZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(466, 1, 101, 0, 'Qazvin', 'QAS', 'QA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(467, 1, 101, 0, 'Qom', 'QOM', 'QO', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(468, 1, 101, 0, 'Semnan', 'SEM', 'SE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(469, 1, 101, 0, 'Sistan va Baluchestan', 'SBA', 'SB', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(470, 1, 101, 0, 'Tehran', 'TEH', 'TE', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(471, 1, 101, 0, 'Yazd', 'YAZ', 'YA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(472, 1, 101, 0, 'Zanjan', 'ZAN', 'ZA', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(535, 1, 84, 0, 'ΛΕΥΚΑΔΑΣ', 'ΛΕΥ', 'ΛΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(532, 1, 84, 0, 'ΛΑΡΙΣΑΣ', 'ΛΑΡ', 'ΛΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(504, 1, 84, 0, 'ΑΡΚΑΔΙΑΣ', 'ΑΡΚ', 'ΑΚ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(503, 1, 84, 0, 'ΑΡΓΟΛΙΔΑΣ', 'ΑΡΓ', 'ΑΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(533, 1, 84, 0, 'ΛΑΣΙΘΙΟΥ', 'ΛΑΣ', 'ΛΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(534, 1, 84, 0, 'ΛΕΣΒΟΥ', 'ΛΕΣ', 'ΛΣ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(530, 1, 84, 0, 'ΚΥΚΛΑΔΩΝ', 'ΚΥΚ', 'ΚΥ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(553, 1, 84, 0, 'ΑΙΤΩΛΟΑΚΑΡΝΑΝΙΑΣ', 'ΑΙΤ', 'ΑΙ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(529, 1, 84, 0, 'ΚΟΡΙΝΘΙΑΣ', 'ΚΟΡ', 'ΚΟ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(531, 1, 84, 0, 'ΛΑΚΩΝΙΑΣ', 'ΛΑΚ', 'ΛK', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(517, 1, 84, 0, 'ΗΜΑΘΙΑΣ', 'ΗΜΑ', 'ΗΜ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(518, 1, 84, 0, 'ΗΡΑΚΛΕΙΟΥ', 'ΗΡΑ', 'ΗΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(519, 1, 84, 0, 'ΘΕΣΠΡΩΤΙΑΣ', 'ΘΕΠ', 'ΘΠ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(520, 1, 84, 0, 'ΘΕΣΣΑΛΟΝΙΚΗΣ', 'ΘΕΣ', 'ΘΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(521, 1, 84, 0, 'ΙΩΑΝΝΙΝΩΝ', 'ΙΩΑ', 'ΙΩ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(522, 1, 84, 0, 'ΚΑΒΑΛΑΣ', 'ΚΑΒ', 'ΚΒ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(523, 1, 84, 0, 'ΚΑΡΔΙΤΣΑΣ', 'ΚΑΡ', 'ΚΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(524, 1, 84, 0, 'ΚΑΣΤΟΡΙΑΣ', 'ΚΑΣ', 'ΚΣ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(525, 1, 84, 0, 'ΚΕΡΚΥΡΑΣ', 'ΚΕΡ', 'ΚΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(526, 1, 84, 0, 'ΚΕΦΑΛΛΗΝΙΑΣ', 'ΚΕΦ', 'ΚΦ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(527, 1, 84, 0, 'ΚΙΛΚΙΣ', 'ΚΙΛ', 'ΚΙ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(528, 1, 84, 0, 'ΚΟΖΑΝΗΣ', 'ΚΟΖ', 'ΚZ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(507, 1, 84, 0, 'ΑΧΑΪΑΣ', 'ΑΧΑ', 'ΑΧ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(508, 1, 84, 0, 'ΒΟΙΩΤΙΑΣ', 'ΒΟΙ', 'ΒΟ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(509, 1, 84, 0, 'ΓΡΕΒΕΝΩΝ', 'ΓΡΕ', 'ΓΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(510, 1, 84, 0, 'ΔΡΑΜΑΣ', 'ΔΡΑ', 'ΔΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(511, 1, 84, 0, 'ΔΩΔΕΚΑΝΗΣΟΥ', 'ΔΩΔ', 'ΔΩ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(512, 1, 84, 0, 'ΕΒΡΟΥ', 'ΕΒΡ', 'ΕΒ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(513, 1, 84, 0, 'ΕΥΒΟΙΑΣ', 'ΕΥΒ', 'ΕΥ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(514, 1, 84, 0, 'ΕΥΡΥΤΑΝΙΑΣ', 'ΕΥΡ', 'ΕΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(515, 1, 84, 0, 'ΖΑΚΥΝΘΟΥ', 'ΖΑΚ', 'ΖΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(516, 1, 84, 0, 'ΗΛΕΙΑΣ', 'ΗΛΕ', 'ΗΛ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(505, 1, 84, 0, 'ΑΡΤΑΣ', 'ΑΡΤ', 'ΑΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(506, 1, 84, 0, 'ΑΤΤΙΚΗΣ', 'ΑΤΤ', 'ΑΤ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(536, 1, 84, 0, 'ΜΑΓΝΗΣΙΑΣ', 'ΜΑΓ', 'ΜΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(537, 1, 84, 0, 'ΜΕΣΣΗΝΙΑΣ', 'ΜΕΣ', 'ΜΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(538, 1, 84, 0, 'ΞΑΝΘΗΣ', 'ΞΑΝ', 'ΞΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(539, 1, 84, 0, 'ΠΕΛΛΗΣ', 'ΠΕΛ', 'ΠΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(540, 1, 84, 0, 'ΠΙΕΡΙΑΣ', 'ΠΙΕ', 'ΠΙ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(541, 1, 84, 0, 'ΠΡΕΒΕΖΑΣ', 'ΠΡΕ', 'ΠΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(542, 1, 84, 0, 'ΡΕΘΥΜΝΗΣ', 'ΡΕΘ', 'ΡΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(543, 1, 84, 0, 'ΡΟΔΟΠΗΣ', 'ΡΟΔ', 'ΡΟ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(544, 1, 84, 0, 'ΣΑΜΟΥ', 'ΣΑΜ', 'ΣΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(545, 1, 84, 0, 'ΣΕΡΡΩΝ', 'ΣΕΡ', 'ΣΕ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(546, 1, 84, 0, 'ΤΡΙΚΑΛΩΝ', 'ΤΡΙ', 'ΤΡ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(547, 1, 84, 0, 'ΦΘΙΩΤΙΔΑΣ', 'ΦΘΙ', 'ΦΘ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(548, 1, 84, 0, 'ΦΛΩΡΙΝΑΣ', 'ΦΛΩ', 'ΦΛ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(549, 1, 84, 0, 'ΦΩΚΙΔΑΣ', 'ΦΩΚ', 'ΦΩ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(550, 1, 84, 0, 'ΧΑΛΚΙΔΙΚΗΣ', 'ΧΑΛ', 'ΧΑ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(551, 1, 84, 0, 'ΧΑΝΙΩΝ', 'ΧΑΝ', 'ΧΝ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(552, 1, 84, 0, 'ΧΙΟΥ', 'ΧΙΟ', 'ΧΙ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(569, 1, 81, 0, 'Schleswig-Holstein', 'SHO', 'SH', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(554, 1, 81, 0, 'Freie und Hansestadt Hamburg', 'HAM', 'HH', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(555, 1, 81, 0, 'Niedersachsen', 'NIS', 'NI', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(556, 1, 81, 0, 'Freie Hansestadt Bremen', 'HBR', 'HB', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(557, 1, 81, 0, 'Nordrhein-Westfalen', 'NRW', 'NW', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(558, 1, 81, 0, 'Hessen', 'HES', 'HE', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(559, 1, 81, 0, 'Rheinland-Pfalz', 'RLP', 'RP', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(560, 1, 81, 0, 'Baden-Württemberg', 'BWÜ', 'BW', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(561, 1, 81, 0, 'Freistaat Bayern', 'BAV', 'BY', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(562, 1, 81, 0, 'Saarland', 'SLA', 'SL', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(563, 1, 81, 0, 'Berlin', 'BER', 'BE', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(564, 1, 81, 0, 'Brandenburg', 'BRB', 'BB', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(565, 1, 81, 0, 'Mecklenburg-Vorpommern', 'MVO', 'MV', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(566, 1, 81, 0, 'Freistaat Sachsen', 'SAC', 'SN', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(567, 1, 81, 0, 'Sachsen-Anhalt', 'SAA', 'ST', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(568, 1, 81, 0, 'Freistaat Thüringen', 'THÜ', 'TH', 0, 1, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(570, 1, 176, 0, 'Адыгея Республика', 'AD', '01', 1, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(571, 1, 176, 0, 'Алтай Республика', 'AL', '04', 2, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(572, 1, 176, 0, 'Алтайский край', 'ALT', '22', 3, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(573, 1, 176, 0, 'Амурская область', 'AMU', '28', 4, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(574, 1, 176, 0, 'Архангельская область', 'ARK', '29', 5, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(575, 1, 176, 0, 'Астраханская область', 'AST', '30', 6, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(576, 1, 176, 0, 'Башкортостан Республика', 'BA', '02', 7, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(577, 1, 176, 0, 'Белгородская область', 'BEL', '31', 8, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(578, 1, 176, 0, 'Брянская область', 'BRY', '32', 9, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(579, 1, 176, 0, 'Бурятия Республика', 'BU', '03', 10, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(580, 1, 176, 0, 'Владимирская область', 'VLA', '33', 11, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(581, 1, 176, 0, 'Волгоградская область', 'VGG', '34', 12, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(582, 1, 176, 0, 'Вологодская область', 'VLG', '35', 13, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(583, 1, 176, 0, 'Воронежская область', 'VOR', '36', 14, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(584, 1, 176, 0, 'Дагестан Республика', 'DA', '05', 15, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(585, 1, 176, 0, 'Еврейская автономная область', 'YEV', '79', 16, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(586, 1, 176, 0, 'Забайкальский край', 'ZAB', '75', 17, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(587, 1, 176, 0, 'Ивановская область', 'IVA', '37', 18, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(588, 1, 176, 0, 'Ингушетия Республика', 'IN', '06', 19, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(589, 1, 176, 0, 'Иркутская область', 'IRK', '38', 20, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(590, 1, 176, 0, 'Кабардино-Балкарская Республика', 'KB', '07', 21, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(591, 1, 176, 0, 'Калининградская область', 'KGD', '39', 22, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(592, 1, 176, 0, 'Калмыкия Республика', 'KL', '08', 23, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(593, 1, 176, 0, 'Калужская область', 'KLU', '40', 24, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(594, 1, 176, 0, 'Камчатский край', 'KAM', '41', 25, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(595, 1, 176, 0, 'Карачаево-Черкесская Республика', 'KC', '09', 26, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(596, 1, 176, 0, 'Карелия Республика', 'KR', '10', 27, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(597, 1, 176, 0, 'Кемеровская область', 'KEM', '42', 28, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(598, 1, 176, 0, 'Кировская область', 'KIR', '43', 29, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(599, 1, 176, 0, 'Коми Республика', 'KO', '11', 30, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(600, 1, 176, 0, 'Костромская область', 'KOS', '44', 31, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(601, 1, 176, 0, 'Краснодарский край', 'KDA', '23', 32, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(602, 1, 176, 0, 'Красноярский край', 'KIA', '24', 33, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(603, 1, 176, 0, 'Курганская область', 'KGN', '45', 34, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(604, 1, 176, 0, 'Курская область', 'KRS', '46', 35, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(605, 1, 176, 0, 'Ленинградская область', 'LEN', '47', 36, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(606, 1, 176, 0, 'Липецкая область', 'LIP', '48', 37, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(607, 1, 176, 0, 'Магаданская область', 'MAG', '49', 38, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(608, 1, 176, 0, 'Марий Эл Республика', 'ME', '12', 39, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(609, 1, 176, 0, 'Мордовия Республика', 'MO', '13', 40, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(610, 1, 176, 0, 'Москва', 'MOW', '77', 41, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(611, 1, 176, 0, 'Московская область', 'MOS', '50', 42, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(612, 1, 176, 0, 'Мурманская область', 'MUR', '51', 43, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(613, 1, 176, 0, 'Ненецкий автономный округ', 'NEN', '83', 44, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(614, 1, 176, 0, 'Нижегородская область', 'NIZ', '52', 45, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(615, 1, 176, 0, 'Новгородская область', 'NGR', '53', 46, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(616, 1, 176, 0, 'Новосибирская область', 'NVS', '54', 47, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(617, 1, 176, 0, 'Омская область', 'OMS', '55', 48, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(618, 1, 176, 0, 'Оренбургская область', 'ORE', '56', 49, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(619, 1, 176, 0, 'Орловская область', 'ORL', '57', 50, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(620, 1, 176, 0, 'Пензенская область', 'PNZ', '58', 51, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(621, 1, 176, 0, 'Пермский край', 'PER', '59', 52, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(622, 1, 176, 0, 'Приморский край', 'PRI', '25', 53, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(623, 1, 176, 0, 'Псковская область', 'PSK', '60', 54, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(624, 1, 176, 0, 'Ростовская область', 'ROS', '61', 55, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(625, 1, 176, 0, 'Рязанская область', 'RYA', '62', 56, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(626, 1, 176, 0, 'Самарская область', 'SAM', '63', 57, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(627, 1, 176, 0, 'Санкт-Петербург', 'SPE', '78', 58, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(628, 1, 176, 0, 'Саратовская область', 'SAR', '64', 59, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(629, 1, 176, 0, 'Саха (Якутия) Республика', 'SA', '14', 60, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(630, 1, 176, 0, 'Сахалинская область', 'SAK', '65', 61, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(631, 1, 176, 0, 'Свердловская область', 'SVE', '66', 62, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(632, 1, 176, 0, 'Северная Осетия-Алания Республика', 'SE', '15', 63, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(633, 1, 176, 0, 'Смоленская область', 'SMO', '67', 64, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(634, 1, 176, 0, 'Ставропольский край', 'STA', '26', 65, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(635, 1, 176, 0, 'Тамбовская область', 'TAM', '68', 66, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(636, 1, 176, 0, 'Татарстан Республика', 'TA', '16', 67, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(637, 1, 176, 0, 'Тверская область', 'TVE', '69', 68, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(638, 1, 176, 0, 'Томская область', 'TOM', '70', 69, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(639, 1, 176, 0, 'Тульская область', 'TUL', '71', 70, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(640, 1, 176, 0, 'Тыва Республика', 'TY', '17', 71, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(641, 1, 176, 0, 'Тюменская область', 'TYU', '72', 72, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(642, 1, 176, 0, 'Удмуртская Республика', 'UD', '18', 73, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(643, 1, 176, 0, 'Ульяновская область', 'ULY', '73', 74, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(644, 1, 176, 0, 'Хакасия Республика', 'KK', '19', 75, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(645, 1, 176, 0, 'Челябинская область', 'CHE', '74', 76, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(646, 1, 176, 0, 'Чеченская Республика', 'CE', '20', 77, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(647, 1, 176, 0, 'Чувашская Республика', 'CU', '21', 78, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(648, 1, 176, 0, 'Чукотский автономный округ', 'CHU', '87', 79, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(649, 1, 176, 0, 'Хабаровский край', 'KHA', '27', 80, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(650, 1, 176, 0, 'Ханты-Мансийский автономный округ', 'KHM', '86', 81, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(651, 1, 176, 0, 'Ямало-Ненецкий автономный округ', 'YAN', '89', 82, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(652, 1, 176, 0, 'Ярославская область', 'YAR', '76', 83, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(653, 1, 209, 0, 'กระบี่', 'กบ', 'กบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(654, 1, 209, 0, 'กรุงเทพมหานคร', 'กทม', 'กท', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(655, 1, 209, 0, 'กาญจนบุรี', 'กจ', 'กจ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(656, 1, 209, 0, 'กาฬสินธุ์', 'กส', 'กส', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(657, 1, 209, 0, 'กำแพงเพชร', 'กพ', 'กพ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(658, 1, 209, 0, 'ขอนแก่น', 'ขก', 'ขก', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(659, 1, 209, 0, 'จันทบุรี', 'จบ', 'จบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(660, 1, 209, 0, 'ฉะเชิงเทรา', 'ฉช', 'ฉช', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(661, 1, 209, 0, 'ชลบุรี', 'ชบ', 'ชบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(662, 1, 209, 0, 'ชัยนาท', 'ชน', 'ชน', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(663, 1, 209, 0, 'ชัยภูมิ', 'ชย', 'ชย', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(664, 1, 209, 0, 'ชุมพร', 'ชพ', 'ชพ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(665, 1, 209, 0, 'เชียงราย', 'ชร', 'ชร', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(666, 1, 209, 0, 'เชียงใหม่', 'ชม', 'ชม', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(667, 1, 209, 0, 'ตรัง', 'ตง', 'ตง', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(668, 1, 209, 0, 'ตราด', 'ตร', 'ตร', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(669, 1, 209, 0, 'ตาก', 'ตก', 'ตก', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(670, 1, 209, 0, 'นครนายก', 'นย', 'นย', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(671, 1, 209, 0, 'นครปฐม', 'นฐ', 'นฐ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(672, 1, 209, 0, 'นครพนม', 'นพ', 'นพ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(673, 1, 209, 0, 'นครราชสีมา', 'นม', 'นม', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(674, 1, 209, 0, 'นครศรีธรรมราช', 'นศ', 'นศ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(675, 1, 209, 0, 'นครสวรรค์', 'นว', 'นว', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(676, 1, 209, 0, 'นนทบุรี', 'นบ', 'นบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(677, 1, 209, 0, 'นราธิวาส', 'นธ', 'นธ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(678, 1, 209, 0, 'น่าน', 'นน', 'นน', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(679, 1, 209, 0, 'บุรีรัมย์', 'บร', 'บร', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(680, 1, 209, 0, 'บึงกาฬ', 'บก', 'บก', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(681, 1, 209, 0, 'ปทุมธานี', 'ปท', 'ปท', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(682, 1, 209, 0, 'ประจวบคีรีขันธ์', 'ปข', 'ปข', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(683, 1, 209, 0, 'ปราจีนบุรี', 'ปจ', 'ปจ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(684, 1, 209, 0, 'ปัตตานี', 'ปน', 'ปน', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(685, 1, 209, 0, 'พระนครศรีอยุธยา', 'อย', 'อย', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(686, 1, 209, 0, 'พังงา', 'พง', 'พง', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(687, 1, 209, 0, 'พัทลุง', 'พท', 'พท', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(688, 1, 209, 0, 'พิจิตร', 'พจ', 'พจ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(689, 1, 209, 0, 'พิษณุโลก', 'พล', 'พล', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(690, 1, 209, 0, 'เพชรบุรี', 'พบ', 'พบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(691, 1, 209, 0, 'เพชรบูรณ์', 'พช', 'พช', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(692, 1, 209, 0, 'แพร่', 'พร', 'พร', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(693, 1, 209, 0, 'พะเยา', 'พย', 'พย', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(694, 1, 209, 0, 'ภูเก็ต', 'ภก', 'ภก', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(695, 1, 209, 0, 'มหาสารคาม', 'มค', 'มค', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(696, 1, 209, 0, 'แม่ฮ่องสอน', 'มส', 'มส', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(697, 1, 209, 0, 'มุกดาหาร', 'มห', 'มห', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(698, 1, 209, 0, 'ยะลา', 'ยล', 'ยล', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(699, 1, 209, 0, 'ยโสธร', 'ยส', 'ยส', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(700, 1, 209, 0, 'ร้อยเอ็ด', 'รอ', 'รอ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(701, 1, 209, 0, 'ระนอง', 'รน', 'รน', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(702, 1, 209, 0, 'ระยอง', 'รย', 'รย', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(703, 1, 209, 0, 'ราชบุรี', 'รบ', 'รบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(704, 1, 209, 0, 'ลพบุรี', 'ลบ', 'ลบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(705, 1, 209, 0, 'ลำปาง', 'ลป', 'ลป', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(706, 1, 209, 0, 'ลำพูน', 'ลพ', 'ลพ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(707, 1, 209, 0, 'เลย', 'ลย', 'ลย', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(708, 1, 209, 0, 'ศรีสะเกษ', 'ศก', 'ศก', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(709, 1, 209, 0, 'สกลนคร', 'สน', 'สน', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(710, 1, 209, 0, 'สงขลา', 'สข', 'สข', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(711, 1, 209, 0, 'สตูล', 'สต', 'สต', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(712, 1, 209, 0, 'สมุทรปราการ', 'สป', 'สป', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(713, 1, 209, 0, 'สมุทรสงคราม', 'สส', 'สส', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(714, 1, 209, 0, 'สมุทรสาคร', 'สค', 'สค', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(715, 1, 209, 0, 'สระบุรี', 'สบ', 'สบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(716, 1, 209, 0, 'สระแก้ว', 'สก', 'สก', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(717, 1, 209, 0, 'สิงห์บุรี', 'สห', 'สห', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(718, 1, 209, 0, 'สุโขทัย', 'สท', 'สท', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(719, 1, 209, 0, 'สุพรรณบุรี', 'สพ', 'สพ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(720, 1, 209, 0, 'สุราษฎร์ธานี', 'สฎ', 'สฎ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(721, 1, 209, 0, 'สุรินทร์', 'สร', 'สร', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(722, 1, 209, 0, 'หนองคาย', 'นค', 'นค', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(723, 1, 209, 0, 'หนองบัวลำภู', 'นภ', 'นภ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(724, 1, 209, 0, 'อ่างทอง', 'อท', 'อท', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(725, 1, 209, 0, 'อุดรธานี', 'อด', 'อด', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(726, 1, 209, 0, 'อุตรดิตถ์', 'อต', 'อต', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(727, 1, 209, 0, 'อุทัยธานี', 'อน', 'อน', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(728, 1, 209, 0, 'อุบลราชธานี', 'อบ', 'อบ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(729, 1, 209, 0, 'อำนาจเจริญ', 'อจ', 'อจ', 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_userfields`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_userfields` (
  `virtuemart_userfield_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '1',
  `userfield_jplugin_id` int(11) NOT NULL DEFAULT '0',
  `name` char(255) NOT NULL DEFAULT '',
  `title` char(255) NOT NULL DEFAULT '',
  `description` mediumtext,
  `type` char(70) NOT NULL DEFAULT '',
  `maxlength` int(11) DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `required` tinyint(4) NOT NULL DEFAULT '0',
  `cols` int(11) DEFAULT NULL,
  `rows` int(11) DEFAULT NULL,
  `value` char(255) DEFAULT NULL,
  `default` char(255) DEFAULT NULL,
  `registration` tinyint(1) NOT NULL DEFAULT '0',
  `shipment` tinyint(1) NOT NULL DEFAULT '0',
  `account` tinyint(1) NOT NULL DEFAULT '1',
  `readonly` tinyint(1) NOT NULL DEFAULT '0',
  `calculated` tinyint(1) NOT NULL DEFAULT '0',
  `sys` tinyint(4) NOT NULL DEFAULT '0',
  `params` varchar(17500) DEFAULT NULL,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_userfield_id`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Holds the fields for the user information' AUTO_INCREMENT=27 ;

INSERT INTO `#__virtuemart_userfields` (`virtuemart_userfield_id`, `virtuemart_vendor_id`, `userfield_jplugin_id`, `name`, `title`, `description`, `type`, `maxlength`, `size`, `required`, `cols`, `rows`, `value`, `default`, `registration`, `shipment`, `account`, `readonly`, `calculated`, `sys`, `params`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 0, 0, 'email', 'COM_VIRTUEMART_REGISTER_EMAIL', '', 'emailaddress', 100, 30, 1, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 1, NULL, 4, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 0, 0, 'password', 'COM_VIRTUEMART_SHOPPER_FORM_PASSWORD_1', '', 'password', 25, 30, 1, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 1, NULL, 10, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 0, 0, 'password2', 'COM_VIRTUEMART_SHOPPER_FORM_PASSWORD_2', '', 'password', 25, 30, 1, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 1, NULL, 12, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 0, 0, 'agreed', 'COM_VIRTUEMART_I_AGREE_TO_TOS', '', 'checkbox', NULL, NULL, 1, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 1, NULL, 13, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 0, 0, 'name', 'COM_VIRTUEMART_USER_DISPLAYED_NAME', '', 'text', 25, 30, 1, 0, 0, '', NULL, 1, 0, 1, 0, 0, 1, '', 8, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 0, 0, 'username', 'COM_VIRTUEMART_USERNAME', '', 'text', 25, 30, 1, 0, 0, '', NULL, 1, 0, 1, 0, 0, 1, '', 6, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 0, 0, 'address_type_name', 'COM_VIRTUEMART_USER_FORM_ADDRESS_LABEL', '', 'text', 32, 30, 1, NULL, NULL, NULL, 'Shipment', 0, 1, 0, 0, 0, 1, NULL, 16, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 0, 0, 'delimiter_billto', 'COM_VIRTUEMART_USER_FORM_BILLTO_LBL', '', 'delimiter', 25, 30, 0, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 0, NULL, 18, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 0, 0, 'company', 'COM_VIRTUEMART_SHOPPER_FORM_COMPANY_NAME', '', 'text', 64, 30, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 20, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 0, 0, 'title', 'COM_VIRTUEMART_SHOPPER_FORM_TITLE', '', 'select', 0, 0, 0, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 1, NULL, 22, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 0, 0, 'first_name', 'COM_VIRTUEMART_SHOPPER_FORM_FIRST_NAME', '', 'text', 32, 30, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 24, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 0, 0, 'middle_name', 'COM_VIRTUEMART_SHOPPER_FORM_MIDDLE_NAME', '', 'text', 32, 30, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 26, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 0, 0, 'last_name', 'COM_VIRTUEMART_SHOPPER_FORM_LAST_NAME', '', 'text', 32, 30, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 28, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 0, 0, 'address_1', 'COM_VIRTUEMART_SHOPPER_FORM_ADDRESS_1', '', 'text', 64, 30, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 30, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 0, 0, 'address_2', 'COM_VIRTUEMART_SHOPPER_FORM_ADDRESS_2', '', 'text', 64, 30, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 32, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 0, 0, 'zip', 'COM_VIRTUEMART_SHOPPER_FORM_ZIP', '', 'text', 32, 30, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 34, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 0, 0, 'city', 'COM_VIRTUEMART_SHOPPER_FORM_CITY', '', 'text', 32, 30, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 36, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 0, 0, 'virtuemart_country_id', 'COM_VIRTUEMART_SHOPPER_FORM_COUNTRY', '', 'select', 0, 0, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 38, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 0, 0, 'virtuemart_state_id', 'COM_VIRTUEMART_SHOPPER_FORM_STATE', '', 'select', 0, 0, 1, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 40, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(20, 0, 0, 'phone_1', 'COM_VIRTUEMART_SHOPPER_FORM_PHONE', '', 'text', 32, 30, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 42, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(21, 0, 0, 'phone_2', 'COM_VIRTUEMART_SHOPPER_FORM_PHONE2', '', 'text', 32, 30, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 44, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(22, 0, 0, 'fax', 'COM_VIRTUEMART_SHOPPER_FORM_FAX', '', 'text', 32, 30, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 0, 0, 1, NULL, 46, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(23, 0, 0, 'delimiter_sendregistration', 'COM_VIRTUEMART_BUTTON_SEND_REG', '', 'delimiter', 25, 30, 0, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 2, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(24, 0, 0, 'delimiter_userinfo', 'COM_VIRTUEMART_ORDER_PRINT_CUST_INFO_LBL', '', 'delimiter', NULL, NULL, 0, NULL, NULL, NULL, NULL, 1, 0, 1, 0, 0, 0, NULL, 14, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(25, 1, 0, 'tax_exemption_number', 'COM_VIRTUEMART_SHOPPER_FORM_TAXEXEMPTION_NBR', 'Vendors can set here a tax exemption number for a shopper. This field is only changeable by administrators.', 'text', 10, 0, 0, 0, 0, NULL, NULL, 0, 0, 1, 1, 0, 0, NULL, 48, 0, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(26, 1, 0, 'tax_usage_type', 'COM_VIRTUEMART_SHOPPER_FORM_TAX_USAGE', 'Federal, national, educational, public, or similar often get a special tax. This field is only writable by administrators.', 'select', 0, 0, 0, 0, 0, NULL, NULL, 0, 0, 1, 1, 0, 0, NULL, 50, 0, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_userfield_values`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_userfield_values` (
  `virtuemart_userfield_value_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_userfield_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `fieldtitle` char(255) NOT NULL DEFAULT '',
  `fieldvalue` char(255) NOT NULL DEFAULT '',
  `sys` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_userfield_value_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Holds the different values for dropdown and radio lists' AUTO_INCREMENT=20 ;

INSERT INTO `#__virtuemart_userfield_values` (`virtuemart_userfield_value_id`, `virtuemart_userfield_id`, `fieldtitle`, `fieldvalue`, `sys`, `ordering`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 10, 'Mr', 'Mr', 0, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, 10, 'Mrs', 'Mrs', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, 26, 'None', '', 0, 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, 26, 'Non-resident (Canada)', 'R', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(5, 26, 'Federal government (United States)', 'A', 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(6, 26, 'State government (United States)', 'B', 0, 2, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(7, 26, 'Tribe / Status Indian / Indian Band (both)', 'C', 0, 3, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(8, 26, 'Foreign diplomat (both)', 'D', 0, 4, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(9, 26, 'Charitable or benevolent org (both)', 'E', 0, 5, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(10, 26, 'Religious or educational org (both)', 'F', 0, 6, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(11, 26, 'Resale (both)', 'G', 0, 7, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(12, 26, 'Commercial agricultural production (both)', 'H', 0, 8, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(13, 26, 'Industrial production / manufacturer (both)', 'I', 0, 9, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(14, 26, 'Direct pay permit (United States)', 'J', 0, 10, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(15, 26, 'Direct mail (United States)', 'K', 0, 11, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(16, 26, 'Other (both)', 'L', 0, 12, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(17, 26, 'Local government (United States)', 'N', 0, 13, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(18, 26, 'Commercial aquaculture (Canada)', 'P', 0, 14, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(19, 26, 'Commercial Fishery (Canada)', 'Q', 0, 15, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_userinfos`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_userinfos` (
  `virtuemart_userinfo_id` int(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_user_id` int(1) unsigned NOT NULL DEFAULT '0',
  `address_type` char(2) NOT NULL DEFAULT '',
  `address_type_name` char(32) NOT NULL DEFAULT '',
  `name` char(64) DEFAULT NULL,
  `company` char(64) DEFAULT NULL,
  `title` char(32) DEFAULT NULL,
  `last_name` char(48) DEFAULT NULL,
  `first_name` char(48) DEFAULT NULL,
  `middle_name` char(48) DEFAULT NULL,
  `phone_1` char(32) DEFAULT NULL,
  `phone_2` char(32) DEFAULT NULL,
  `fax` char(32) DEFAULT NULL,
  `address_1` char(64) NOT NULL DEFAULT '',
  `address_2` char(64) DEFAULT NULL,
  `city` char(64) NOT NULL DEFAULT '',
  `virtuemart_state_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_country_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `zip` char(32) NOT NULL DEFAULT '',
  `agreed` tinyint(1) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_userinfo_id`),
  KEY `idx_userinfo_virtuemart_user_id` (`virtuemart_userinfo_id`,`virtuemart_user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Customer Information, BT = BillTo and ST = ShipTo' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_userinfos` (`virtuemart_userinfo_id`, `virtuemart_user_id`, `address_type`, `address_type_name`, `name`, `company`, `title`, `last_name`, `first_name`, `middle_name`, `phone_1`, `phone_2`, `fax`, `address_1`, `address_2`, `city`, `virtuemart_state_id`, `virtuemart_country_id`, `zip`, `agreed`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 42, 'BT', '', 'Super User', 'Washupito''s the virtual mart', 'Mr', 'upito', 'Wash', 'the cheapest', '555-555-555', '', '', 'vendorra road 8', '', 'Canangra', 333, 195, '055555', 0, '2013-08-22 10:20:04', 42, '2013-09-21 01:41:56', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_vendors`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_vendors` (
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `vendor_name` char(64) DEFAULT NULL,
  `vendor_currency` int(11) DEFAULT NULL,
  `vendor_accepted_currencies` varchar(1536) NOT NULL DEFAULT '',
  `vendor_params` varchar(17000) DEFAULT NULL,
  `metarobot` char(20) DEFAULT NULL,
  `metaauthor` char(64) DEFAULT NULL,
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_vendor_id`),
  KEY `idx_vendor_name` (`vendor_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Vendors manage their products in your store' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_vendors` (`virtuemart_vendor_id`, `vendor_name`, `vendor_currency`, `vendor_accepted_currencies`, `vendor_params`, `metarobot`, `metaauthor`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, 'Smartaddons', 47, '30,47,75,131,144', 'vendor_min_pov="0"|vendor_min_poq=1|vendor_freeshipment=0|vendor_address_format=""|vendor_date_format=""|vendor_letter_format="A4"|vendor_letter_orientation="P"|vendor_letter_margin_top="45"|vendor_letter_margin_left="25"|vendor_letter_margin_right="25"|vendor_letter_margin_bottom="25"|vendor_letter_margin_header="12"|vendor_letter_margin_footer="20"|vendor_letter_font="helvetica"|vendor_letter_font_size="8"|vendor_letter_header_font_size="7"|vendor_letter_footer_font_size="6"|vendor_letter_header="1"|vendor_letter_header_line="1"|vendor_letter_header_line_color="#000000"|vendor_letter_header_image="1"|vendor_letter_header_imagesize="60"|vendor_letter_header_cell_height_ratio="1"|vendor_letter_footer="1"|vendor_letter_footer_line="1"|vendor_letter_footer_line_color="#000000"|vendor_letter_footer_cell_height_ratio="1"|vendor_letter_add_tos="0"|vendor_letter_add_tos_newpage="1"|', '', '', '0000-00-00 00:00:00', 0, '2013-09-21 01:41:56', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_vendors_en_gb`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_vendors_en_gb` (
  `virtuemart_vendor_id` int(1) unsigned NOT NULL,
  `vendor_store_desc` text NOT NULL,
  `vendor_terms_of_service` text NOT NULL,
  `vendor_legal_info` text NOT NULL,
  `vendor_letter_css` text NOT NULL,
  `vendor_letter_header_html` varchar(8000) NOT NULL DEFAULT '<h1>{vm:vendorname}</h1><p>{vm:vendoraddress}</p>',
  `vendor_letter_footer_html` varchar(8000) NOT NULL DEFAULT '<p>{vm:vendorlegalinfo}<br />Page {vm:pagenum}/{vm:pagecount}</p>',
  `vendor_store_name` char(180) NOT NULL DEFAULT '',
  `vendor_phone` char(26) NOT NULL DEFAULT '',
  `vendor_url` char(255) NOT NULL DEFAULT '',
  `metadesc` varchar(400) NOT NULL DEFAULT '',
  `metakey` varchar(400) NOT NULL DEFAULT '',
  `customtitle` char(255) NOT NULL DEFAULT '',
  `slug` char(192) NOT NULL DEFAULT '',
  PRIMARY KEY (`virtuemart_vendor_id`),
  UNIQUE KEY `slug` (`slug`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__virtuemart_vendors_en_gb` (`virtuemart_vendor_id`, `vendor_store_desc`, `vendor_terms_of_service`, `vendor_legal_info`, `vendor_letter_css`, `vendor_letter_header_html`, `vendor_letter_footer_html`, `vendor_store_name`, `vendor_phone`, `vendor_url`, `metadesc`, `metakey`, `customtitle`, `slug`) VALUES
(1, 'Morbi ipsum elit, tristique non mi vel, iaculis blandit libero. Integer condimentum accumsan euismod. Ut pharetra nisl eu ipsum scelerisque, at euismod libero mattis? Nam hendrerit lacinia mauris at porttitor. Suspendisse pharetra lectus dui, non egestas metus imperdiet sit amet.', '<h5>You haven''t configured any terms of service yet. Click <a href="/joomla25/sj-viste/administrator/index.php?option=com_virtuemart&view=user&task=editshop">here</a> to change this text.</h5>', 'VAT-ID: XYZ-DEMO<br />Reg.Nr: DEMONUMBER', '.vmdoc-header { }\r\n.vmdoc-footer { }', '<h1>{vm:vendorname}</h1><p>{vm:vendoraddress}</p>', '{vm:vendorlegalinfo}<br /> Page {vm:pagenum}/{vm:pagecount}', 'SJ-Viste Camera online store', '555-555-1212', 'http://localhost/joomla25/sj-viste/', '', '', '', 'sj-viste-camera-online-store');

DROP TABLE IF EXISTS `#__virtuemart_vendor_medias`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_vendor_medias` (
  `id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_media_id` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`,`virtuemart_media_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_vendor_medias` (`id`, `virtuemart_vendor_id`, `virtuemart_media_id`, `ordering`) VALUES
(1, 1, 13, 1);

DROP TABLE IF EXISTS `#__virtuemart_vmusers`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_vmusers` (
  `virtuemart_user_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  `user_is_vendor` tinyint(1) NOT NULL DEFAULT '0',
  `customer_number` char(32) DEFAULT NULL,
  `perms` char(40) NOT NULL DEFAULT 'shopper',
  `virtuemart_paymentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `virtuemart_shipmentmethod_id` mediumint(1) unsigned DEFAULT NULL,
  `agreed` tinyint(1) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_user_id`),
  UNIQUE KEY `i_virtuemart_user_id` (`virtuemart_user_id`,`virtuemart_vendor_id`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Holds the unique user data' AUTO_INCREMENT=43 ;

INSERT INTO `#__virtuemart_vmusers` (`virtuemart_user_id`, `virtuemart_vendor_id`, `user_is_vendor`, `customer_number`, `perms`, `virtuemart_paymentmethod_id`, `virtuemart_shipmentmethod_id`, `agreed`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(42, 1, 1, '21232f297a57a5a743894a0e4a801fc3', 'admin', 0, 0, 0, '2013-08-22 10:20:04', 42, '2013-09-21 01:41:56', 42, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__virtuemart_vmuser_shoppergroups`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_vmuser_shoppergroups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_user_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_shoppergroup_id` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_virtuemart_user_id` (`virtuemart_user_id`,`virtuemart_shoppergroup_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='xref table for users to shopper group' AUTO_INCREMENT=2 ;

INSERT INTO `#__virtuemart_vmuser_shoppergroups` (`id`, `virtuemart_user_id`, `virtuemart_shoppergroup_id`) VALUES
(1, 42, 2);

DROP TABLE IF EXISTS `#__virtuemart_waitingusers`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_waitingusers` (
  `virtuemart_waitinguser_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_product_id` int(1) unsigned NOT NULL DEFAULT '0',
  `virtuemart_user_id` int(1) unsigned NOT NULL DEFAULT '0',
  `notify_email` char(150) NOT NULL DEFAULT '',
  `notified` tinyint(1) NOT NULL DEFAULT '0',
  `notify_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ordering` int(2) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_waitinguser_id`),
  KEY `virtuemart_product_id` (`virtuemart_product_id`),
  KEY `notify_email` (`notify_email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stores notifications, users waiting f. products out of stock' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__virtuemart_worldzones`;
CREATE TABLE IF NOT EXISTS `#__virtuemart_worldzones` (
  `virtuemart_worldzone_id` smallint(1) unsigned NOT NULL AUTO_INCREMENT,
  `virtuemart_vendor_id` smallint(1) DEFAULT NULL,
  `zone_name` char(255) DEFAULT NULL,
  `zone_cost` decimal(10,2) DEFAULT NULL,
  `zone_limit` decimal(10,2) DEFAULT NULL,
  `zone_description` varchar(18000) DEFAULT NULL,
  `zone_tax_rate` int(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(2) NOT NULL DEFAULT '0',
  `shared` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`virtuemart_worldzone_id`),
  KEY `i_virtuemart_vendor_id` (`virtuemart_vendor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='The Zones managed by the Zone Shipment Module' AUTO_INCREMENT=5 ;

INSERT INTO `#__virtuemart_worldzones` (`virtuemart_worldzone_id`, `virtuemart_vendor_id`, `zone_name`, `zone_cost`, `zone_limit`, `zone_description`, `zone_tax_rate`, `ordering`, `shared`, `published`, `created_on`, `created_by`, `modified_on`, `modified_by`, `locked_on`, `locked_by`) VALUES
(1, NULL, 'Default', '6.00', '35.00', 'This is the default Shipment Zone. This is the zone information that all countries will use until you assign each individual country to a Zone.', 2, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(2, NULL, 'Zone 1', '1000.00', '10000.00', 'This is a zone example', 2, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(3, NULL, 'Zone 2', '2.00', '22.00', 'This is the second zone. You can use this for notes about this zone', 2, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0),
(4, NULL, 'Zone 3', '11.00', '64.00', 'Another useful thing might be details about this zone or special instructions.', 2, 0, 0, 1, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 0);

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 32, 0, 'Joomla!', 'joomla', 'http://www.joomla.org', '<p>Home of Joomla!</p>', '0000-00-00 00:00:00', 3, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 33, 0, ' Magento! Theme', 'magento-theme', 'http://www.magentech.com/themes/premium-themes', 'We offer professional and high grade magento themes for all niche. Browse through official release notes for our themes below.', '0000-00-00 00:00:00', 8, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2013-07-04 03:30:35', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 33, 0, 'Joomla! Templates', 'joomla-templates', 'http://www.smartaddons.com/joomla/templates/template-showcase/itemlist/cattag?cattag=responsive&catid=19,20', 'Join today for instant access to all our templates, extensions</br>\r\nJust only $49 for Joomla Templates Club and $39 for Joomla Extensions Club.', '0000-00-00 00:00:00', 2, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2013-07-04 03:29:20', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 32, 0, 'OpenSourceMatters', 'opensourcematters', 'http://www.opensourcematters.org', '<p>Home of OSM</p>', '0000-00-00 00:00:00', 11, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 32, 0, 'Joomla! - Forums', 'joomla-forums', 'http://forum.joomla.org', '<p>Joomla! Forums</p>', '0000-00-00 00:00:00', 6, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 33, 0, 'Joomla! Extensions', 'joomla-extensions', 'http://www.smartaddons.com/joomla/extensions/commercial-extensions', 'Join today for instant access to all our templates, extensions</br>\r\nJust only $49 for Joomla Templates Club and $39 for Joomla Extensions Club.', '0000-00-00 00:00:00', 3, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"0","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2013-07-04 03:29:09', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 31, 0, 'Baw Baw National Park', 'baw-baw-national-park', 'http://www.parkweb.vic.gov.au/1park_display.cfm?park=44', '<p>Park of the Austalian Alps National Parks system, Baw Baw  features sub alpine vegetation, beautiful views, and opportunities for hiking, skiing and other outdoor activities.</p>', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 31, 0, 'Kakadu', 'kakadu', 'http://www.environment.gov.au/parks/kakadu/index.html', '<p>Kakadu is known for both its cultural heritage and its natural features. It is one of a small number of places listed as World Heritage Places for both reasons. Extensive rock art is found there.</p>', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 31, 0, 'Pulu Keeling', 'pulu-keeling', 'http://www.environment.gov.au/parks/cocos/index.html', '<p>Located on an atoll 2000 kilometers north of Perth, Pulu Keeling is Australia''s smallest national park.</p>', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 0, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '2010-07-10 23:44:03', '0000-00-00 00:00:00'),
(10, 33, 0, 'Magento Extensions ', 'magento-extensions', 'http://www.magentech.com/extensions/commercial-extensions', 'All our extensions have been developed in accordance with Magento standards and can be installed even on highly customized stores! The extensions are compatible with the latest Magento versions.', '0000-00-00 00:00:00', 1, 1, 0, '0000-00-00 00:00:00', 4, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2013-07-04 03:31:11', 42, '', '2013-07-04 03:31:55', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(11, 33, 0, 'Wordpress! Themes', 'wordpress-themes', 'http://www.smartaddons.com/wordpress/themes', 'Join today for instant access to all our themes, plugins</br>\r\nJust only $29 for Wordpress Club', '0000-00-00 00:00:00', 3, 1, 0, '0000-00-00 00:00:00', 5, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2013-07-04 03:32:28', 42, '', '2013-07-04 03:34:34', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(12, 33, 0, 'Wordpress! Plugins', 'wordpress-plugins', 'http://www.smartaddons.com/wordpress/plugins', 'Join today for instant access to all our themes, plugins</br>\r\nJust only $29 for Wordpress Club', '0000-00-00 00:00:00', 1, 1, 0, '0000-00-00 00:00:00', 6, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2013-07-04 03:33:10', 42, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
